----------------------------------------------------------------------------------
----------------------------------------------------------------------------------
-- Agricultural Revolution - Expanded (by Knasp) - Code for AI_favored_items_etc - to be loaded after Real Strategy...
----------------------------------------------------------------------------------
----------------------------------------------------------------------------------
INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_RST_Adjustments',    '1',    '0',        '') ;


-------------------------------------------------------------------------------------------------------------------
--AiOperationTeams
-------------------------------------------------------------------------------------------------------------------

--Only attack barb camps if militarily superior:
UPDATE AiOperationTeams SET InitialStrengthAdvantage = 0.5 WHERE TeamName = 'Simple Early Attack Force' AND OperationName = 'Attack Barb Camp'; 	--was 0


--See if AI protects their settlers?
UPDATE AiOperationDefs SET MustHaveUnits = 1 WHERE OperationName = 'Settle New City'; 	--was -1

UPDATE AiOperationTeams SET InitialStrengthAdvantage = 0.1 WHERE TeamName = 'Settle City Team' AND OperationName = 'Settle New City'; 	--was 0

-------------------------------------------------------------------------------------------------------------------
--AI's favored items
-------------------------------------------------------------------------------------------------------------------

--Victory Favored Items:
-- Military victory

-- /PRODUCTION HAS VALUE: 25
INSERT INTO AiFavoredItems	(ListType,Item,Favored,Value)		VALUES		('MilitaryVictoryYields','YIELD_SCIENCE',	1,	25);
INSERT INTO AiFavoredItems	(ListType,Item,Favored,Value)		VALUES		('MilitaryVictoryYields','YIELD_GOLD',		1,	20);

--Science victory:









------------------------------
--DefaultYieldBias
------------------------------
INSERT OR REPLACE INTO AiFavoredItems (ListType,Item,[Value]) VALUES ('DefaultYieldBias','YIELD_FOOD',35);
UPDATE AiFavoredItems SET [Value] = 15 WHERE ListType = 'DefaultYieldBias' AND Item = 'YIELD_CULTURE'; 	--was 10
UPDATE AiFavoredItems SET [Value] = 20 WHERE ListType = 'DefaultYieldBias' AND Item = 'YIELD_SCIENCE'; 	--was 10

------------------------------
--StandardSettlePlot
------------------------------

UPDATE AiFavoredItems SET [Value] = 10 WHERE ListType = 'StandardSettlePlot' AND Item = 'Total Yield' AND StringVal = 'YIELD_FOOD'; 						--was 1
UPDATE AiFavoredItems SET [Value] = 12 WHERE ListType = 'StandardSettlePlot' AND Item = 'Inner Ring Yield' AND StringVal = 'YIELD_FOOD'; 					--was 2
UPDATE AiFavoredItems SET [Value] = -10 WHERE ListType = 'StandardSettlePlot' AND Item = 'Specific Feature' AND StringVal = 'FEATURE_ICE'; 					--was -3
UPDATE AiFavoredItems SET [Value] = -12 WHERE ListType = 'StandardSettlePlot' AND Item = 'Cultural Pressure' AND Favored = 1; 								--was -6

--Prioritize Iron and other strategics higher:

UPDATE AiFavoredItems SET [Value] = 15 WHERE ListType = 'StandardSettlePlot' AND Item = 'Specific Resource' AND StringVal = 'RESOURCE_IRON'; 				--was 5
INSERT INTO AiFavoredItems	(ListType,Item,Favored,Value,StringVal)		VALUES		('StandardSettlePlot','Specific Resource',1,15,'RESOURCE_NITER');
INSERT INTO AiFavoredItems	(ListType,Item,Favored,Value,StringVal)		VALUES		('StandardSettlePlot','Specific Resource',1,15,'RESOURCE_OIL');
UPDATE AiFavoredItems SET [Value] = 14 WHERE ListType = 'StandardSettlePlot' AND Item = 'Resource Class' AND StringVal = 'RESOURCECLASS_STRATEGIC'; 		--was 2
UPDATE AiFavoredItems SET [Value] = 7 WHERE ListType = 'StandardSettlePlot' AND Item = 'Resource Class' AND StringVal = 'RESOURCECLASS_LUXURY'; 			--was 2
UPDATE AiFavoredItems SET [Value] = 7 WHERE ListType = 'StandardSettlePlot' AND Item = 'New Resources'; 													--was -3
UPDATE AiFavoredItems SET [Value] = 6 WHERE ListType = 'StandardSettlePlot' AND Item = 'Specific Resource' AND StringVal = 'RESOURCE_HORSES'; 				--was 3
--UPDATE AiFavoredItems SET [Value] = -5 WHERE ListType = 'NavalSettlementPreferences' AND Item = 'Specific Resource' AND StringVal = 'RESOURCE_IRON'; 		--was -5


------------------------------
--ScienceVictoryTechs
------------------------------
INSERT INTO AiFavoredItems	(ListType,Item,Favored)					VALUES		('ScienceVictoryTechs','TECH_PHILOSOPHY',1);
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('ScienceVictoryTechs','TECH_EDUCATION',1);
UPDATE AiFavoredItems SET Item = 'TECH_MEDICINE' WHERE ListType = 'ScienceVictoryTechs' AND Item = 'TECH_CHEMISTRY';

------------------------------
--Leaders favored techs:
------------------------------
--Help them get Campus
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('RobertTechs','TECH_PHILOSOPHY',1);
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('SeondeokTechs','TECH_PHILOSOPHY',1);
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('SaladinTechs','TECH_PHILOSOPHY',1);


------------------------------
--MILITARY, UNIQUE UNITS AND SUCH:
------------------------------

--Help them get ships and embark units
INSERT OR REPLACE INTO  AiFavoredItems	(ListType,Item,Favored)		VALUES		('HaraldTechs','TECH_CELESTIAL_NAVIGATION',1);

--Help them get Iron and Composite bows
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('GandhiTechs','TECH_IRON_WORKING',1);
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('PericlesTechs','TECH_IRON_WORKING',1);
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('GorgoTechs','TECH_IRON_WORKING',1);
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('ShakaTechs','TECH_IRON_WORKING',1);
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('HoJoTechs','TECH_IRON_WORKING',1);

--Help them get Chariot units
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('CleopatraTechs','TECH_THE_WHEEL',1);

--Help Matthias Corvinus get Black Army
UPDATE AiFavoredItems SET Item = 'TECH_STIRRUPS' WHERE ListType = 'MatthiasTechs' AND Item = 'TECH_CASTLES';

--Help Skrimisher Civs get their replacement
UPDATE AiFavoredItems SET Item = 'TECH_MILITARY_TACTICS' WHERE ListType = 'PachacutiTechs' AND Item = 'TECH_MACHINERY';

--Help them get Knights
UPDATE AiFavoredItems SET Item = 'TECH_MILITARY_ENGINEERING' WHERE ListType = 'SaladinTechs' AND Item = 'TECH_STIRRUPS';
UPDATE AiFavoredItems SET Item = 'TECH_MILITARY_ENGINEERING' WHERE ListType = 'MansaMusaTechs' AND Item = 'TECH_STIRRUPS';

--Help them get Gunpowder units
UPDATE AiFavoredItems SET Item = 'TECH_METAL_CASTING' WHERE Item = 'TECH_GUNPOWDER'; --ListType = 'MilitaryVictoryTechs' AND 

--Help them get Battleships
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('PedroTechs','TECH_COMBUSTION',1);

--Help Mansa Musa get Celestial Navigation and Irrigation:
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('MansaMusaTechs','TECH_IRRIGATION',1);
INSERT OR REPLACE INTO AiFavoredItems	(ListType,Item,Favored)		VALUES		('MansaMusaTechs','TECH_CELESTIAL_NAVIGATION',1);

-----------------------------------------------------------
-----------------------------------------------------------
-- IF REAL STRATEGY MOD IS ACTIVATED, ALSO RUN THIS CODE:
-----------------------------------------------------------
-----------------------------------------------------------

--Help them get Campus
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'GilgameshTechs', 'TECH_PHILOSOPHY' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'GilgameshTechs');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryTechs', 'TECH_PHILOSOPHY' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryTechs');

--Help them get Iron and Composite bows
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryTechs', 'TECH_IRON_WORKING' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryTechs');

--Help them get Composite Bows
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryTechs', 'TECH_CONSTRUCTION' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryTechs');

--Help them get Chariots
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'GilgameshTechs', 'TECH_THE_WHEEL' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'GilgameshTechs');

--Help them get Catapults, military engineers and siege towers:
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryTechs', 'TECH_ENGINEERING' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryTechs');

--Help them get Battleships
UPDATE AiFavoredItems SET Item='TECH_COMBUSTION'	WHERE 		Item = 'TECH_STEEL' AND ListType= 'NavalPreferredTechs' AND EXISTS (SELECT 1 FROM AiFavoredItems WHERE ListType = 'NavalPreferredTechs' AND Item = 'TECH_STEEL');
UPDATE AiFavoredItems SET Item='TECH_COMBUSTION'	WHERE 		Item = 'TECH_STEEL' AND ListType= 'RSTIslandTechs' AND EXISTS (SELECT 1 FROM AiFavoredItems WHERE ListType = 'RSTIslandTechs' AND Item = 'TECH_STEEL');

--Help them get Tanks, MAchine Guns and AT-Crew, Airplanes etc
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryTechs', 'TECH_REPLACEABLE_PARTS' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryTechs');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryTechs', 'TECH_STEEL' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryTechs');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryTechs', 'TECH_COMBINED_ARMS' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryTechs');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryTechs', 'TECH_ADVANCED_BALLISTICS' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryTechs');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryTechs', 'TECH_ADVANCED_FLIGHT' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryTechs');

--Hope this helps the AI to build more encampment buildings when pursuing military victory:
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryWonders', 'BUILDING_BARRACKS' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryWonders');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryWonders', 'BUILDING_STABLE' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryWonders');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryWonders', 'BUILDING_ORDU' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryWonders');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryWonders', 'BUILDING_ARMORY' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryWonders');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryWonders', 'BUILDING_MILITARY_ACADEMY' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryWonders');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryWonders', 'BUILDING_WORKSHOP' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryWonders');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryWonders', 'BUILDING_FACTORY' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryWonders');
INSERT INTO AiFavoredItems	(ListType,Item,Favored)		SELECT 		'MilitaryVictoryWonders', 'BUILDING_ELECTRONICS_FACTORY' , 1 WHERE EXISTS (SELECT 1 FROM AiListTypes WHERE ListType = 'MilitaryVictoryWonders');

-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_RST_Adjustments';