-------------------------------------------------------------------
-------------------------------------------------------------------
-- Agricultural Revolution - Expanded (by Knasp) - Code for Barbarians
-------------------------------------------------------------------
-------------------------------------------------------------------
INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_Barbarians',    '1',    '0',        '') ;

--Agrev Base code:

--Update Barbarians so they aren't s dang annoying!!
UPDATE BarbarianTribes SET DefenderTag='CLASS_MELEE' WHERE 1=1;

UPDATE BarbarianTribes SET PercentRangedUnits=40 WHERE TribeType='TRIBE_NAVAL';
UPDATE BarbarianTribeNames SET PercentRangedUnits=60 WHERE TribeNameType='BARBARIAN_NAVAL_2';

--UPDATE GlobalParameters SET Value = 4 WHERE Name = 'BARBARIAN_BOLDNESS_PER_TURN'; --was 2

--Techs
UPDATE GlobalParameters SET Value = 75 WHERE Name = 'BARBARIAN_TECH_PERCENT'; --was 50



UPDATE Technologies SET BarbarianFree=0 	WHERE TechnologyType='TECH_SAILING';
UPDATE Technologies SET BarbarianFree=0 	WHERE TechnologyType='TECH_BRONZE_WORKING';
UPDATE Technologies SET BarbarianFree=0  	WHERE TechnologyType='TECH_SHIPBUILDING';

-------------------------------------------------------------------------------------------------------------------
--Agrev Expanded
-------------------------------------------------------------------------------------------------------------------

--REMOVED IN 2.6		UPDATE GlobalParameters SET Value = 4 WHERE Name='BARBARIAN_CAMP_MAX_PER_MAJOR_CIV';					--Default: 3


UPDATE Improvements 	SET DefenseModifier= 4 		WHERE 	ImprovementType='IMPROVEMENT_BARBARIAN_CAMP';	-- Default 0

--UPDATE GlobalParameters SET Value = 5 WHERE Name='BARBARIAN_CAMP_MINIMUM_DISTANCE_ANOTHER_CAMP';		--Default: 7, was 3 in 2.7.3

UPDATE BarbarianTribes 	SET ResourceRange=2 									WHERE 	TribeType= 'TRIBE_CAVALRY'; --was 1 in Agrev base

--No more barbarian camps in or adjacent to Snow terrain, or Ice.

DELETE FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_BARBARIAN_CAMP' AND TerrainType = 'TERRAIN_SNOW';
DELETE FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_BARBARIAN_CAMP' AND TerrainType = 'TERRAIN_SNOW_HILLS';

INSERT INTO Improvement_InvalidAdjacentFeatures (ImprovementType,FeatureType)			VALUES		('IMPROVEMENT_BARBARIAN_CAMP','FEATURE_ICE');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_COAST');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_OCEAN');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_DESERT');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_TUNDRA');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_PLAINS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_GRASS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_DESERT_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_TUNDRA_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_PLAINS_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_GRASS_HILLS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_DESERT_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_TUNDRA_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_PLAINS_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_BARBARIAN_CAMP','TERRAIN_GRASS_MOUNTAIN');


---------------------------------
-- UNITS
---------------------------------

UPDATE Units 			SET BaseMoves=4 , PrereqTech= 'TECH_HORSEBACK_RIDING' 	WHERE 	UnitType= 'UNIT_BARBARIAN_HORSE_ARCHER' OR 
																						UnitType= 'UNIT_BARBARIAN_HORSEMAN';
UPDATE Units 			SET PrereqTech= 'TECH_CELESTIAL_NAVIGATION' 			WHERE 	UnitType= 'UNIT_BARBARIAN_RAIDER';
UPDATE Units 			SET Combat=35 , Cost=80 								WHERE 	UnitType= 'UNIT_BARBARIAN_HORSEMAN';
UPDATE Units 			SET Combat=20 , RangedCombat=25 , Cost=85 				WHERE 	UnitType= 'UNIT_BARBARIAN_HORSE_ARCHER';
UPDATE UnitUpgrades 	SET UpgradeUnit= 'UNIT_COURSER' 						WHERE 	Unit= 'UNIT_BARBARIAN_HORSEMAN';
UPDATE UnitUpgrades 	SET UpgradeUnit= 'UNIT_CROSSBOWMAN' 					WHERE 	Unit= 'UNIT_BARBARIAN_HORSE_ARCHER';
UPDATE UnitUpgrades 	SET UpgradeUnit= 'UNIT_IRONCLAD' 						WHERE 	Unit= 'UNIT_BARBARIAN_RAIDER';

UPDATE Units SET BaseMoves=5	WHERE 	UnitType= 'UNIT_BARBARIAN_RAIDER';

-- UNIT CLASSES

-- REMOVED IN 2.7		INSERT INTO TypeTags ([Type] , Tag) 											VALUES 	('UNIT_BARBARIAN_RAIDER' , 			'CLASS_GALLEYS' );
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES	('UNIT_BARBARIAN_HORSE_ARCHER' , 	'CLASS_BOWMAN' ); -- gets +5 CS with Construction
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES	('UNIT_BARBARIAN_HORSE_ARCHER' , 	'CLASS_HORSE_ARCHER' ); -- gets +5 CS with Construction
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 	('UNIT_BARBARIAN_HORSEMAN' , 		'CLASS_HORSEMAN' ); --gets +5 CS with Iron Working.

--INSERT INTO TypeTags ([Type] , Tag) 											VALUES 	('UNIT_BARBARIAN_RAIDER' , 'CLASS_NAVAL_RAIDER' );
							

										
-- REMOVED IN 2.8	--Embarked Maintenance:
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						
-- REMOVED IN 2.8											( 'UNIT_BARBARIAN_HORSEMAN' ,				'CLASS_EMBARKED_MAINTENANCE' ),
-- REMOVED IN 2.8											( 'UNIT_BARBARIAN_HORSE_ARCHER' ,			'CLASS_EMBARKED_MAINTENANCE' );
-- REMOVED IN 2.8	--Enemy Territory Maintenance
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						
-- REMOVED IN 2.8											( 'UNIT_BARBARIAN_HORSEMAN' ,				'CLASS_ENEMY_TERRITORY_MAINTENANCE' ),
-- REMOVED IN 2.8											( 'UNIT_BARBARIAN_HORSE_ARCHER' ,			'CLASS_ENEMY_TERRITORY_MAINTENANCE' );

----Embarked without Coal (Combustion):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						
--										( 'UNIT_BARBARIAN_HORSEMAN' ,				'CLASS_EMBARKED_NO_COAL' ),
--										( 'UNIT_BARBARIAN_HORSE_ARCHER' ,			'CLASS_EMBARKED_NO_COAL' );
--										
--Embarked wuthout Oil (Combustion):

--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						
--										( 'UNIT_BARBARIAN_HORSEMAN' ,				'CLASS_EMBARKED_NO_OIL' ),
--										( 'UNIT_BARBARIAN_HORSE_ARCHER' ,			'CLASS_EMBARKED_NO_OIL' );
										
-- Minus 2 movement for barbarian horse units without horses:
INSERT INTO TypeTags ([Type],Tag) VALUES ('UNIT_BARBARIAN_HORSEMAN',				'CLASS_NEEDS_HORSES_HEAVY');
INSERT INTO TypeTags ([Type],Tag) VALUES ('UNIT_BARBARIAN_HORSE_ARCHER',			'CLASS_NEEDS_HORSES_HEAVY');






UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_Barbarians';