INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_Indonesia_Khmer',    '1',    '0',        '') ;

--------------------------------------------------------
-- START BIAS
--------------------------------------------------------

insert into StartBiasResources (CivilizationType,ResourceType,Tier) values ('CIVILIZATION_KHMER','RESOURCE_IVORY',3);


--------------------------------------------------------
-- TRAITS
--------------------------------------------------------
--Change khmer bonus to 1 food instead of 2.
update ModifierArguments set [Value] = 1 where (ModifierId='TRAIT_HOLY_SITE_RIVER_FOOD' or ModifierId='TRAIT_FARM_AQUEDUCT_ADJACENCY_FOOD') and Name='Amount' and [Value]=1;

--------------------------------------------------------
-- IMPROVEMENTS
--------------------------------------------------------

-- KAMPUNG IMPROVEMENT --

--Kampung can now be built on Reefs
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 			VALUES 		( 'IMPROVEMENT_KAMPUNG' , 	'FEATURE_REEF' );

--Can't be built adjacent to Snow terrain or Ice

INSERT INTO Improvement_InvalidAdjacentFeatures (ImprovementType,FeatureType)	VALUES	('IMPROVEMENT_KAMPUNG','FEATURE_ICE');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_COAST');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_OCEAN');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_DESERT');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_TUNDRA');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_PLAINS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_GRASS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_DESERT_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_TUNDRA_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_PLAINS_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_GRASS_HILLS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_DESERT_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_TUNDRA_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_PLAINS_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_KAMPUNG','TERRAIN_GRASS_MOUNTAIN');

--Only grants 75% tourism from food (in 2.8)

UPDATE Improvement_Tourism SET ScalingFactor = 75 WHERE ImprovementType = 'IMPROVEMENT_KAMPUNG';

--AdjacentImprovement = NULL

-- Kampungs get +1 Gold from adjacent Districts (spec.) or for City-center with Early Empire Civic.

--City Center
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_KAMPUNG','Improvement_City_Gold');

--Govt Plaza
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_KAMPUNG','Improvement_GovtPlaza_Gold');

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_KAMPUNG','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_KAMPUNG','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_KAMPUNG','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_KAMPUNG','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_KAMPUNG','Improvement_Cothon_Gold');

--NEIGHBORHOOD
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_KAMPUNG','Improvement_Neighborhood_Gold');

--Mbanza neighborhood
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_KAMPUNG','Improvement_Mbanza_Gold');


--------------------------------------------------------
-- UNITS 
--------------------------------------------------------

UPDATE Units SET Cost = 320 		WHERE 	UnitType = 'UNIT_INDONESIAN_JONG';					--was 300, but 20 more expensive than normal frigate, i.e. 300 + 20.
UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_INDONESIAN_JONG';


update Units set StrategicResource='RESOURCE_IRON' 											where UnitType='UNIT_INDONESIAN_JONG';
insert into Units_XP2 (UnitType) values ('UNIT_INDONESIAN_JONG');
update Units_XP2 set ResourceCost=10 														where UnitType='UNIT_INDONESIAN_JONG';
update Units_XP2 set ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=1 	where UnitType='UNIT_INDONESIAN_JONG';


UPDATE Units SET Combat = 55, RangedCombat = 60 	WHERE 	UnitType = 'UNIT_INDONESIAN_JONG';								--was 45, 55 in vanilla, frigate in 2.8 is at 55, 60

--Jong is mercs. So now mercs requires naval tradition:
INSERT INTO CivicPrereqs 	(Civic , PrereqCivic) 	SELECT 	'CIVIC_MERCENARIES' , 'CIVIC_NAVAL_TRADITION';


----------------------------------------------------------------------
--AgrevExp code to run:

UPDATE Units SET BaseMoves=6	WHERE 	UnitType= 'UNIT_INDONESIAN_JONG';

--Class of ranged naval units that excludes Raiders:
INSERT INTO TypeTags					(Type,										Tag)			
			VALUES						( 'UNIT_INDONESIAN_JONG' ,					'CLASS_NAVAL_RANGED_NO_RAIDERS' );

--Caravel and Jong minus moves on Coast/Lake tiles
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		( 'UNIT_INDONESIAN_JONG' , 		'CLASS_CARAVEL' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_INDONESIAN_JONG' , 			'BUILDING_MILITARY_CENTER' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_INDONESIAN_JONG' , 			'BUILDING_LIGHTHOUSE' );

UPDATE Units SET ZoneOfControl=1, BaseSightRange=1		WHERE 	UnitType= 'UNIT_INDONESIAN_JONG';

--Escort Recon units on Oceans:
INSERT INTO RequirementSetRequirements 	(RequirementSetId,RequirementId) 			VALUES 		('REQSET_CARAVEL_PRIVATEER_FRIGATE_IRONCLAD_ON_PLOT',		'REQ_PLOT_HAS_INDONESIAN_JONG');

INSERT INTO 	Requirements				(RequirementId , RequirementType) 				VALUES		( 'REQ_PLOT_HAS_INDONESIAN_JONG' , 	'REQUIREMENT_PLOT_UNIT_TYPE_MATCHES' );			
INSERT INTO 	RequirementArguments		(RequirementId , Name, [Value]) 				VALUES		( 'REQ_PLOT_HAS_INDONESIAN_JONG' , 	'UnitType' , 'UNIT_INDONESIAN_JONG' );

--Code for ignoring ZOC unless there's a enemy naval unit adjaccent
INSERT INTO RequirementSetRequirements(RequirementSetId,RequirementId)		VALUES		('REQSET_NO_NAVAL_UNIT_ON_PLOT',	'REQ_PLOT_HAS_NO_INDONESIAN_JONG');		

INSERT INTO Requirements		 (RequirementId , RequirementType, Inverse) 	VALUES		( 'REQ_PLOT_HAS_NO_INDONESIAN_JONG' , 		'REQUIREMENT_PLOT_UNIT_TYPE_MATCHES' , 1 );			
INSERT INTO RequirementArguments (RequirementId , Name, [Value]) 				VALUES		( 'REQ_PLOT_HAS_NO_INDONESIAN_JONG' , 		'UnitType' , 'UNIT_INDONESIAN_JONG' );

-------------------------------------------------------------




-- REMOVED IN 2.8	--All embarked units cost double maintenance.
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						( 'UNIT_KHMER_DOMREY' ,					'CLASS_EMBARKED_MAINTENANCE' );
-- REMOVED IN 2.8	
-- REMOVED IN 2.8	--Units in enemy territory cost double maintenance:
-- REMOVED IN 2.8	INSERT INTO TypeTags					(Type,										Tag)			
-- REMOVED IN 2.8				VALUES						
-- REMOVED IN 2.8											( 'UNIT_KHMER_DOMREY' ,					'CLASS_ENEMY_TERRITORY_MAINTENANCE' );

--UNITS

--Units that require buildings:
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KHMER_DOMREY' , 			'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KHMER_DOMREY' , 			'BUILDING_STABLE' );


insert into Units_XP2 (UnitType) values ('UNIT_KHMER_DOMREY');
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_KHMER_DOMREY';
UPDATE Units SET Cost = 200 		WHERE 	UnitType = 'UNIT_KHMER_DOMREY';				--was 220

UPDATE Units SET 			StrategicResource='RESOURCE_IRON'											WHERE 	UnitType= 'UNIT_KHMER_DOMREY'; --ObsoleteTech= 'TECH_STEEL'?
UPDATE Units_XP2 SET 		ResourceCost = 5, ResourceMaintenanceType=null , ResourceMaintenanceAmount=0 										WHERE 	UnitType= 'UNIT_KHMER_DOMREY';

--Make sure unique unit has ZOC or not:
UPDATE Units SET ZoneOfControl=1, BaseSightRange=1		WHERE 	UnitType= 'UNIT_KHMER_DOMREY';

--No longer receive range bonus from balloons or drones
DELETE FROM TypeTags WHERE Type = 'UNIT_KHMER_DOMREY' AND Tag = 'CLASS_FORWARD_OBSERVER';

UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_Indonesia_Khmer';

----------------------------------------------------------------------
--	OLD CODE
----------------------------------------------------------------------

--update Units set Combat=42, StrategicResource='RESOURCE_IVORY' where UnitType='UNIT_INDIAN_VARU' or UnitType='UNIT_KHMER_DOMREY';

--Jong defense vs ranged land units
--insert into TypeTags ([Type],Tag) values ('UNIT_INDONESIAN_JONG',				'CLASS_SHIP_RANGED_DEFENSE');

----Give minus to movement if lacking coal (steam power):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_KHMER_DOMREY' ,					'CLASS_EMBARKED_NO_COAL' );
--			
----Give minus to movement if lacking oil (combustion):
--INSERT INTO TypeTags					(Type,										Tag)			
--			VALUES						( 'UNIT_KHMER_DOMREY' ,					'CLASS_EMBARKED_NO_OIL' );


--Marketplace of ideas trait. +1 sci and culture per tech/civic behind when sending trade route
-- REMOVED IN 2.5		INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_INDONESIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
-- REMOVED IN 2.5		INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_KHMER' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );

--Change kampung to give good for adjacent sea resources, instead of fishing boats
-- REMOVED IN 2.7		UPDATE Adjacency_YieldChanges SET AdjacentSeaResource = 1, AdjacentImprovement = NULL WHERE ID = 'Kampung_FoodFishingBoats';

--Units that can ignore oceans with Square Rigging:
--REMOVED IN 2.8 (but was made useless in 2.7?) 	INSERT INTO TypeTags ([Type] , Tag) 	VALUES 		( 'UNIT_KHMER_DOMREY' , 'CLASS_SQUARE_RIGGING_IGNORE_OCEAN_AREX' );