
local forestID		= GameInfo.Features["FEATURE_FOREST"].Index
local taigaID		= GameInfo.Terrains["TERRAIN_TUNDRA"].Index
local taigahillsID	= GameInfo.Terrains["TERRAIN_TUNDRA_HILLS"].Index

function SetExtraFeatures()

	if Game.GetCurrentGameTurn() > GameConfiguration.GetStartTurn() then -- only called on first turn
		return
	end
	local iPlotCount 	= Map.GetPlotCount()
	local numTaiga		= 0
	local numTaigaHills	= 0
	
	for pass = 0, 2 do
		for i = 0, iPlotCount - 1 do
			local plot	= Map.GetPlotByIndex(i)
			if plot then
				local isTaiga = TaigaCheck(plot:GetX(), plot:GetY())
				if isTaiga == 1 then
								TerrainBuilder.SetFeatureType(plot, forestID)
								numTaiga = numTaiga + 1
				end
			end
		end
	end
	print("Added ".. tostring(numTaiga)  .." Woods on Taiga")
end

function TaigaCheck(iX, iY)
	local count = 0
	if (plot:GetTerrainType() == taigaID) or (plot:GetTerrainType() == taigahillsID)  then
		count = count + 1
	end
	return count
end


-----------------------------------------------------------------------------------------
-- Initialize script
-----------------------------------------------------------------------------------------
function Initialize()
	SetExtraFeatures()
end
Initialize()