----------------------------------------------------------------------------------
----------------------------------------------------------------------------------
-- Agricultural Revolution - Expanded (by Knasp) - Code for Global, Generic, Misc stuff like Traits, Diplomacy, Religion etc.
----------------------------------------------------------------------------------
----------------------------------------------------------------------------------
INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_Misc',    '1',    '0',        '') ;




-------------------------------------------------------------------------------------------------------------------
-- #1.1 - GLOBAL PARAMETERS
-------------------------------------------------------------------------------------------------------------------
--Now it's 2 food per citizen.
UPDATE GlobalParameters SET [Value]=2 WHERE Name='CITY_FOOD_CONSUMPTION_PER_POPULATION';






-------------------------------------------------------------------------------------------------------------------
-- LOYALTY PRESSURE - "IDENTITY"
-------------------------------------------------------------------------------------------------------------------
--City states now have a base identity of 30
--UPDATE GlobalParameters SET [Value]=30 WHERE Name='IDENTITY_PER_TURN_FROM_CITY_STATES'; --was 20

--Free Cities now have a base of +16 loyalty per turn.
UPDATE GlobalParameters SET [Value]=15 WHERE Name='IDENTITY_PER_TURN_FROM_FREE_CITIES'; -- was 10 in vanilla, 16 in last version

-- Conquered city loyalty penalty (multiplier for grievances) increased from +25% to +80% (negated by garrisoning a unit?):
UPDATE GlobalParameters SET [Value]=80 WHERE Name='IDENTITY_PER_TURN_FROM_OCCUPATION_MULTIPLIER'; -- was 25

--Starting loyalty in city that original owner captures back:

UPDATE GlobalParameters SET [Value]=80 WHERE Name='LOYALTY_AFTER_TRANSFERRED_BY_COMBAT_ORIGINAL_OWNER'; -- was 50


-- Increase in war weariness from combat:
--UPDATE GlobalParameters SET [Value]=2 WHERE Name='WAR_WEARINESS_PER_COMBAT_IN_ALLIED_LANDS'; -- was 1

UPDATE GlobalParameters SET [Value]=3 WHERE Name='WAR_WEARINESS_PER_COMBAT_IN_FOREIGN_LANDS'; -- was 2

--UPDATE GlobalParameters SET [Value]=6 WHERE Name='WAR_WEARINESS_PER_UNIT_KILLED'; -- was 3

--UPDATE GlobalParameters SET [Value]=10 WHERE Name='WAR_WEARINESS_PER_WMD_LAUNCHED'; -- was 10


--------------------------------------------------------------------------------------------------------------------
--CIVILIZATIONS
--------------------------------------------------------------------------------------------------------------------
--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) VALUES ('PLOT_BREATHTAKING_APPEAL','REQUIREMENTSET_TEST_ALL');
--INSERT INTO RequirementSetRequirements(RequirementSetId,RequirementId) VALUES ('PLOT_BREATHTAKING_APPEAL','REQUIRES_PLOT_BREATHTAKING_APPEAL');
--INSERT INTO Requirements(RequirementId,RequirementType,ProgressWeight) VALUES ('REQUIRES_PLOT_BREATHTAKING_APPEAL','REQUIREMENT_PLOT_IS_APPEAL_BETWEEN',1);
--INSERT INTO RequirementArguments(RequirementId,Name,[Type],[Value]) VALUES ('REQUIRES_PLOT_BREATHTAKING_APPEAL','MinimumAppeal','ARGTYPE_IDENTITY',4);

INSERT INTO Modifiers(ModifierId,ModifierType) VALUES ('CANADA_APPEAL_CULTURE','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO Modifiers(ModifierId,ModifierType,SubjectRequirementSetId) VALUES ('CANADA_APPEAL_CULTURE_MODIFIER','MODIFIER_PLAYER_ADJUST_PLOT_YIELD','PLOT_BREATHTAKING_APPEAL');
INSERT INTO ModifierArguments(ModifierId,Name,[Value]) VALUES ('CANADA_APPEAL_CULTURE','ModifierId','CANADA_APPEAL_CULTURE_MODIFIER'), ('CANADA_APPEAL_CULTURE_MODIFIER','YieldType','YIELD_CULTURE'), ('CANADA_APPEAL_CULTURE_MODIFIER','Amount',1);

--We don't actually need the CANADA_APPEAL_CULTURE modifier, we can just use this one.
INSERT INTO TraitModifiers(TraitType,ModifierId) VALUES ('TRAIT_AGENDA_CANADIAN_EXPEDITIONARY','CANADA_APPEAL_CULTURE_MODIFIER');


--------------------------------------------------------------
--CIVILIZATION LEVELS
--------------------------------------------------------------
--	REMOVED IN 2.7		UPDATE CivilizationLevels SET IgnoresUnitStrategicResourceRequirements=0; 
--	REMOVED IN 2.8		UPDATE CivilizationLevels SET CanBuildWonders=1 WHERE CivilizationLevelType='CIVILIZATION_LEVEL_CITY_STATE' OR CivilizationLevelType='CIVILIZATION_LEVEL_FREE_CITIES';
--	REMOVED IN 2.8		UPDATE CivilizationLevels SET CanEarnGreatPeople=1 WHERE CivilizationLevelType='CIVILIZATION_LEVEL_FREE_CITIES';

-- Free Cities can now ignore resource reqs, found new cities and annex tiles 
UPDATE CivilizationLevels SET IgnoresUnitStrategicResourceRequirements=1 WHERE CivilizationLevelType = 'CIVILIZATION_LEVEL_FREE_CITIES'; 
UPDATE CivilizationLevels SET CanFoundCities=1 WHERE CivilizationLevelType = 'CIVILIZATION_LEVEL_FREE_CITIES'; 
UPDATE CivilizationLevels SET CanAnnexTilesWithCulture=1 WHERE CivilizationLevelType = 'CIVILIZATION_LEVEL_FREE_CITIES'; 
UPDATE CivilizationLevels SET CanAnnexTilesWithGold=1 WHERE CivilizationLevelType = 'CIVILIZATION_LEVEL_FREE_CITIES';

--------------------------------------------------------------
--START BIASES
--------------------------------------------------------------

--Update Start Biases so that all civs get a chance to spawn on a river
INSERT INTO StartBiasRivers SELECT CivilizationType,6 FROM Civilizations AS Civ WHERE NOT EXISTS (SELECT CivilizationType FROM StartBiasRivers WHERE StartBiasRivers.CivilizationType = Civ.CivilizationType);
DELETE FROM StartBiasRivers WHERE CivilizationType = 'CIVILIZATION_MAORI';
INSERT INTO StartBiasResources (CivilizationType,ResourceType,Tier) VALUES 	('CIVILIZATION_ROME','RESOURCE_IRON',2), 
																			('CIVILIZATION_JAPAN','RESOURCE_IRON',3),
																			('CIVILIZATION_NORWAY','RESOURCE_IRON',3), 
																			('CIVILIZATION_SUMERIA','RESOURCE_HORSES',3),
																			('CIVILIZATION_EGYPT','RESOURCE_HORSES',4),
																			('CIVILIZATION_INDIA','RESOURCE_IVORY',3),
																			('CIVILIZATION_GREECE','RESOURCE_COPPER',5);
																		
--------------------------------------------------------------
--PROJECTS
--------------------------------------------------------------

--Starting Project
INSERT INTO Types ([Type],Kind) VALUES ('PROJECT_MANAGE_CITY','KIND_PROJECT');
INSERT INTO Projects (ProjectType,Name,ShortName,Description,PrereqDistrict,Cost,AmenitiesWhileActive,CostProgressionParam1) VALUES ('PROJECT_MANAGE_CITY', 'LOC_PROJECT_MANAGE_CITY_NAME', 'LOC_PROJECT_MANAGE_CITY_SHORT_NAME', 'LOC_PROJECT_MANAGE_CITY_DESCRIPTION', 'DISTRICT_CITY_CENTER',9999,1,99999);
INSERT INTO Project_YieldConversions (ProjectType,YieldType,PercentOfProductionRate) VALUES ('PROJECT_MANAGE_CITY','YIELD_GOLD',5);
INSERT INTO Project_YieldConversions (ProjectType,YieldType,PercentOfProductionRate) VALUES ('PROJECT_MANAGE_CITY','YIELD_SCIENCE',5);
INSERT INTO Project_YieldConversions (ProjectType,YieldType,PercentOfProductionRate) VALUES ('PROJECT_MANAGE_CITY','YIELD_CULTURE',5);
INSERT INTO Project_YieldConversions (ProjectType,YieldType,PercentOfProductionRate) VALUES ('PROJECT_MANAGE_CITY','YIELD_FOOD',5);

--Convert Reactor Projects
UPDATE Projects SET PrereqTech = 'TECH_COMBUSTION' WHERE ProjectType='PROJECT_CONVERT_REACTOR_TO_OIL';
UPDATE Projects SET PrereqTech = 'TECH_ELECTRICITY' WHERE ProjectType='PROJECT_CONVERT_REACTOR_TO_COAL';

--Test to see if we can have 2 resources required for one project. We CAN have multiple resources required for a project. Only the first will show up in the tool tip, however.
INSERT INTO Project_ResourceCosts(ProjectType,ResourceType,StartProductionCost) VALUES 	('PROJECT_CONVERT_REACTOR_TO_COAL',		'RESOURCE_IRON',10),
																						('PROJECT_CONVERT_REACTOR_TO_OIL',		'RESOURCE_IRON',15), 
																						('PROJECT_CONVERT_REACTOR_TO_URANIUM',	'RESOURCE_IRON',20);


--Move Nuclear power projects to Rocketry:
--PROJECT_CONVERT_REACTOR_TO_URANIUM
--PROJECT_RECOMMISSION_REACTOR
UPDATE Projects SET PrereqTech = 'TECH_NUCLEAR_FUSION' WHERE ProjectType = 'PROJECT_CONVERT_REACTOR_TO_URANIUM';
UPDATE Projects SET PrereqTech = 'TECH_NUCLEAR_FUSION' WHERE ProjectType = 'PROJECT_RECOMMISSION_REACTOR';

--Manhattan project boosts Nuclear Fusion
INSERT INTO ProjectCompletionModifiers 	(ProjectType,ModifierId)				VALUES 		('PROJECT_MANHATTAN_PROJECT','PROJECT_COMPLETION_NUCLEAR_FUSION_TECH_BOOST');
INSERT INTO Modifiers 					(ModifierId,ModifierType,Permanent) 	VALUES 		('PROJECT_COMPLETION_NUCLEAR_FUSION_TECH_BOOST','MODIFIER_PLAYER_GRANT_SPECIFIC_TECH_BOOST',1);
INSERT INTO ModifierArguments			(ModifierId,Name,[Value]) 				VALUES 		('PROJECT_COMPLETION_NUCLEAR_FUSION_TECH_BOOST','TechType','TECH_NUCLEAR_FUSION');

--MODIFIER_PLAYER_GRANT_SPECIFIC_TECH_BOOST, Permanent 1

--It's 13 because computers boost tourism by 25%. So we would want a value of 12.5, but I think it's only ints so we round up to 13.
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('PROJECT_COMPLETION_COMSAT_BOOST_ALL_TOURISM','Amount',13);

--Manhattan project and operation ivy now requires Uranium
UPDATE Projects SET PrereqResource = 'RESOURCE_URANIUM' WHERE ProjectType = 'PROJECT_MANHATTAN_PROJECT';
UPDATE Projects SET PrereqResource = 'RESOURCE_URANIUM' WHERE ProjectType = 'PROJECT_OPERATION_IVY';

INSERT INTO Project_ResourceCosts 		(ProjectType,ResourceType,StartProductionCost)		VALUES		('PROJECT_MANHATTAN_PROJECT',				'RESOURCE_URANIUM',5);
INSERT INTO Project_ResourceCosts 		(ProjectType,ResourceType,StartProductionCost)		VALUES		('PROJECT_OPERATION_IVY',					'RESOURCE_URANIUM',10);

--Operation Ivy now requires Build Nuclear Device (not just manhattan project)
UPDATE ProjectPrereqs SET PrereqProjectType = 'PROJECT_BUILD_NUCLEAR_DEVICE' WHERE ProjectType = 'PROJECT_OPERATION_IVY';

--Launch Earth Satellite -- PROJECT_LAUNCH_EARTH_SATELLITE
UPDATE Projects SET PrereqTech = 'TECH_ROCKETRY' WHERE ProjectType = 'PROJECT_LAUNCH_EARTH_SATELLITE';

INSERT INTO ProjectCompletionModifiers (ProjectType,ModifierId) 	VALUES 		('PROJECT_LAUNCH_EARTH_SATELLITE','PROJECT_COMPLETION_SATELLITECHBOOST');
INSERT INTO Modifiers (ModifierId,ModifierType,RunOnce,Permanent) 	VALUES 		('PROJECT_COMPLETION_SATELLITECHBOOST','MODIFIER_PLAYER_GRANT_SPECIFIC_TECH_BOOST',0,1);
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 			VALUES 		('PROJECT_COMPLETION_SATELLITECHBOOST','TechType','TECH_SATELLITES');

--Satellites and space race stuff now requires Oil
UPDATE Projects SET PrereqResource = 'RESOURCE_OIL' 	WHERE 	ProjectType = 'PROJECT_LAUNCH_EARTH_SATELLITE';
UPDATE Projects SET PrereqResource = 'RESOURCE_OIL' 	WHERE 	ProjectType = 'PROJECT_LAUNCH_MOON_LANDING';
		
UPDATE Projects SET PrereqResource = 'RESOURCE_OIL' 	WHERE 	ProjectType = 'PROJECT_LAUNCH_MARS_BASE';
UPDATE Projects SET PrereqResource = 'RESOURCE_OIL' 	WHERE 	ProjectType = 'PROJECT_LAUNCH_EXOPLANET_EXPEDITION';
UPDATE Projects SET PrereqResource = 'RESOURCE_OIL' 	WHERE 	ProjectType = 'PROJECT_ORBITAL_LASER';

--Satellites now require 5 aluminum for every project (a modest cost no?)
INSERT INTO Project_ResourceCosts 		(ProjectType,ResourceType,StartProductionCost)		VALUES		('PROJECT_LAUNCH_EARTH_SATELLITE',			'RESOURCE_ALUMINUM',10);
INSERT INTO Project_ResourceCosts 		(ProjectType,ResourceType,StartProductionCost)		VALUES		('PROJECT_LAUNCH_MOON_LANDING',				'RESOURCE_ALUMINUM',10);

INSERT INTO Project_ResourceCosts 		(ProjectType,ResourceType,StartProductionCost)		VALUES		('PROJECT_LAUNCH_MARS_BASE',				'RESOURCE_ALUMINUM',10);
INSERT INTO Project_ResourceCosts 		(ProjectType,ResourceType,StartProductionCost)		VALUES		('PROJECT_LAUNCH_EXOPLANET_EXPEDITION',		'RESOURCE_ALUMINUM',10);
-- PROJECT_ORBITAL_LASER costs 30 aluminum

--Launch Communications Satellite
INSERT INTO Types 		([Type],Kind) 	VALUES 		('PROJECT_LAUNCH_COMMUNICATION_SATELLITE','KIND_PROJECT');

INSERT INTO Projects 	(ProjectType,								Name,												ShortName,													Description,												PopupText,PrereqDistrict,PrereqTech,MaxPlayerInstances,Cost,AdvisorType,SpaceRace,VisualBuildingType,PrereqResource) VALUES 
						('PROJECT_LAUNCH_COMMUNICATION_SATELLITE', 	'LOC_PROJECT_LAUNCH_COMMUNICATION_SATELLITE_NAME', 	'LOC_PROJECT_LAUNCH_COMMUNICATION_SATELLITE_SHORT_NAME', 	'LOC_PROJECT_LAUNCH_COMMUNICATION_SATELLITE_DESCRIPTION', 	'LOC_PROJECT_LAUNCH_COMMUNICATION_SATELLITE_POPUP', 'DISTRICT_SPACEPORT', 'TECH_SATELLITES', 5, 600, 'ADVISOR_CULTURE', 0, 'BUILDING_SMALL_ROCKET','RESOURCE_OIL');

INSERT INTO ProjectPrereqs 				(ProjectType,PreReqProjectType,MinimumPlayerInstances) 	VALUES 		('PROJECT_LAUNCH_COMMUNICATION_SATELLITE','PROJECT_LAUNCH_EARTH_SATELLITE',1);

INSERT INTO ProjectCompletionModifiers 	(ProjectType,ModifierId)							 	VALUES 		('PROJECT_LAUNCH_COMMUNICATION_SATELLITE','PROJECT_COMPLETION_COMSAT_BOOST_ALL_TOURISM');
INSERT INTO Modifiers 					(ModifierId,ModifierType,RunOnce,Permanent) 			VALUES 		('PROJECT_COMPLETION_COMSAT_BOOST_ALL_TOURISM','MODIFIER_PLAYER_ADJUST_TOURISM',0,1);

INSERT OR REPLACE INTO Project_ResourceCosts 		(ProjectType,ResourceType,StartProductionCost)			VALUES		('PROJECT_LAUNCH_COMMUNICATION_SATELLITE',	'RESOURCE_ALUMINUM',10);

-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-- AGREV EXPANDED CODE BELOW:
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-- CITY COMBAT ETC
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------



-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--CIVILIZATION & LEADER TRAITS
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------




--Coastal cities get +10% border growth
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_ALL_CIVS_COASTAL_CITIES_FASTER_BORDER_GROWTH' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_ALL_CIVS_COASTAL_CITIES_FASTER_BORDER_GROWTH' );

INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		('TRAIT_ALL_CIVS_COASTAL_CITIES_FASTER_BORDER_GROWTH','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER',NULL),
																									('TRAIT_ALL_CIVS_COASTAL_CITIES_FASTER_BORDER_GROWTH_MODIFIER','MODIFIER_SINGLE_CITY_CULTURE_BORDER_EXPANSION','PLOT_IS_OR_ADJACENT_TO_COAST');		
																									
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_ALL_CIVS_COASTAL_CITIES_FASTER_BORDER_GROWTH','ModifierId','TRAIT_ALL_CIVS_COASTAL_CITIES_FASTER_BORDER_GROWTH_MODIFIER'), 
																									('TRAIT_ALL_CIVS_COASTAL_CITIES_FASTER_BORDER_GROWTH_MODIFIER','Amount',10);

-------------------------------------------------
-- PHOENICIA / Dido
-------------------------------------------------
--Only +1 sight range for embarked settlers, instead of 2.

UPDATE ModifierArguments SET Value=1 								WHERE 	ModifierId= 'MEDITERRANEAN_COLONIES_EXTRA_SIGHT'; 	--was 2

-------------------------------------------------
-- MAORI / Kupe
-------------------------------------------------

-- Start with Celestial navigation instead of Shipbuilding

UPDATE ModifierArguments SET Value='TECH_CELESTIAL_NAVIGATION' 		WHERE 	ModifierId= 'TRAIT_MAORI_MANA_SHIPBUILDING'; 	--was TECH_SHIPBUILDING

-- --Change Kupe's ability to only affect Fishing Boats not on Resources : (was built on Sea Resources (except Oil)) in 2.6)
--UPDATE Modifiers SET SubjectRequirementSetId = 'REQSET_PLOT_HAS_FISHINGBOATS_AND_RESOURCE' WHERE ModifierId = 'TRAIT_MAORI_FISHING_BOAT_FOOD';
--UPDATE Modifiers SET SubjectRequirementSetId = 'REQSET_PLOT_HAS_FISHINGBOATS_AND_NO_RESOURCE' WHERE ModifierId = 'TRAIT_MAORI_FISHING_BOAT_FOOD';


INSERT INTO		RequirementSets				(RequirementSetId , RequirementSetType) 	VALUES		( 'REQSET_PLOT_HAS_FISHINGBOATS_AND_NO_RESOURCE' , 	'REQUIREMENTSET_TEST_ALL' );
INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_PLOT_HAS_FISHINGBOATS_AND_NO_RESOURCE' , 	'REQ_PLOT_HAS_FISHING_BOATS' );
INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_PLOT_HAS_FISHINGBOATS_AND_NO_RESOURCE' , 	'REQ_PLOT_HAS_NO_RESOURCE_AREX' );
									
INSERT INTO		RequirementSets				(RequirementSetId , RequirementSetType) 	VALUES		( 'REQSET_PLOT_HAS_FISHINGBOATS_AND_RESOURCE' , 'REQUIREMENTSET_TEST_ALL' );
INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_PLOT_HAS_FISHINGBOATS_AND_RESOURCE' , 'REQ_PLOT_HAS_FISHING_BOATS' );
INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_PLOT_HAS_FISHINGBOATS_AND_RESOURCE' , 'REQUIRES_PLOT_HAS_VISIBLE_RESOURCE' );
INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_PLOT_HAS_FISHINGBOATS_AND_RESOURCE' , 'REQ_PLOT_WITHOUT_STRATEGIC_RESOURCE' );


DELETE FROM TraitModifiers WHERE TraitType = 'TRAIT_CIVILIZATION_MAORI_MANA' AND ModifierId = 'TRAIT_MAORI_FISHING_BOAT_CULTURE_BOMB';

INSERT INTO TraitModifiers	(TraitType , ModifierId) 									VALUES		( 'TRAIT_CIVILIZATION_MAORI_MANA' , 'TRAIT_MAORI_COASTAL_CITIES_FASTER_BORDER_GROWTH' );	

INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		('TRAIT_MAORI_COASTAL_CITIES_FASTER_BORDER_GROWTH','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER',NULL),
																									('TRAIT_MAORI_COASTAL_CITIES_FASTER_BORDER_GROWTH_MODIFIER','MODIFIER_SINGLE_CITY_CULTURE_BORDER_EXPANSION','PLOT_IS_OR_ADJACENT_TO_COAST');		
																									
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_MAORI_COASTAL_CITIES_FASTER_BORDER_GROWTH','ModifierId','TRAIT_MAORI_COASTAL_CITIES_FASTER_BORDER_GROWTH_MODIFIER'), 
																									('TRAIT_MAORI_COASTAL_CITIES_FASTER_BORDER_GROWTH_MODIFIER','Amount',10);
--Give Kupe Gold before settling first city, to help them not to go Bankrupt:
INSERT INTO TraitModifiers (TraitType,ModifierId) VALUES ('TRAIT_LEADER_KUPES_VOYAGE','GOLD_PRESETTLEMENT');	
INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		('GOLD_PRESETTLEMENT','MODIFIER_PLAYER_ADJUST_YIELD_CHANGE','PLAYER_HAS_NO_CITIES');		
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('GOLD_PRESETTLEMENT','YieldType','YIELD_GOLD');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('GOLD_PRESETTLEMENT','Amount',6);		

--Give Kupe +2 Science
UPDATE ModifierArguments SET Value = 4 WHERE ModifierId = 'SCIENCE_PRESETTLEMENT' AND Value = 2;


-- KUPE EMBARKED MOVEMENT

--Kupe's units ignores extra Ocean movement cost until founding First city or Colonialism is researched:
INSERT OR REPLACE INTO Types 			(Type,Kind) 								VALUES 		( 'MODIFIER_PLAYER_UNITS_ADJUST_IGNORE_TERRAIN_COST','KIND_MODIFIER');
INSERT OR REPLACE INTO DynamicModifiers (ModifierType,CollectionType,EffectType) 	VALUES 		( 'MODIFIER_PLAYER_UNITS_ADJUST_IGNORE_TERRAIN_COST','COLLECTION_PLAYER_UNITS','EFFECT_ADJUST_UNIT_IGNORE_TERRAIN_COST' );

INSERT INTO TraitModifiers 				(TraitType,ModifierId) 						VALUES 		('TRAIT_LEADER_KUPES_VOYAGE','IGNORE_OCEANS_PRESETTLEMENT');	
		
INSERT INTO Modifiers 					(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		( 'IGNORE_OCEANS_PRESETTLEMENT',	'MODIFIER_PLAYER_UNITS_ADJUST_IGNORE_TERRAIN_COST' , 'REQSET_KUPE_IGNORE_OCEANS_PRESETTLEMENT' , 'ARMORY_LAND_REQUIREMENTS');
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 							VALUES 		( 'IGNORE_OCEANS_PRESETTLEMENT' , 	'Ignore' , 		1 ),
																											( 'IGNORE_OCEANS_PRESETTLEMENT' , 	'Type' , 		'TERRAIN_OCEAN' );	

--Remove Kupe's embarked movement bonus, since he starts with 4 moves anyway.
DELETE FROM TraitModifiers WHERE ModifierId = 'TRAIT_MAORI_EMBARKED_ABILITY';
DELETE FROM UnitAbilityModifiers WHERE ModifierId = 'MANA_EMBARKED_EXTRA_MOVEMENT';

UPDATE ModifierArguments SET Value = 0 WHERE ModifierId = 'MANA_EMBARKED_EXTRA_MOVEMENT';

--Allow Kupe normal embarked movement with Combustion (otherwise he's reduced to 1 move):
INSERT INTO TraitModifiers 		(TraitType,ModifierId) 			VALUES 	('TRAIT_LEADER_KUPES_VOYAGE','KUPE_EMBARKED_MOVES_COMBUSTION_PRESETTLEMENT');	

INSERT INTO Modifiers 			(ModifierId , ModifierType, OwnerRequirementSetId) 	VALUES 	('KUPE_EMBARKED_MOVES_COMBUSTION_PRESETTLEMENT' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT' , 'REQSET_COMBUSTION_EMBARKED_MOVEMENT_PRESETTLEMENT');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 	('KUPE_EMBARKED_MOVES_COMBUSTION_PRESETTLEMENT' , 'Amount' , 11);

--Allow Kupe normal embarked movement with Combined Arms (otherwise he's reduced to 1 move):

INSERT INTO Modifiers 			(ModifierId , ModifierType, OwnerRequirementSetId) 	VALUES 	('KUPR_EMBARKED_MOVES_COMBINED_ARMS_PRESETTLEMENT' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT' , 'REQSET_COMBINED_ARMS_EMBARKED_MOVEMENT_PRESETTLEMENT');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 	('KUPR_EMBARKED_MOVES_COMBINED_ARMS_PRESETTLEMENT' , 'Amount' , 15);

--Embarked movement now only +1 (was +2)
--REMOVED IN 2.7		UPDATE ModifierArguments SET Value = 1 WHERE ModifierId = 'MANA_EMBARKED_EXTRA_MOVEMENT';	

-------------------------------------------------
-- NORWAY / Harald
-------------------------------------------------
--Harald (Thunderbolt of the north) gets a discount for embarked units

--INSERT INTO TraitModifiers 		(TraitType,ModifierId) 											VALUES 		('TRAIT_LEADER_MELEE_COASTAL_RAIDS','TRAIT_GRANT_EMBARKED_DISCOUNT');
--
--INSERT INTO Modifiers 			(ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('TRAIT_GRANT_EMBARKED_DISCOUNT',	'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT','REQUIREMENTS_UNIT_IS_EMBARKED');
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 									VALUES 		('TRAIT_GRANT_EMBARKED_DISCOUNT' , 	'Amount' , 1);
--INSERT INTO ModifierStrings		(ModifierId,Context,Text)										VALUES		('TRAIT_GRANT_EMBARKED_DISCOUNT',	'Preview',	'LOC_TRAIT_GRANT_EMBARKED_DISCOUNT_DESCRIPTION');

--All Haralds ships can heal in neutral territory (Already kinda done by Knarr trait)
--INSERT INTO Types 				([Type] , Kind) 					VALUES 		('TRAIT_SHIPS_HEAL_OUTSIDE_BORDERS','KIND_MODIFIER');
--INSERT INTO Types 				([Type] , Kind) 					VALUES 		('ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS','KIND_ABILITY');
--INSERT INTO TypeTags 			([Type] , Tag) 						VALUES 		('ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS','CLASS_NAVAL_MELEE');
--INSERT INTO TypeTags 			([Type] , Tag) 						VALUES 		('ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS','CLASS_NAVAL_RANGED');
--INSERT INTO TypeTags 			([Type] , Tag) 						VALUES 		('ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS','CLASS_NAVAL_RAIDER');
--INSERT INTO TypeTags 			([Type] , Tag) 						VALUES 		('ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS','CLASS_NAVAL_CARRIER');
--INSERT INTO TraitModifiers 		(TraitType,ModifierId) 				VALUES 		('TRAIT_LEADER_MELEE_COASTAL_RAIDS','TRAIT_GRANT_SHIPS_HEALING_OUTSIDE_BORDERS');
--
--INSERT INTO Modifiers 					(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('TRAIT_GRANT_SHIPS_HEALING_OUTSIDE_BORDERS','MODIFIER_PLAYER_UNITS_GRANT_ABILITY','REQSET_DEFENDING_FORESTS_OR_JUNGLE');
--INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 							VALUES 		('RECON_RANGER_DEFENSE' , 'AbilityType' , 'ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS');
--
--INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description,Inactive) 				VALUES		('ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS',		'LOC_ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS_NAME',		'LOC_ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS_DESCRIPTION', 1);
--INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 								VALUES 		('ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS',		'SUPPLY_FLEET_ENEMY_TERRITORY_HEAL'); --5 per turn
--INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 								VALUES 		('ABILITY_SHIPS_HEAL_OUTSIDE_BORDERS',		'SUPPLY_FLEET_NEUTRAL_TERRITORY_HEAL'); --10 per turn

-------------------------------------------------
-- RUSSIA / Peter
-------------------------------------------------

--Russia's Great Embassy now gives +1 Science and +1 Culture for all trade routes

UPDATE TraitModifiers SET ModifierId='TRADECONFEDERATION_TRADEROUTECULTURE' WHERE TraitType='TRAIT_LEADER_GRAND_EMBASSY';
INSERT INTO TraitModifiers (TraitType,ModifierId) VALUES ('TRAIT_LEADER_GRAND_EMBASSY','TRADECONFEDERATION_TRADEROUTESCIENCE');


-------------------------------------------------
-- MINOR CIVS:
-------------------------------------------------

-- Give Minor Civs a Trait that isn't INTERNAL (since this seems to cause problems). Calling it AREX_TRAIT_MINOR_CIV

INSERT INTO Types 				([Type] , Kind) 									VALUES		( 'AREX_TRAIT_MINOR_CIV' , 			'KIND_TRAIT' );
INSERT INTO Traits 				(TraitType , Name , Description, InternalOnly) 		VALUES 		( 'AREX_TRAIT_MINOR_CIV' , 			'LOC_AREX_TRAIT_MINOR_CIV_NAME' , 'LOC_AREX_TRAIT_MINOR_CIV_DESCRIPTION' , 0 );

INSERT INTO LeaderTraits 		(LeaderType , TraitType) 							VALUES 		( 'LEADER_MINOR_CIV_SCIENTIFIC' , 	'AREX_TRAIT_MINOR_CIV' );
INSERT INTO LeaderTraits 		(LeaderType , TraitType) 							VALUES 		( 'LEADER_MINOR_CIV_RELIGIOUS' , 	'AREX_TRAIT_MINOR_CIV' );
INSERT INTO LeaderTraits 		(LeaderType , TraitType) 							VALUES 		( 'LEADER_MINOR_CIV_TRADE' , 		'AREX_TRAIT_MINOR_CIV' );
INSERT INTO LeaderTraits 		(LeaderType , TraitType) 							VALUES 		( 'LEADER_MINOR_CIV_CULTURAL' , 	'AREX_TRAIT_MINOR_CIV' );
INSERT INTO LeaderTraits 		(LeaderType , TraitType) 							VALUES 		( 'LEADER_MINOR_CIV_MILITARISTIC' ,	'AREX_TRAIT_MINOR_CIV' );
INSERT INTO LeaderTraits 		(LeaderType , TraitType) 							VALUES 		( 'LEADER_MINOR_CIV_INDUSTRIAL' , 	'AREX_TRAIT_MINOR_CIV' );

----------------------------------------------
----------------------------------------------



--INSERT INTO		RequirementSets				(RequirementSetId , RequirementSetType) 	VALUES		( 'REQSET_PLOT_HAS_IMPROVED_FISH' , 'REQUIREMENTSET_TEST_ALL' );
--INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_PLOT_HAS_IMPROVED_FISH' , 'REQ_PLOT_HAS_FISH' );
--INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_PLOT_HAS_IMPROVED_FISH' , 'REQ_PLOT_HAS_FISHING_BOATS' );
--
--INSERT INTO		RequirementSets				(RequirementSetId , RequirementSetType) 	VALUES		( 'REQSET_FISHING_BOAT_ON_SEA_RESOURCE' , 'REQUIREMENTSET_TEST_ALL' );
--INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_FISHING_BOAT_ON_SEA_RESOURCE' , 'REQUIRES_UNIT_IS_EMBARKED' );
--INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_FISHING_BOAT_ON_SEA_RESOURCE' , 'REQUIRES_PLOT_HAS_COAST' );
--INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_FISHING_BOAT_ON_SEA_RESOURCE' , 'REQUIRES_PLOT_HAS_VISIBLE_RESOURCE' );
--INSERT INTO 	RequirementSetRequirements	(RequirementSetId , RequirementId) 			VALUES		( 'REQSET_FISHING_BOAT_ON_SEA_RESOURCE' , 'REQ_PLOT_WITHOUT_STRATEGIC_RESOURCE' );

-- Culture bomb ability???? --Can't get the culture bomb ability to work properly. It either culture bombs all tiles from every fishing boat, or no tiles at all.

--UPDATE Modifiers SET ModifierType = 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER' WHERE ModifierId = 'TRAIT_MAORI_FISHING_BOAT_CULTURE_BOMB';
--UPDATE ModifierArguments SET Name = 'ModifierId', Value = 'TRAIT_MAORI_FISHING_BOAT_CULTURE_BOMB_MODIFIER' WHERE ModifierId = 'TRAIT_MAORI_FISHING_BOAT_CULTURE_BOMB';
----
--INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 	VALUES 		( 'TRAIT_MAORI_FISHING_BOAT_CULTURE_BOMB_MODIFIER' , 'MODIFIER_CITY_PLOT_YIELDS_ADD_CULTURE_BOMB_TRIGGER' , 'REQSET_PLOT_HAS_IMPROVED_FISH');
--INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 				VALUES 		( 'TRAIT_MAORI_FISHING_BOAT_CULTURE_BOMB_MODIFIER' , 'ResourceType' , 'RESOURCE_FISH' );
--
--INSERT INTO Types ([Type],Kind) VALUES ('MODIFIER_CITY_PLOT_YIELDS_ADD_CULTURE_BOMB_TRIGGER','KIND_MODIFIER');
--INSERT INTO DynamicModifiers (ModifierType,CollectionType,EffectType) VALUES ('MODIFIER_CITY_PLOT_YIELDS_ADD_CULTURE_BOMB_TRIGGER','COLLECTION_CITY_PLOT_YIELDS','EFFECT_ADD_CULTURE_BOMB_TRIGGER');


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-- END OF TRAITS
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------



-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--SCIENCE AND TECH TREE
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------------------
--Base science from population 0,5 instead of 0,7. 
-------------------------------------------------------------------------------------------------------------------

UPDATE GlobalParameters SET Value=50 					WHERE 	Name= 'SCIENCE_PERCENTAGE_YIELD_PER_POP'; 	--was 70

--Techs in later Eras are more expensive
UPDATE GlobalParameters SET Value=40 					WHERE 	Name= 'TECH_COST_PERCENT_CHANGE_AFTER_GAME_ERA'; 	--was 20

--UPDATE GlobalParameters SET Value=-10 					WHERE 	Name= 'TECH_COST_PERCENT_CHANGE_BEFORE_GAME_ERA'; 	--was -20

-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-- END OF SCIENCE
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--DIPLOMACY AND FAVOR
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------------------
--World congress starts in the renaissance instead of medieval
-------------------------------------------------------------------------------------------------------------------

UPDATE GlobalParameters SET Value=3 					WHERE 	Name= 'WORLD_CONGRESS_INITIAL_ERA'; 	--was 2


-------------------------------------------------------------------------------------------------------------------
--Integrated Friends with Benefits mod by Alfyn.
-------------------------------------------------------------------------------------------------------------------

INSERT INTO RequirementSetRequirements
(		RequirementSetId,							RequirementId)
VALUES    ('PLAYER_NEAR_CULTURE_BORDER',			'REQ_PLAYER_NOT_FRIEND_AREX');

-- Also they will not complain if they have open borders

INSERT INTO RequirementSetRequirements
(		RequirementSetId,							RequirementId)
VALUES    ('PLAYER_NEAR_CULTURE_BORDER',			'REQUIRES_PLAYER_NO_OPEN_BORDERS');


--And will not complain if they have denounced you

INSERT INTO RequirementSetRequirements
(		RequirementSetId,							RequirementId)
VALUES    ('PLAYER_NEAR_CULTURE_BORDER',			'REQ_PLAYER_NOT_DENOUNCED');


-------------------------------------------------------------------------------------------------------------------
--Diplomacy
-------------------------------------------------------------------------------------------------------------------

--Greater distance required to Ai for them to give free vision of their city:

UPDATE GlobalParameters SET Value=18 					WHERE 	Name= 'DIPLOMACY_FIRST_MEET_HOSPITALITY_DISTANCE'; 	--was 6

--Proposing trade deals and making demands now requires writing and foreign trade
UPDATE DiplomaticActions SET InitiatorPrereqCivic = 'CIVIC_FOREIGN_TRADE', InitiatorPrereqTech = 'TECH_WRITING', TargetPrereqCivic = 'CIVIC_FOREIGN_TRADE', TargetPrereqTech = 'TECH_WRITING' 	WHERE 	DiplomaticActionType = 'DIPLOACTION_PROPOSE_TRADE';
UPDATE DiplomaticActions SET InitiatorPrereqCivic = 'CIVIC_FOREIGN_TRADE', InitiatorPrereqTech = 'TECH_WRITING', TargetPrereqCivic = 'CIVIC_FOREIGN_TRADE', TargetPrereqTech = 'TECH_WRITING' 	WHERE 	DiplomaticActionType = 'DIPLOACTION_DEMAND_TRIBUTE';

--Open borders now requires that both parties have writing and the target also needs Foreign trade.
UPDATE DiplomaticActions SET InitiatorPrereqTech = 'TECH_WRITING', TargetPrereqCivic = 'CIVIC_FOREIGN_TRADE', TargetPrereqTech = 'TECH_WRITING' 	WHERE 	DiplomaticActionType = 'DIPLOACTION_OPEN_BORDERS'; 		--was just initiator early empire

--Joint war and join ongoing war now requires Writing.
UPDATE DiplomaticActions SET InitiatorPrereqTech = 'TECH_WRITING', TargetPrereqCivic = 'CIVIC_FOREIGN_TRADE', TargetPrereqTech = 'TECH_WRITING' 	WHERE 	DiplomaticActionType = 'DIPLOACTION_JOINT_WAR'; 		--was just initiator foreign trade
UPDATE DiplomaticActions SET InitiatorPrereqTech = 'TECH_WRITING', TargetPrereqCivic = 'CIVIC_FOREIGN_TRADE', TargetPrereqTech = 'TECH_WRITING' 	WHERE 	DiplomaticActionType = 'DIPLOACTION_THIRD_PARTY_WAR'; 	--was just initiator foreign trade

--Open borders should be considered worth a lot more now
UPDATE DiplomaticStateActions SET AiAllowed=1, 	Worth = 50,  Cost = 100, 	TransitionToState = NULL, 		TeamOnly=0		WHERE 	StateType = 'DIPLO_STATE_DECLARED_FRIEND' 	AND DiplomaticActionType='DIPLOACTION_OPEN_BORDERS'; --was 1,20,0,NULL,0
UPDATE DiplomaticStateActions SET AiAllowed=1, 	Worth = 75,  Cost = 1000, 	TransitionToState = NULL, 		TeamOnly=0		WHERE 	StateType = 'DIPLO_STATE_FRIENDLY' 			AND DiplomaticActionType='DIPLOACTION_OPEN_BORDERS'; --was 1,10,0,NULL,0
UPDATE DiplomaticStateActions SET AiAllowed=1, 	Worth = 100, Cost = 2000, 	TransitionToState = NULL, 		TeamOnly=0		WHERE 	StateType = 'DIPLO_STATE_NEUTRAL' 			AND DiplomaticActionType='DIPLOACTION_OPEN_BORDERS'; --was 0,0,10,NULL,0
UPDATE DiplomaticStateActions SET AiAllowed=1, 	Worth = 200, Cost = 5000, 	TransitionToState = NULL, 		TeamOnly=0		WHERE 	StateType = 'DIPLO_STATE_UNFRIENDLY' 		AND DiplomaticActionType='DIPLOACTION_OPEN_BORDERS'; --was 1,0,10,NULL,0


--Slower grievances decay rate (was +1 in 2.6)
UPDATE Eras_XP2 SET GrievanceDecayRate = 8		WHERE EraType = 'ERA_ANCIENT';				--was 8 in 2.7
UPDATE Eras_XP2 SET GrievanceDecayRate = 7		WHERE EraType = 'ERA_CLASSICAL';			--was 7 in 2.7
UPDATE Eras_XP2 SET GrievanceDecayRate = 6		WHERE EraType = 'ERA_MEDIEVAL';				--was 6 in 2.7
UPDATE Eras_XP2 SET GrievanceDecayRate = 5		WHERE EraType = 'ERA_RENAISSANCE';          --was 5 in 2.7
UPDATE Eras_XP2 SET GrievanceDecayRate = 4		WHERE EraType = 'ERA_INDUSTRIAL';           --was 4 in 2.7
UPDATE Eras_XP2 SET GrievanceDecayRate = 3		WHERE EraType = 'ERA_MODERN';               --was 3 in 2.7
UPDATE Eras_XP2 SET GrievanceDecayRate = 2		WHERE EraType = 'ERA_ATOMIC';               --was 2 in 2.7
UPDATE Eras_XP2 SET GrievanceDecayRate = 1		WHERE EraType = 'ERA_INFORMATION';          --was 1 in 2.7
UPDATE Eras_XP2 SET GrievanceDecayRate = 1		WHERE EraType = 'ERA_FUTURE';               --was 1 in 2.7


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--END OF DIPLOMACY
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--PANTHEONS & RELIGION
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

--------------------------------------------------------------

--PANTHEONS

INSERT INTO Tags (Tag,Vocabulary) VALUES 	('CLASS_GOD_OF_THE_SUN','RESOURCE_CLASS');

INSERT INTO TypeTags([Type],Tag) VALUES 	('RESOURCE_WHEAT','CLASS_GOD_OF_THE_SUN'), 
											('RESOURCE_RICE','CLASS_GOD_OF_THE_SUN');


--Lady of the reeds and marshes bonus, now buffed

DELETE FROM RequirementSetRequirements	WHERE	RequirementSetId = 'PLOT_HAS_REEDS_REQUIREMENTS' AND RequirementId = 'REQUIRES_PLOT_HAS_MARSH';

INSERT INTO BeliefModifiers (BeliefType,ModifierID) 									VALUES 		( 'BELIEF_LADY_OF_THE_REEDS_AND_MARSHES','LADY_OF_THE_REEDS_MARSH_PRODUCTION');
INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId) 	VALUES 		( 'LADY_OF_THE_REEDS_MARSH_PRODUCTION','MODIFIER_ALL_CITIES_ATTACH_MODIFIER','CITY_FOLLOWS_PANTHEON_REQUIREMENTS');	
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'LADY_OF_THE_REEDS_MARSH_PRODUCTION','ModifierId','LADY_OF_THE_REEDS_MARSH_PRODUCTION_MODIFIER'); 
																									  
INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId) 	VALUES 		( 'LADY_OF_THE_REEDS_MARSH_PRODUCTION_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_PLOT_HAS_MARSH');	
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'LADY_OF_THE_REEDS_MARSH_PRODUCTION_MODIFIER','YieldType','YIELD_PRODUCTION'), 
																									( 'LADY_OF_THE_REEDS_MARSH_PRODUCTION_MODIFIER','Amount',2);
																									


--Change God of the Sea to only affect Fishing Boats built on Sea Resources (except Oil):

UPDATE Modifiers SET SubjectRequirementSetId = 'REQSET_PLOT_HAS_FISHINGBOATS_AND_RESOURCE' WHERE ModifierId = 'GOD_OF_THE_SEA_FISHINGBOATS_PRODUCTION_MODIFIER';

--Missionary zeal now increases religious units movement speed by 1 as well:

INSERT INTO BeliefModifiers (BeliefType,ModifierID) 									VALUES 		( 'BELIEF_MISSIONARY_ZEAL','MISSIONARY_ZEAL_BONUS_MOVEMENT');
INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId) 	VALUES 		( 'MISSIONARY_ZEAL_BONUS_MOVEMENT','MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER','PLAYER_FOUNDED_RELIGION_REQUIREMENTS');	
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'MISSIONARY_ZEAL_BONUS_MOVEMENT','ModifierId','MISSIONARY_ZEAL_BONUS_MOVEMENT_MODIFIER'); 

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId) 	VALUES 		( 'MISSIONARY_ZEAL_BONUS_MOVEMENT_MODIFIER','MODIFIER_PLAYER_UNITS_ADJUST_MOVEMENT','REQSET_UNIT_IS_RELIGIOUS');	
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'MISSIONARY_ZEAL_BONUS_MOVEMENT_MODIFIER','Amount',1);
																									
INSERT INTO	RequirementSets				(RequirementSetId , RequirementSetType) 		VALUES		( 'REQSET_UNIT_IS_RELIGIOUS' , 'REQUIREMENTSET_TEST_ALL' );
INSERT INTO RequirementSetRequirements	(RequirementSetId , RequirementId) 				VALUES		( 'REQSET_UNIT_IS_RELIGIOUS' , 'REQUIRES_UNIT_IS_RELIGIOUS_ALL' );																									

--MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER


-------------------------------------------------------------------------------------------------------------------
--Pressure from religion changes (Thanks to DreamState!)
-------------------------------------------------------------------------------------------------------------------
UPDATE GlobalParameters SET Value=2 		WHERE 	Name= 'RELIGION_SPREAD_ADJACENT_PER_TURN_PRESSURE'; 			--was 1 in vanilla
UPDATE GlobalParameters SET Value=0.5 		WHERE 	Name= 'RELIGION_SPREAD_TRADE_ROUTE_PRESSURE_FOR_DESTINATION'; 	--was 1 in vanilla, was 2 in 2.5, was 1 in 2.7
UPDATE GlobalParameters SET Value=0.5 		WHERE 	Name= 'RELIGION_SPREAD_TRADE_ROUTE_PRESSURE_FOR_ORIGIN'; 		--was 0.5 in vanilla, was 2 in 2.5, was 1 in 2.7


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--END OF PANTHEONS & RELIGION
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------






-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--ERAS, AGES, DEDICATIONS
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--Starting year for Eras:

--Ancient starts in -4000
--Classical starts in -1000
--Medieval starts in 500
--Renaissance starts in 1350
--Industrial era starts in 1725
UPDATE StartEras SET Year = 1870 WHERE EraType = 'ERA_MODERN';
UPDATE StartEras SET Year = 1930 WHERE EraType = 'ERA_ATOMIC';
UPDATE StartEras SET Year = 1970 WHERE EraType = 'ERA_INFORMATION';


--Change the starting city strike strength depending on Era:
UPDATE StartEras SET StartingRangedStrengthMajor = 25	WHERE EraType = 'ERA_MEDIEVAL';				--was 25 in vanilla, but in 2.7.3 it was 10
UPDATE StartEras SET StartingRangedStrengthMajor = 40	WHERE EraType = 'ERA_RENAISSANCE';			--was 40 in vanilla, but in 2.7.3 it was 20
UPDATE StartEras SET StartingRangedStrengthMajor = 40	WHERE EraType = 'ERA_INDUSTRIAL';           --was 40 in vanilla, but in 2.7.3 it was 30
UPDATE StartEras SET StartingRangedStrengthMajor = 40	WHERE EraType = 'ERA_MODERN';               --was 60 in vanilla, but in 2.7.3 it was 32
UPDATE StartEras SET StartingRangedStrengthMajor = 40	WHERE EraType = 'ERA_ATOMIC';               --was 60 in vanilla, but in 2.7.3 it was 42
UPDATE StartEras SET StartingRangedStrengthMajor = 40	WHERE EraType = 'ERA_INFORMATION';          --was 75 in vanilla, but in 2.7.3 it was 45

UPDATE StartEras SET StartingRangedStrengthMinor = 25	WHERE EraType = 'ERA_MEDIEVAL';				--was 25 in vanilla, but in 2.7.3 it was 10
UPDATE StartEras SET StartingRangedStrengthMinor = 40	WHERE EraType = 'ERA_RENAISSANCE';			--was 40 in vanilla, but in 2.7.3 it was 20
UPDATE StartEras SET StartingRangedStrengthMinor = 40	WHERE EraType = 'ERA_INDUSTRIAL';           --was 40 in vanilla, but in 2.7.3 it was 30
UPDATE StartEras SET StartingRangedStrengthMinor = 40	WHERE EraType = 'ERA_MODERN';               --was 60 in vanilla, but in 2.7.3 it was 32
UPDATE StartEras SET StartingRangedStrengthMinor = 40	WHERE EraType = 'ERA_ATOMIC';               --was 60 in vanilla, but in 2.7.3 it was 42
UPDATE StartEras SET StartingRangedStrengthMinor = 40	WHERE EraType = 'ERA_INFORMATION';          --was 75 in vanilla, but in 2.7.3 it was 45

-- Starting Gold increased (due to increased maintenance of units overall):
UPDATE StartEras SET Gold = 20		WHERE EraType = 'ERA_ANCIENT';				--was 10
UPDATE StartEras SET Gold = 200		WHERE EraType = 'ERA_CLASSICAL';			--was 110
UPDATE StartEras SET Gold = 400		WHERE EraType = 'ERA_MEDIEVAL';				--was 210
UPDATE StartEras SET Gold = 600		WHERE EraType = 'ERA_RENAISSANCE';			--was 250
UPDATE StartEras SET Gold = 800		WHERE EraType = 'ERA_INDUSTRIAL';			--was 360
UPDATE StartEras SET Gold = 1000	WHERE EraType = 'ERA_MODERN';				--was 485
UPDATE StartEras SET Gold = 1200	WHERE EraType = 'ERA_ATOMIC';				--was 550
UPDATE StartEras SET Gold = 1400	WHERE EraType = 'ERA_INFORMATION';			--was 710

--StartingMeleeStrengthMajor
--StartingMeleeStrengthMinor
--StartingRangedStrengthMajor
--StartingRangedStrengthMinor

--------------------------------------------------
--Start with enough faith for pantheon in eras after ancient
--------------------------------------------------
UPDATE StartEras SET Faith = 25		WHERE EraType = 'ERA_CLASSICAL';	--was 10
UPDATE StartEras SET Faith = 25		WHERE EraType = 'ERA_MEDIEVAL';		--was 20
UPDATE StartEras SET Faith = 25		WHERE EraType = 'ERA_RENAISSANCE';	--was 20

--------------------------------------------------
--Starting Population reduced by 1, since cities will be starving most of the time anyway:
--------------------------------------------------
UPDATE StartEras SET StartingPopulationCapital 		= 3		WHERE EraType = 'ERA_CLASSICAL';		--was 4
UPDATE StartEras SET StartingPopulationOtherCities 	= 1		WHERE EraType = 'ERA_CLASSICAL';		--was 2

UPDATE StartEras SET StartingPopulationCapital 		= 3		WHERE EraType = 'ERA_MEDIEVAL';			--was 4
UPDATE StartEras SET StartingPopulationOtherCities 	= 2		WHERE EraType = 'ERA_MEDIEVAL';			--was 2

UPDATE StartEras SET StartingPopulationCapital 		= 6		WHERE EraType = 'ERA_RENAISSANCE';		--was 7
UPDATE StartEras SET StartingPopulationOtherCities 	= 2		WHERE EraType = 'ERA_RENAISSANCE';		--was 2

UPDATE StartEras SET StartingPopulationCapital 		= 6		WHERE EraType = 'ERA_INDUSTRIAL';		--was 7
UPDATE StartEras SET StartingPopulationOtherCities 	= 3		WHERE EraType = 'ERA_INDUSTRIAL';		--was 4

UPDATE StartEras SET StartingPopulationCapital 		= 9		WHERE EraType = 'ERA_MODERN';			--was 10
UPDATE StartEras SET StartingPopulationOtherCities 	= 4		WHERE EraType = 'ERA_MODERN';			--was 4
	
UPDATE StartEras SET StartingPopulationCapital 		= 9		WHERE EraType = 'ERA_ATOMIC';			--was 10
UPDATE StartEras SET StartingPopulationOtherCities 	= 5		WHERE EraType = 'ERA_ATOMIC';			--was 6

UPDATE StartEras SET StartingPopulationCapital 		= 12	WHERE EraType = 'ERA_INFORMATION';		--was 13
UPDATE StartEras SET StartingPopulationOtherCities 	= 6		WHERE EraType = 'ERA_INFORMATION';		--was 6


--------------------------------------------------
-- STARTING UNITS FOR MAJOR CIVS DEPENDING ON ERA
--------------------------------------------------



--Gives player more builders when starting in later eras:
INSERT INTO MajorStartingUnits (Unit,Era,District,Quantity,NotStartTile,OnDistrictCreated,AiOnly) VALUES ('UNIT_BUILDER','ERA_MEDIEVAL',		'DISTRICT_CITY_CENTER',2,1,0,0);
INSERT INTO MajorStartingUnits (Unit,Era,District,Quantity,NotStartTile,OnDistrictCreated,AiOnly) VALUES ('UNIT_BUILDER','ERA_RENAISSANCE',		'DISTRICT_CITY_CENTER',2,1,0,0);
INSERT INTO MajorStartingUnits (Unit,Era,District,Quantity,NotStartTile,OnDistrictCreated,AiOnly) VALUES ('UNIT_BUILDER','ERA_INDUSTRIAL',		'DISTRICT_CITY_CENTER',2,1,0,0);
INSERT INTO MajorStartingUnits (Unit,Era,District,Quantity,NotStartTile,OnDistrictCreated,AiOnly) VALUES ('UNIT_BUILDER','ERA_MODERN',			'DISTRICT_CITY_CENTER',3,1,0,0);
INSERT INTO MajorStartingUnits (Unit,Era,District,Quantity,NotStartTile,OnDistrictCreated,AiOnly) VALUES ('UNIT_BUILDER','ERA_ATOMIC',			'DISTRICT_CITY_CENTER',3,1,0,0);
INSERT INTO MajorStartingUnits (Unit,Era,District,Quantity,NotStartTile,OnDistrictCreated,AiOnly) VALUES ('UNIT_BUILDER','ERA_INFORMATION',		'DISTRICT_CITY_CENTER',4,1,0,0);


--UPDATE MajorStartingUnits SET Unit = 'UNIT_MEDIC' WHERE Unit = 'UNIT_FIELD_CANNON' AND Era = 'ERA_MODERN';
--UPDATE MajorStartingUnits SET Unit = 'UNIT_FIELD_CANNON',Quantity=1 WHERE Unit = 'UNIT_PIKE_AND_SHOT' AND Era = 'ERA_MODERN';
--UPDATE MajorStartingUnits SET Unit = 'UNIT_MILITARY_ENGINEER' 		WHERE Unit = 'UNIT_RANGER' 	AND Quantity = 1 AND Era = 'ERA_ATOMIC';						--1 military eng
--UPDATE MajorStartingUnits SET Quantity = 4 WHERE Unit = 'UNIT_RANGER' AND Era = 'ERA_MODERN';
--
----  ATOMIC
--UPDATE MajorStartingUnits SET Unit = 'UNIT_MILITARY_ENGINEER' 				WHERE Unit = 'UNIT_INFANTRY' 		AND Quantity = 1 AND Era = 'ERA_ATOMIC';		--1 military eng
--UPDATE MajorStartingUnits SET Unit = 'UNIT_ARTILLERY',Quantity=2 			WHERE Unit = 'UNIT_FIELD_CANNON' 	AND Era = 'ERA_ATOMIC';							--2 artillery
--UPDATE MajorStartingUnits SET Quantity=1 		WHERE Unit = 'UNIT_RANGER' 			AND Era = 'ERA_ATOMIC';														--1 ranger
--INSERT INTO MajorStartingUnits (Unit,Era,District,Quantity,NotStartTile,OnDistrictCreated) VALUES ('UNIT_SUPPLY_CONVOY','ERA_ATOMIC','DISTRICT_CITY_CENTER',1,0,0);
--
----Replace all starting AT-Crew units with Infantry:
--UPDATE MajorStartingUnits SET Unit = 'UNIT_INFANTRY' WHERE Unit = 'UNIT_AT_CREW';
--
--UPDATE MajorStartingUnits SET Quantity = 1 		WHERE Unit = 'UNIT_SPEC_OPS' 		AND Era = 'ERA_INFORMATION';
--UPDATE MajorStartingUnits SET Quantity = 1 		WHERE Unit = 'UNIT_MACHINE_GUN' 	AND Era = 'ERA_INFORMATION';
--INSERT INTO MajorStartingUnits (Unit,Era,District,Quantity,NotStartTile,OnDistrictCreated) VALUES ('UNIT_ARTILLERY','ERA_INFORMATION','DISTRICT_CITY_CENTER',1,0,0);
--INSERT INTO MajorStartingUnits (Unit,Era,District,Quantity,NotStartTile,OnDistrictCreated) VALUES ('UNIT_AT_CREW','ERA_INFORMATION','DISTRICT_CITY_CENTER',1,0,0);
--
--UPDATE MajorStartingUnits SET Unit = 'UNIT_SUPPLY_CONVOY' 	WHERE Unit = 'UNIT_INFANTRY' 		AND Quantity = 1 AND Era = 'ERA_INFORMATION';

----------------------------------
-- STARTING BUILDINGS
----------------------------------
UPDATE StartingBuildings SET Era = 'ERA_CLASSICAL' WHERE Building = 'BUILDING_SHRINE';
INSERT INTO StartingBuildings (Building,Era,District) VALUES ('BUILDING_ARCHIVE',			'ERA_CLASSICAL','DISTRICT_GOVERNMENT'); --what happens with barracks or stables?

UPDATE StartingBuildings SET Era = 'ERA_MEDIEVAL' WHERE Building = 'BUILDING_GRANARY';
UPDATE StartingBuildings SET Era = 'ERA_MEDIEVAL' WHERE Building = 'BUILDING_LIBRARY';
UPDATE StartingBuildings SET Era = 'ERA_MEDIEVAL' WHERE Building = 'BUILDING_WALLS' AND Era = 'ERA_RENAISSANCE';
UPDATE StartingBuildings SET Era = 'ERA_MEDIEVAL' WHERE Building = 'BUILDING_TEMPLE';


UPDATE StartingBuildings SET Era = 'ERA_RENAISSANCE' WHERE Building = 'BUILDING_CASTLE';
UPDATE StartingBuildings SET Era = 'ERA_RENAISSANCE' WHERE Building = 'BUILDING_ARENA';
UPDATE StartingBuildings SET Era = 'ERA_RENAISSANCE' WHERE Building = 'BUILDING_LIGHTHOUSE';
UPDATE StartingBuildings SET Era = 'ERA_RENAISSANCE' WHERE Building = 'BUILDING_MARKET';
UPDATE StartingBuildings SET Era = 'ERA_RENAISSANCE' WHERE Building = 'BUILDING_AMPHITHEATER';
INSERT INTO StartingBuildings (Building,Era,District) VALUES ('BUILDING_ARMORY',			'ERA_RENAISSANCE','DISTRICT_ENCAMPMENT'); --what happens with barracks or stables?

UPDATE StartingBuildings SET Era = 'ERA_INDUSTRIAL' WHERE Building = 'BUILDING_STAR_FORT';
UPDATE StartingBuildings SET Era = 'ERA_INDUSTRIAL' WHERE Building = 'BUILDING_WORKSHOP';

UPDATE StartingBuildings SET Era = 'ERA_MODERN' WHERE Building = 'BUILDING_BANK';
UPDATE StartingBuildings SET Era = 'ERA_MODERN' WHERE Building = 'BUILDING_SHIPYARD';

INSERT INTO StartingBuildings (Building,Era,District) VALUES ('BUILDING_MILITARY_ACADEMY',	'ERA_ATOMIC','DISTRICT_ENCAMPMENT'); --what happens with barracks or stables?
INSERT INTO StartingBuildings (Building,Era,District) VALUES ('BUILDING_FACTORY',			'ERA_ATOMIC','DISTRICT_INDUSTRIAL_ZONE'); 
INSERT INTO StartingBuildings (Building,Era,District) VALUES ('BUILDING_HANGAR',			'ERA_ATOMIC','DISTRICT_AERODROME'); 
INSERT INTO StartingBuildings (Building,Era,District) VALUES ('BUILDING_HYDROELECTRIC_DAM',	'ERA_ATOMIC','DISTRICT_DAM'); 
INSERT INTO StartingBuildings (Building,Era,District) VALUES ('BUILDING_SEAPORT',			'ERA_ATOMIC','DISTRICT_HARBOR'); 
UPDATE StartingBuildings SET Era = 'ERA_ATOMIC' WHERE Building = 'BUILDING_SEWER';
UPDATE StartingBuildings SET Era = 'ERA_ATOMIC' WHERE Building = 'BUILDING_ZOO';
UPDATE StartingBuildings SET Era = 'ERA_ATOMIC' WHERE Building = 'BUILDING_FERRIS_WHEEL';

INSERT INTO StartingBuildings (Building,Era,District) VALUES ('BUILDING_STOCK_EXCHANGE',	'ERA_INFORMATION','DISTRICT_COMMERCIAL_HUB'); 

--INFORMATION ERA - AQUARIUM

--UNIVERSITY VANILLA


--INSERT INTO StartingBuildings (Building,Era,District,MinorOnly) VALUES ('BUILDING_MILITARY_CENTER','ERA_ANCIENT','DISTRICT_CITY_CENTER',1);
--INSERT INTO StartingBuildings (Building,Era,District,MinorOnly) VALUES ('BUILDING_MILITARY_CENTER','ERA_MEDIEVAL','DISTRICT_CITY_CENTER',1);
--INSERT INTO StartingBuildings (Building,Era,District,MinorOnly) VALUES ('BUILDING_MILITARY_CENTER','ERA_RENAISSANCE','DISTRICT_CITY_CENTER',1);
--INSERT INTO StartingBuildings (Building,Era,District,MinorOnly) VALUES ('BUILDING_MILITARY_CENTER','ERA_INDUSTRIAL','DISTRICT_CITY_CENTER',1);
--INSERT INTO StartingBuildings (Building,Era,District,MinorOnly) VALUES ('BUILDING_MILITARY_CENTER','ERA_MODERN','DISTRICT_CITY_CENTER',1);
--INSERT INTO StartingBuildings (Building,Era,District,MinorOnly) VALUES ('BUILDING_MILITARY_CENTER','ERA_ATOMIC','DISTRICT_CITY_CENTER',1);
--INSERT INTO StartingBuildings (Building,Era,District,MinorOnly) VALUES ('BUILDING_MILITARY_CENTER','ERA_INFORMATION','DISTRICT_CITY_CENTER',1);




----------------------------------
--Era length
----------------------------------

--Ancient

UPDATE Eras_XP1 SET GameEraMinimumTurns=60 	WHERE EraType='ERA_ANCIENT';
UPDATE Eras_XP1 SET GameEraMaximumTurns=100 WHERE EraType='ERA_ANCIENT';

UPDATE Eras_XP1 SET GameEraMaximumTurns=100 WHERE EraType='ERA_CLASSICAL';
UPDATE Eras_XP1 SET GameEraMaximumTurns=100 WHERE EraType='ERA_MEDIEVAL';
UPDATE Eras_XP1 SET GameEraMaximumTurns=100 WHERE EraType='ERA_RENAISSANCE';
UPDATE Eras_XP1 SET GameEraMaximumTurns=100 WHERE EraType='ERA_INDUSTRIAL';
UPDATE Eras_XP1 SET GameEraMaximumTurns=100 WHERE EraType='ERA_MODERN';
UPDATE Eras_XP1 SET GameEraMaximumTurns=100 WHERE EraType='ERA_ATOMIC';
UPDATE Eras_XP1 SET GameEraMaximumTurns=100 WHERE EraType='ERA_INFORMATION';

----------------------------------
-- DEDICATIONS
----------------------------------




--Reform the Coinage dedication no longer gives plunder immunity. Instead it gives +2 trade route capacity

INSERT INTO 	Modifiers 					(ModifierId , ModifierType , OwnerRequirementSetId) 		VALUES 		( 'COMMEMORATION_ECONOMIC_GA_2_MORE_TRADE_ROUTES' , 			'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY' , 'PLAYER_HAS_GOLDEN_AGE' );
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'COMMEMORATION_ECONOMIC_GA_2_MORE_TRADE_ROUTES' , 			'Amount' , 2);


UPDATE CommemorationModifiers SET ModifierId ='COMMEMORATION_ECONOMIC_GA_2_MORE_TRADE_ROUTES' WHERE ModifierId = 'COMMEMORATION_ECONOMIC_GA_PLUNDER_IMMUNITY_MODIFIER' AND CommemorationType = 'COMMEMORATION_ECONOMIC';
UPDATE ModifierArguments SET Value=4 WHERE ModifierId = 'COMMEMORATION_ECONOMIC_GA_TRADE_ROUTE_YIELDS' AND Value=3; --was 5 in 2.7.3


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--END OF ERAS, AGES & DEDICATIONS
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------



-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--TRAINED UNITS XP BONUS HOTFIX
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-- Units_Trained_Hotfix_Gameplay (Incorporated until Firaxis patches the game).
-- Author: JNR
--------------------------------------------------------------

-- Modifiers
----------------------------------------------------------------
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_SEA_MOVEMENT' WHERE ModifierId='ROYAL_DOCKYARD_MOVEMENT_BONUS';
--
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='BARRACKS_TRAINED_UNIT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='STABLE_TRAINED_UNIT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='ARMORY_TRAINED_UNIT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='MILITARY_ACADEMY_TRAINED_UNIT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='LIGHTHOUSE_TRAINED_UNIT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='SHIPYARD_TRAINED_UNIT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='SEAPORT_TRAINED_UNIT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='HANGAR_TRAINED_AIRCRAFT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='AIRPORT_TRAINED_AIRCRAFT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='BASILIKOI_TRAINED_UNIT_XP';
--UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER' WHERE ModifierId='ORDU_TRAINED_XP';
----------------------------------------------------------------


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--END OF HOTFIX
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--GREAT PEOPLE
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------------------
--Increase Great Person costs, to align better with the slower pace and longer eras, so less GP's are earned before their Era. (Thanks to Revolutionist_8!):
-------------------------------------------------------------------------------------------------------------------
UPDATE Eras SET GreatPersonBaseCost = GreatPersonBaseCost*2 WHERE EraType = 'ERA_ANCIENT';
UPDATE Eras SET GreatPersonBaseCost = GreatPersonBaseCost*2 WHERE EraType = 'ERA_CLASSICAL';
UPDATE Eras SET GreatPersonBaseCost = GreatPersonBaseCost*2 WHERE EraType = 'ERA_MEDIEVAL';
UPDATE Eras SET GreatPersonBaseCost = GreatPersonBaseCost*2 WHERE EraType = 'ERA_RENAISSANCE';
UPDATE Eras SET GreatPersonBaseCost = GreatPersonBaseCost*2 WHERE EraType = 'ERA_INDUSTRIAL';
UPDATE Eras SET GreatPersonBaseCost = GreatPersonBaseCost*2 WHERE EraType = 'ERA_MODERN';
UPDATE Eras SET GreatPersonBaseCost = GreatPersonBaseCost*2 WHERE EraType = 'ERA_ATOMIC';
UPDATE Eras SET GreatPersonBaseCost = GreatPersonBaseCost*2 WHERE EraType = 'ERA_INFORMATION';
UPDATE Eras SET GreatPersonBaseCost = GreatPersonBaseCost*2 WHERE EraType = 'ERA_FUTURE';



-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--END OF GREAT PEOPLE
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------




-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--ESPIONAGE AND SPIES
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------



--Double the amount of spies granted by techs, civics and government buildings (Thanks DreamState!):
UPDATE ModifierArguments SET Value=Value*2 WHERE ModifierId="CIVIC_GRANT_SPY" OR ModifierId="TECH_GRANT_SPY" OR ModifierId="GOV_GRANT_SPY";

--Civic Political Philosophy awards 1 Spy

INSERT INTO CivicModifiers (CivicType,ModifierId) VALUES ('CIVIC_POLITICAL_PHILOSOPHY','CIVIC_GRANT_ONE_SPY');

INSERT INTO Modifiers 			(ModifierId , ModifierType) 	VALUES 	( 'CIVIC_GRANT_ONE_SPY' , 'MODIFIER_PLAYER_GRANT_SPY');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	( 'CIVIC_GRANT_ONE_SPY' , 'Amount' , 1);



-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-- POLICY CARDS
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

------------------------------
-- ANCIENT
------------------------------

--Conscription now gives -1 CS for all units as well:

INSERT INTO PolicyModifiers 	(PolicyType,ModifierId) 								VALUES 		('POLICY_CONSCRIPTION', 'CONSCRIPTION_COMBAT_PENALTY');	
INSERT INTO Modifiers			(ModifierId , ModifierType) 							VALUES 		('CONSCRIPTION_COMBAT_PENALTY', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_STRENGTH');																				
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('CONSCRIPTION_COMBAT_PENALTY',	'Amount',		-1);																							
INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 								VALUES 		('CONSCRIPTION_COMBAT_PENALTY','Preview',	'LOC_MODIFIER_CONSCRIPTION_COMBAT_PENALTY_DESCRIPTION');


UPDATE Policies SET PrereqCivic = 'CIVIC_STATE_WORKFORCE' WHERE PolicyType='POLICY_MARITIME_INDUSTRIES';

--Survey (+100% recon xp) now also gives a discount of 1 Gold per turn for recon units.

--INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'SURVEY_RECON_DISCOUNT' , 				'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT' , 'SURVEY_RECONUNITEXPERIENCE_REQUIREMENTS' ); --unit is recon
--INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'SURVEY_RECON_DISCOUNT' , 				'Amount' , 1);

--INSERT INTO Types 					([Type] , Kind) 											VALUES 		( 'ABILITY_RECON_MAINTENANCE_DISCOUNT' , 'KIND_ABILITY' );
--INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		( 'ABILITY_RECON_MAINTENANCE_DISCOUNT' , 'CLASS_RECON' );
--							
--INSERT INTO UnitAbilities 			(UnitAbilityType , Name , Description, Inactive) 			VALUES 		( 'ABILITY_RECON_MAINTENANCE_DISCOUNT' , 'LOC_ABILITY_RECON_MAINTENANCE_DISCOUNT' , 'LOC_ABILITY_RECON_MAINTENANCE_DISCOUNT_DESCRIPTION' , 1);
--INSERT INTO UnitAbilityModifiers 	(UnitAbilityType , ModifierId) 								VALUES 		( 'ABILITY_RECON_MAINTENANCE_DISCOUNT' , 'RECON_MAINTENANCE_DISCOUNT' );
--
--INSERT INTO Modifiers 				(ModifierId , ModifierType , SubjectRequirementSetId) 								VALUES 		( 'RECON_MAINTENANCE_DISCOUNT' , 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT' , 'SURVEY_RECONUNITEXPERIENCE_REQUIREMENTS');
--INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 								VALUES 		( 'RECON_MAINTENANCE_DISCOUNT' , 'Amount' , 1);
--
--INSERT INTO 	PolicyModifiers 				(PolicyType,ModifierId) 									VALUES 		( 'POLICY_SURVEY','SURVEY_RECON_DISCOUNT');
--INSERT INTO 	Modifiers 					(ModifierId , ModifierType ,SubjectRequirementSetId) 			VALUES 		( 'SURVEY_RECON_DISCOUNT' , 				'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'SURVEY_RECONUNITEXPERIENCE_REQUIREMENTS'); --unit is recon
--INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 									VALUES 		( 'SURVEY_RECON_DISCOUNT' , 				'AbilityType' , 'ABILITY_RECON_MAINTENANCE_DISCOUNT');
--
----Maritime industries (+100% prod towards ancient and classical naval units) now also gives a discount of 1 Gold per turn for naval units
--UPDATE Policies SET PrereqCivic = 'CIVIC_STATE_WORKFORCE' WHERE PolicyType='POLICY_MARITIME_INDUSTRIES';
--INSERT INTO 	PolicyModifiers 			(PolicyType,ModifierId) 									VALUES 		( 'POLICY_MARITIME_INDUSTRIES',			'MARITIME_INDUSTRIES_DISCOUNT');	
--INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'MARITIME_INDUSTRIES_DISCOUNT' , 		'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT' , 'LIGHTHOUSE_SEA_REQUIREMENTS' ); --unit domain is sea reqset
--INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'MARITIME_INDUSTRIES_DISCOUNT' , 		'Amount' , 1);
--
----Press Gangs (+100% prod towards renaissance and industrial naval units) now also gives a discount of 2 Gold per turn for renaissance and industrial naval units
--INSERT INTO 	PolicyModifiers 			(PolicyType,ModifierId) 									VALUES 		( 'POLICY_PRESS_GANGS',					'PRESS_GANGS_DISCOUNT');	
--INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'PRESS_GANGS_DISCOUNT' , 				'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT' , 'REQSET_NAVAL_DOMAIN_RENAISSANCE_INDUSTRIAL_UNIT' ); --unit domain is sea reqset
--INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'PRESS_GANGS_DISCOUNT' , 				'Amount' , 2);
--
----International Waters (+100% prod towards Modern, Atomic and Information era naval units) now also gives a discount of 4 Gold per turn for modern, atomic and information naval units
--INSERT INTO 	PolicyModifiers 			(PolicyType,ModifierId) 									VALUES 		( 'POLICY_INTERNATIONAL_WATERS',		'INTERNATIONAL_WATERS_DISCOUNT');	
--INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'INTERNATIONAL_WATERS_DISCOUNT' , 	'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT' , 'REQSET_NAVAL_DOMAIN_MODERN_ATOMIC_INFORMATION_UNIT' ); --unit domain is sea reqset
--INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'INTERNATIONAL_WATERS_DISCOUNT' , 	'Amount' , 4);

------------------------------
-- CLASSICAL
------------------------------
--Diplomatic league gives open borders:
INSERT INTO 	PolicyModifiers 			(PolicyType,ModifierId) 															VALUES 		( 'POLICY_DIPLOMATIC_LEAGUE',			'DIPLOMATIC_LEAGUE_OPEN_BORDERS_FROM_PEACE');
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , OwnerRequirementSetId , SubjectRequirementSetId) 		VALUES 		( 'DIPLOMATIC_LEAGUE_OPEN_BORDERS_FROM_PEACE' , 	'MODIFIER_ADJUST_OPEN_BORDERS_FROM_INFLUENCE' , 'PLAYER_IS_AT_PEACE_WITH_ALL_MAJORS' , 'PLAYER_IS_MINOR' );

------------------------------
-- MEDIEVAL
------------------------------

--Naval Infrastructure (+100% gold adj bonus) gives Harbors prod adj bonuses as well
INSERT INTO 	PolicyModifiers 			(PolicyType,ModifierId) 									VALUES 		( 'POLICY_NAVAL_INFRASTRUCTURE',		'NAVALINFRASTRUCTURE_HARBORPROD');	
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'NAVALINFRASTRUCTURE_HARBORPROD' , 	'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_MODIFIER' , 'DISTRICT_IS_HARBOR' ); 
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'NAVALINFRASTRUCTURE_HARBORPROD' , 	'YieldType' , 'YIELD_PRODUCTION');
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'NAVALINFRASTRUCTURE_HARBORPROD' , 	'Amount' , 100);

--NAVALINFRASTRUCTURE_HARBORGOLD


------------------------------
-- MODERN
------------------------------

--Levée en masse now reduces maintenance by 4 but gives -2 CS for all units as well. Vanilla reduces costs by 2, and modern era unit, infantry has a maintenance of 6, which is a reduction of 1/3. New inf maintenance is 12 per turn, so new reduction is by 4 GPT.

UPDATE ModifierArguments SET Value=4 													WHERE 	ModifierId= 'LEVEEENMASSE_UNITMAINTENANCEDISCOUNT';

INSERT INTO PolicyModifiers 	(PolicyType,ModifierId) 								VALUES 		('POLICY_LEVEE_EN_MASSE', 'POLICY_LEVEE_EN_MASSE_COMBAT_PENALTY');	

INSERT INTO Modifiers			(ModifierId , ModifierType) 							VALUES 		('POLICY_LEVEE_EN_MASSE_COMBAT_PENALTY', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_STRENGTH');		
																									
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('POLICY_LEVEE_EN_MASSE_COMBAT_PENALTY', 'Amount',		-2);
																									
INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 								VALUES 		('POLICY_LEVEE_EN_MASSE_COMBAT_PENALTY','Preview',	'LOC_MODIFIER_POLICY_LEVEE_EN_MASSE_COMBAT_PENALTY_DESCRIPTION');



--Economic Union (+100% adj bonus for comm.hubs and harbors) now gives Harbors prod adj bonuses as well
INSERT INTO 	PolicyModifiers 			(PolicyType,ModifierId) 									VALUES 		( 'POLICY_ECONOMIC_UNION',				'ECONOMICUNION_HARBORPROD');	
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'ECONOMICUNION_HARBORPROD' , 			'MODIFIER_PLAYER_DISTRICTS_ADJUST_YIELD_MODIFIER' , 'DISTRICT_IS_HARBOR' ); 
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'ECONOMICUNION_HARBORPROD' , 			'YieldType' , 'YIELD_PRODUCTION');
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'ECONOMICUNION_HARBORPROD' , 			'Amount' , 100);

-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--CITY-STATES /City states
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

--No more free envoys for first civ to meet city state (since this benefits those first to new world or just random luck to spawn closer to city-states)
UPDATE GlobalParameters SET Value = 0 WHERE Name ='INFLUENCE_TOKENS_FREE_FOR_FIRST_PLAYER_MEET';


---------------------------------
--City-states give flat +2 bonuses to Capital for every influence level
---------------------------------

--Scientific
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_SCIENTIFIC_YIELD_FOR_CAMPUS';
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_SCIENTIFIC_YIELD_FOR_CAMPUS_PAPAL_PRIMACY';

UPDATE 	ModifierArguments	SET		Value=1 															WHERE 		ModifierId = 'MINOR_CIV_SCIENTIFIC_YIELD_FOR_CAPITAL' AND Name = 'Amount' ;
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_SCIENTIFIC_YIELD_FOR_CAPITAL' 						WHERE 		Value = 'MINOR_CIV_SCIENTIFIC_YIELD_FOR_LIBRARY';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_SCIENTIFIC_YIELD_FOR_CAPITAL' 						WHERE 		Value = 'MINOR_CIV_SCIENTIFIC_YIELD_FOR_UNIVERSITY';
DELETE FROM Modifiers 																					WHERE 		ModifierId = 'MINOR_CIV_SCIENTIFIC_YIELD_FOR_CAMPUS_PAPAL_PRIMACY';
DELETE FROM ModifierArguments 																			WHERE 		ModifierId = 'MINOR_CIV_SCIENTIFIC_YIELD_FOR_CAMPUS_PAPAL_PRIMACY';		
		
--Cultural
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_CULTURAL_YIELD_FOR_THEATER_DISTRICT';		
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_CULTURAL_YIELD_FOR_THEATER_DISTRICT_PAPAL_PRIMACY';	
UPDATE 	ModifierArguments	SET		Value=1 																WHERE 		ModifierId = 'MINOR_CIV_CULTURAL_YIELD_FOR_CAPITAL' AND Name = 'Amount' ;
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_CULTURAL_YIELD_FOR_CAPITAL' 							WHERE 		Value = 'MINOR_CIV_CULTURAL_YIELD_FOR_AMPHITHEATER';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_CULTURAL_YIELD_FOR_CAPITAL' 							WHERE 		Value = 'MINOR_CIV_CULTURAL_YIELD_FOR_ART';
DELETE FROM Modifiers 																						WHERE 		ModifierId = 'MINOR_CIV_CULTURAL_YIELD_FOR_THEATER_DISTRICT_PAPAL_PRIMACY';
DELETE FROM ModifierArguments 																				WHERE 		ModifierId = 'MINOR_CIV_CULTURAL_YIELD_FOR_THEATER_DISTRICT_PAPAL_PRIMACY';
DELETE FROM TraitModifiers 																					WHERE 		ModifierId = 'MINOR_CIV_CULTURAL_LARGE_INFLUENCE_BONUS_ARTIFACT';
					
--Trade	
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_TRADE_YIELD_FOR_COMMERCIAL_HUB';	
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_TRADE_YIELD_FOR_COMMERCIAL_HUB_PAPAL_PRIMACY';	
UPDATE 	ModifierArguments	SET		Value=2 																WHERE 		ModifierId = 'MINOR_CIV_TRADE_YIELD_FOR_CAPITAL' AND Name = 'Amount' ;
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_TRADE_YIELD_FOR_CAPITAL' 								WHERE 		Value = 'MINOR_CIV_TRADE_YIELD_FOR_BANK';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_TRADE_YIELD_FOR_CAPITAL' 								WHERE 		Value = 'MINOR_CIV_TRADE_YIELD_FOR_SHIPYARD';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_TRADE_YIELD_FOR_CAPITAL' 								WHERE 		Value = 'MINOR_CIV_TRADE_YIELD_FOR_MARKET';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_TRADE_YIELD_FOR_CAPITAL' 								WHERE 		Value = 'MINOR_CIV_TRADE_YIELD_FOR_LIGHTHOUSE';
DELETE FROM Modifiers 																						WHERE 		ModifierId = 'MINOR_CIV_TRADE_YIELD_FOR_COMMERCIAL_HUB_PAPAL_PRIMACY';
DELETE FROM ModifierArguments 																				WHERE 		ModifierId = 'MINOR_CIV_TRADE_YIELD_FOR_COMMERCIAL_HUB_PAPAL_PRIMACY';
DELETE FROM TraitModifiers 																					WHERE 		ModifierId = 'MINOR_CIV_TRADE_LARGE_INFLUENCE_BONUS_SHIPYARD';
					
--Religious				
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_RELIGIOUS_YIELD_FOR_HOLY_SITE';	
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_RELIGIOUS_YIELD_FOR_HOLY_SITE_PAPAL_PRIMACY';	
UPDATE 	ModifierArguments	SET		Value=1 																WHERE 		ModifierId = 'MINOR_CIV_RELIGIOUS_YIELD_FOR_CAPITAL' AND Name = 'Amount' ;
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_RELIGIOUS_YIELD_FOR_CAPITAL' 							WHERE 		Value = 'MINOR_CIV_RELIGIOUS_YIELD_FOR_TEMPLE';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_RELIGIOUS_YIELD_FOR_CAPITAL' 							WHERE 		Value = 'MINOR_CIV_RELIGIOUS_YIELD_FOR_SHRINE';
DELETE FROM Modifiers 																						WHERE 		ModifierId = 'MINOR_CIV_RELIGIOUS_YIELD_FOR_HOLY_SITE_PAPAL_PRIMACY';
DELETE FROM ModifierArguments 																				WHERE 		ModifierId = 'MINOR_CIV_RELIGIOUS_YIELD_FOR_HOLY_SITE_PAPAL_PRIMACY';

--Militaristic				
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_MILITARISTIC_PRODUCTION_FOR_ENCAMPMENT';		
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_MILITARISTIC_PRODUCTION_FOR_ENCAMPMENT_PAPAL_PRIMACY';	
UPDATE 	ModifierArguments	SET		Value=1 																WHERE 		ModifierId = 'MINOR_CIV_MILITARISTIC_PRODUCTION_FOR_CAPITAL' AND Name = 'Amount' ;
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_MILITARISTIC_PRODUCTION_FOR_CAPITAL' 					WHERE 		Value = 'MINOR_CIV_MILITARISTIC_PRODUCTION_FOR_ARMORY';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_MILITARISTIC_PRODUCTION_FOR_CAPITAL' 					WHERE 		Value = 'MINOR_CIV_MILITARISTIC_PRODUCTION_FOR_BARRACKS_STABLE';
DELETE FROM Modifiers 																						WHERE 		ModifierId = 'MINOR_CIV_MILITARISTIC_PRODUCTION_FOR_ENCAMPMENT_PAPAL_PRIMACY';
DELETE FROM ModifierArguments																				WHERE 		ModifierId = 'MINOR_CIV_MILITARISTIC_PRODUCTION_FOR_ENCAMPMENT_PAPAL_PRIMACY';
	
	
--Industrial	
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_INDUSTRIAL_BUILDING_PRODUCTION_FOR_INDUSTRIAL_ZONE';
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_INDUSTRIAL_BUILDING_PRODUCTION_FOR_INDUSTRIAL_ZONE_PAPAL_PRIMACY';
--UPDATE Modifiers 			SET		ModifierType='MODIFIER_PLAYER_CAPITAL_CITY_ADJUST_CITY_YIELD_CHANGE'	WHERE		ModifierId = 'MINOR_CIV_INDUSTRIAL_DISTRICT_PRODUCTION_FOR_INDUSTRIAL_ZONE_PAPAL_PRIMACY';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_INDUSTRIAL_BUILDING_PRODUCTION_FOR_CAPITAL' 			WHERE 		Value = 'MINOR_CIV_INDUSTRIAL_BUILDING_PRODUCTION_FOR_WORKSHOP';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_INDUSTRIAL_DISTRICT_PRODUCTION_FOR_CAPITAL' 			WHERE 		Value = 'MINOR_CIV_INDUSTRIAL_DISTRICT_PRODUCTION_FOR_WORKSHOP';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_INDUSTRIAL_BUILDING_PRODUCTION_FOR_CAPITAL' 			WHERE 		Value = 'MINOR_CIV_INDUSTRIAL_BUILDING_PRODUCTION_FOR_FACTORY';
UPDATE 	ModifierArguments	SET		Value='MINOR_CIV_INDUSTRIAL_DISTRICT_PRODUCTION_FOR_CAPITAL' 			WHERE 		Value = 'MINOR_CIV_INDUSTRIAL_DISTRICT_PRODUCTION_FOR_FACTORY';
DELETE FROM Modifiers 																						WHERE 		ModifierId = 'MINOR_CIV_INDUSTRIAL_BUILDING_PRODUCTION_FOR_INDUSTRIAL_ZONE_PAPAL_PRIMACY';
DELETE FROM ModifierArguments 																				WHERE 		ModifierId = 'MINOR_CIV_INDUSTRIAL_DISTRICT_PRODUCTION_FOR_INDUSTRIAL_ZONE_PAPAL_PRIMACY';
DELETE FROM Modifiers																						WHERE 		ModifierId = 'MINOR_CIV_INDUSTRIAL_LARGE_INFLUENCE_BONUS_PAPAL_PRIMACY_DISTRICT';
DELETE FROM ModifierArguments 																				WHERE 		ModifierId = 'MINOR_CIV_INDUSTRIAL_LARGE_INFLUENCE_BONUS_PAPAL_PRIMACY_DISTRICT';
DELETE FROM TraitModifiers 																					WHERE 		ModifierId = 'MINOR_CIV_INDUSTRIAL_LARGE_INFLUENCE_BONUS_PAPAL_PRIMACY_DISTRICT';


-------------------------------------------------------------------------------------------------------------------
--Suzerain bonuses:
-------------------------------------------------------------------------------------------------------------------

--Akkad gives new +5 CS bonus vs districts in melee, after researching Steel (due to new changes with 2.8):
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		( 'MINOR_CIV_AKKAD_TRAIT' , 				'MINOR_CIV_AKKAD_UNIQUE_INFLUENCE_STEEL_TECH_BONUS' );

INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		('MINOR_CIV_AKKAD_UNIQUE_INFLUENCE_STEEL_TECH_BONUS',	'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER',				'REQSET_AKKAD_SUZERAIN_AND_STEEL'),
																									('MINOR_CIV_AKKAD_STEEL_CITY_ATTACK_BONUS',				'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_STRENGTH',		'REQSET_MELEE_DISTRICT_ATTACK');		
																									
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('MINOR_CIV_AKKAD_UNIQUE_INFLUENCE_STEEL_TECH_BONUS',	'ModifierId',	'MINOR_CIV_AKKAD_STEEL_CITY_ATTACK_BONUS'), 
																									('MINOR_CIV_AKKAD_STEEL_CITY_ATTACK_BONUS',				'Amount',		5);
																									
INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 								VALUES 		('MINOR_CIV_AKKAD_STEEL_CITY_ATTACK_BONUS','Preview',	'LOC_MODIFIER_MINOR_CIV_AKKAD_STEEL_CITY_ATTACK_BONUS_DESCRIPTION');
																									
-------------------------------------------------------------------------------------------------------------------
--Units' building prerequisites
-------------------------------------------------------------------------------------------------------------------

INSERT INTO Types (Type, Kind)	VALUES	('BUILDING_MILITARY_CENTER', 'KIND_BUILDING');
		
INSERT INTO Types (Type,Kind) VALUES ('TRAIT_MILITARY_CENTER','KIND_TRAIT');

INSERT INTO Traits (TraitType, Name, Description, InternalOnly) VALUES ('TRAIT_MILITARY_CENTER','LOC_TRAIT_MILITARY_CENTER_NAME','LOC_TRAIT_MILITARY_CENTER_DESCRIPTION',0); --'LOC_TRAIT_MILITARY_CENTER_NAME', 'LOC_TRAIT_MILITARY_CENTER_DESCRIPTION'


INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_BRUSSELS',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_BUENOS_AIRES',	'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_GENEVA',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_HATTUSA',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_HONG_KONG',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_JAKARTA',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_KABUL',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_KANDY',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_KUMASI',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_LA_VENTA',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_LISBON',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_MOHENJO_DARO',	'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_NAN_MADOL',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_VALLETTA',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_YEREVAN',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_ZANZIBAR',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_ANTIOCH',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_BABYLON',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_CARTHAGE',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_JERUSALEM',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_PRESLAV',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_STOCKHOLM',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_VILNIUS',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_AKKAD',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_BOLOGNA',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_CAHOKIA',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_CARDIFF',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_FEZ',				'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_MEXICO_CITY',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_NAZCA',			'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_NGAZARGAMU',		'TRAIT_MILITARY_CENTER');
INSERT INTO LeaderTraits (LeaderType,TraitType) VALUES ('LEADER_MINOR_CIV_RAPA_NUI',		'TRAIT_MILITARY_CENTER');

--Vikings DLC
INSERT INTO LeaderTraits (LeaderType,TraitType) SELECT 'LEADER_MINOR_CIV_AUCKLAND',			'TRAIT_MILITARY_CENTER' WHERE EXISTS (SELECT 1 FROM Leaders WHERE LeaderType = 'LEADER_MINOR_CIV_AUCKLAND');
INSERT INTO LeaderTraits (LeaderType,TraitType) SELECT 'LEADER_MINOR_CIV_ANTANANARIVO',		'TRAIT_MILITARY_CENTER' WHERE EXISTS (SELECT 1 FROM Leaders WHERE LeaderType = 'LEADER_MINOR_CIV_ANTANANARIVO');
INSERT INTO LeaderTraits (LeaderType,TraitType) SELECT 'LEADER_MINOR_CIV_ARMAGH',			'TRAIT_MILITARY_CENTER' WHERE EXISTS (SELECT 1 FROM Leaders WHERE LeaderType = 'LEADER_MINOR_CIV_ARMAGH');
INSERT INTO LeaderTraits (LeaderType,TraitType) SELECT 'LEADER_MINOR_CIV_GRANADA',			'TRAIT_MILITARY_CENTER' WHERE EXISTS (SELECT 1 FROM Leaders WHERE LeaderType = 'LEADER_MINOR_CIV_GRANADA');
INSERT INTO LeaderTraits (LeaderType,TraitType) SELECT 'LEADER_MINOR_CIV_MUSCAT',			'TRAIT_MILITARY_CENTER' WHERE EXISTS (SELECT 1 FROM Leaders WHERE LeaderType = 'LEADER_MINOR_CIV_MUSCAT');
INSERT INTO LeaderTraits (LeaderType,TraitType) SELECT 'LEADER_MINOR_CIV_PALENQUE',			'TRAIT_MILITARY_CENTER' WHERE EXISTS (SELECT 1 FROM Leaders WHERE LeaderType = 'LEADER_MINOR_CIV_PALENQUE');

INSERT INTO Buildings	(BuildingType,					Name,									Description,									Cost,			PrereqDistrict,				InternalOnly,	AdvisorType, 			MaxPlayerInstances,		TraitType)					
VALUES
						('BUILDING_MILITARY_CENTER',	'LOC_BUILDING_MILITARY_CENTER_NAME',	'LOC_BUILDING_MILITARY_CENTER_DESCRIPTION',		1,				'DISTRICT_CITY_CENTER',		0,				'ADVISOR_CONQUEST',		1, 						'TRAIT_MILITARY_CENTER');


--INSERT INTO AiListTypes	(ListType) VALUES ('BuildMilitaryCenter');
--INSERT INTO AiLists (ListType,LeaderType,AgendaType,System) VALUES ('BuildMilitaryCenter','LEADER_MINOR_CIV_DEFAULT',NULL,'Buildings');
--INSERT INTO AiFavoredItems (ListType,Item,Favored,[Value]) VALUES ('BuildMilitaryCenter','BUILDING_MILITARY_CENTER',1,100);
						

--INSERT INTO BuildingModifiers (BuildingType,ModifierId) VALUES ('BUILDING_MILITARY_CENTER','MILITARYCENTER_BUILT');
--INSERT INTO Modifiers (ModifierId, ModifierType, RunOnce, Permanent) VALUES ('MILITARYCENTER_BUILT','MODIFIER_BUILDING_YIELD_CHANGE',1,1);
--INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('MILITARYCENTER_BUILT','BuildingType','BUILDING_MILITARY_CENTER');
--INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('MILITARYCENTER_BUILT','YieldType','YIELD_GOLD');
--INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('MILITARYCENTER_BUILT','Amount',0);

----				
INSERT INTO Building_YieldChanges (BuildingType,YieldType,YieldChange) VALUES ('BUILDING_MILITARY_CENTER','YIELD_GOLD',2);
INSERT INTO Building_YieldChanges (BuildingType,YieldType,YieldChange) VALUES ('BUILDING_MILITARY_CENTER','YIELD_SCIENCE',1);
INSERT INTO Building_YieldChanges (BuildingType,YieldType,YieldChange) VALUES ('BUILDING_MILITARY_CENTER','YIELD_CULTURE',1);
INSERT INTO Building_YieldChanges (BuildingType,YieldType,YieldChange) VALUES ('BUILDING_MILITARY_CENTER','YIELD_FAITH',1);
INSERT INTO Building_YieldChanges (BuildingType,YieldType,YieldChange) VALUES ('BUILDING_MILITARY_CENTER','YIELD_FOOD',1);

	--	('BUILDING_MILITARY_CENTER_2', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_3', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_4', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_5', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_6', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_7', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_8', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_9', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER0', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER1', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER2', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER3', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER4', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER5', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER6', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER7', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER8', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER9', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_20', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_21', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_22', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_23', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_24', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_25', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_26', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_27', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_28', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_29', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_30', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_31', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_32', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_33', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_34', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_35', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_36', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_37', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_38', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_39', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_40', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_41', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_42', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_43', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_44', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_45', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_46', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_47', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_48', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_49', 'KIND_BUILDING'),
	--	('BUILDING_MILITARY_CENTER_50', 'KIND_BUILDING');

--MaxPlayerInstances,

--TraitType,
--

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

--Classical

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SWORDSMAN' , 				'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SWORDSMAN' , 				'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SWORDSMAN' , 				'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SWORDSMAN' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ROMAN_LEGION' , 			'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ROMAN_LEGION' , 			'BUILDING_STABLE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KONGO_SHIELD_BEARER' , 		'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KONGO_SHIELD_BEARER' , 		'BUILDING_STABLE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_INDIAN_VARU' , 				'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_INDIAN_VARU' , 				'BUILDING_STABLE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MAORI_TOA' , 				'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MAORI_TOA' , 				'BUILDING_STABLE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CATAPULT' , 				'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CATAPULT' , 				'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CATAPULT' , 				'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CATAPULT' , 				'BUILDING_WORKSHOP' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SIEGE_TOWER' , 				'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SIEGE_TOWER' , 				'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SIEGE_TOWER' , 				'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SIEGE_TOWER' , 				'BUILDING_WORKSHOP' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HORSEMAN' , 				'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HORSEMAN' , 				'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HORSEMAN' , 				'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HORSEMAN' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SCYTHIAN_HORSE_ARCHER' , 	'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SCYTHIAN_HORSE_ARCHER' , 	'BUILDING_STABLE' );

--Medieval

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_COURSER' , 					'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_COURSER' , 					'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_COURSER' , 					'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_COURSER' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CROSSBOWMAN' , 				'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CROSSBOWMAN' , 				'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CROSSBOWMAN' , 				'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CROSSBOWMAN' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_PIKEMAN' , 					'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_PIKEMAN' , 					'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_PIKEMAN' , 					'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_PIKEMAN' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SKIRMISHER' , 				'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SKIRMISHER' , 				'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SKIRMISHER' , 				'BUILDING_ORDU' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ZULU_IMPI' , 				'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ZULU_IMPI' , 				'BUILDING_STABLE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JAPANESE_SAMURAI' , 		'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JAPANESE_SAMURAI' , 		'BUILDING_STABLE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_NORWEGIAN_BERSERKER' , 		'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_NORWEGIAN_BERSERKER' , 		'BUILDING_STABLE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_GEORGIAN_KHEVSURETI' , 		'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_GEORGIAN_KHEVSURETI' , 		'BUILDING_STABLE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MONGOLIAN_KESHIG' , 		'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MONGOLIAN_KESHIG' , 		'BUILDING_ORDU' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HUNGARY_BLACK_ARMY' , 		'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HUNGARY_BLACK_ARMY' , 		'BUILDING_STABLE' );



INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KNIGHT' , 					'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KNIGHT' , 					'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KNIGHT' , 					'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KNIGHT' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ARABIAN_MAMLUK' , 			'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ARABIAN_MAMLUK' , 			'BUILDING_STABLE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MALI_MANDEKALU_CAVALRY' , 	'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MALI_MANDEKALU_CAVALRY' , 	'BUILDING_STABLE' );


INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CHINESE_CROUCHING_TIGER' , 	'BUILDING_WORKSHOP' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CHINESE_CROUCHING_TIGER' , 	'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CHINESE_CROUCHING_TIGER' , 	'BUILDING_STABLE' );

--Renaissance
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CARAVEL' , 					'BUILDING_MILITARY_CENTER' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CARAVEL' , 					'BUILDING_LIGHTHOUSE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FRIGATE' , 					'BUILDING_MILITARY_CENTER' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FRIGATE' , 					'BUILDING_SHIPYARD' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_PRIVATEER' , 				'BUILDING_MILITARY_CENTER' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_PRIVATEER' , 				'BUILDING_LIGHTHOUSE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		SELECT 		'UNIT_ENGLISH_SEADOG', 'BUILDING_LIGHTHOUSE' WHERE EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DE_ZEVEN_PROVINCIEN' , 		'BUILDING_SHIPYARD' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_OTTOMAN_BARBARY_CORSAIR' , 	'BUILDING_LIGHTHOUSE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SULEIMAN_JANISSARY' , 		'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SPANISH_CONQUISTADOR' , 	'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KOREAN_HWACHA' , 			'BUILDING_ARMORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_KOREAN_HWACHA' , 			'BUILDING_WORKSHOP' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SWEDEN_CAROLEAN' , 			'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MAPUCHE_MALON_RAIDER' , 	'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ENGLISH_REDCOAT' , 			'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FRENCH_GARDE_IMPERIALE' , 	'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_PIKE_AND_SHOT' , 			'BUILDING_ARMORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_PIKE_AND_SHOT' , 			'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MUSKETMAN' , 				'BUILDING_ARMORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MUSKETMAN' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BOMBARD' , 					'BUILDING_ARMORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BOMBARD' , 					'BUILDING_WORKSHOP' );




--Industrial


INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SCOTTISH_HIGHLANDER' , 		'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HUNGARY_HUSZAR' , 			'BUILDING_ARMORY' );
		
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_RUSSIAN_COSSACK' , 			'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AMERICAN_ROUGH_RIDER' , 	'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MEDIC' , 					'BUILDING_UNIVERSITY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MEDIC' , 					'BUILDING_MADRASA' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MEDIC' , 					'BUILDING_MILITARY_ACADEMY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MEDIC' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FIELD_CANNON' , 			'BUILDING_ARMORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FIELD_CANNON' , 			'BUILDING_WORKSHOP' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FIELD_CANNON' , 			'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CAVALRY' , 					'BUILDING_ARMORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CAVALRY' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CUIRASSIER' , 				'BUILDING_ARMORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CUIRASSIER' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_RANGER' , 					'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_CANADA_MOUNTIE' , 			'BUILDING_ARMORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_IRONCLAD' , 				'BUILDING_SHIPYARD' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_IRONCLAD' , 				'BUILDING_MILITARY_CENTER' );


--Modern Era


INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_INFANTRY' , 				'BUILDING_MILITARY_ACADEMY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_INFANTRY' , 				'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_INFANTRY' , 				'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_INFANTRY' , 				'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_INFANTRY' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MACHINE_GUN' , 				'BUILDING_MILITARY_ACADEMY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MACHINE_GUN' , 				'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MACHINE_GUN' , 				'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MACHINE_GUN' , 				'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MACHINE_GUN' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ARTILLERY' , 				'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ARTILLERY' , 				'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ARTILLERY' , 				'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ARTILLERY' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_OBSERVATION_BALLOON' , 		'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_OBSERVATION_BALLOON' , 		'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_OBSERVATION_BALLOON' , 		'BUILDING_HANGAR' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_OBSERVATION_BALLOON' , 		'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_OBSERVATION_BALLOON' , 		'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SUPPLY_CONVOY' , 			'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SUPPLY_CONVOY' , 			'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SUPPLY_CONVOY' , 			'BUILDING_GOV_MILITARY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BIPLANE' , 					'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BIPLANE' , 					'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BIPLANE' , 					'BUILDING_HANGAR' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BIPLANE' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BIPLANE' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BATTLESHIP' , 				'BUILDING_SEAPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BATTLESHIP' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BRAZILIAN_MINAS_GERAES' , 	'BUILDING_SEAPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SUBMARINE' , 				'BUILDING_SEAPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_GERMAN_UBOAT' , 			'BUILDING_SEAPORT' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ARCHAEOLOGIST' , 			'BUILDING_GOV_CULTURE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ARCHAEOLOGIST' , 			'BUILDING_GOV_SCIENCE' );


--Atomic


INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SPEC_OPS' , 				'BUILDING_MILITARY_ACADEMY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_SPEC_OPS' , 				'BUILDING_GOV_MILITARY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FIGHTER' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FIGHTER' , 					'BUILDING_AIRPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FIGHTER' , 					'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FIGHTER' , 					'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_FIGHTER' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BOMBER' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BOMBER' , 					'BUILDING_AIRPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BOMBER' , 					'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BOMBER' , 					'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_BOMBER' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AMERICAN_P51' , 			'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AMERICAN_P51' , 			'BUILDING_AIRPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AMERICAN_P51' , 			'BUILDING_FACTORY' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ANTIAIR_GUN' , 				'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ANTIAIR_GUN' , 				'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ANTIAIR_GUN' , 				'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ANTIAIR_GUN' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_TANK' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_TANK' , 					'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_TANK' , 					'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_TANK' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AT_CREW' , 					'BUILDING_MILITARY_ACADEMY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AT_CREW' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AT_CREW' , 					'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AT_CREW' , 					'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AT_CREW' , 					'BUILDING_MILITARY_CENTER' );


INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ROCK_BAND' , 				'BUILDING_BROADCAST_CENTER' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ROCK_BAND' , 				'BUILDING_FILM_STUDIO' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ROCK_BAND' , 				'BUILDING_SYDNEY_OPERA_HOUSE' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_AIRCRAFT_CARRIER' , 		'BUILDING_SEAPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DESTROYER' , 				'BUILDING_SEAPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DESTROYER' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HELICOPTER' , 				'BUILDING_AIRPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HELICOPTER' , 				'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HELICOPTER' , 				'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HELICOPTER' , 				'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_HELICOPTER' , 				'BUILDING_MILITARY_CENTER' );

--Information

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DRONE' , 						'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DRONE' , 						'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DRONE' , 						'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DRONE' , 						'BUILDING_AIRPORT' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MODERN_AT' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MODERN_AT' , 					'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MODERN_AT' , 					'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MODERN_AT' , 					'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MOBILE_SAM' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MOBILE_SAM' , 					'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MOBILE_SAM' , 					'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MOBILE_SAM' , 					'BUILDING_MILITARY_CENTER' );



INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MECHANIZED_INFANTRY' , 			'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MECHANIZED_INFANTRY' , 			'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MECHANIZED_INFANTRY' , 			'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MECHANIZED_INFANTRY' , 			'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ROCKET_ARTILLERY' , 			'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ROCKET_ARTILLERY' , 			'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ROCKET_ARTILLERY' , 			'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_ROCKET_ARTILLERY' , 			'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MODERN_ARMOR' , 				'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MODERN_ARMOR' , 				'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MODERN_ARMOR' , 				'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MODERN_ARMOR' , 				'BUILDING_MILITARY_CENTER' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JET_FIGHTER' , 					'BUILDING_AIRPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JET_FIGHTER' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JET_FIGHTER' , 					'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JET_FIGHTER' , 					'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JET_FIGHTER' , 					'BUILDING_MILITARY_CENTER' );
	
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JET_BOMBER' , 					'BUILDING_AIRPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JET_BOMBER' , 					'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JET_BOMBER' , 					'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_JET_BOMBER' , 					'BUILDING_ELECTRONICS_FACTORY' );
	
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_NUCLEAR_SUBMARINE' , 			'BUILDING_SEAPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MISSILE_CRUISER' , 				'BUILDING_SEAPORT' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MISSILE_CRUISER' , 				'BUILDING_MILITARY_CENTER' );
--INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_MISSILE_CRUISER' , 				'BUILDING_MILITARY_CENTER_2' );

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_GIANT_DEATH_ROBOT' , 			'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_GIANT_DEATH_ROBOT' , 			'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_GIANT_DEATH_ROBOT' , 			'BUILDING_ELECTRONICS_FACTORY' );

--UPDATE Units SET PrereqDistrict = 'DISTRICT_INDUSTRIAL_ZONE' WHERE UnitType = 'UNIT_GIANT_DEATH_ROBOT';


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-- Nerfing Cities' Ranged Strikes based on which ranged unit you've built
-------------------------------------------------------------------------------------------------------------------

INSERT INTO Types 	([Type], Kind) 													VALUES 		( 'MODIFIER_PLAYER_CAPITAL_CITY_ATTACH_MODIFIER' , 'KIND_MODIFIER');
INSERT INTO DynamicModifiers 	(ModifierType , CollectionType , EffectType) 		VALUES 		( 'MODIFIER_PLAYER_CAPITAL_CITY_ATTACH_MODIFIER' , 'COLLECTION_PLAYER_CAPITAL_CITY' , 'EFFECT_ATTACH_MODIFIER');

---------------------
--Slingers

--INSERT INTO 	Tags 	(Tag , Vocabulary) 				VALUES 		( 'CLASS_SLINGER_WALLS' , 		'ABILITY_CLASS' );
--INSERT INTO 	Types 	([Type] , Kind) 				VALUES 		( 'ABILITY_SLINGER_WALLS' , 		'KIND_ABILITY' );
--
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'ABILITY_SLINGER_WALLS' , 		'CLASS_SLINGER_WALLS' );
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'UNIT_SLINGER' , 				'CLASS_SLINGER_WALLS' );
--
--INSERT INTO 	UnitAbilities 				(UnitAbilityType) 						VALUES 		( 'ABILITY_SLINGER_WALLS' );		
--
--INSERT INTO 	UnitAbilityModifiers 		(UnitAbilityType , ModifierId) 								VALUES 		( 'ABILITY_SLINGER_WALLS' , 'NERF_RANGED_STRIKE_SLINGER' );
--
--
--INSERT INTO Modifiers 		(	ModifierId, 									ModifierType, 											RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId, 	NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_SLINGER' , 					'MODIFIER_PLAYER_CAPITAL_CITY_ATTACH_MODIFIER',			1,			1,			NULL,					NULL, 						0 , 		NULL , 					1);
-- 
--INSERT INTO Modifiers 		(	ModifierId, 									ModifierType, 									RunOnce, 	Permanent, 	OwnerRequirementSetId, 						SubjectRequirementSetId, 	NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_SLINGER_CITY_MODIFIER' , 	'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE', 	0,			1,			'REQSET_PLAYER_NOT_YET_MEDIEVAL_ERA', 		NULL, 						0 , 		NULL , 					1);
--
--
--INSERT INTO ModifierArguments		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_SLINGER' , 					'ModifierId' , 	'NERF_RANGED_STRIKE_SLINGER_CITY_MODIFIER' ); 
--
--INSERT INTO ModifierArguments 		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_SLINGER_CITY_MODIFIER' , 	'Amount' , 		-2 ); 

------------------------
----Archers
--
--INSERT INTO 	Tags 	(Tag , Vocabulary) 				VALUES 		( 'CLASS_ARCHER_WALLS' , 		'ABILITY_CLASS' );
--INSERT INTO 	Types 	([Type] , Kind) 				VALUES 		( 'ABILITY_ARCHER_WALLS' , 		'KIND_ABILITY' );
--
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'ABILITY_ARCHER_WALLS' , 		'CLASS_ARCHER_WALLS' );
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'UNIT_ARCHER' , 				'CLASS_ARCHER_WALLS' );
--
--INSERT INTO 	UnitAbilities 				(UnitAbilityType) 						VALUES 		( 'ABILITY_ARCHER_WALLS' );		
--
--INSERT INTO 	UnitAbilityModifiers 		(UnitAbilityType , ModifierId) 			VALUES 		( 'ABILITY_ARCHER_WALLS' , 'NERF_RANGED_STRIKE_ARCHER' );
--
--
--INSERT INTO Modifiers 		(	ModifierId, 									ModifierType, 											RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId, 	NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_ARCHER' , 					'MODIFIER_PLAYER_CAPITAL_CITY_ATTACH_MODIFIER',			1,			1,			NULL,					NULL, 						0 , 		NULL , 					1);
--
--INSERT INTO Modifiers 		(	ModifierId, 									ModifierType, 									RunOnce, 	Permanent, 	OwnerRequirementSetId, 							SubjectRequirementSetId, 				NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_ARCHER_CITY_MODIFIER' , 	'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE', 	0,			1,			'REQSET_PLAYER_NOT_YET_INDUSTRIAL_ERA', 		'REQSET_CITY_HAS_WALLS', 		0 , 		NULL , 					1);
--
--
--INSERT INTO ModifierArguments		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_ARCHER' , 					'ModifierId' , 	'NERF_RANGED_STRIKE_ARCHER_CITY_MODIFIER' ); 
-- 
--INSERT INTO ModifierArguments 		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_ARCHER_CITY_MODIFIER' , 	'Amount' , 		-5 ); 
--
--INSERT INTO ModifierStrings		(ModifierId,Context,Text)										VALUES		('NERF_RANGED_STRIKE_ARCHER_CITY_MODIFIER',	'Preview',	'LOC_MODIFIER_NERF_RANGED_STRIKE_ARCHER_CITY_DESCRIPTION');
--
------------------------
----Crossbowman --in 2.7.3. penalty applied only until atomic era. Now penalty no longer applies in the industrial era.
--
--INSERT INTO 	Tags 	(Tag , Vocabulary) 				VALUES 		( 'CLASS_CROSSBOWMAN_WALLS' , 		'ABILITY_CLASS' );
--INSERT INTO 	Types 	([Type] , Kind) 				VALUES 		( 'ABILITY_CROSSBOWMAN_WALLS' , 		'KIND_ABILITY' );
--
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'ABILITY_CROSSBOWMAN_WALLS' , 		'CLASS_CROSSBOWMAN_WALLS' );
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'UNIT_CROSSBOWMAN' , 				'CLASS_CROSSBOWMAN_WALLS' );
--
--INSERT INTO 	UnitAbilities 				(UnitAbilityType) 						VALUES 		( 'ABILITY_CROSSBOWMAN_WALLS' );		
--
--INSERT INTO 	UnitAbilityModifiers 		(UnitAbilityType , ModifierId) 								VALUES 		( 'ABILITY_CROSSBOWMAN_WALLS' , 'NERF_RANGED_STRIKE_CROSSBOWMAN' );
--
--
--INSERT INTO Modifiers 		(	ModifierId, 										ModifierType, 									RunOnce, 	Permanent, 	OwnerRequirementSetId, 						SubjectRequirementSetId, 	NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_CROSSBOWMAN' , 					'MODIFIER_PLAYER_CAPITAL_CITY_ATTACH_MODIFIER',	1,			1,			NULL,										NULL, 						0 , 		NULL , 					1);
--
--INSERT INTO Modifiers 		(	ModifierId, 										ModifierType, 									RunOnce, 	Permanent, 	OwnerRequirementSetId, 						SubjectRequirementSetId, 	NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_CROSSBOWMAN_CITY_MODIFIER' , 	'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE', 	0,			1,			'REQSET_PLAYER_NOT_YET_INDUSTRIAL_ERA', 	'REQSET_CITY_HAS_WALLS', 	0 , 		NULL , 					1);
--
--
--
--INSERT INTO ModifierArguments		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_CROSSBOWMAN' , 					'ModifierId' , 	'NERF_RANGED_STRIKE_CROSSBOWMAN_CITY_MODIFIER' ); 
-- 
--INSERT INTO ModifierArguments 		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_CROSSBOWMAN_CITY_MODIFIER' , 	'Amount' , 		-5 ); 
--
--INSERT INTO ModifierStrings		(ModifierId,Context,Text)										VALUES		('NERF_RANGED_STRIKE_CROSSBOWMAN_CITY_MODIFIER',	'Preview',	'LOC_MODIFIER_NERF_RANGED_STRIKE_CROSSBOWMAN_CITY_DESCRIPTION');


--BELOW RANGED UNITS CODE REMOVED IN 2.8 SINCE THESE UNITS ARE NO LONGER CLASS_RANGED AND WILL THEREFORE NOT AFFECT RANGED STRENGTH ANYHOW
------------------------
----Field Cannon
--
--INSERT INTO 	Tags 	(Tag , Vocabulary) 				VALUES 		( 'CLASS_FIELD_CANNON_WALLS' , 			'ABILITY_CLASS' );
--INSERT INTO 	Types 	([Type] , Kind) 				VALUES 		( 'ABILITY_FIELD_CANNON_WALLS' , 		'KIND_ABILITY' );
--
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'ABILITY_FIELD_CANNON_WALLS' , 		'CLASS_FIELD_CANNON_WALLS' );
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'UNIT_FIELD_CANNON' , 				'CLASS_FIELD_CANNON_WALLS' );
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'UNIT_KOREAN_HWACHA' , 				'CLASS_FIELD_CANNON_WALLS' );
--
--INSERT INTO 	UnitAbilities 				(UnitAbilityType) 						VALUES 		( 'ABILITY_FIELD_CANNON_WALLS' );		
--
--INSERT INTO 	UnitAbilityModifiers 		(UnitAbilityType , ModifierId) 								VALUES 		( 'ABILITY_FIELD_CANNON_WALLS' , 'NERF_RANGED_STRIKE_FIELD_CANNON' );
--
--
--INSERT INTO Modifiers 		(	ModifierId, 									ModifierType, 											RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId, 	NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_FIELD_CANNON' , 					'MODIFIER_PLAYER_CAPITAL_CITY_ATTACH_MODIFIER',			1,			1,			NULL,					NULL, 						0 , 		NULL , 					1);
--
--INSERT INTO Modifiers 		(	ModifierId, 									ModifierType, 									RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId, 	NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_FIELD_CANNON_CITY_MODIFIER' , 	'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE', 	0,			1,			NULL, 					NULL, 						0 , 		NULL , 					1);
--
--
--INSERT INTO ModifierArguments		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_FIELD_CANNON' , 					'ModifierId' , 	'NERF_RANGED_STRIKE_FIELD_CANNON_CITY_MODIFIER' ); 
-- 
--INSERT INTO ModifierArguments 		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_FIELD_CANNON_CITY_MODIFIER' , 	'Amount' , 		-9 ); 
--
------------------------
----Machine Gun
--
--INSERT INTO 	Tags 	(Tag , Vocabulary) 				VALUES 		( 'CLASS_MACHINE_GUN_WALLS' , 		'ABILITY_CLASS' );
--INSERT INTO 	Types 	([Type] , Kind) 				VALUES 		( 'ABILITY_MACHINE_GUN_WALLS' , 		'KIND_ABILITY' );
--
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'ABILITY_MACHINE_GUN_WALLS' , 		'CLASS_MACHINE_GUN_WALLS' );
--INSERT INTO 	TypeTags ([Type] , Tag) 				VALUES 		( 'UNIT_MACHINE_GUN' , 				'CLASS_MACHINE_GUN_WALLS' );
--
--INSERT INTO 	UnitAbilities 				(UnitAbilityType) 						VALUES 		( 'ABILITY_MACHINE_GUN_WALLS' );		
--
--INSERT INTO 	UnitAbilityModifiers 		(UnitAbilityType , ModifierId) 								VALUES 		( 'ABILITY_MACHINE_GUN_WALLS' , 'NERF_RANGED_STRIKE_MACHINE_GUN' );
--
--
--INSERT INTO Modifiers 		(	ModifierId, 									ModifierType, 											RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId, 	NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_MACHINE_GUN' , 					'MODIFIER_PLAYER_CAPITAL_CITY_ATTACH_MODIFIER',			1,			1,			NULL,					NULL, 						0 , 		NULL , 					1);
--
--INSERT INTO Modifiers 		(	ModifierId, 									ModifierType, 									RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId, 	NewOnly, 	SubjectStackLimit , 	OwnerStackLimit)	 	
--VALUES 						( 	'NERF_RANGED_STRIKE_MACHINE_GUN_CITY_MODIFIER' , 	'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE', 	0,			1,			NULL, 					NULL, 						0 , 		NULL , 					1);
--
--
--INSERT INTO ModifierArguments		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_MACHINE_GUN' , 					'ModifierId' , 	'NERF_RANGED_STRIKE_MACHINE_GUN_CITY_MODIFIER' ); 
-- 
--INSERT INTO ModifierArguments 		(	ModifierId , 									Name , 			[Value]) 																														
--VALUES 								( 	'NERF_RANGED_STRIKE_MACHINE_GUN_CITY_MODIFIER' , 	'Amount' , 		-6 ); 
--
-------------------------------------


--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_NOT_YET_CLASSICAL_ERA',		'REQUIREMENTSET_TEST_ANY');
INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_NOT_YET_MEDIEVAL_ERA',		'REQUIREMENTSET_TEST_ANY');
INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_NOT_YET_MEDIEVAL_ERA',		'REQ_PLAYER_NOT_YET_MEDIEVAL_ERA');

INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_NOT_YET_INDUSTRIAL_ERA',	'REQUIREMENTSET_TEST_ANY');
INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_NOT_YET_INDUSTRIAL_ERA',	'REQ_PLAYER_NOT_YET_INDUSTRIAL_ERA');

INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_NOT_YET_ATOMIC_ERA',		'REQUIREMENTSET_TEST_ANY');
INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_NOT_YET_ATOMIC_ERA',		'REQ_PLAYER_NOT_YET_ATOMIC_ERA');

--Remove bonuses to CS and ranged strike from districts (in 2.7.3.).

--In 2.8, districts give +1 CS to cities defending and/or ranged strikes.
UPDATE  Districts SET CityStrengthModifier = 1 WHERE CityStrengthModifier = 2;

--Reduce range of encampments to 1
--UPDATE  Districts_XP2 SET AttackRange = 1 WHERE DistrictType = 'DISTRICT_ENCAMPMENT' OR DistrictType = 'DISTRICT_IKANDA';

--ModifierType
--MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE
--MODIFIER_PLAYER_CITIES_ADJUST_OUTER_DEFENSE


--UPDATE GlobalParameters SET Value=50 					WHERE 	Name= 'COMBAT_CITY_RANGED_DAMAGE_THRESHOLD'; --was 50
UPDATE GlobalParameters SET Value=50 					WHERE 	Name= 'COMBAT_HEAL_CITY_GARRISON'; --was 20, 10 in 2.7.3
UPDATE GlobalParameters SET Value=0 					WHERE 	Name= 'COMBAT_MINIMUM_CITY_STRIKE_STRENGTH'; --was 3
--UPDATE GlobalParameters SET Value=1 					WHERE 	Name= 'COMBAT_POPULATION_PER_STRENGTH'; -- Default = 2 (enabled in 1.8). I believe having this one at 1 stopped the City Center from being able to do ranged strikes.



---------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--Defensive and flanking bonuses
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------
UPDATE GlobalParameters SET Value = 3 				WHERE 	Name= 'COMBAT_FLANKING_BONUS_MODIFIER'; 		-- Default 2, was 4 in 2.7.3
--UPDATE GlobalParameters SET Value = 4 				WHERE 	Name= 'COMBAT_SUPPORT_BONUS_MODIFIER'; 			-- Default 2



---------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-- TCS_FreeWalls_CityStates
-- Author: thecrazyscotsman
-- DateCreated: 9/8/2017 10:26:18 AM
-- Modded to give city states free gold as well (previously also resources)
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------

--=====
--TYPES
--=====
INSERT INTO Types (Type, Kind)
	VALUES
		('TCS_MINOR_CIV_GRANT_WALLS_IN_CITY_IGNORE', 'KIND_MODIFIER'),
		('AREX_MINOR_CIV_GRANT_MILITARY_CENTER', 'KIND_MODIFIER');
		

--=================
--BUILDINGS
--=================


--=================
--DYNAMIC MODIFIERS
--=================		
INSERT INTO DynamicModifiers (ModifierType, CollectionType, EffectType)
	VALUES
		('TCS_MINOR_CIV_GRANT_WALLS_IN_CITY_IGNORE', 'COLLECTION_PLAYER_CITIES', 'EFFECT_GRANT_BUILDING_IN_CITY_IGNORE'),
		('AREX_MINOR_CIV_GRANT_MILITARY_CENTER', 'COLLECTION_PLAYER_CITIES', 'EFFECT_GRANT_BUILDING_IN_CITY_IGNORE');
	
--===============
--TRAIT MODIFIERS
--===============
INSERT INTO TraitModifiers (TraitType, ModifierId)
	VALUES
		('MINOR_CIV_DEFAULT_TRAIT', 'TCS_MINOR_CIV_FREE_CLASSICAL_WALLS'),
		('MINOR_CIV_DEFAULT_TRAIT', 'TCS_MINOR_CIV_FREE_MEDIEVAL_WALLS'),
		('MINOR_CIV_DEFAULT_TRAIT', 'TCS_MINOR_CIV_FREE_RENAISSANCE_WALLS'),
		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_MILITARY_CENTER'),
--		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_IRON'),
--		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_NITER'),
--		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_COAL'),
--		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_OIL'),
--		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_GOLD_ANCIENT'),
		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_GOLD_CLASSICAL'),
		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_GOLD_MEDIEVAL'),
		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_GOLD_RENAISSANCE'),
		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_GOLD_INDUSTRIAL'),
		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_GOLD_MODERN'),
		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_GOLD_ATOMIC'),
		('AREX_TRAIT_MINOR_CIV', 	'MINOR_CIV_FREE_GOLD_INFORMATION');


--DELETE FROM TraitModifiers WHERE ModifierId='MINOR_CIV_PRODUCTION_PENALTY';
	
--=========
--MODIFIERS
--=========
INSERT INTO Modifiers (ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	
	VALUES
		('TCS_MINOR_CIV_FREE_CLASSICAL_WALLS', 		'TCS_MINOR_CIV_GRANT_WALLS_IN_CITY_IGNORE',							0, 0,	'MINOR_CIV_IN_CLASSICAL_ERA', 				NULL),
		('TCS_MINOR_CIV_FREE_MEDIEVAL_WALLS', 		'TCS_MINOR_CIV_GRANT_WALLS_IN_CITY_IGNORE',							0, 0,	'TCS_MINOR_CIV_IN_MEDIEVAL_ERA', 			NULL),
		('TCS_MINOR_CIV_FREE_RENAISSANCE_WALLS', 	'TCS_MINOR_CIV_GRANT_WALLS_IN_CITY_IGNORE',							0, 0,	'TCS_MINOR_CIV_IN_RENAISSANCE_ERA', 		NULL),
		('MINOR_CIV_FREE_MILITARY_CENTER', 			'AREX_MINOR_CIV_GRANT_MILITARY_CENTER',								0, 0,	NULL, 										NULL),
		('MINOR_CIV_FREE_IRON', 					'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION',			0, 1,	'MINOR_CIV_IN_MEDIEVAL_ERA_OR_LATER', 		NULL),
		('MINOR_CIV_FREE_NITER', 					'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 			0, 1,	'MINOR_CIV_IN_RENAISSANCE_ERA_OR_LATER', 	NULL),
		('MINOR_CIV_FREE_COAL', 					'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 			0, 1,	'MINOR_CIV_IN_INDUSTRIAL_ERA_OR_LATER', 	NULL),
		('MINOR_CIV_FREE_OIL', 						'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 			0, 1,	'MINOR_CIV_IN_ATOMIC_ERA_OR_LATER', 		NULL),
		('MINOR_CIV_FREE_GOLD_ANCIENT', 			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE',					0, 1,	NULL, 										NULL),
		('MINOR_CIV_FREE_GOLD_CLASSICAL', 			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 					0, 1,	'MINOR_CIV_IN_CLASSICAL_ERA', 				NULL),
		('MINOR_CIV_FREE_GOLD_MEDIEVAL', 			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 					0, 1,	'TCS_MINOR_CIV_IN_MEDIEVAL_ERA', 			NULL),
		('MINOR_CIV_FREE_GOLD_RENAISSANCE', 		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE',					0, 1,	'TCS_MINOR_CIV_IN_RENAISSANCE_ERA', 		NULL),
		('MINOR_CIV_FREE_GOLD_INDUSTRIAL', 			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE',					0, 1,	'MINOR_CIV_IN_INDUSTRIAL_ERA', 				NULL),
		('MINOR_CIV_FREE_GOLD_MODERN', 				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE',					0, 1,	'MINOR_CIV_IN_MODERN_ERA', 					NULL),
		('MINOR_CIV_FREE_GOLD_ATOMIC', 				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE',					0, 1,	'MINOR_CIV_IN_ATOMIC_ERA', 					NULL),
		('MINOR_CIV_FREE_GOLD_INFORMATION', 		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE',					0, 1,	'MINOR_CIV_IN_INFORMATION_ERA', 			NULL);
		
--'MINOR_CIV_IN_MEDIEVAL_ERA_OR_LATER'

--==================
--MODIFIER ARGUMENTS
--==================
INSERT INTO ModifierArguments (ModifierId, Name, Value)
	VALUES
		('TCS_MINOR_CIV_FREE_CLASSICAL_WALLS', 		'BuildingType', 	'BUILDING_WALLS'),
		('TCS_MINOR_CIV_FREE_MEDIEVAL_WALLS', 		'BuildingType', 	'BUILDING_CASTLE'),
		('TCS_MINOR_CIV_FREE_RENAISSANCE_WALLS', 	'BuildingType', 	'BUILDING_STAR_FORT'),
		('MINOR_CIV_FREE_MILITARY_CENTER', 			'BuildingType', 	'BUILDING_MILITARY_CENTER'),
		('MINOR_CIV_FREE_IRON', 					'ResourceType', 	'RESOURCE_IRON'),
		('MINOR_CIV_FREE_IRON', 					'Amount', 			8),
		('MINOR_CIV_FREE_NITER', 					'ResourceType', 	'RESOURCE_NITER'),
		('MINOR_CIV_FREE_NITER', 					'Amount', 			5),
		('MINOR_CIV_FREE_COAL', 					'ResourceType', 	'RESOURCE_COAL'),
		('MINOR_CIV_FREE_COAL', 					'Amount', 			3),
		('MINOR_CIV_FREE_OIL', 						'ResourceType', 	'RESOURCE_OIL'),
		('MINOR_CIV_FREE_OIL', 						'Amount', 			3);
	
		
INSERT INTO ModifierArguments (ModifierId, Name, Value)
	VALUES
		('MINOR_CIV_FREE_GOLD_ANCIENT', 					'YieldType', 		'YIELD_GOLD'),	
		('MINOR_CIV_FREE_GOLD_ANCIENT', 					'Amount', 			5),						--disabled
		('MINOR_CIV_FREE_GOLD_CLASSICAL', 					'YieldType', 		'YIELD_GOLD'),	
		('MINOR_CIV_FREE_GOLD_CLASSICAL', 					'Amount', 			5),						--was 10
		('MINOR_CIV_FREE_GOLD_MEDIEVAL', 					'YieldType', 		'YIELD_GOLD'),	
		('MINOR_CIV_FREE_GOLD_MEDIEVAL', 					'Amount', 			10),					--was 20
		('MINOR_CIV_FREE_GOLD_RENAISSANCE', 				'YieldType', 		'YIELD_GOLD'),	        
		('MINOR_CIV_FREE_GOLD_RENAISSANCE', 				'Amount', 			15),                    --was 30
		('MINOR_CIV_FREE_GOLD_INDUSTRIAL', 					'YieldType', 		'YIELD_GOLD'),	        
		('MINOR_CIV_FREE_GOLD_INDUSTRIAL', 					'Amount', 			20),                    --was 40
		('MINOR_CIV_FREE_GOLD_MODERN', 						'YieldType', 		'YIELD_GOLD'),	        
		('MINOR_CIV_FREE_GOLD_MODERN', 						'Amount', 			25),                    --was 50
		('MINOR_CIV_FREE_GOLD_ATOMIC', 						'YieldType', 		'YIELD_GOLD'),	       
		('MINOR_CIV_FREE_GOLD_ATOMIC', 						'Amount', 			30),                    --was 60
		('MINOR_CIV_FREE_GOLD_INFORMATION', 				'YieldType', 		'YIELD_GOLD'),	       
		('MINOR_CIV_FREE_GOLD_INFORMATION', 				'Amount', 			35);                    --was 70
		
--============
--REQUIREMENTS
--============
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType)
	VALUES
		('TCS_MINOR_CIV_IN_MEDIEVAL_ERA', 			'REQUIREMENTSET_TEST_ALL'),
		('TCS_MINOR_CIV_IN_RENAISSANCE_ERA', 		'REQUIREMENTSET_TEST_ALL'),
		('MINOR_CIV_IN_MEDIEVAL_ERA_OR_LATER', 		'REQUIREMENTSET_TEST_ALL'),
		('MINOR_CIV_IN_RENAISSANCE_ERA_OR_LATER', 	'REQUIREMENTSET_TEST_ALL'),
		('MINOR_CIV_IN_INDUSTRIAL_ERA_OR_LATER', 	'REQUIREMENTSET_TEST_ALL'),
		('MINOR_CIV_IN_ATOMIC_ERA_OR_LATER', 		'REQUIREMENTSET_TEST_ALL'),		
		('MINOR_CIV_IN_CLASSICAL_ERA', 				'REQUIREMENTSET_TEST_ALL'),
		('MINOR_CIV_IN_INDUSTRIAL_ERA', 			'REQUIREMENTSET_TEST_ALL'),			
		('MINOR_CIV_IN_MODERN_ERA', 				'REQUIREMENTSET_TEST_ALL'),
		('MINOR_CIV_IN_ATOMIC_ERA', 				'REQUIREMENTSET_TEST_ALL'),
		('MINOR_CIV_IN_INFORMATION_ERA', 			'REQUIREMENTSET_TEST_ALL');
		
		

INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId)
	VALUES
		('TCS_MINOR_CIV_IN_MEDIEVAL_ERA', 			'TCS_REQUIRES_MINOR_CIV_IN_MEDIEVAL_ERA'),
		('TCS_MINOR_CIV_IN_RENAISSANCE_ERA', 		'TCS_REQUIRES_MINOR_CIV_IN_RENAISSANCE_ERA'),
		('MINOR_CIV_IN_MEDIEVAL_ERA_OR_LATER', 		'REQUIRES_MINOR_CIV_IN_MEDIEVAL_ERA_OR_LATER'),
		('MINOR_CIV_IN_RENAISSANCE_ERA_OR_LATER', 	'REQUIRES_MINOR_CIV_IN_RENAISSANCE_ERA_OR_LATER'),
		('MINOR_CIV_IN_INDUSTRIAL_ERA_OR_LATER', 	'REQUIRES_MINOR_CIV_IN_INDUSTRIAL_ERA_OR_LATER'),
		('MINOR_CIV_IN_ATOMIC_ERA_OR_LATER', 		'REQUIRES_MINOR_CIV_IN_ATOMIC_ERA_OR_LATER'),
		('MINOR_CIV_IN_CLASSICAL_ERA', 				'REQUIRES_MINOR_CIV_IN_CLASSICAL_ERA'),
		('MINOR_CIV_IN_INDUSTRIAL_ERA', 			'REQUIRES_MINOR_CIV_IN_INDUSTRIAL_ERA'),			
		('MINOR_CIV_IN_MODERN_ERA', 				'REQUIRES_MINOR_CIV_IN_MODERN_ERA'),
		('MINOR_CIV_IN_ATOMIC_ERA', 				'REQUIRES_MINOR_CIV_IN_ATOMIC_ERA'),
		('MINOR_CIV_IN_INFORMATION_ERA', 			'REQUIRES_MINOR_CIV_IN_INFORMATION_ERA');


-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--Trade routes
-------------------------------------------------------------------------------------------------------------------
UPDATE GlobalParameters SET Value=10	WHERE 	Name= 'TRADE_ROUTE_LAND_RANGE_REFUEL';		--was 15, and 12 in 2.4
UPDATE GlobalParameters SET Value=45 	WHERE 	Name= 'TRADE_ROUTE_WATER_RANGE_REFUEL';		--was 30
UPDATE GlobalParameters SET Value=0 	WHERE 	Name= 'TRADE_ROUTE_TURN_DURATION_BASE';		--was 20

UPDATE Eras_XP2 SET TradeRouteMinimumEndTurnChange = 0 WHERE TradeRouteMinimumEndTurnChange = 10 OR TradeRouteMinimumEndTurnChange = 20 OR TradeRouteMinimumEndTurnChange = 30;

--TRAIT_LEADER_MAJOR_CIV

--Give all Cities gold for receiving trade routes from other Civs?

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_0' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_0' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_0' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_0_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_0' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_0' , 		'Amount' , 1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_1' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_1' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_1' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_1_SPECIALTY_DISTRICT');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_1' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_1' , 		'Amount' , 3);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_2' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_2' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId ) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_2' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_2_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_2' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_2' , 		'Amount' , 1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_3' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_3' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId ) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_3' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_3_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_3' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_3' , 		'Amount' , 1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_4' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_4' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId ) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_4' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_4_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_4' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_4' , 		'Amount' , 1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_5' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_5' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId ) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_5' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_5_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_5' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_5' , 		'Amount' , 1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_6' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_6' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId ) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_6' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_6_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_6' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_6' , 		'Amount' , 1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_7' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_7' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId ) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_7' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_7_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_7' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_7' , 		'Amount' , 1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_8' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_8' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId ) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_8' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_8_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_8' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_8' , 		'Amount' , 1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_9' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_9' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId ) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_9' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_9_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_9' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_9' , 		'Amount' , 1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_10' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 									VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_TRADE_GOLD_DISTRICT_NUM_10' );
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId ) 		VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_10' , 		'MODIFIER_PLAYER_CITIES_ADJUST_TRADE_ROUTE_YIELD_FROM_OTHERS' , 'CITY_HAS_10_SPECIALTY_DISTRICTS_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_10' , 		'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 								VALUES 		( 'TRAIT_TRADE_GOLD_DISTRICT_NUM_10' , 		'Amount' , 1);

--CITY_HAS_3_SPECIALTY_DISTRICTS_REQUIREMENTS
--UPDATE Units SET BaseMoves=1, IgnoreMoves=0			WHERE	UnitType='UNIT_TRADER';


-------------------------------------------------------------------------------------------------------------------
--Emergencies
-------------------------------------------------------------------------------------------------------------------
UPDATE EmergencyAlliances 		SET 	Duration=10 , LockoutTime=30 			WHERE	EmergencyType= 'EMERGENCY_SEND_AID'; --was duration 30 in vanilla. lockouttime was 10 in 2.4
UPDATE EmergencyScoreSources 	SET 	ScoreAmount=-1000 						WHERE 	ScoreSourceType= 'SEND_AID_SCORE_FROM_AT_WAR_REQUEST_AID';
UPDATE Projects 				SET		Cost = 67 								WHERE	ProjectType = 'PROJECT_SEND_AID';

--UPDATE Emergencies_XP2 			SET		Hostile = 1								WHERE	EmergencyType = 'EMERGENCY_SEND_MILITARY_AID'; --was 0, let's see if this stops Civs from giving military aid to their foes


-------------------------------------------------------------------------------------------------------------------
--Create copy of grand embassy trait , called Marketplace of ideas
-------------------------------------------------------------------------------------------------------------------
--INSERT INTO Types 				([Type] , Kind) 					VALUES		( 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' , 				'KIND_TRAIT' );
--INSERT INTO Traits 				(TraitType , Name , Description) 	VALUES 		( 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' , 				'LOC_TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS_NAME' , 'LOC_TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS_DESCRIPTION' );
--INSERT INTO TraitModifiers 		(TraitType , ModifierId) 			VALUES 		( 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' , 				'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' );
--INSERT INTO Modifiers 			(ModifierId , ModifierType) 		VALUES 		( 'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'MODIFIER_PLAYER_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'TechCivicsPerYield' , 4);

--INSERT INTO Types 				([Type] , Kind) 					VALUES		( 'ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 	'KIND_MODIFIER' );
--INSERT INTO Types 				([Type] , Kind) 					VALUES		( 'TIER1_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'KIND_MODIFIER' );
--INSERT INTO Types 				([Type] , Kind) 					VALUES		( 'TIER2_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'KIND_MODIFIER' );
--INSERT INTO Types 				([Type] , Kind) 					VALUES		( 'TIER3_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'KIND_MODIFIER' );
--INSERT INTO Types 				([Type] , Kind) 					VALUES		( 'TIER4_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'KIND_MODIFIER' );
--
--INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectStackLimit, OwnerStackLimit) 		VALUES 		( 'CHIEFDOM_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 	'MODIFIER_PLAYER_ADJUST_PROGRESS_DIFF_TRADE_BONUS', 2,2 );
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'CHIEFDOM_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 	'TechCivicsPerYield' , 1);	--was 2
--INSERT INTO Modifiers 			(ModifierId , ModifierType) 		VALUES 		( 'TIER1_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'MODIFIER_PLAYER_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'TIER1_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'TechCivicsPerYield' , 1);	--was 5
--INSERT INTO Modifiers 			(ModifierId , ModifierType) 		VALUES 		( 'TIER2_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'MODIFIER_PLAYER_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'TIER2_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'TechCivicsPerYield' , 1);	--was 10
--INSERT INTO Modifiers 			(ModifierId , ModifierType) 		VALUES 		( 'TIER3_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'MODIFIER_PLAYER_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'TIER3_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'TechCivicsPerYield' , 1);	--was 15
--INSERT INTO Modifiers 			(ModifierId , ModifierType) 		VALUES 		( 'TIER4_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'MODIFIER_PLAYER_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'TIER4_ADJUST_PROGRESS_DIFF_TRADE_BONUS_ALL_CIVS' , 		'TechCivicsPerYield' , 1);	--was 20
--

-- Russia's Great Embassy Old Trait Modifier now gives 1 Science per Tech behind, 1 Culture per Civic behind

UPDATE ModifierArguments SET Value=1 WHERE ModifierId= 'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS';

--Give Russia's Great Embassy Old Trait Modifier to all governments (i.e. 1 Science per Tech behind, 1 Culture per Civic behind.
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_CHIEFDOM' , 					'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_AUTOCRACY' , 				'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_OLIGARCHY' , 				'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_CLASSICAL_REPUBLIC' , 		'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_MONARCHY' , 					'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_THEOCRACY' , 				'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_MERCHANT_REPUBLIC' , 		'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_COMMUNISM' , 				'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_DEMOCRACY' , 				'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_FASCISM' , 					'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_CORPORATE_LIBERTARIANISM' , 	'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_DIGITAL_DEMOCRACY' , 		'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );
INSERT INTO GovernmentModifiers (GovernmentType , ModifierId) VALUES ( 'GOVERNMENT_SYNTHETIC_TECHNOCRACY' , 	'TRAIT_ADJUST_PROGRESS_DIFF_TRADE_BONUS' );

--Give new trait to all civs:

--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_AMERICA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_ARABIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_BRAZIL' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_CANADA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_CHINA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_CREE' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_EGYPT' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_ENGLAND' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_FRANCE' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_GEORGIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_GERMANY' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_GREECE' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_HUNGARY' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_INCA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_INDIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_JAPAN' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_KONGO' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_KOREA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_MALI' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_MAORI' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_MAPUCHE' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_MONGOLIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_NETHERLANDS' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_NORWAY' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_OTTOMAN' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_PHOENICIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_ROME' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_RUSSIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_SCOTLAND' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_SCYTHIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_SPAIN' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_SUMERIA' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_SWEDEN' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );
--INSERT INTO CivilizationTraits (CivilizationType , TraitType) VALUES ( 'CIVILIZATION_ZULU' , 'TRAIT_CIVILIZATION_MARKETPLACE_OF_IDEAS' );



-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--Technologies
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
--AGREV:
-------------------------------------------------------------------------------------------------------------------
--#1.2 - TECHS
-------------------------------------------------------------------------------------------------------------------
--Create new technologies
INSERT INTO Types ([Type],Kind) VALUES ('TECH_PHILOSOPHY','KIND_TECH');
INSERT INTO Types ([Type],Kind) VALUES ('TECH_BIOLOGY','KIND_TECH');
INSERT INTO Types ([Type],Kind) VALUES ('TECH_MEDICINE','KIND_TECH');
--INSERT INTO Types ([Type],Kind) VALUES ('TECH_ALCHEMY','KIND_TECH');


INSERT INTO Technologies (TechnologyType,Name,Description,Cost,AdvisorType,EraType,UITreeRow) VALUES ('TECH_PHILOSOPHY','LOC_TECH_PHILOSOPHY_NAME','LOC_TECH_PHILOSOPHY_DESCRIPTION',120,'ADVISOR_TECHNOLOGY','ERA_CLASSICAL',1);
INSERT INTO Technologies (TechnologyType,Name,Description,Cost,AdvisorType,EraType,UITreeRow) VALUES ('TECH_BIOLOGY','LOC_TECH_BIOLOGY_NAME','LOC_TECH_BIOLOGY_DESCRIPTION',1050,'ADVISOR_TECHNOLOGY','ERA_MODERN',-1);
INSERT INTO Technologies (TechnologyType,Name,Description,Cost,AdvisorType,EraType,UITreeRow) VALUES ('TECH_MEDICINE','LOC_TECH_MEDICINE_NAME','LOC_TECH_MEDICINE_DESCRIPTION',1340,'ADVISOR_TECHNOLOGY','ERA_MODERN',-1);
--INSERT INTO Technologies (TechnologyType,Name,Description,Cost,AdvisorType,EraType,UITreeRow) VALUES ('TECH_ALCHEMY','LOC_TECH_ALCHEMY_NAME','LOC_TECH_ALCHEMY_DESCRIPTION',420,'ADVISOR_TECHNOLOGY','ERA_MEDIEVAL',0);

INSERT INTO TechnologyQuotes (TechnologyType,Quote,QuoteAudio) VALUES ('TECH_PHILOSOPHY','LOC_TECH_EDUCATION_QUOTE_2','Play_Education_Quote_2');
INSERT INTO TechnologyQuotes (TechnologyType,Quote,QuoteAudio) VALUES ('TECH_PHILOSOPHY','LOC_CIVIC_CODE_OF_LAWS_QUOTE_2','PLAY_CODE_OF_LAWS_QUOTE_2');
INSERT INTO TechnologyQuotes (TechnologyType,Quote,QuoteAudio) VALUES ('TECH_BIOLOGY','LOC_CIVIC_NATURAL_HISTORY_QUOTE_1','PLAY_NATURAL_HISTORY_QUOTE_1');
--INSERT INTO TechnologyQuotes (TechnologyType,Quote,QuoteAudio) VALUES ('TECH_ALCHEMY','LOC_TECH_CONSTRUCTION_QUOTE_1','Play_Construction_Quote_1');
--INSERT INTO TechnologyQuotes (TechnologyType,Quote,QuoteAudio) VALUES ('TECH_ALCHEMY','LOC_TECH_COMPOSITES_QUOTE_1','Play_Composites_Quote_1');




--Change prereqs before changing ui-tree rows?

INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_PHILOSOPHY','TECH_WRITING');
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_PHILOSOPHY','TECH_ASTROLOGY');
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_MATHEMATICS','TECH_PHILOSOPHY');


UPDATE TechnologyPrereqs SET PrereqTech='TECH_CASTLES' WHERE Technology='TECH_BUTTRESS' AND PrereqTech='TECH_SHIPBUILDING';
UPDATE TechnologyPrereqs SET PrereqTech='TECH_ENGINEERING' WHERE Technology='TECH_CASTLES' AND PrereqTech='TECH_CONSTRUCTION';
UPDATE TechnologyPrereqs SET PrereqTech='TECH_BUTTRESS' WHERE Technology='TECH_SIEGE_TACTICS' AND PrereqTech='TECH_CASTLES';

delete from TechnologyPrereqs WHERE Technology='TECH_BUTTRESS' AND PrereqTech='TECH_MATHEMATICS';

delete from TechnologyPrereqs WHERE Technology='TECH_FLIGHT';


INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_IRRIGATION','TECH_MINING');
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_MASONRY','TECH_POTTERY');
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_BRONZE_WORKING','TECH_POTTERY');
UPDATE TechnologyPrereqs SET PrereqTech='TECH_ANIMAL_HUSBANDRY' WHERE Technology='TECH_THE_WHEEL' AND PrereqTech='TECH_MINING';
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_SHIPBUILDING','TECH_CONSTRUCTION');
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_CURRENCY','TECH_BRONZE_WORKING');
DELETE FROM TechnologyPrereqs WHERE Technology='TECH_CONSTRUCTION' AND PrereqTech='TECH_HORSEBACK_RIDING';
UPDATE TechnologyPrereqs SET PrereqTech='TECH_CONSTRUCTION' WHERE Technology='TECH_ENGINEERING' AND PrereqTech='TECH_THE_WHEEL';
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_ENGINEERING','TECH_MATHEMATICS');
UPDATE TechnologyPrereqs SET PrereqTech='TECH_CASTLES' WHERE Technology='TECH_GUNPOWDER' AND PrereqTech='TECH_STIRRUPS';
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_ASTRONOMY','TECH_CELESTIAL_NAVIGATION');
UPDATE TechnologyPrereqs SET PrereqTech = 'TECH_SCIENTIFIC_THEORY' WHERE PrereqTech='TECH_SANITATION' AND Technology='TECH_CHEMISTRY';
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_FLIGHT','TECH_COMBUSTION');
DELETE FROM TechnologyPrereqs 														WHERE 		Technology='TECH_CHEMISTRY' AND PrereqTech='TECH_REPLACEABLE_PARTS';
UPDATE TechnologyPrereqs SET PrereqTech='TECH_ELECTRICITY' WHERE Technology='TECH_RADIO' AND PrereqTech='TECH_STEAM_POWER';
delete from TechnologyPrereqs WHERE PrereqTech='TECH_FLIGHT' AND Technology='TECH_RADIO';
INSERT INTO TechnologyPrereqs (Technology,PrereqTech) VALUES ('TECH_PLASTICS','TECH_BIOLOGY');







-------------------------------------------------------------------------------------------------------------------
--Tech prerequisites
-------------------------------------------------------------------------------------------------------------------

-----------------
--Ancient
-----------------
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_ASTROLOGY' , 'TECH_POTTERY' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_THE_WHEEL' , 'TECH_ARCHERY' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_THE_WHEEL' , 'TECH_MINING' );
DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_ARCHERY' AND 
																								PrereqTech= 'TECH_ANIMAL_HUSBANDRY';
-----------------
--Classical
-----------------

INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_IRON_WORKING' , 'TECH_MASONRY' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_IRON_WORKING' , 'TECH_THE_WHEEL' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_HORSEBACK_RIDING' , 'TECH_BRONZE_WORKING' );
UPDATE 		TechnologyPrereqs SET 		PrereqTech= 'TECH_IRON_WORKING' 			WHERE 		Technology= 'TECH_CONSTRUCTION' AND 
																								PrereqTech= 'TECH_MASONRY';
UPDATE 		TechnologyPrereqs SET 		PrereqTech= 'TECH_CELESTIAL_NAVIGATION' 	WHERE 		Technology= 'TECH_SHIPBUILDING' AND 
																								PrereqTech= 'TECH_SAILING';
UPDATE 		TechnologyPrereqs SET 		PrereqTech= 'TECH_THE_WHEEL' 				WHERE 		Technology= 'TECH_HORSEBACK_RIDING' AND 
																								PrereqTech= 'TECH_ARCHERY';
-----------------
--Medieval
-----------------

UPDATE 		TechnologyPrereqs SET 		PrereqTech= 'TECH_IRON_WORKING' 			WHERE 		Technology= 'TECH_STIRRUPS' AND 
																								PrereqTech= 'TECH_APPRENTICESHIP';

DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_MILITARY_TACTICS' AND PrereqTech = 'TECH_MATHEMATICS';
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_MILITARY_TACTICS' , 'TECH_ENGINEERING' ); --was iron working

UPDATE 		TechnologyPrereqs SET 		PrereqTech= 'TECH_ENGINEERING' 				WHERE 		Technology= 'TECH_APPRENTICESHIP' AND 
																								PrereqTech= 'TECH_HORSEBACK_RIDING';
																								
DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_MACHINERY' AND 
																								PrereqTech= 'TECH_IRON_WORKING';
																								
DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_APPRENTICESHIP' AND 
																								PrereqTech= 'TECH_CURRENCY';
UPDATE 		TechnologyPrereqs SET 		PrereqTech= 'TECH_ENGINEERING' 				WHERE 		Technology= 'TECH_APPRENTICESHIP' AND 
																								PrereqTech= 'TECH_IRON_WORKING';
																					
DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_MILITARY_ENGINEERING';																								
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_MILITARY_ENGINEERING' , 'TECH_STIRRUPS' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_MILITARY_ENGINEERING' , 'TECH_CASTLES' );

DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_EDUCATION' AND 
																								PrereqTech= 'TECH_MATHEMATICS';

INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_GUNPOWDER' , 'TECH_EDUCATION' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_GUNPOWDER' , 'TECH_MILITARY_TACTICS' );
DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_GUNPOWDER' AND 
																								PrereqTech= 'TECH_MILITARY_ENGINEERING';
																								
DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_GUNPOWDER' AND 
																								PrereqTech= 'TECH_CASTLES';
DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_GUNPOWDER' AND 
																								PrereqTech= 'TECH_APPRENTICESHIP';

-----------------
--Renaissance
-----------------

																								



																								
DELETE FROM TechnologyPrereqs 								WHERE 	PrereqTech= 'TECH_STIRRUPS' AND 
																	Technology= 'TECH_BANKING';
																			
DELETE FROM TechnologyPrereqs 								WHERE 	Technology= 'TECH_CARTOGRAPHY';
INSERT INTO TechnologyPrereqs 	(Technology,PrereqTech) 	VALUES 	('TECH_CARTOGRAPHY','TECH_SHIPBUILDING');
INSERT INTO TechnologyPrereqs 	(Technology,PrereqTech) 	VALUES 	('TECH_CARTOGRAPHY','TECH_GUNPOWDER');
																			
INSERT INTO TechnologyPrereqs 	(Technology , PrereqTech) 	VALUES 	('TECH_ASTRONOMY' , 'TECH_CARTOGRAPHY' );
DELETE FROM TechnologyPrereqs 								WHERE 	Technology= 'TECH_ASTRONOMY' AND 
																	PrereqTech= 'TECH_CELESTIAL_NAVIGATION';
DELETE FROM TechnologyPrereqs 								WHERE 	PrereqTech= 'TECH_EDUCATION' AND 
																	Technology= 'TECH_ASTRONOMY';

INSERT INTO TechnologyPrereqs 	(Technology , PrereqTech) 	VALUES 	('TECH_METAL_CASTING' , 'TECH_MILITARY_ENGINEERING' );
INSERT INTO TechnologyPrereqs 	(Technology , PrereqTech) 	VALUES 	('TECH_METAL_CASTING' , 'TECH_MACHINERY' );


INSERT INTO TechnologyPrereqs 	(Technology , PrereqTech) 	VALUES 	('TECH_PRINTING' , 'TECH_EDUCATION' );

DELETE FROM TechnologyPrereqs 								WHERE 	Technology='TECH_MASS_PRODUCTION';
INSERT INTO TechnologyPrereqs 	(Technology , PrereqTech) 	VALUES 	('TECH_MASS_PRODUCTION' , 'TECH_BANKING' );
INSERT INTO TechnologyPrereqs 	(Technology , PrereqTech) 	VALUES 	('TECH_MASS_PRODUCTION' , 'TECH_CARTOGRAPHY' );
INSERT INTO TechnologyPrereqs 	(Technology , PrereqTech) 	VALUES 	('TECH_MASS_PRODUCTION' , 'TECH_PRINTING' );

DELETE FROM TechnologyPrereqs 								WHERE 	Technology='TECH_SQUARE_RIGGING';
INSERT INTO TechnologyPrereqs 	(Technology , PrereqTech) 	VALUES 	( 'TECH_SQUARE_RIGGING' , 'TECH_METAL_CASTING' );
INSERT INTO TechnologyPrereqs 	(Technology , PrereqTech) 	VALUES 	( 'TECH_SQUARE_RIGGING' , 'TECH_MASS_PRODUCTION' );

-----------------																								
--Industrial
-----------------

DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_INDUSTRIALIZATION';
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_INDUSTRIALIZATION' , 'TECH_SQUARE_RIGGING' );


DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_MILITARY_SCIENCE';
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_MILITARY_SCIENCE' , 'TECH_METAL_CASTING' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_MILITARY_SCIENCE' , 'TECH_SIEGE_TACTICS' );
																								
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_BALLISTICS' , 'TECH_SIEGE_TACTICS' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_BALLISTICS' , 'TECH_MASS_PRODUCTION' );

UPDATE 		TechnologyPrereqs SET 		PrereqTech= 'TECH_PRINTING' 				WHERE 		Technology= 'TECH_SCIENTIFIC_THEORY' AND 
																								PrereqTech= 'TECH_BANKING';

DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_ECONOMICS';																								
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_ECONOMICS' , 'TECH_MASS_PRODUCTION' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_ECONOMICS' , 'TECH_SCIENTIFIC_THEORY' );
																								
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_RIFLING' , 'TECH_INDUSTRIALIZATION' );	

INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_STEAM_POWER' , 'TECH_BALLISTICS' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_STEAM_POWER' , 'TECH_ECONOMICS' );

																																															

-----------------
--Modern
-----------------


INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_BIOLOGY','TECH_SANITATION');


DELETE FROM TechnologyPrereqs 														WHERE 		Technology = 'TECH_CHEMISTRY'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_CHEMISTRY' , 	'TECH_STEAM_POWER' );


INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_STEEL' , 		'TECH_STEAM_POWER' );

DELETE FROM TechnologyPrereqs 														WHERE 		Technology = 'TECH_ELECTRICITY'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_ELECTRICITY' , 	'TECH_CHEMISTRY' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_ELECTRICITY' , 	'TECH_STEEL' );

DELETE FROM TechnologyPrereqs 														WHERE 		Technology= 'TECH_REPLACEABLE_PARTS';
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_REPLACEABLE_PARTS','TECH_CHEMISTRY');
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_REPLACEABLE_PARTS','TECH_STEEL');
			
DELETE FROM TechnologyPrereqs 														WHERE 		Technology = 'TECH_REFINING'; 
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_REFINING',		'TECH_CHEMISTRY');
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_REFINING',		'TECH_STEEL');
			
DELETE FROM TechnologyPrereqs 														WHERE 		Technology = 'TECH_COMBUSTION'; 
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_COMBUSTION',		'TECH_ELECTRICITY');
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_COMBUSTION',		'TECH_REFINING');
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_COMBUSTION',		'TECH_REPLACEABLE_PARTS');
			
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_MEDICINE',		'TECH_BIOLOGY');
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_MEDICINE' , 	'TECH_ELECTRICITY' );

INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_RADIO' , 	'TECH_REFINING' );

-----------------
--Atomic
-----------------

DELETE FROM TechnologyPrereqs 														WHERE 		Technology = 'TECH_ADVANCED_BALLISTICS'; 
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_ADVANCED_BALLISTICS',		'TECH_REPLACEABLE_PARTS');

DELETE FROM TechnologyPrereqs 														WHERE 		Technology = 'TECH_COMBINED_ARMS'; 
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_COMBINED_ARMS',				'TECH_COMBUSTION');
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_COMBINED_ARMS',				'TECH_ADVANCED_BALLISTICS');
			

DELETE FROM TechnologyPrereqs WHERE 	PrereqTech= 'TECH_NUCLEAR_FISSION' OR Technology = 'TECH_NUCLEAR_FISSION'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_NUCLEAR_FISSION' , 'TECH_RADIO' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_NUCLEAR_FISSION' , 'TECH_FLIGHT' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_NUCLEAR_FISSION' , 'TECH_MEDICINE' );

UPDATE 		TechnologyPrereqs SET 		PrereqTech= 'TECH_MEDICINE' 				WHERE 		Technology= 'TECH_PLASTICS' AND 
																								PrereqTech= 'TECH_BIOLOGY'; --switches Biology for Medicine (Agrevs new tech)

INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_ADVANCED_FLIGHT','TECH_FLIGHT');
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_ADVANCED_FLIGHT','TECH_ADVANCED_BALLISTICS');
																								
DELETE FROM TechnologyPrereqs WHERE 	Technology = 'TECH_NUCLEAR_FUSION'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_NUCLEAR_FUSION' , 'TECH_NUCLEAR_FISSION' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_NUCLEAR_FUSION' , 'TECH_ADVANCED_FLIGHT' );
																								
DELETE FROM TechnologyPrereqs 														WHERE 		Technology = 'TECH_ROCKETRY';
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_ROCKETRY',	'TECH_NUCLEAR_FISSION'); 
INSERT INTO TechnologyPrereqs 			(Technology,PrereqTech) 					VALUES 		('TECH_ROCKETRY',	'TECH_ADVANCED_FLIGHT'); 																								
																								
DELETE FROM TechnologyPrereqs WHERE 	PrereqTech= 'TECH_TELECOMMUNICATIONS' OR Technology = 'TECH_TELECOMMUNICATIONS'; 																								

DELETE FROM TechnologyPrereqs WHERE 	PrereqTech= 'TECH_TELECOMMUNICATIONS' OR Technology = 'TECH_TELECOMMUNICATIONS'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_TELECOMMUNICATIONS' , 'TECH_ROCKETRY' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_TELECOMMUNICATIONS' , 'TECH_SYNTHETIC_MATERIALS' );

DELETE FROM TechnologyPrereqs WHERE 	PrereqTech= 'TECH_SATELLITES' OR Technology = 'TECH_SATELLITES'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_SATELLITES' , 'TECH_TELECOMMUNICATIONS' );



-----------------					
--Information
-----------------

DELETE FROM TechnologyPrereqs WHERE 	PrereqTech= 'TECH_GUIDANCE_SYSTEMS' OR Technology = 'TECH_GUIDANCE_SYSTEMS'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_GUIDANCE_SYSTEMS' , 'TECH_TELECOMMUNICATIONS' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_GUIDANCE_SYSTEMS' , 'TECH_COMBINED_ARMS' );


DELETE FROM TechnologyPrereqs WHERE 	PrereqTech= 'TECH_COMPUTERS' OR Technology = 'TECH_COMPUTERS'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_COMPUTERS' , 'TECH_GUIDANCE_SYSTEMS' );
-- REMOVED in 2.8		INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_COMPUTERS' , 'TECH_TELECOMMUNICATIONS' );

DELETE FROM TechnologyPrereqs WHERE 	PrereqTech= 'TECH_STEALTH_TECHNOLOGY' OR Technology = 'TECH_STEALTH_TECHNOLOGY'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_STEALTH_TECHNOLOGY' , 	'TECH_TELECOMMUNICATIONS' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_STEALTH_TECHNOLOGY' , 	'TECH_NUCLEAR_FUSION' );

INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_COMPOSITES' , 'TECH_ROCKETRY' );

DELETE FROM TechnologyPrereqs WHERE 	PrereqTech= 'TECH_COMPOSITES' OR Technology = 'TECH_COMPOSITES'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_COMPOSITES' , 'TECH_SATELLITES' );
																								
DELETE FROM TechnologyPrereqs WHERE 	PrereqTech= 'TECH_LASERS' OR Technology = 'TECH_LASERS'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_LASERS' , 'TECH_GUIDANCE_SYSTEMS' );
-- REMOVED in 2.8		INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_LASERS' , 'TECH_SATELLITES' );
-- REMOVED IN 2.8		INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_LASERS' , 'TECH_COMPUTERS' );
																								
DELETE FROM TechnologyPrereqs WHERE 	Technology = 'TECH_NANOTECHNOLOGY'; 	
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_NANOTECHNOLOGY' , 'TECH_COMPUTERS' );																							
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_NANOTECHNOLOGY' , 'TECH_LASERS' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_NANOTECHNOLOGY' , 'TECH_COMPOSITES' );



-----------------
--FUTURE
-----------------

DELETE FROM TechnologyPrereqs WHERE 	Technology = 'TECH_ROBOTICS'; 
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_ROBOTICS' , 'TECH_STEALTH_TECHNOLOGY' );
INSERT INTO TechnologyPrereqs 			(Technology , PrereqTech) 					VALUES 		( 'TECH_ROBOTICS' , 'TECH_NANOTECHNOLOGY' );

-----------------------------------------------------------------------------
-- TECHNOLOGY COSTS (Science total that needs to be accumulated):
-----------------------------------------------------------------------------
--Classical 

UPDATE Technologies SET Cost=135 	WHERE TechnologyType='TECH_CONSTRUCTION';
UPDATE Technologies SET Cost=150  	WHERE TechnologyType='TECH_SHIPBUILDING';
UPDATE Technologies SET Cost=150 	WHERE TechnologyType='TECH_MATHEMATICS';

--Medieval

UPDATE Technologies SET Cost=300 	WHERE TechnologyType='TECH_APPRENTICESHIP';
UPDATE Technologies SET Cost=300 	WHERE TechnologyType='TECH_STIRRUPS';
UPDATE Technologies SET Cost=300 	WHERE TechnologyType='TECH_CASTLES';
UPDATE Technologies SET Cost=300 	WHERE TechnologyType='TECH_MILITARY_TACTICS';
UPDATE Technologies SET Cost=390 	WHERE TechnologyType='TECH_EDUCATION';
UPDATE Technologies SET Cost=390	WHERE TechnologyType='TECH_BUTTRESS';
UPDATE Technologies SET Cost=300 	WHERE TechnologyType='TECH_MACHINERY';
UPDATE Technologies SET Cost=460 	WHERE TechnologyType='TECH_GUNPOWDER';
UPDATE Technologies SET Cost=460 	WHERE TechnologyType='TECH_MILITARY_ENGINEERING';

--Renaissance

UPDATE Technologies SET Cost=540 	WHERE TechnologyType='TECH_CARTOGRAPHY';
UPDATE Technologies SET Cost=540 	WHERE TechnologyType='TECH_BANKING';
UPDATE Technologies SET Cost=540 	WHERE TechnologyType='TECH_PRINTING';
UPDATE Technologies SET Cost=540 	WHERE TechnologyType='TECH_SIEGE_TACTICS';
UPDATE Technologies SET Cost=540 	WHERE TechnologyType='TECH_METAL_CASTING';

UPDATE Technologies SET Cost=660 	WHERE TechnologyType='TECH_ASTRONOMY';
UPDATE Technologies SET Cost=660 	WHERE TechnologyType='TECH_MASS_PRODUCTION';

UPDATE Technologies SET Cost=700 	WHERE TechnologyType='TECH_SQUARE_RIGGING';

--Industrial

UPDATE Technologies SET Cost=845 	WHERE TechnologyType='TECH_INDUSTRIALIZATION';
UPDATE Technologies SET Cost=845 	WHERE TechnologyType='TECH_SCIENTIFIC_THEORY';
UPDATE Technologies SET Cost=845 	WHERE TechnologyType='TECH_BALLISTICS';
UPDATE Technologies SET Cost=845 	WHERE TechnologyType='TECH_MILITARY_SCIENCE';

UPDATE Technologies SET Cost=970 	WHERE TechnologyType='TECH_SANITATION';
UPDATE Technologies SET Cost=970 	WHERE TechnologyType='TECH_ECONOMICS';
UPDATE Technologies SET Cost=970 	WHERE TechnologyType='TECH_RIFLING';

UPDATE Technologies SET Cost=1000 	WHERE TechnologyType='TECH_STEAM_POWER';


-- Modern

UPDATE Technologies SET Cost=1050 	WHERE TechnologyType='TECH_CHEMISTRY';
UPDATE Technologies SET Cost=1050 	WHERE TechnologyType='TECH_STEEL';

UPDATE Technologies SET Cost=1140 	WHERE TechnologyType='TECH_ELECTRICITY';
UPDATE Technologies SET Cost=1140 	WHERE TechnologyType='TECH_REPLACEABLE_PARTS';
UPDATE Technologies SET Cost=1140 	WHERE TechnologyType= 'TECH_REFINING';

UPDATE Technologies SET Cost=1250 	WHERE TechnologyType='TECH_COMBUSTION';

UPDATE Technologies SET Cost=1340 	WHERE TechnologyType='TECH_FLIGHT';
UPDATE Technologies SET Cost=1340 	WHERE TechnologyType='TECH_RADIO';

-- Atomic

UPDATE Technologies SET Cost=1200 	WHERE TechnologyType='TECH_ADVANCED_BALLISTICS';

UPDATE Technologies SET Cost=1410 	WHERE TechnologyType='TECH_NUCLEAR_FISSION';
UPDATE Technologies SET Cost=1410 	WHERE TechnologyType='TECH_ADVANCED_FLIGHT';
UPDATE Technologies SET Cost=1410 	WHERE TechnologyType='TECH_COMBINED_ARMS';
UPDATE Technologies SET Cost=1410 	WHERE TechnologyType='TECH_PLASTICS';

UPDATE Technologies SET Cost=1580 	WHERE TechnologyType='TECH_SYNTHETIC_MATERIALS';
UPDATE Technologies SET Cost=1580 	WHERE TechnologyType='TECH_ROCKETRY';
UPDATE Technologies SET Cost=1580 	WHERE TechnologyType='TECH_NUCLEAR_FUSION';
UPDATE Technologies SET Cost=1800 	WHERE TechnologyType='TECH_TELECOMMUNICATIONS';

-- Information


UPDATE Technologies SET Cost=2000 	WHERE TechnologyType='TECH_SATELLITES';
UPDATE Technologies SET Cost=2000 	WHERE TechnologyType='TECH_GUIDANCE_SYSTEMS';

UPDATE Technologies SET Cost=2100 	WHERE TechnologyType='TECH_COMPUTERS';
UPDATE Technologies SET Cost=2100 	WHERE TechnologyType='TECH_STEALTH_TECHNOLOGY';
UPDATE Technologies SET Cost=2100 	WHERE TechnologyType='TECH_COMPOSITES';
UPDATE Technologies SET Cost=2100 	WHERE TechnologyType='TECH_LASERS' ;

UPDATE Technologies SET Cost=2300 	WHERE TechnologyType='TECH_NANOTECHNOLOGY';

UPDATE Technologies SET Cost=3000 	WHERE TechnologyType= 'TECH_ROBOTICS';

-- Future

UPDATE Technologies SET Cost=3100 	WHERE TechnologyType='TECH_FUTURE_TECH';
-------------------------------

				
--Ancient Era					
UPDATE Technologies SET 	UITreeRow=1 													WHERE 		TechnologyType= 'TECH_POTTERY';
UPDATE Technologies SET 	UITreeRow=3 													WHERE 		TechnologyType= 'TECH_ANIMAL_HUSBANDRY';
UPDATE Technologies SET 	UITreeRow=2 													WHERE 		TechnologyType= 'TECH_MINING';
UPDATE Technologies SET 	UITreeRow=-3 													WHERE 		TechnologyType= 'TECH_SAILING';
UPDATE Technologies SET 	UITreeRow=-2 													WHERE 		TechnologyType= 'TECH_ASTROLOGY';
UPDATE Technologies SET 	UITreeRow=0 													WHERE 		TechnologyType= 'TECH_IRRIGATION';
UPDATE Technologies SET 	UITreeRow=-1 													WHERE 		TechnologyType= 'TECH_WRITING';
UPDATE Technologies SET 	UITreeRow=4 													WHERE 		TechnologyType= 'TECH_ARCHERY';
UPDATE Technologies SET 	UITreeRow=1 													WHERE 		TechnologyType= 'TECH_MASONRY';
UPDATE Technologies SET 	UITreeRow=2 													WHERE 		TechnologyType= 'TECH_BRONZE_WORKING';
UPDATE Technologies SET 	UITreeRow=3,Description='LOC_TECH_THE_WHEEL_DESCRIPTION' 		WHERE 		TechnologyType= 'TECH_THE_WHEEL';
					
--Classical Era					
UPDATE Technologies SET 	UITreeRow=-3, EmbarkAll=1 										WHERE 		TechnologyType= 'TECH_CELESTIAL_NAVIGATION';
UPDATE Technologies SET 	UITreeRow=0, Description='LOC_TECH_CURRENCY_DESCRIPTION' 		WHERE 		TechnologyType= 'TECH_CURRENCY';
UPDATE Technologies SET 	UITreeRow=4, Description='LOC_TECH_HORSEBACK_RIDING_DESCRIPTION'WHERE 		TechnologyType= 'TECH_HORSEBACK_RIDING';
UPDATE Technologies SET 	UITreeRow=2, Description='LOC_TECH_IRON_WORKING_DESCRIPTION' 	WHERE 		TechnologyType= 'TECH_IRON_WORKING';
UPDATE Technologies SET 	UITreeRow=-3 													WHERE 		TechnologyType= 'TECH_SHIPBUILDING';
UPDATE Technologies SET 	UITreeRow=-1 													WHERE 		TechnologyType= 'TECH_MATHEMATICS';
UPDATE Technologies SET 	UITreeRow=1, Description='LOC_TECH_CONSTRUCTION_DESCRIPTION' 	WHERE 		TechnologyType= 'TECH_CONSTRUCTION';
UPDATE Technologies SET 	UITreeRow=1, Description='LOC_TECH_ENGINEERING_DESCRIPTION'  	WHERE 		TechnologyType= 'TECH_ENGINEERING';
UPDATE Technologies SET 	UITreeRow=-1 													WHERE 		TechnologyType= 'TECH_PHILOSOPHY';
					
--Medieval Era					
UPDATE Technologies SET 	UITreeRow=-1 													WHERE 		TechnologyType= 'TECH_APPRENTICESHIP';
UPDATE Technologies SET 	UITreeRow=2 													WHERE 		TechnologyType= 'TECH_MILITARY_TACTICS';
UPDATE Technologies SET 	UITreeRow=-1 													WHERE 		TechnologyType= 'TECH_EDUCATION';
UPDATE Technologies SET 	UITreeRow=1 													WHERE 		TechnologyType= 'TECH_MACHINERY';
UPDATE Technologies SET 	UITreeRow=3 													WHERE 		TechnologyType= 'TECH_CASTLES';
UPDATE Technologies SET 	UITreeRow=4 													WHERE 		TechnologyType= 'TECH_MILITARY_ENGINEERING';
UPDATE Technologies SET 	UITreeRow=3 													WHERE 		TechnologyType= 'TECH_BUTTRESS';
UPDATE Technologies SET 	UITreeRow=2 , EraType= 'ERA_MEDIEVAL' 							WHERE 		TechnologyType= 'TECH_GUNPOWDER';
UPDATE Technologies SET 	UITreeRow=4, Description='LOC_TECH_STIRRUPS_DESCRIPTION' 		WHERE 		TechnologyType= 'TECH_STIRRUPS';
					
--Renaissance Era			
UPDATE Technologies SET 	UITreeRow=4, Description='LOC_TECH_METAL_CASTING_DESCRIPTION' 	WHERE 		TechnologyType= 'TECH_METAL_CASTING';
UPDATE Technologies SET 	UITreeRow=0 													WHERE 		TechnologyType= 'TECH_PRINTING';
UPDATE Technologies SET 	UITreeRow=-1 													WHERE 		TechnologyType= 'TECH_BANKING';
UPDATE Technologies SET 	UITreeRow=3 													WHERE 		TechnologyType= 'TECH_SIEGE_TACTICS';
UPDATE Technologies SET 	UITreeRow=2 													WHERE 		TechnologyType= 'TECH_SQUARE_RIGGING';
UPDATE Technologies SET 	UITreeRow=-3 													WHERE 		TechnologyType= 'TECH_ASTRONOMY';
UPDATE Technologies SET 	UITreeRow=-1, Description='LOC_TECH_MASS_PRODUCTION_DESCRIPTION' WHERE 		TechnologyType= 'TECH_MASS_PRODUCTION';
					
--Industrial Era					
UPDATE Technologies SET 	UITreeRow=-3 													WHERE 		TechnologyType= 'TECH_SCIENTIFIC_THEORY';
UPDATE Technologies SET 	UITreeRow=1 													WHERE 		TechnologyType= 'TECH_INDUSTRIALIZATION';
UPDATE Technologies SET 	UITreeRow=3, Description='LOC_TECH_BALLISTICS_DESCRIPTION' 		WHERE 		TechnologyType= 'TECH_BALLISTICS';
UPDATE Technologies SET 	UITreeRow=4 													WHERE 		TechnologyType= 'TECH_MILITARY_SCIENCE';
UPDATE Technologies SET 	UITreeRow=-3 													WHERE 		TechnologyType= 'TECH_SANITATION';
UPDATE Technologies SET 	UITreeRow=-1, Description='LOC_TECH_ECONOMICS_DESCRIPTION'  	WHERE 		TechnologyType= 'TECH_ECONOMICS';
UPDATE Technologies SET 	UITreeRow=0 													WHERE 		TechnologyType= 'TECH_STEAM_POWER';
UPDATE Technologies SET 	UITreeRow=3, Description='LOC_TECH_RIFLING_DESCRIPTION' 		WHERE 		TechnologyType= 'TECH_RIFLING';

--Modern Era							
UPDATE Technologies SET 	UITReeRow=-3 													WHERE 		TechnologyType= 'TECH_BIOLOGY';
UPDATE Technologies SET 	UITreeRow=-2, Description='LOC_TECH_CHEMISTRY_DESCRIPTION'  	WHERE 		TechnologyType= 'TECH_CHEMISTRY';
UPDATE Technologies SET 	UITReeRow=3 													WHERE 		TechnologyType= 'TECH_STEEL';
UPDATE Technologies SET 	UITReeRow=-2 													WHERE 		TechnologyType= 'TECH_ELECTRICITY';
UPDATE Technologies SET 	UITReeRow=2 													WHERE 		TechnologyType= 'TECH_REPLACEABLE_PARTS';
UPDATE Technologies SET 	UITreeRow=0 													WHERE 		TechnologyType= 'TECH_REFINING';
UPDATE Technologies SET 	UITReeRow=3 													WHERE 		TechnologyType= 'TECH_COMBUSTION';
UPDATE Technologies SET 	UITReeRow=-1 													WHERE 		TechnologyType= 'TECH_FLIGHT';
UPDATE Technologies SET 	UITReeRow=-3 													WHERE 		TechnologyType= 'TECH_MEDICINE';
UPDATE Technologies SET 	UITReeRow=-2 													WHERE 		TechnologyType= 'TECH_RADIO';
							
--Atomic Era							
UPDATE Technologies SET 	UITreeRow=3, Description='LOC_TECH_COMBINED_ARMS_DESCRIPTION'	WHERE 		TechnologyType= 'TECH_COMBINED_ARMS'; 		--was row 2
UPDATE Technologies SET 	UITreeRow=0 													WHERE 		TechnologyType= 'TECH_PLASTICS';
UPDATE Technologies SET 	UITreeRow=-2 													WHERE 		TechnologyType= 'TECH_ADVANCED_FLIGHT';
UPDATE Technologies SET 	UITreeRow=2 													WHERE 		TechnologyType= 'TECH_ADVANCED_BALLISTICS';
UPDATE Technologies SET 	UITreeRow=-3 													WHERE 		TechnologyType= 'TECH_NUCLEAR_FISSION';
UPDATE Technologies SET 	UITreeRow=0 													WHERE 		TechnologyType= 'TECH_SYNTHETIC_MATERIALS';
UPDATE Technologies SET 	UITreeRow=-2 													WHERE 		TechnologyType= 'TECH_ROCKETRY';
UPDATE Technologies SET 	EraType='ERA_ATOMIC' 											WHERE 		TechnologyType= 'TECH_NUCLEAR_FUSION';	
UPDATE Technologies SET 	UITreeRow=-3 													WHERE 		TechnologyType= 'TECH_NUCLEAR_FUSION';
	
UPDATE Technologies SET 	EraType='ERA_ATOMIC' 											WHERE 		TechnologyType= 'TECH_TELECOMMUNICATIONS';	
UPDATE Technologies SET 	UITreeRow=0 													WHERE 		TechnologyType= 'TECH_TELECOMMUNICATIONS';	--was row 3
		
--Information Era	
UPDATE Technologies SET 	EraType='ERA_INFORMATION' 										WHERE 		TechnologyType= 'TECH_COMPUTERS';	

UPDATE Technologies SET 	EraType='ERA_INFORMATION' 										WHERE 		TechnologyType= 'TECH_SATELLITES';	
UPDATE Technologies SET 	UITreeRow=0 													WHERE 		TechnologyType= 'TECH_SATELLITES';	

UPDATE Technologies SET 	UITreeRow=-3 													WHERE 		TechnologyType= 'TECH_STEALTH_TECHNOLOGY';
UPDATE Technologies SET 	UITreeRow=3 													WHERE 		TechnologyType= 'TECH_GUIDANCE_SYSTEMS'; 	--was row 1
UPDATE Technologies SET 	UITreeRow=3 													WHERE 		TechnologyType= 'TECH_COMPUTERS';	
UPDATE Technologies SET 	UITreeRow=0 													WHERE 		TechnologyType= 'TECH_COMPOSITES';

UPDATE Technologies SET 	UITreeRow=2 													WHERE 		TechnologyType= 'TECH_LASERS';

UPDATE Technologies SET 	UITreeRow=2 													WHERE 		TechnologyType= 'TECH_NANOTECHNOLOGY'; --was UI row 3


--UPDATE Technologies SET 	EraType='ERA_FUTURE' 											WHERE 		TechnologyType= 'TECH_ROBOTICS';		
UPDATE Technologies SET 	UITreeRow=-3 			 										WHERE 		TechnologyType= 'TECH_ROBOTICS';
					



-------------------------------------------------------------------------------------------------------------------
--Boost city production with Machinery , instead of the wheel)
-------------------------------------------------------------------------------------------------------------------

UPDATE Technologies SET 				Description = 'LOC_TECH_MACHINERY_DESCRIPTION'		WHERE		TechnologyType = 'TECH_MACHINERY';

INSERT INTO TechnologyModifiers	(TechnologyType,ModifierId)		VALUES		('TECH_MACHINERY','WHEEL_ADJUST_CITY_PRODUCTION');
INSERT INTO Modifiers			(ModifierId,ModifierType) 		VALUES 		('WHEEL_ADJUST_CITY_PRODUCTION','MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE');
INSERT INTO ModifierArguments	(ModifierId,Name,[Value]) 		VALUES 		('WHEEL_ADJUST_CITY_PRODUCTION','YieldType','YIELD_PRODUCTION');
INSERT INTO ModifierArguments	(ModifierId,Name,[Value]) 		VALUES 		('WHEEL_ADJUST_CITY_PRODUCTION','Amount',1);


-------------------------------------------------------------------------------------------------------------------
--Tech & Civic COST increases
-------------------------------------------------------------------------------------------------------------------

UPDATE Technologies SET Cost = Cost*6;
UPDATE TechnologyRandomCosts SET Cost = Cost*6;

UPDATE Technologies SET 	Cost=Cost*1.0/6 						WHERE 	EraType='ERA_ANCIENT'; 		--was 1.0
UPDATE Technologies SET 	Cost=Cost*1.0/6 						WHERE 	EraType='ERA_CLASSICAL'; 	--was 1.0
UPDATE Technologies SET 	Cost=Cost*1.8/6 						WHERE 	EraType='ERA_MEDIEVAL'; 	--was 1.8 in last ver
UPDATE Technologies SET 	Cost=Cost*2.2/6 						WHERE 	EraType='ERA_RENAISSANCE';	--was 1.9 in last ver
UPDATE Technologies SET 	Cost=Cost*2.6/6 						WHERE 	EraType='ERA_INDUSTRIAL';	--was 2.0 in last ver
UPDATE Technologies SET 	Cost=Cost*3.0/6 						WHERE 	EraType='ERA_MODERN';		--was 2.1 in last ver
UPDATE Technologies SET 	Cost=Cost*3.4/6 						WHERE 	EraType='ERA_ATOMIC';		--was 2.2 in last ver
UPDATE Technologies SET 	Cost=Cost*3.8/6 						WHERE 	EraType='ERA_INFORMATION';	--was 2.3 in last ver
UPDATE Technologies SET 	Cost=Cost*4.0/6 						WHERE 	EraType='ERA_FUTURE';		--was 1.0

--Civics

UPDATE Civics SET 			Cost = Cost*6;
UPDATE CivicRandomCosts SET Cost = Cost*6;

UPDATE Civics SET 			Cost=Cost*1.0/6							WHERE 		EraType= 'ERA_ANCIENT';			--was 1.0
UPDATE Civics SET 			Cost=Cost*2.0/6							WHERE 		EraType= 'ERA_CLASSICAL';		--was 1.15
UPDATE Civics SET 			Cost=Cost*2.4/6 						WHERE 		EraType= 'ERA_MEDIEVAL';		--was 1.25
UPDATE Civics SET 			Cost=Cost*2.8/6 						WHERE 		EraType= 'ERA_RENAISSANCE';		--was 1.50
UPDATE Civics SET 			Cost=Cost*3.2/6 						WHERE 		EraType= 'ERA_INDUSTRIAL' OR 	--was 1.75
																				EraType= 'ERA_MODERN' OR 
																				EraType= 'ERA_ATOMIC';
UPDATE Civics SET 			Cost=Cost*3.8/6 						WHERE 		EraType= 'ERA_INFORMATION';		--was 1.8
UPDATE Civics SET 			Cost=Cost*3.8/6 						WHERE 		EraType='ERA_FUTURE';			--was 1.0


-------------------------------------------------------------------------------------------------------------------
-- Tech/civic boosts
-------------------------------------------------------------------------------------------------------------------
-- TECH MODIFIERS

INSERT INTO TechnologyModifiers(TechnologyType,ModifierId) VALUES('TECH_GUNPOWDER','ALCHEMY_WORKSHOP_SCIENCE');
INSERT INTO TechnologyModifiers(TechnologyType,ModifierId) VALUES('TECH_BIOLOGY','BIOLOGY_JUNGLE_SCIENCE');

-- TECH BOOSTS

/*UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_SAILING','BOOST_TRIGGER_SETTLE_COAST',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems) VALUES('TECH_IRRIGATION','BOOST_TRIGGER_HAVE_X_IMPROVEMENTS','IMPROVEMENT_FARM',0,3);
UPDATE Boosts (TechnologyType,BoostClass,NumItems,Unit1Type) VALUES('TECH_WRITING','BOOST_TRIGGER_EMPIRE_POPULATION',6,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,ResourceType,NumItems) VALUES('TECH_BRONZE_WORKING','BOOST_TRIGGER_IMPROVE_SPECIFIC_RESOURCE','IMPROVEMENT_MINE','RESOURCE_COPPER',NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems) VALUES('TECH_THE_WHEEL','BOOST_TRIGGER_HAVE_X_IMPROVEMENTS','IMPROVEMENT_PASTURE',1,1);
UPDATE Boosts (TechnologyType,BoostClass,Unit1Type,RequiresResource,ImprovementType,NumItems) VALUES('TECH_HORSEBACK_RIDING','BOOST_TRIGGER_KILL_WITH','UNIT_HEAVY_CHARIOT',0,NULL,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,DistrictType,NumItems) VALUES('TECH_MATHEMATICS','BOOST_TRIGGER_HAVE_X_DISTRICTS','DISTRICT_CAMPUS',2);
UPDATE Boosts (TechnologyType,BoostClass,NumItems,BuildingType) VALUES('TECH_CONSTRUCTION','BOOST_TRIGGER_HAVE_X_UNIQUE_SPECIALTY_DISTRICTS',1,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems) VALUES('TECH_APPRENTICESHIP','BOOST_TRIGGER_HAVE_X_UNIQUE_SPECIALTY_DISTRICTS',NULL,NULL,3);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_MACHINERY','BOOST_TRIGGER_HAVE_X_BUILDINGS',NULL,NULL,3,NULL,NULL,NULL,'BUILDING_WATER_MILL');
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_CASTLES','BOOST_TRIGGER_CULTURVATE_CIVIC',NULL,NULL,NULL,NULL,NULL,'CIVIC_DEFENSIVE_TACTICS',NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType,DistrictType) VALUES('TECH_CARTOGRAPHY','BOOST_TRIGGER_DISCOVER_CONTINENT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_MASS_PRODUCTION','BOOST_TRIGGER_HAVE_X_BUILDINGS',NULL,NULL,3,NULL,NULL,NULL,'BUILDING_WORKSHOP');
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,ResourceType,BuildingType) VALUES('TECH_GUNPOWDER','BOOST_TRIGGER_IMPROVE_SPECIFIC_RESOURCE','IMPROVEMENT_MINE','RESOURCE_NITER',NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,Unit1Type) VALUES('TECH_SQUARE_RIGGING','BOOST_TRIGGER_KILL_WITH','UNIT_CARAVEL');
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_METAL_CASTING','BOOST_TRIGGER_HAVE_X_BUILDINGS',NULL,NULL,2,NULL,NULL,NULL,'BUILDING_ARMORY');
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_SIEGE_TACTICS','BOOST_TRIGGER_KILL_WITH',NULL,NULL,NULL,'UNIT_BOMBARD',NULL,NULL,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_INDUSTRIALIZATION','BOOST_TRIGGER_CITY_POPULATION',NULL,NULL,13,NULL,NULL,NULL,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_BALLISTICS','BOOST_TRIGGER_OWN_X_UNITS_OF_TYPE',NULL,NULL,2,'UNIT_BOMBARD',NULL,NULL,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_STEAM_POWER','BOOST_TRIGGER_HAVE_X_BUILDINGS',NULL,NULL,2,NULL,NULL,NULL,'BUILDING_FACTORY');
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_RIFLING','BOOST_TRIGGER_KILL_WITH',NULL,NULL,NULL,'UNIT_MUSKETMAN',NULL,NULL,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_ELECTRICITY','BOOST_TRIGGER_CULTURVATE_CIVIC',NULL,NULL,NULL,NULL,NULL,'CIVIC_URBANIZATION',NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_RADIO','BOOST_TRIGGER_CULTURVATE_CIVIC',NULL,NULL,NULL,NULL,NULL,'CIVIC_MOBILIZATION',NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,ResourceType,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_CHEMISTRY','BOOST_TRIGGER_IMPROVE_SPECIFIC_RESOURCE','IMPROVEMENT_MINE','RESOURCE_MERCURY',NULL,NULL,NULL,NULL,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType) VALUES('TECH_COMBUSTION','BOOST_TRIGGER_OWN_X_UNITS_OF_TYPE',NULL,NULL,1,'UNIT_BATTLESHIP',NULL,NULL,NULL);
UPDATE Boosts (TechnologyType,BoostClass,ImprovementType,RequiresResource,NumItems,Unit1Type,BoostingCivicType,BuildingType,DistrictType) VALUES('TECH_SYNTHETIC_MATERIALS','BOOST_TRIGGER_HAVE_X_BUILDINGS',NULL,NULL,2,NULL,NULL,'BUILDING_RESEARCH_LAB',NULL);
--satellites
UPDATE Boosts (TechnologyType,TriggerDescription,TriggerLongDescription) VALUES('TECH_SATELLITES','LOC_BOOST_TRIGGER_SATELLITES','LOC_BOOST_TRIGGER_LONGDESC_SATELLITES')*/

--UPDATE Boosts SET BoostClass='BOOST_TRIGGER_SETTLE_COAST', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type=NULL, BoostingCivicType=NULL, BuildingType=NULL WHERE TechnologyType='TECH_SAILING';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_IMPROVEMENTS', ImprovementType='IMPROVEMENT_FARM', RequiresResource=0, NumItems=3 WHERE TechnologyType='TECH_IRRIGATION';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_IMPROVEMENTS', ImprovementType='IMPROVEMENT_CAMP', RequiresResource=1, NumItems=3 WHERE TechnologyType='TECH_ARCHERY';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_EMPIRE_POPULATION', NumItems=6, Unit1Type=NULL WHERE TechnologyType='TECH_WRITING';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_IMPROVE_SPECIFIC_RESOURCE', ImprovementType='IMPROVEMENT_MINE', ResourceType='RESOURCE_COPPER', NumItems=0 WHERE TechnologyType='TECH_BRONZE_WORKING';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_IMPROVEMENTS', ImprovementType='IMPROVEMENT_PASTURE', RequiresResource=1, NumItems=1 WHERE TechnologyType='TECH_THE_WHEEL';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_KILL_WITH', Unit1Type='UNIT_HEAVY_CHARIOT', RequiresResource=0, ImprovementType=NULL, NumItems=0 WHERE TechnologyType='TECH_HORSEBACK_RIDING';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_DISTRICTS', DistrictType='DISTRICT_CAMPUS', NumItems=2 WHERE TechnologyType='TECH_MATHEMATICS';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_UNIQUE_SPECIALTY_DISTRICTS', NumItems=1, BuildingType=NULL WHERE TechnologyType='TECH_CONSTRUCTION';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_UNIQUE_SPECIALTY_DISTRICTS', ImprovementType=NULL, RequiresResource=0, NumItems=3 WHERE TechnologyType='TECH_APPRENTICESHIP';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_BUILDINGS', ImprovementType=NULL, RequiresResource=0, NumItems=3, Unit1Type=NULL, BoostingCivicType=NULL, BuildingType='BUILDING_WATER_MILL' WHERE TechnologyType='TECH_MACHINERY';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_CULTURVATE_CIVIC', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type=NULL, BoostingCivicType='CIVIC_DEFENSIVE_TACTICS', BuildingType=NULL WHERE TechnologyType='TECH_CASTLES';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_TRAIN_UNIT', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type='UNIT_GREAT_ADMIRAL', BoostingCivicType=NULL, BuildingType=NULL, DistrictType=NULL WHERE TechnologyType='TECH_CARTOGRAPHY';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_BUILDINGS', ImprovementType=NULL, RequiresResource=0, NumItems=3, Unit1Type=NULL, BoostingCivicType=NULL, BuildingType='BUILDING_WORKSHOP' WHERE TechnologyType='TECH_MASS_PRODUCTION';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_IMPROVE_SPECIFIC_RESOURCE', ImprovementType='IMPROVEMENT_MINE', ResourceType='RESOURCE_NITER', BuildingType=NULL WHERE TechnologyType='TECH_GUNPOWDER';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_KILL_WITH', Unit1Type='UNIT_CARAVEL' WHERE TechnologyType='TECH_SQUARE_RIGGING';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_BUILDINGS', ImprovementType=NULL, RequiresResource=0, NumItems=2, Unit1Type=NULL, BoostingCivicType=NULL, BuildingType='BUILDING_ARMORY' WHERE TechnologyType='TECH_METAL_CASTING';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_KILL_WITH', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type='UNIT_BOMBARD', BoostingCivicType=NULL, BuildingType=NULL WHERE TechnologyType='TECH_SIEGE_TACTICS';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_CITY_POPULATION', ImprovementType=NULL, RequiresResource=0, NumItems=13, Unit1Type=NULL, BoostingCivicType=NULL, BuildingType=NULL WHERE TechnologyType='TECH_INDUSTRIALIZATION';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_OWN_X_UNITS_OF_TYPE', ImprovementType=NULL, RequiresResource=0, NumItems=2, Unit1Type='UNIT_BOMBARD', BoostingCivicType=NULL, BuildingType=NULL WHERE TechnologyType='TECH_BALLISTICS';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_BUILDINGS', ImprovementType=NULL, RequiresResource=0, NumItems=2, Unit1Type=NULL, BoostingCivicType=NULL, BuildingType='BUILDING_FACTORY' WHERE TechnologyType='TECH_STEAM_POWER';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_KILL_WITH', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type='UNIT_MUSKETMAN', BoostingCivicType=NULL, BuildingType=NULL WHERE TechnologyType='TECH_RIFLING';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_CULTURVATE_CIVIC', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type=NULL, BoostingCivicType='CIVIC_URBANIZATION', BuildingType=NULL WHERE TechnologyType='TECH_ELECTRICITY';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_CULTURVATE_CIVIC', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type=NULL, BoostingCivicType='CIVIC_MOBILIZATION', BuildingType=NULL WHERE TechnologyType='TECH_RADIO';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_IMPROVE_SPECIFIC_RESOURCE', ImprovementType='IMPROVEMENT_MINE', ResourceType='RESOURCE_MERCURY', NumItems=0, Unit1Type=NULL, BoostingCivicType=NULL, BuildingType=NULL WHERE TechnologyType='TECH_CHEMISTRY';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_OWN_X_UNITS_OF_TYPE', ImprovementType=NULL, RequiresResource=0, NumItems=1, Unit1Type='UNIT_BATTLESHIP', BoostingCivicType=NULL, BuildingType=NULL WHERE TechnologyType='TECH_COMBUSTION';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_BUILDINGS', ImprovementType=NULL, RequiresResource=0, NumItems=2, Unit1Type=NULL, BoostingCivicType=NULL, BuildingType='BUILDING_RESEARCH_LAB', DistrictType=NULL WHERE TechnologyType='TECH_SYNTHETIC_MATERIALS';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_CULTURVATE_CIVIC', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type=NULL, BoostingCivicType='CIVIC_NEAR_FUTURE_GOVERNANCE', BuildingType=NULL WHERE TechnologyType='TECH_ROBOTICS';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_RESEARCH_TECH', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type=NULL, BoostingTechType='TECH_COMPUTERS', BuildingType=NULL WHERE CivicType='CIVIC_SOCIAL_MEDIA';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_BUILDINGS', ImprovementType=NULL, RequiresResource=0, NumItems=2, Unit1Type=NULL, BoostingCivicType=NULL, BuildingType='BUILDING_HOSPITAL', DistrictType=NULL WHERE CivicType='CIVIC_NEAR_FUTURE_GOVERNANCE';
UPDATE Boosts SET TriggerDescription = 'LOC_BOOST_TRIGGER_MUST_STEAL', BoostClass='BOOST_TRIGGER_NONE_LATE_GAME_CRITICAL_TECH', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type=NULL, BoostingTechType=NULL, BuildingType=NULL, GovernmentTierType = NULL WHERE TechnologyType='TECH_COMPUTERS';
UPDATE Boosts SET TriggerDescription = 'LOC_BOOST_TRIGGER_MUST_STEAL', BoostClass='BOOST_TRIGGER_NONE_LATE_GAME_CRITICAL_TECH', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type=NULL, BoostingTechType=NULL, BuildingType=NULL WHERE TechnologyType='TECH_COMPOSITES';
UPDATE Boosts SET TriggerDescription = 'LOC_BOOST_TRIGGER_MUST_STEAL', BoostClass='BOOST_TRIGGER_NONE_LATE_GAME_CRITICAL_TECH', ImprovementType=NULL, RequiresResource=0, NumItems=0, Unit1Type=NULL, BoostingTechType=NULL, BuildingType=NULL WHERE TechnologyType='TECH_NANOTECHNOLOGY';

--Nuclear Fusion
UPDATE Boosts SET TriggerDescription='BOOST_TRIGGER_NONE_LATE_GAME_CRITICAL_TECH', TriggerDescription = 'LOC_BOOST_TRIGGER_NUCLEAR_FUSION', TriggerLongDescription='LOC_BOOST_TRIGGER_LONGDESC_NUCLEAR_FUSION' WHERE TechnologyType='TECH_NUCLEAR_FUSION';

--Satellites
UPDATE Boosts SET TriggerDescription='LOC_BOOST_TRIGGER_SATELLITES', TriggerLongDescription='LOC_BOOST_TRIGGER_LONGDESC_SATELLITES' WHERE TechnologyType='TECH_SATELLITES';

INSERT INTO Boosts (TechnologyType,Boost,TriggerDescription,TriggerLongDescription,BoostClass,BoostingCivicType) VALUES ('TECH_PHILOSOPHY',40,'LOC_BOOST_TRIGGER_PHILOSOPHY','LOC_BOOST_TRIGGER_LONGDESC_PHILOSOPHY','BOOST_TRIGGER_CULTURVATE_CIVIC','CIVIC_DRAMA_POETRY');
INSERT INTO Boosts (TechnologyType,Boost,TriggerDescription,TriggerLongDescription,BoostClass,BoostingCivicType) VALUES ('TECH_BIOLOGY',40,'LOC_BOOST_TRIGGER_BIOLOGY','LOC_BOOST_TRIGGER_LONGDESC_BIOLOGY','BOOST_TRIGGER_CULTURVATE_CIVIC','CIVIC_NATURAL_HISTORY');
INSERT INTO Boosts (TechnologyType,Boost,TriggerDescription,TriggerLongDescription,BoostClass,Unit1Type,NumItems) VALUES ('TECH_MEDICINE',40,'LOC_BOOST_TRIGGER_MEDICINE','LOC_BOOST_TRIGGER_LONGDESC_MEDICINE','BOOST_TRIGGER_OWN_X_UNITS_OF_TYPE','UNIT_MEDIC',3);
INSERT INTO Boosts (TechnologyType,Boost,TriggerDescription,TriggerLongDescription,BoostClass,ImprovementType,NumItems) VALUES ('TECH_IRRIGATION',40,'LOC_BOOST_TRIGGER_IRRIGATION','LOC_BOOST_TRIGGER_LONGDESC_IRRIGATION','BOOST_TRIGGER_HAVE_X_IMPROVEMENTS','IMPROVEMENT_TERRACE_FARM',3);
--UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_IMPROVEMENTS', ImprovementType='IMPROVEMENT_FARM', RequiresResource=0, NumItems=3 WHERE TechnologyType='TECH_IRRIGATION';
--REMOVED IN 2.7		INSERT INTO Boosts (TechnologyType,Boost,TriggerDescription,TriggerLongDescription,BoostClass,BuildingType) VALUES ('TECH_GUNPOWDER',40,'LOC_BOOST_TRIGGER_ALCHEMY','LOC_BOOST_TRIGGER_LONGDESC_ALCHEMY','BOOST_TRIGGER_HAVE_BUILDING_MOUNTAIN','BUILDING_WORKSHOP');


--Remove Alchemy
--DELETE FROM Types 				WHERE 		Type= 'TECH_ALCHEMY';
--DELETE FROM Technologies 			WHERE 		TechnologyType= 'TECH_ALCHEMY';				
--DELETE FROM TechnologyQuotes 		WHERE 		TechnologyType= 'TECH_ALCHEMY';
--DELETE FROM TechnologyPrereqs 	WHERE 		Technology= 'TECH_ALCHEMY';
--DELETE FROM TechnologyPrereqs 	WHERE 		PrereqTech= 'TECH_ALCHEMY';
--DELETE FROM Boosts 				WHERE 		TechnologyType= 'TECH_ALCHEMY';
	

UPDATE Boosts SET 	Boost='30';
UPDATE Boosts SET 	BoostClass= 'BOOST_TRIGGER_HAVE_X_IMPROVEMENTS' , ImprovementType= 'IMPROVEMENT_CAMP' , RequiresResource=1 , NumItems=2 																																WHERE	TechnologyType= 'TECH_ARCHERY'; --was 1

UPDATE Boosts SET 	BoostClass= 'BOOST_TRIGGER_HAVE_X_BUILDINGS' , ImprovementType=NULL , RequiresResource=0 , NumItems=3 , Unit1Type=NULL , BoostingCivicType=NULL , BuildingType= 'BUILDING_WATER_MILL' 																	WHERE 	TechnologyType= 'TECH_MACHINERY';
UPDATE Boosts SET 	BoostClass= 'BOOST_TRIGGER_HAVE_BUILDING_MOUNTAIN' , ImprovementType=NULL , ResourceType=NULL , BuildingType= 'BUILDING_WORKSHOP' , TriggerDescription= 'LOC_BOOST_TRIGGER_ALCHEMY' , TriggerLongDescription= 'LOC_BOOST_TRIGGER_LONGDESC_ALCHEMY' 		WHERE 	TechnologyType= 'TECH_GUNPOWDER';
UPDATE Boosts SET 	BoostClass= 'BOOST_TRIGGER_HAVE_X_IMPROVEMENTS' , ImprovementType= 'IMPROVEMENT_OIL_WELL' , RequiresResource=1 , NumItems=3 , Unit1Type=NULL , BoostingCivicType=NULL , BuildingType=NULL 																WHERE 	TechnologyType= 'TECH_COMBUSTION';

UPDATE Boosts SET 	BoostClass= 'BOOST_TRIGGER_HAVE_X_BUILDINGS' , NumItems=2	WHERE 	TechnologyType= 'TECH_ENGINEERING';


UPDATE Boosts SET 	BoostClass= 'BOOST_TRIGGER_OWN_X_UNITS_OF_TYPE', NumItems=3, BuildingType = NULL , Unit1Type = 'UNIT_ARTILLERY'	WHERE 	TechnologyType= 'TECH_ADVANCED_BALLISTICS';
UPDATE Boosts SET 	BoostClass= 'BOOST_TRIGGER_HAVE_X_BUILDINGS', ImprovementType = NULL, ResourceType = NULL , NumItems=2, BuildingType = 'BUILDING_FOSSIL_FUEL_POWER_PLANT' 	WHERE 	TechnologyType= 'TECH_PLASTICS';

--------------------------------------------------------------------------------------------------------------------
--CIVICS
--------------------------------------------------------------------------------------------------------------------
--Descriptions

UPDATE Civics SET 	Description='LOC_CIVIC_MYSTICISM_DESCRIPTION'				WHERE 	CivicType= 'CIVIC_MYSTICISM';
UPDATE Civics SET 	Description='LOC_CIVIC_POLITICAL_PHILOSOPHY_DESCRIPTION'	WHERE 	CivicType= 'CIVIC_POLITICAL_PHILOSOPHY';
UPDATE Civics SET 	Description='LOC_CIVIC_MILITARY_TRAINING_DESCRIPTION'		WHERE 	CivicType= 'CIVIC_MILITARY_TRAINING';
UPDATE Civics SET 	Description='LOC_CIVIC_DEFENSIVE_TACTICS_DESCRIPTION'		WHERE 	CivicType= 'CIVIC_DEFENSIVE_TACTICS';
UPDATE Civics SET 	Description='LOC_CIVIC_CIVIL_SERVICE_DESCRIPTION' 			WHERE 	CivicType= 'CIVIC_CIVIL_SERVICE';
UPDATE Civics SET 	Description='LOC_CIVIC_THEOLOGY_DESCRIPTION'				WHERE 	CivicType= 'CIVIC_THEOLOGY';
UPDATE Civics SET 	Description='LOC_CIVIC_NAVAL_TRADITION_DESCRIPTION'			WHERE 	CivicType= 'CIVIC_NAVAL_TRADITION';
UPDATE Civics SET 	Description='LOC_CIVIC_MERCENARIES_DESCRIPTION'				WHERE 	CivicType= 'CIVIC_MERCENARIES';
UPDATE Civics SET 	Description='LOC_CIVIC_MEDIEVAL_FAIRES_DESCRIPTION'			WHERE 	CivicType= 'CIVIC_MEDIEVAL_FAIRES';
UPDATE Civics SET 	Description='LOC_CIVIC_GUILDS_DESCRIPTION'					WHERE 	CivicType= 'CIVIC_GUILDS';
UPDATE Civics SET 	Description='LOC_CIVIC_HUMANISM_DESCRIPTION'				WHERE 	CivicType= 'CIVIC_HUMANISM';
UPDATE Civics SET 	Description='LOC_CIVIC_OPERA_BALLET_DESCRIPTION'			WHERE 	CivicType= 'CIVIC_OPERA_BALLET';
UPDATE Civics SET 	Description='LOC_CIVIC_NATURAL_HISTORY_DESCRIPTION'			WHERE 	CivicType= 'CIVIC_NATURAL_HISTORY';
UPDATE Civics SET 	Description='LOC_CIVIC_SCORCHED_EARTH_DESCRIPTION'			WHERE 	CivicType= 'CIVIC_SCORCHED_EARTH';
UPDATE Civics SET 	Description='LOC_CIVIC_CAPITALISM_DESCRIPTION'				WHERE 	CivicType= 'CIVIC_CAPITALISM'; 
UPDATE Civics SET 	Description='LOC_CIVIC_PROFESSIONAL_SPORTS_DESCRIPTION'		WHERE 	CivicType= 'CIVIC_PROFESSIONAL_SPORTS'; 
UPDATE Civics SET 	Description='LOC_CIVIC_CULTURAL_HERITAGE_DESCRIPTION'		WHERE 	CivicType= 'CIVIC_CULTURAL_HERITAGE'; 




-------------------------------------------------------------------------------------------------------------------
--Civic prerequisites
-------------------------------------------------------------------------------------------------------------------

INSERT INTO CivicPrereqs 			(Civic , PrereqCivic) 					VALUES 		( 'CIVIC_DRAMA_POETRY' , 		'CIVIC_MYSTICISM' );


--Renaissance Era
INSERT INTO CivicPrereqs 			(Civic , PrereqCivic) 					VALUES 		( 'CIVIC_MEDIEVAL_FAIRES' , 	'CIVIC_NAVAL_TRADITION' );


INSERT INTO CivicPrereqs 			(Civic , PrereqCivic) 					VALUES 		( 'CIVIC_MERCANTILISM' , 		'CIVIC_EXPLORATION' );
INSERT INTO CivicPrereqs 			(Civic , PrereqCivic) 					VALUES 		( 'CIVIC_THE_ENLIGHTENMENT' , 	'CIVIC_REFORMED_CHURCH' );

--Industrial Era
INSERT INTO CivicPrereqs 			(Civic , PrereqCivic) 					VALUES 		( 'CIVIC_CULTURAL_HERITAGE' , 	'CIVIC_IDEOLOGY' );




-------------------------------------------------------------------------------------------------------------------
--Specific Civic cost changes
-------------------------------------------------------------------------------------------------------------------

-- Increase Code of Laws Cost to make Monuments more important (thanks to DreamState!):
UPDATE Civics SET Cost = Cost*1.5 WHERE CivicType = 'CIVIC_CODE_OF_LAWS';




----------------------------------------------------------
--CIVICS BOOSTS
----------------------------------------------------------
UPDATE Boosts SET 	BoostClass= 'BOOST_TRIGGER_RESEARCH_TECH' , BoostingTechType= 'TECH_SAILING' , NumItems=0 , Unit1Type=NULL 				WHERE CivicType=	'CIVIC_FOREIGN_TRADE';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_RESEARCH_TECH', BoostingTechType='TECH_POTTERY',NumItems=0,Unit1Type=NULL 						WHERE CivicType=	'CIVIC_CRAFTSMANSHIP';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_NUM_BARBS_KILLED', NumItems=3 																	WHERE CivicType=	'CIVIC_MILITARY_TRADITION';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_NUM_IMPROVED_TILES', NumItems=6, Unit1Type='UNIT_BUILDER' 										WHERE CivicType=	'CIVIC_STATE_WORKFORCE';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_RESEARCH_TECH', BoostingTechType='TECH_WRITING' 												WHERE CivicType=	'CIVIC_EARLY_EMPIRE';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_DISTRICTS',DistrictType='DISTRICT_GOVERNMENT',NumItems=1 								WHERE CivicType=	'CIVIC_POLITICAL_PHILOSOPHY';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_CLEAR_CAMP', NumItems=0 																		WHERE CivicType=	'CIVIC_DRAMA_POETRY';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_BUILDINGS', BuildingType='BUILDING_WALLS', NumItems=3 									WHERE CivicType=	'CIVIC_DEFENSIVE_TACTICS';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_WONDERS', NumItems=1, DistrictType=NULL 													WHERE CivicType=	'CIVIC_RECORDED_HISTORY';
UPDATE Boosts SET NumItems=9 																												WHERE CivicType=	'CIVIC_FEUDALISM';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_MEET_X_CITY_STATES', NumItems=7, BoostingTechType=NULL 											WHERE CivicType=	'CIVIC_COLONIALISM';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_HAVE_X_UNIQUE_SPECIALTY_DISTRICTS', NumItems=5 													WHERE CivicType=	'CIVIC_CIVIL_SERVICE';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_RESEARCH_TECH', BoostingTechType='TECH_INDUSTRIALIZATION', NumItems=0 							WHERE CivicType=	'CIVIC_URBANIZATION';
UPDATE Boosts SET BoostClass='BOOST_TRIGGER_CONQUER_CITY',NumItems=0,Unit1Type=NULL 														WHERE CivicType=	'CIVIC_SCORCHED_EARTH';

-- OLD CIVICS CODE:

--Update Civic costs?
--UPDATE Civics SET Cost=Round(Cost*1.15) WHERE EraType='ERA_CLASSICAL';
--UPDATE Civics SET Cost=Round(Cost*1.25) WHERE EraType='ERA_MEDIEVAL';
--UPDATE Civics SET Cost=Round(Cost*1.5) WHERE EraType='ERA_RENAISSANCE';
--UPDATE Civics SET Cost=Round(Cost*1.75) WHERE EraType='ERA_INDUSTRIAL' OR EraType='ERA_MODERN' OR EraType='ERA_ATOMIC';
--UPDATE Civics SET Cost=Round(Cost*1.85) WHERE EraType='ERA_INFORMATION';



---------------------------------------------

-- OLD CITY STIKE CODE:

---------------------------------------------


------------------------


--INSERT INTO Types 	([Type], Kind) 													VALUES 		( 'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE' , 'KIND_MODIFIER');
--INSERT INTO DynamicModifiers 	(ModifierType , CollectionType , EffectType) 		VALUES 		( 'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE' , 'COLLECTION_OWNER' , 'EFFECT_ADJUST_CITY_RANGED_STRIKE');

--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 						VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_ANCIENT_WALLS');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 						VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_MEDIEVAL_WALLS');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 						VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_RENAISSANCE_WALLS');
--
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ANCIENT_WALLS' , 	'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE',		0,	0,	NULL,	'REQSET_CITY_HAS_ANCIENT_WALLS');
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_MEDIEVAL_WALLS' , 	'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE',		0,	0,	NULL,	'REQSET_CITY_HAS_MEDIEVAL_WALLS');
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_RENAISSANCE_WALLS' , 'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE',		0,	0,	NULL,	'REQSET_CITY_HAS_RENAISSANCE_WALLS');
--
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ANCIENT_WALLS' , 	'Amount' , -10 );
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_MEDIEVAL_WALLS' , 	'Amount' , -10 );
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_RENAISSANCE_WALLS' , 'Amount' , -10 );
--
--INSERT INTO Requirements 		(RequirementId,RequirementType)						VALUES		('REQ_CITY_HAS_ANCIENT_WALLS', 			'REQUIREMENT_CITY_HAS_BUILDING' ),
--																								('REQ_CITY_HAS_MEDIEVAL_WALLS', 		'REQUIREMENT_CITY_HAS_BUILDING' ),
--																								('REQ_CITY_HAS_TSIKHE', 				'REQUIREMENT_CITY_HAS_BUILDING' ),
--																								('REQ_CITY_HAS_RENAISSANCE_WALLS', 		'REQUIREMENT_CITY_HAS_BUILDING' );
--																								
--INSERT INTO RequirementArguments (RequirementId, Name, Value)						VALUES		('REQ_CITY_HAS_ANCIENT_WALLS', 			'BuildingType', 'BUILDING_WALLS'),
--																								('REQ_CITY_HAS_MEDIEVAL_WALLS', 		'BuildingType', 'BUILDING_CASTLE'),
--																								('REQ_CITY_HAS_TSIKHE', 				'BuildingType', 'BUILDING_TSIKHE'),
--																								('REQ_CITY_HAS_RENAISSANCE_WALLS', 		'BuildingType', 'BUILDING_STAR_FORT');
--																								
--INSERT INTO RequirementSets 	(RequirementSetId,RequirementSetType) 				VALUES 		('REQSET_CITY_HAS_ANCIENT_WALLS',		'REQUIREMENTSET_TEST_ALL');
--INSERT INTO RequirementSets 	(RequirementSetId,RequirementSetType) 				VALUES 		('REQSET_CITY_HAS_MEDIEVAL_WALLS',		'REQUIREMENTSET_TEST_ALL');
--INSERT INTO RequirementSets 	(RequirementSetId,RequirementSetType) 				VALUES 		('REQSET_CITY_HAS_RENAISSANCE_WALLS',	'REQUIREMENTSET_TEST_ANY');
--		
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 			VALUES 		('REQSET_CITY_HAS_ANCIENT_WALLS',		'REQ_CITY_HAS_ANCIENT_WALLS');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 			VALUES 		('REQSET_CITY_HAS_MEDIEVAL_WALLS',		'REQ_CITY_HAS_MEDIEVAL_WALLS');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 			VALUES 		('REQSET_CITY_HAS_RENAISSANCE_WALLS',	'REQ_CITY_HAS_TSIKHE');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 			VALUES 		('REQSET_CITY_HAS_RENAISSANCE_WALLS',	'REQ_CITY_HAS_RENAISSANCE_WALLS');


--NERF RANGED STRIKE BASED ON PLAYER ERA


--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_ANCIENT_ERA');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_CLASSICAL_ERA');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_MEDIEVAL_ERA');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_RENAISSANCE_ERA');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_INDUSTRIAL_ERA');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_MODERN_ERA');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_ATOMIC_ERA');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		( 'DISTRICT_CITY_CENTER' , 	'NERF_CITY_ENCAMPMENT_STRIKE_INFORMATION_ERA');

--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId, NewOnly, SubjectStackLimit , OwnerStackLimit)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ARCHER' , 		'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER',		1,	1,	NULL,		NULL, 0 , NULL , 1);
--INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ARCHER' , 	'ModifierId' , 'NERF_CITY_ENCAMPMENT_STRIKE_ARCHER_MODIFIER' );            
--																													
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId, SubjectStackLimit , OwnerStackLimit)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ARCHER_MODIFIER' , 	'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE',		1,	1,	NULL,	NULL, 1, 1);
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ARCHER_MODIFIER' , 	'Amount' , -5 ); 

--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId, NewOnly, SubjectStackLimit , OwnerStackLimit)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ANCIENT_ERA' , 		'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE',		1,	1,	NULL,		NULL, 0 , NULL , 1);
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_CLASSICAL_ERA' , 	'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE',		1,	1,	'REQSET_PLAYER_IN_CLASSICAL_ERA',	NULL);
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_MEDIEVAL_ERA' , 		'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE',		1,	1,	'REQSET_PLAYER_IN_MEDIEVAL_ERA',	NULL);
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_RENAISSANCE_ERA' , 	'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE',		1,	1,	'REQSET_PLAYER_IN_RENAISSANCE_ERA',	NULL);
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_INDUSTRIAL_ERA' , 	'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE',		1,	1,	'REQSET_PLAYER_IN_INDUSTRIAL_ERA',	NULL);
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_MODERN_ERA' , 		'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE',		1,	1,	'REQSET_PLAYER_IN_MODERN_ERA',		NULL);
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ATOMIC_ERA' , 		'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE',		1,	1,	'REQSET_PLAYER_IN_MODERN_ERA',		NULL);
--INSERT INTO Modifiers 			(ModifierId, ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	 	VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_INFORMATION_ERA' , 	'MODIFIER_PLAYER_CITIES_ADJUST_RANGED_STRIKE',		1,	1,	'REQSET_PLAYER_IN_INFORMATION_ERA',	NULL);

--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ANCIENT_ERA' , 		'Amount' , -1 );												
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_CLASSICAL_ERA' , 	'Amount' , -5 );                                               
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_MEDIEVAL_ERA' , 		'Amount' , -5 );                                               
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_RENAISSANCE_ERA' , 	'Amount' , -5 );                                               
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_INDUSTRIAL_ERA' , 	'Amount' , -5 );                                               
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_MODERN_ERA' , 		'Amount' , -5 );                                               	
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_ATOMIC_ERA' , 		'Amount' , -5 );                                               
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 		VALUES 		( 'NERF_CITY_ENCAMPMENT_STRIKE_INFORMATION_ERA' , 	'Amount' , -5 );   
                                            
--Ancient 5 Slinger
--Ancient 20 Arhcer
--Classical 
--Medieval 25 Skrimisher
--Medieval 40 crossbowman
--Renaissance 40
--Industrial 60
--Atomic 75




--INSERT INTO Requirements (RequirementId,RequirementType)					VALUES		('REQ_PLAYER_IN_ANCIENT_ERA', 			'REQUIREMENT_PLAYER_ERA_AT_LEAST' ),
--																						('REQ_PLAYER_IN_CLASSICAL_ERA', 		'REQUIREMENT_PLAYER_ERA_AT_LEAST' ),
--																						('REQ_PLAYER_IN_MEDIEVAL_ERA', 			'REQUIREMENT_PLAYER_ERA_AT_LEAST' ),
--																						('REQ_PLAYER_IN_RENAISSANCE_ERA', 		'REQUIREMENT_PLAYER_ERA_AT_LEAST' ),
--																						('REQ_PLAYER_IN_INDUSTRIAL_ERA', 		'REQUIREMENT_PLAYER_ERA_AT_LEAST' ),
--																						('REQ_PLAYER_IN_MODERN_ERA', 			'REQUIREMENT_PLAYER_ERA_AT_LEAST' ),
--																						('REQ_PLAYER_IN_ATOMIC_ERA', 			'REQUIREMENT_PLAYER_ERA_AT_LEAST' ),
--																						('REQ_PLAYER_IN_INFORMATION_ERA', 		'REQUIREMENT_PLAYER_ERA_AT_LEAST' );
--																					
--	
--	
--INSERT INTO RequirementArguments (RequirementId, Name, Value)				VALUES		('REQ_PLAYER_IN_ANCIENT_ERA', 			'EraType', 'ERA_ANCIENT'),
--																						('REQ_PLAYER_IN_CLASSICAL_ERA', 		'EraType', 'ERA_CLASSICAL'),
--																						('REQ_PLAYER_IN_MEDIEVAL_ERA', 			'EraType', 'ERA_MEDIEVAL'),
--																						('REQ_PLAYER_IN_RENAISSANCE_ERA', 		'EraType', 'ERA_RENAISSANCE'),
--																						('REQ_PLAYER_IN_INDUSTRIAL_ERA', 		'EraType', 'ERA_INDUSTRIAL'),
--																						('REQ_PLAYER_IN_MODERN_ERA', 			'EraType', 'ERA_MODERN'),
--																						('REQ_PLAYER_IN_ATOMIC_ERA', 			'EraType', 'ERA_ATOMIC'),
--																						('REQ_PLAYER_IN_INFORMATION_ERA', 		'EraType', 'ERA_INFORMATION');

--INSERT INTO Requirements (RequirementId,RequirementType)					VALUES		('REQ_UNIT_IS_ARCHER', 			'REQUIREMENT_PLOT_UNIT_TYPE_MATCHES' );
--INSERT INTO RequirementArguments (RequirementId, Name, Value)				VALUES		('REQ_UNIT_IS_ARCHER', 			'UnitType', 'UNIT_ARCHER');
--
--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_ARCHER_ON_DISTRICT',		'REQUIREMENTSET_TEST_ANY');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_ARCHER_ON_DISTRICT',		'REQ_UNIT_IS_ARCHER');


--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_IN_ANCIENT_ERA',		'REQUIREMENTSET_TEST_ANY');
--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_IN_CLASSICAL_ERA',		'REQUIREMENTSET_TEST_ANY');
--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_IN_MEDIEVAL_ERA',		'REQUIREMENTSET_TEST_ANY');
--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_IN_RENAISSANCE_ERA',	'REQUIREMENTSET_TEST_ANY');
--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_IN_INDUSTRIAL_ERA',		'REQUIREMENTSET_TEST_ANY');
--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_IN_MODERN_ERA',			'REQUIREMENTSET_TEST_ANY');
--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_IN_ATOMIC_ERA',			'REQUIREMENTSET_TEST_ANY');
--INSERT INTO RequirementSets (RequirementSetId,RequirementSetType) 			VALUES 		('REQSET_PLAYER_IN_INFORMATION_ERA',	'REQUIREMENTSET_TEST_ANY');
--
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_IN_ANCIENT_ERA',		'REQ_PLAYER_IN_ANCIENT_ERA');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_IN_CLASSICAL_ERA',		'REQ_PLAYER_IN_CLASSICAL_ERA');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_IN_MEDIEVAL_ERA',		'REQ_PLAYER_IN_MEDIEVAL_ERA');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_IN_RENAISSANCE_ERA',	'REQ_PLAYER_IN_RENAISSANCE_ERA');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_IN_INDUSTRIAL_ERA',		'REQ_PLAYER_IN_INDUSTRIAL_ERA');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_IN_MODERN_ERA',			'REQ_PLAYER_IN_MODERN_ERA');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_IN_MODERN_ERA',			'REQ_PLAYER_IN_ATOMIC_ERA');
--INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 	VALUES 		('REQSET_PLAYER_IN_INFORMATION_ERA',	'REQ_PLAYER_IN_INFORMATION_ERA');


--ADD CIVILOPEDIA PAGES!!!

--INSERT INTO CivilopediaPageLayouts (PageLayoutId,ScriptTemplate) VALUES ('AREXGeneralChanges','Simple');
--INSERT INTO CivilopediaPageLayouts (PageLayoutId,ScriptTemplate) VALUES ('AREXChangeLog','Simple');
--
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXGeneralChanges','PROGRESSION',20);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXGeneralChanges','CITIES',30);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXGeneralChanges','TRADE',40);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXGeneralChanges','UNITS',50);
--
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','TECHS',						20);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','CIVICS',						30);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','TERRAIN',						40);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','FEATURES',					50);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','BONUSLUXURYRES',				60);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','STRATEGICRES',				70);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','IMPROVEMENTS',				80);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','ROADS',						90);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','CITYCENTER',					100);
--INSERT INTO CivilopediaPageLayoutChapters (PageLayoutId,ChapterId,SortIndex) VALUES ('AREXChangeLog','AERODROME',					110);
--
--
--
--
--INSERT INTO CivilopediaPageGroups (SectionID,PageGroupId,Name,Tooltip,VisibleIfEmpty,SortIndex) VALUES ('CONCEPTS','AREX','LOC_PEDIA_CONCEPTS_PAGEGROUP_AREX_NAME','',1,5);
--
--INSERT INTO CivilopediaPages (SectionID,PageId,PageGroupId,PageLayoutId,Name,Tooltip,SortIndex) VALUES ('CONCEPTS','AREX_GENERAL_CHANGES',	'AREX',	'AREXGeneralChanges',	'LOC_PEDIA_CONCEPTS_PAGE_AREX_GENERAL_CHANGES_CHAPTER_CONTENT_TITLE',	'',	1);
--INSERT INTO CivilopediaPages (SectionID,PageId,PageGroupId,PageLayoutId,Name,Tooltip,SortIndex) VALUES ('CONCEPTS','AREX_CHANGE_LOG',		'AREX',	'AREXChangeLog',		'LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_CONTENT_TITLE',		'',	2);
--
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_GENERAL_CHANGES','LOC_PEDIA_CONCEPTS_PAGE_AREX_GENERAL_CHANGES_CHAPTER_PROGRESSION_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_GENERAL_CHANGES','LOC_PEDIA_CONCEPTS_PAGE_AREX_GENERAL_CHANGES_CHAPTER_CITIES_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_GENERAL_CHANGES','LOC_PEDIA_CONCEPTS_PAGE_AREX_GENERAL_CHANGES_CHAPTER_TRADE_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_GENERAL_CHANGES','LOC_PEDIA_CONCEPTS_PAGE_AREX_GENERAL_CHANGES_CHAPTER_UNITS_TITLE');
--
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_TECHS_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_CIVICS_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_TERRAIN_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_FEATURES_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_BONUSLUXURYRES_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_STRATEGICRES_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_IMPROVEMENTS_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_ROADS_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_CITYCENTER_TITLE');
--INSERT INTO CivilopediaPageSearchTerms (SectionId,PageId,Term) VALUES ('CONCEPTS','AREX_CHANGE_LOG','LOC_PEDIA_CONCEPTS_PAGE_AREX_CHANGE_LOG_CHAPTER_AERODROME_TITLE');

UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_Misc';