-------------------------------------------------------------------
-------------------------------------------------------------------
-- Agricultural Revolution - Expanded (by Knasp) - Code for Unit Classes, Abilities and Modifiers etc.
-------------------------------------------------------------------
-------------------------------------------------------------------
INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_Units_Abilities_Modifiers',    '1',    '0',        '') ;



--------------------------------------------------------------
--UNIT AI INFOS
--------------------------------------------------------------
--New ranged support units:

DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_CHINESE_CROUCHING_TIGER' AND AiType = 'UNITAI_COMBAT'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_KOREAN_HWACHA' 			AND AiType = 'UNITAI_COMBAT'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_FIELD_CANNON' 			AND AiType = 'UNITAI_COMBAT'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_MACHINE_GUN' 			AND AiType = 'UNITAI_COMBAT'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_AT_CREW' 				AND AiType = 'UNITAI_COMBAT'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_AT_CREW' 				AND AiType = 'UNITAI_EXPLORE'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_MODERN_AT' 				AND AiType = 'UNITAI_COMBAT'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_MODERN_AT' 				AND AiType = 'UNITAI_EXPLORE'; 

--Shared between battering rams, anti-air guns and Siege class units:
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_CHINESE_CROUCHING_TIGER','UNITTYPE_SIEGE_ALL');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_KOREAN_HWACHA',			'UNITTYPE_SIEGE_ALL');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_FIELD_CANNON',			'UNITTYPE_SIEGE_ALL');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_MACHINE_GUN',			'UNITTYPE_SIEGE_ALL');

--Shared between all support units:
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_CHINESE_CROUCHING_TIGER','UNITTYPE_SIEGE_SUPPORT');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_KOREAN_HWACHA',			'UNITTYPE_SIEGE_SUPPORT');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_FIELD_CANNON',			'UNITTYPE_SIEGE_SUPPORT');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_MACHINE_GUN',			'UNITTYPE_SIEGE_SUPPORT');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_AT_CREW',				'UNITTYPE_SIEGE_SUPPORT');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_MODERN_AT',				'UNITTYPE_SIEGE_SUPPORT');

--Infantry now also get ranged type - similar to persian immortal. Hope it can help AI to use infantry with machine guns. If removed, don't forget to take away Diggers in Australia code!
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_INFANTRY',				'UNITTYPE_RANGED');

--All naval units now used for exploration, except battleships and carriers:

INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_QUADRIREME',				'UNITAI_EXPLORE');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_PRIVATEER',				'UNITAI_EXPLORE');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_OTTOMAN_BARBARY_CORSAIR','UNITAI_EXPLORE');
INSERT INTO UnitAiInfos	(UnitType,AiType)	SELECT 	'UNIT_ENGLISH_SEADOG', 			'UNITAI_EXPLORE' 	WHERE EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_FRIGATE',				'UNITAI_EXPLORE');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_SUBMARINE',				'UNITAI_EXPLORE');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_NUCLEAR_SUBMARINE',		'UNITAI_EXPLORE');

--Battleships now used for sieges:
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_BATTLESHIP',				'UNITTYPE_SIEGE_ALL');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_BATTLESHIP',				'UNITTYPE_SIEGE');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_BRAZILIAN_MINAS_GERAES',	'UNITTYPE_SIEGE_ALL');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_BRAZILIAN_MINAS_GERAES',	'UNITTYPE_SIEGE');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_MISSILE_CRUISER',		'UNITTYPE_SIEGE_ALL');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_MISSILE_CRUISER',		'UNITTYPE_SIEGE');

--Tanks no longer used for exploring:
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_MODERN_ARMOR' 			AND AiType = 'UNITAI_EXPLORE'; 



--UNIT_BATTERING_RAM		UNITTYPE_SIEGE_SUPPORT
--UNIT_BATTERING_RAM		UNITTYPE_SIEGE_ALL
	
--UNIT_SIEGE_TOWER			UNITTYPE_SIEGE_SUPPORT
--UNIT_SIEGE_TOWER			UNITTYPE_SIEGE_ALL
	
--UNIT_DRONE				UNITTYPE_SIEGE_SUPPORT
	
--UNIT_GREAT_GENERAL		UNITAI_LEADER
--UNIT_GREAT_GENERAL		UNITTYPE_CIVILIAN_LEADER
	
--UNIT_ANTIAIR_GUN			UNITTYPE_SIEGE_SUPPORT
--UNIT_ANTIAIR_GUN			UNITTYPE_SIEGE_ALL
	
--UNIT_SUPPLY_CONVOY		UNITTYPE_SIEGE_SUPPORT
	
--UNIT_SUPPLY_CONVOY		UNITTYPE_SIEGE_SUPPORT
	
--UNIT_MEDIC				UNITTYPE_SIEGE_SUPPORT

--UNIT_MILITARY_ENGINEER	UNITTYPE_SIEGE_SUPPORT
--UNIT_MILITARY_ENGINEER	UNITAI_BUILD
--UNIT_MILITARY_ENGINEER	UNITTYPE_CIVILIAN

--UNIT_CROSSBOWMAN			UNITAI_COMBAT
--UNIT_CROSSBOWMAN			UNITTYPE_RANGED
--UNIT_CROSSBOWMAN			UNITTYPE_LAND_COMBAT

--UNIT_QUADRIREME/PRIV		UNITAI_COMBAT
--UNIT_QUADRIREME/PRIV		UNITTYPE_RANGED
--UNIT_QUADRIREME/PRIV		UNITTYPE_NAVAL

--BOMBARD					UNITAI_COMBAT
--BOMBARD					UNITTYPE_RANGED
--BOMBARD					UNITTYPE_SIEGE
--BOMBARD					UNITTYPE_SIEGE_ALL
--BOMBARD					UNITTYPE_LAND_COMBAT

--UNIT_RANGER				UNITAI_EXPLORE
--UNIT_RANGER				UNITTYPE_RANGED
--UNIT_RANGER				UNITTYPE_LAND_COMBAT				

--UNIT_COURSER				UNITAI_EXPLORE
--UNIT_COURSER				UNITAI_COMBAT
--UNIT_COURSER				UNITTYPE_CAVALRY
--UNIT_COURSER				UNITTYPE_MELEE
--UNIT_COURSER				UNITTYPE_LAND_COMBAT

--UNIT_PERSIAN_IMMORTAL		UNITAI_COMBAT
--UNIT_PERSIAN_IMMORTAL		UNITTYPE_MELEE
--UNIT_PERSIAN_IMMORTAL		UNITTYPE_RANGED
--UNIT_PERSIAN_IMMORTAL		UNITTYPE_LAND_COMBAT



--------------------------------------------------------------
--INCLUDES JNR's HOTFIX INCASE USER HAVE MISSED TO SUBSCRIBE TO IT:

-- Units_Abilities_Hotfix_Gameplay
-- Author: JNR
--------------------------------------------------------------

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_FLANKING_BONUS_MODIFIER' WHERE ModifierId='HORATIO_NELSON_FLANKING_BONUS';
UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_FLANKING_BONUS_MODIFIER' WHERE ModifierId='GEORGY_ZHUKOV_FLANKING_BONUS';


										
-- Give ability to unit classes:

INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_NON_RECON_RANGED');
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_SIEGE');		
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_SUPPORT_EXCEPT_OBSERVATION');	
INSERT INTO TypeTags 	([Type] , Tag) 	VALUES 	('ABILITY_ENHANCED_SIGHT',	'CLASS_CIVILIANS_EXCEPT_SETTLER');							

INSERT INTO Tags								(Tag,								Vocabulary)	VALUES						
												('CLASS_CIVILIANS_EXCEPT_SETTLER',	'ABILITY_CLASS');			-- no settler
										
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_BUILDER' ,			'CLASS_CIVILIANS_EXCEPT_SETTLER');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_MISSIONARY' ,		'CLASS_CIVILIANS_EXCEPT_SETTLER');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_APOSTLE' ,			'CLASS_CIVILIANS_EXCEPT_SETTLER');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_INQUISITOR' ,		'CLASS_CIVILIANS_EXCEPT_SETTLER');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_GURU' ,				'CLASS_CIVILIANS_EXCEPT_SETTLER');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_ARCHAEOLOGIST' ,	'CLASS_CIVILIANS_EXCEPT_SETTLER');									
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_GREAT_GENERAL' ,	'CLASS_CIVILIANS_EXCEPT_SETTLER');	
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_GREAT_MERCHANT' ,	'CLASS_CIVILIANS_EXCEPT_SETTLER');	
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_GREAT_SCIENTIST' ,	'CLASS_CIVILIANS_EXCEPT_SETTLER');	
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_GREAT_WRITER' ,		'CLASS_CIVILIANS_EXCEPT_SETTLER');	
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_GREAT_ARTIST' ,		'CLASS_CIVILIANS_EXCEPT_SETTLER');	
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_GREAT_MUSICIAN' ,	'CLASS_CIVILIANS_EXCEPT_SETTLER');	
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_NATURALIST' ,		'CLASS_CIVILIANS_EXCEPT_SETTLER');	
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_TRADER' ,			'CLASS_CIVILIANS_EXCEPT_SETTLER');	
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_ROCK_BAND' ,		'CLASS_CIVILIANS_EXCEPT_SETTLER');	

INSERT INTO Tags								(Tag,									Vocabulary)	VALUES						
												('CLASS_SUPPORT_EXCEPT_OBSERVATION',	'ABILITY_CLASS');			-- No balloon or drone

INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_MILITARY_ENGINEER' ,		'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_BATTERING_RAM' ,			'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_SIEGE_TOWER' ,				'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_MEDIC' ,					'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_ANTIAIR_GUN' ,				'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_MOBILE_SAM' ,				'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_SUPPLY_CONVOY' ,			'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_CHINESE_CROUCHING_TIGER' ,	'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_KOREAN_HWACHA' ,			'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_FIELD_CANNON' ,				'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_MACHINE_GUN' ,				'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_AT_CREW' ,					'CLASS_SUPPORT_EXCEPT_OBSERVATION');
INSERT INTO TypeTags	([Type] , Tag)	VALUES	('UNIT_MODERN_AT' ,				'CLASS_SUPPORT_EXCEPT_OBSERVATION');



--------------------------------------------------------------------------------
-- CLASSES MISC
--------------------------------------------------------------------------------
		
--CLASS_ALL_COMBAT_UNITS -- Base game class. Not really tested to see if it includes custom units.

--Land Units that require Coal or Oil to move. Should now move 1 tile when lacking the Resource

--Resources needed for Abilties (used to add tooltip text when hovering over unit):


-- Class_vehicles (used to exclude supply unit movement bonus)
INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_VEHICLE',					'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_HELICOPTER',					'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_BIPLANE',					'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_FIGHTER',					'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_BOMBER',						'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_JET_BOMBER',					'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_JET_FIGHTER',				'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_AMERICAN_P51',				'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_TANK',						'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_MODERN_ARMOR',				'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_MECHANIZED_INFANTRY',		'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_MOBILE_SAM',					'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_ROCKET_ARTILLERY',			'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_GIANT_DEATH_ROBOT',			'CLASS_VEHICLE');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_SUPPLY_CONVOY',				'CLASS_VEHICLE');

-- CLASS_ARMORED_VEHICLES (used to determine if MODERN AT support abilities apply)
INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_ARMORED_VEHICLES',			'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_TANK',						'CLASS_ARMORED_VEHICLES');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_MODERN_ARMOR',				'CLASS_ARMORED_VEHICLES');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_MECHANIZED_INFANTRY',		'CLASS_ARMORED_VEHICLES');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_ROCKET_ARTILLERY',			'CLASS_ARMORED_VEHICLES');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_GIANT_DEATH_ROBOT',			'CLASS_ARMORED_VEHICLES');

-- CLASS_LIGHT_ARMORED_VEHICLES (used to determine if AT CREW support abilities apply)
INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_LIGHT_ARMORED_VEHICLES',	'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_TANK',						'CLASS_LIGHT_ARMORED_VEHICLES');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_MECHANIZED_INFANTRY',		'CLASS_LIGHT_ARMORED_VEHICLES');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_ROCKET_ARTILLERY',			'CLASS_LIGHT_ARMORED_VEHICLES');

-- CLASS_HEAVY_ARMORED_VEHICLES (used to determine if AT CREW support abilities apply)
INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_HEAVY_ARMORED_VEHICLES',	'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_MODERN_ARMOR',				'CLASS_HEAVY_ARMORED_VEHICLES');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_GIANT_DEATH_ROBOT',			'CLASS_HEAVY_ARMORED_VEHICLES');

-- CLASS_HELICOPTER (used to give bonuses for AA guns) -- ALREADY EXISTS IN BASE GAME

-- CLASS_INFANTRY (used to give MG's +defense in melee vs infantry)
INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_INFANTRY',					'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_INFANTRY',					'CLASS_INFANTRY');


--A class of units that aren't fighting (religious or war) meaning units that shouldn't suffer HP losses since they can't heal. Exempt from attrition damage (2.8)

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_NON_COMBAT',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SETTLER',			'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_BUILDER',			'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_TRADER',				'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_ARCHAEOLOGIST',		'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_GENERAL',		'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_ADMIRAL',		'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_ENGINEER',		'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_MERCHANT',		'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_PROPHET',		'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_SCIENTIST',	'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_WRITER',		'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_ARTIST',		'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_MUSICIAN',		'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_NATURALIST',			'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_ROCK_BAND',			'CLASS_NON_COMBAT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SPY',				'CLASS_NON_COMBAT');

-- CLASS FOR SAILING SHIPS:

INSERT INTO Tags 					(Tag , Vocabulary) 											VALUES 		('CLASS_CARAVEL' , 			'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('UNIT_CARAVEL' , 				'CLASS_CARAVEL');
																											--Indonesian Jong also CLASS_CARAVEL

INSERT INTO Tags 					(Tag , Vocabulary) 											VALUES 		('CLASS_PRIVATEER' , 					'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('UNIT_PRIVATEER' , 					'CLASS_PRIVATEER');
INSERT INTO TypeTags 				([Type] , Tag) 												SELECT 		'UNIT_ENGLISH_SEADOG', 					'CLASS_PRIVATEER' WHERE EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('UNIT_OTTOMAN_BARBARY_CORSAIR' , 		'CLASS_PRIVATEER');

INSERT INTO Tags 					(Tag , Vocabulary) 											VALUES 		('CLASS_FRIGATE' , 				'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('UNIT_FRIGATE' , 					'CLASS_FRIGATE');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('UNIT_DE_ZEVEN_PROVINCIEN' , 		'CLASS_FRIGATE');

-- CLASS OF MODERN SHIPS

INSERT INTO Tags 					(Tag , Vocabulary) 			VALUES 		('CLASS_MODERN_SHIPS' , 						'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_IRONCLAD' , 							'CLASS_MODERN_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_BATTLESHIP' , 							'CLASS_MODERN_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_BRAZILIAN_MINAS_GERAES' , 				'CLASS_MODERN_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_SUBMARINE' , 							'CLASS_MODERN_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_GERMAN_UBOAT' , 						'CLASS_MODERN_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_DESTROYER' , 							'CLASS_MODERN_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_AIRCRAFT_CARRIER' , 					'CLASS_MODERN_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_MISSILE_CRUISER' , 						'CLASS_MODERN_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_NUCLEAR_SUBMARINE' , 					'CLASS_MODERN_SHIPS');


-- CLASSES FOR SUBMARINES

INSERT INTO Tags	(Tag, Vocabulary)	VALUES		('CLASS_SUBMARINE', 		'ABILITY_CLASS');
INSERT INTO Tags	(Tag, Vocabulary)	VALUES		('CLASS_NUCLEAR_SUBMARINE', 'ABILITY_CLASS');
									
									
INSERT INTO TypeTags				(Type,											Tag)			VALUES						
									('UNIT_SUBMARINE' ,							'CLASS_SUBMARINE'),
									('UNIT_NUCLEAR_SUBMARINE' ,					'CLASS_NUCLEAR_SUBMARINE');

--------------------------------------------------------------------------------
-- LAND UNITS IN GENERAL
--------------------------------------------------------------------------------

--Desert cost ignored with Celestial Navigation:

INSERT INTO Modifiers				(ModifierId,ModifierType,Permanent)			VALUES 		('CELESTIAL_NAVIGATION_IGNORE_DESERT_COST','MODIFIER_PLAYER_UNITS_ADJUST_IGNORE_TERRAIN_COST',1); --modifier defined in Misc.

INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 				VALUES 		('CELESTIAL_NAVIGATION_IGNORE_DESERT_COST' , 'Ignore' , 1),
																							('CELESTIAL_NAVIGATION_IGNORE_DESERT_COST' , 'Type' , 'TERRAIN_DESERT');	
																											
INSERT INTO TechnologyModifiers		(TechnologyType,ModifierId)					VALUES		('TECH_CELESTIAL_NAVIGATION','CELESTIAL_NAVIGATION_IGNORE_DESERT_COST');



--------------------------------------------------------------------------------
-- STEALTH AND HIDDEN
--------------------------------------------------------------------------------




----All recon units are now stealthed
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SCOUT',					'CLASS_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CREE_OKIHTCITAW',		'CLASS_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_INCA_WARAKAQ',			'CLASS_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SKIRMISHER',				'CLASS_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_RANGER',					'CLASS_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SCOTTISH_HIGHLANDER',	'CLASS_STEALTH');

--
----All recon units now reveal stealthed
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CREE_OKIHTCITAW',		'CLASS_REVEAL_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_INCA_WARAKAQ',			'CLASS_REVEAL_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SKIRMISHER',				'CLASS_REVEAL_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_RANGER',					'CLASS_REVEAL_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SCOTTISH_HIGHLANDER',	'CLASS_REVEAL_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SPEC_OPS',				'CLASS_REVEAL_STEALTH');

--Units can't reveal Stealthed units while embarked or in a district.
UPDATE Modifiers SET SubjectRequirementSetId = 'REQSET_UNIT_IS_NOT_EMBARKED_OR_IN_DISTRICT' WHERE ModifierId='UNIT_SEE_HIDDEN';



--Inquisitors are now stealhy i.e. act in secrecy - (Insert Spanish inquisition joke)
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_INQUISITOR',				'CLASS_STEALTH');
--INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_INQUISITOR',				'CLASS_REVEAL_STEALTH');

-- Stealth ability only works outside districts:
UPDATE Modifiers SET SubjectRequirementSetId = 'REQSET_PLOT_WITHOUT_DISTRICT_AREX' WHERE ModifierId = 'UNIT_HIDDEN_VISIBILITY';


INSERT INTO tblAREDebug
    (DebugID,         SubID, x_Open, x_Close,     Message)
VALUES ('AgrevExp_Units_3',   'Combat', '1',    '0',        '') ;

--------------------------------------------------------------------------------
-- COMBAT
--------------------------------------------------------------------------------







-----------------------
-- DEFENSE PENALTY IN WOODS/RAINFOREST
-----------------------

--Take away cavalry's and siege units defense from Woods against melee/anti-cavalry/recon units.

INSERT INTO Types 		([Type],Kind) 											VALUES		('ABILITY_NO_WOODS_DEFENSE_IN_MELEE',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_NO_WOODS_DEFENSE_IN_MELEE',		'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_NO_WOODS_DEFENSE_IN_MELEE',		'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_NO_WOODS_DEFENSE_IN_MELEE',		'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_NO_WOODS_DEFENSE_IN_MELEE',		'CLASS_LIGHT_CHARIOT');		--egyptian chariot archer
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_NO_WOODS_DEFENSE_IN_MELEE',		'CLASS_SIEGE');
		
INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description,Inactive) 	VALUES		('ABILITY_NO_WOODS_DEFENSE_IN_MELEE',		'LOC_ABILITY_NO_WOODS_DEFENSE_IN_MELEE_NAME',	'LOC_ABILITY_NO_WOODS_DEFENSE_IN_MELEE_DESCRIPTION',	0);
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_NO_WOODS_DEFENSE_IN_MELEE',		'MODIFIER_NO_WOODS_DEFENSE_IN_MELEE');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_NO_WOODS_DEFENSE_IN_MELEE',		'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',				'REQSET_WOODS_DEFENSE_IN_MELEE');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('MODIFIER_NO_WOODS_DEFENSE_IN_MELEE',		'Amount',	-5	);
		
INSERT INTO ModifierStrings		(ModifierId,Context,Text)						VALUES		('MODIFIER_NO_WOODS_DEFENSE_IN_MELEE',		'Preview',			'LOC_MODIFIER_NO_WOODS_DEFENSE_IN_MELEE_DESCRIPTION');


-- Same thing for Rainforest
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_NO_WOODS_DEFENSE_IN_MELEE',		'MODIFIER_NO_RAINFOREST_DEFENSE_IN_MELEE');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_NO_RAINFOREST_DEFENSE_IN_MELEE',		'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',				'REQSET_RAINFOREST_DEFENSE_IN_MELEE');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('MODIFIER_NO_RAINFOREST_DEFENSE_IN_MELEE',		'Amount',	-6	);
		
INSERT INTO ModifierStrings		(ModifierId,Context,Text)						VALUES		('MODIFIER_NO_RAINFOREST_DEFENSE_IN_MELEE',		'Preview',		'LOC_MODIFIER_NO_RAINFOREST_DEFENSE_IN_MELEE_DESCRIPTION');



UPDATE tblAREDebug SET x_Close = "1" WHERE SubID = 'Combat';

---------------------
-- UNIT CLASSES BELOW:
---------------------

--------------------------------------------------------------------------------
-- MELEE CLASS
--------------------------------------------------------------------------------

--Removes the +10 CS vs Anti-Cav that melee units had.
DELETE FROM TypeTags 	WHERE 		[Type]='ABILITY_ANTI_SPEAR' AND Tag LIKE 'CLASS_%';

INSERT INTO Tags 			(Tag,Vocabulary) 		VALUES 			('CLASS_ARMORED_MELEE',				'ABILITY_CLASS');
INSERT INTO TypeTags 		([Type],Tag) 			VALUES 			('UNIT_SWORDSMAN',					'CLASS_ARMORED_MELEE');
INSERT INTO TypeTags 		([Type] , Tag) 			VALUES 			('UNIT_ROMAN_LEGION' , 				'CLASS_ARMORED_MELEE');
INSERT INTO TypeTags 		([Type] , Tag) 			VALUES 			('UNIT_KONGO_SHIELD_BEARER' , 		'CLASS_ARMORED_MELEE');
INSERT INTO TypeTags 		([Type] , Tag) 			VALUES 			('UNIT_MAORI_TOA' , 				'CLASS_ARMORED_MELEE');


INSERT INTO Tags 		(Tag,Vocabulary) 			VALUES 		('CLASS_UNARMORED_MELEE',				'ABILITY_CLASS');
INSERT INTO TypeTags 	([Type],Tag) 				VALUES 		('UNIT_MUSKETMAN',						'CLASS_UNARMORED_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 				VALUES 		('UNIT_SPANISH_CONQUISTADOR' , 			'CLASS_UNARMORED_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 				VALUES 		('UNIT_SULEIMAN_JANISSARY' , 			'CLASS_UNARMORED_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 				VALUES 		('UNIT_ENGLISH_REDCOAT' , 				'CLASS_UNARMORED_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 				VALUES 		('UNIT_FRENCH_GARDE_IMPERIALE' , 		'CLASS_UNARMORED_MELEE');

INSERT INTO Types 		([Type],Kind) 				VALUES		('ABILITY_ARMORED_MELEE',				'KIND_ABILITY');
INSERT INTO Types 		([Type],Kind) 				VALUES		('ABILITY_UNARMORED_MELEE',				'KIND_ABILITY');
INSERT INTO TypeTags 	([Type],Tag) 				VALUES		('ABILITY_ARMORED_MELEE',				'CLASS_ARMORED_MELEE');
INSERT INTO TypeTags 	([Type],Tag) 				VALUES		('ABILITY_UNARMORED_MELEE',				'CLASS_UNARMORED_MELEE');

INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_ARMORED_MELEE',		'LOC_ABILITY_ARMORED_MELEE_NAME',				'LOC_ABILITY_ARMORED_MELEE_DESCRIPTION');
INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_UNARMORED_MELEE',		'LOC_ABILITY_UNARMORED_MELEE_NAME',				'LOC_ABILITY_UNARMORED_MELEE_DESCRIPTION');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 	VALUES 		('ABILITY_ARMORED_MELEE',		'ARMORED_MELEE_UNIT_COMBAT');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 	VALUES 		('ABILITY_UNARMORED_MELEE',		'UNARMORED_MELEE_UNIT_COMBAT');


INSERT INTO Modifiers 	(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('ARMORED_MELEE_UNIT_COMBAT',		'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',	'REQSET_PLAYER_HAS_IRON_WORKING_SURPLUS_OR_IS_MINOR','ARMORED_MELEE_UNIT_REQUIREMENTS');
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 								VALUES 		('UNARMORED_MELEE_UNIT_COMBAT',		'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',	'ARMORED_MELEE_UNIT_REQUIREMENTS');


INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('ARMORED_MELEE_UNIT_COMBAT',			'Amount',	5	);
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('UNARMORED_MELEE_UNIT_COMBAT',			'Amount',	-4	);


INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 						VALUES 		('ARMORED_MELEE_UNIT_COMBAT','Preview',			'LOC_MODIFIER_ARMORED_MELEE_DESCRIPTION');
INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 						VALUES 		('UNARMORED_MELEE_UNIT_COMBAT','Preview',		'LOC_MODIFIER_UNARMORED_MELEE_MODIFIER_DESCRIPTION');


-- Give musketmen and later melee an Anti-spear ability (i.e. vs. Anti-cavalry.) In 2.6 - Reduced from +10 to +5) In 2.8 reduced to +4.

INSERT INTO 	Tags 	(Tag , Vocabulary) 				VALUES 		('CLASS_MUSKETMAN' , 				'ABILITY_CLASS');

INSERT INTO TypeTags ([Type] , Tag) 					VALUES 		('UNIT_MUSKETMAN' , 				'CLASS_MUSKETMAN');
INSERT INTO TypeTags ([Type] , Tag) 					VALUES 		('UNIT_SULEIMAN_JANISSARY' , 		'CLASS_MUSKETMAN');
INSERT INTO TypeTags ([Type] , Tag) 					VALUES 		('UNIT_SPANISH_CONQUISTADOR' , 		'CLASS_MUSKETMAN');

INSERT INTO TypeTags ([Type] , Tag) 					VALUES 		('ABILITY_ANTI_SPEAR' , 			'CLASS_MUSKETMAN');

UPDATE ModifierArguments SET Value = 4 WHERE ModifierId = 'ANTI_SPEAR';

-- CONQUISTADOR (SPAIN)

UPDATE ModifierArguments SET Value = 9 WHERE ModifierId = 'CONQUISTADOR_SPECIFIC_UNIT_COMBAT' AND Name = 'Amount'; --was 10, same as S&T

---------------------------
--Mechanized Infantry
---------------------------
--CLASS_MECHANIZED_INFANTRY
INSERT INTO Tags 	(Tag , Vocabulary) 					VALUES 		('CLASS_MECHANIZED_INFANTRY' , 		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type] , Tag) 					VALUES 		('UNIT_MECHANIZED_INFANTRY' , 		'CLASS_MECHANIZED_INFANTRY');


--Get -10 when defending vs Artillery, Battleship and later units:

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY','CLASS_MECHANIZED_INFANTRY');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY','LOC_ABILITY_MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY_NAME','LOC_ABILITY_MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY','MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY');

INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES ('MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_DEFENDING_VS_ANY_ARTILLERY');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 					VALUES ('MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY','Amount',-10);
INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 		VALUES ('MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY','Preview','LOC_MECHANIZED_INFANTRY_VULNERABLE_TO_ARTILLERY_DESCRIPTION');



--MECH. INF AND ROCKET ARTLLERY 8 MOVES, MOVEMENT PENALTY FOR LACKING OIL
INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('VEHICLES_NEEDS_OIL','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_MECHANIZED_INFANTRY','VEHICLES_NEEDS_OIL');

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_VEHICLES_NEEDS_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_VEHICLES_NEEDS_OIL','VEHICLES_NEEDS_OIL');
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_VEHICLES_NEEDS_OIL','LOC_ABILITY_VEHICLES_NEEDS_OIL_NAME','LOC_ABILITY_VEHICLES_NEEDS_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_VEHICLES_NEEDS_OIL','VEHICLES_OIL_MOVEMENT_PENALTY');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('VEHICLES_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_NO_OIL_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('VEHICLES_OIL_MOVEMENT_PENALTY','Amount',-7);

--------------------------------------------------------------------------------
--ANTI-CAVALRY CLASS
--------------------------------------------------------------------------------

INSERT INTO Tags 		(Tag,Vocabulary) 		VALUES 		('CLASS_SPEAR_WIELDER',			'ABILITY_CLASS');
INSERT INTO TypeTags 	([Type],Tag) 			VALUES 		('UNIT_SPEARMAN',				'CLASS_SPEAR_WIELDER');
INSERT INTO TypeTags 	([Type],Tag) 			VALUES 		('UNIT_GREEK_HOPLITE',			'CLASS_SPEAR_WIELDER');


INSERT INTO Types 		([Type],Kind) 				VALUES		('ABILITY_SPEAR_WIELDER',				'KIND_ABILITY');
INSERT INTO Types 		([Type],Kind) 				VALUES		('ABILITY_ANTI_LIGHT_CAVALRY',			'KIND_ABILITY');
INSERT INTO Types 		([Type],Kind) 				VALUES		('ABILITY_ANTI_HEAVY_CAVALRY',			'KIND_ABILITY');

INSERT INTO TypeTags 	([Type],Tag) 				VALUES		('ABILITY_SPEAR_WIELDER',				'CLASS_SPEAR_WIELDER');
INSERT INTO TypeTags 	([Type],Tag) 				VALUES		('ABILITY_ANTI_LIGHT_CAVALRY',			'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 	([Type],Tag) 				VALUES		('ABILITY_ANTI_HEAVY_CAVALRY',			'CLASS_ANTI_CAVALRY');


INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_SPEAR_WIELDER',		'LOC_ABILITY_SPEAR_WIELDER_NAME',				'LOC_ABILITY_SPEAR_WIELDER_AREX_DESCRIPTION');
INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_ANTI_LIGHT_CAVALRY',	'LOC_ABILITY_ANTI_LIGHT_CAVALRY_NAME',			'LOC_ABILITY_ANTI_LIGHT_CAVALRY_DESCRIPTION');
INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_ANTI_HEAVY_CAVALRY',	'LOC_ABILITY_ANTI_HEAVY_CAVALRY_NAME',			'LOC_ABILITY_ANTI_HEAVY_CAVALRY_DESCRIPTION');


INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 	VALUES 		('ABILITY_SPEAR_WIELDER',		'UNIT_IRON_BONUS');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 	VALUES 		('ABILITY_ANTI_LIGHT_CAVALRY',	'ANTI_LIGHT_CAVALRY_COMBAT_BONUS');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 	VALUES 		('ABILITY_ANTI_HEAVY_CAVALRY',	'ANTI_HEAVY_CAVALRY_COMBAT_BONUS');

DELETE FROM UnitAbilities 		WHERE 	UnitAbilityType=	'ABILITY_ANTI_CAVALRY';
DELETE FROM Modifiers 			WHERE 	ModifierId=			'ANTI_CAVALRY_COMBAT_BONUS';
DELETE FROM ModifierArguments 	WHERE 	ModifierId=			'ANTI_CAVALRY_COMBAT_BONUS';

INSERT INTO Modifiers 	(ModifierId,ModifierType,OwnerRequirementSetId) 								VALUES 		('UNIT_IRON_BONUS',					'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',	'REQSET_PLAYER_HAS_IRON_WORKING_SURPLUS_OR_IS_MINOR');
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 								VALUES 		('ANTI_LIGHT_CAVALRY_COMBAT_BONUS',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',	'ANTI_LIGHT_CAVALRY_OPPONENT_REQUIREMENTS');
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 								VALUES 		('ANTI_HEAVY_CAVALRY_COMBAT_BONUS',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',	'ANTI_HEAVY_CAVALRY_OPPONENT_REQUIREMENTS');


INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('UNIT_IRON_BONUS',						'Amount',	5	);
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('ANTI_LIGHT_CAVALRY_COMBAT_BONUS',		'Amount',	15	);
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('ANTI_HEAVY_CAVALRY_COMBAT_BONUS',		'Amount',	10	);


DELETE FROM ModifierStrings 	WHERE 		ModifierId='ANIT_LIGHT_CAVALRY_BONUS';

INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 						VALUES 		('UNIT_IRON_BONUS','Preview',					'LOC_MODIFIER_UNIT_IRON_BONUS_AREX_DESCRIPTION');
INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 						VALUES 		('ANTI_LIGHT_CAVALRY_COMBAT_BONUS','Preview',	'LOC_MODIFIER_ANTI_LIGHT_CAVALRY_DESCRIPTION');
INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 						VALUES 		('ANTI_HEAVY_CAVALRY_COMBAT_BONUS','Preview',	'LOC_MODIFIER_ANTI_HEAVY_CAVALRY_DESCRIPTION');







--------------------------------------------------------------------------------
--RECON CLASS CHANGES
--------------------------------------------------------------------------------

--Scouts can't reveal stealthed units
DELETE FROM TypeTags WHERE Type = 'UNIT_SCOUT' AND Tag = 'CLASS_REVEAL_STEALTH';


--Recon - Extra +10 defense vs. city strikes

INSERT INTO Types 					([Type] , Kind) 									VALUES 		('ABILITY_RECON_CITY_STRIKE_DEFENSE' , 	'KIND_ABILITY');

INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_RECON_CITY_STRIKE_DEFENSE' , 	'CLASS_RECON');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_RECON_CITY_STRIKE_DEFENSE' , 	'CLASS_SLINGER');
				
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_RECON_CITY_STRIKE_DEFENSE',		'LOC_ABILITY_RECON_CITY_STRIKE_DEFENSE_NAME',		'LOC_ABILITY_RECON_CITY_STRIKE_DEFENSE_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_RECON_CITY_STRIKE_DEFENSE',		'RECON_DEFENSE_BONUS_VS_CITIES');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES 		('RECON_DEFENSE_BONUS_VS_CITIES','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','EMPLACEMENT_REQUIREMENTS');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('RECON_DEFENSE_BONUS_VS_CITIES' , 'Amount' , 10);
INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 							VALUES 		('RECON_DEFENSE_BONUS_VS_CITIES','Preview','LOC_MODIFIER_RECON_DEFENSE_BONUS_VS_CITIES_DESCRIPTION');

--Recon - Extra +10 defense vs. ranged attacks

INSERT INTO Types 					([Type] , Kind) 									VALUES 		('ABILITY_RECON_RANGED_DEFENSE' , 			'KIND_ABILITY');

INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_RECON_RANGED_DEFENSE' , 			'CLASS_RECON');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_RECON_RANGED_DEFENSE' , 			'CLASS_SLINGER');
				
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_RECON_RANGED_DEFENSE',			'LOC_ABILITY_RECON_RANGED_DEFENSE_NAME',		'LOC_ABILITY_RECON_RANGED_DEFENSE_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_RECON_RANGED_DEFENSE',			'RECON_DEFENSE_BONUS_VS_RANGED_COMBAT');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES 		('RECON_DEFENSE_BONUS_VS_RANGED_COMBAT',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','TORTOISE_REQUIREMENTS');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('RECON_DEFENSE_BONUS_VS_RANGED_COMBAT' , 	'Amount' , 10);
INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 							VALUES 		('RECON_DEFENSE_BONUS_VS_RANGED_COMBAT',	'Preview',	'LOC_MODIFIER_RECON_DEFENSE_BONUS_VS_RANGED_COMBAT_DESCRIPTION');

--All recon units can now move after attacking:

INSERT INTO Types 					([Type] , Kind) 									VALUES 		('ABILITY_RECON_MOVE_AFTER_ATTACKING', 'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_RECON_MOVE_AFTER_ATTACKING', 'CLASS_RECON');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_RECON_MOVE_AFTER_ATTACKING', 'CLASS_SLINGER');
				
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_RECON_MOVE_AFTER_ATTACKING',	'LOC_ABILITY_RECON_MOVE_AFTER_ATTACKING_NAME',		'LOC_ABILITY_RECON_MOVE_AFTER_ATTACKING_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_RECON_MOVE_AFTER_ATTACKING',	'FADE_BONUS_MOVE_AFTER_ATTACKING');


-----------------
-- SLINGER - now recon class
-----------------

INSERT INTO Tags 					(Tag , Vocabulary) 			VALUES 		('CLASS_SLINGER' , 'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_SLINGER' , 	'CLASS_SLINGER');

--Slingers get +3 strength with Bronze Working

INSERT INTO TechnologyModifiers 	(TechnologyType , ModifierId) 						VALUES 		('TECH_BRONZE_WORKING' , 'BRONZE_WORKING_GRANTS_SLINGERS_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType, Permanent) 				VALUES 		('BRONZE_WORKING_GRANTS_SLINGERS_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 1);
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('BRONZE_WORKING_GRANTS_SLINGERS_ABILITY' , 	'AbilityType' , 'ABILITY_SLINGER_BRONZE_BONUS');

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_SLINGER_BRONZE_BONUS',		'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SLINGER_BRONZE_BONUS',		'CLASS_SLINGER');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description,Inactive) 			VALUES		('ABILITY_SLINGER_BRONZE_BONUS',		'LOC_ABILITY_SLINGER_BRONZE_BONUS_NAME',	'LOC_ABILITY_SLINGER_BRONZE_BONUS_DESCRIPTION',1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_SLINGER_BRONZE_BONUS',		'SLINGER_BRONZE_BONUS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('SLINGER_BRONZE_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','BOWMAN_BRONZE_REQUIREMENTS','UNIT_STRONG_WHEN_ATTACKING_REQUIREMENTS');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 													VALUES 		('SLINGER_BRONZE_BONUS' , 'Amount' , 3);
INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 						VALUES 		('SLINGER_BRONZE_BONUS','Preview','LOC_MODIFIER_SLINGER_BRONZE_BONUS_DESCRIPTION');


--Slingers get +2 from Iron Working.

INSERT INTO TechnologyModifiers 	(TechnologyType , ModifierId) 						VALUES 		('TECH_IRON_WORKING' , 'IRON_WORKING_GRANTS_SLINGERS_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType, Permanent) 				VALUES 		('IRON_WORKING_GRANTS_SLINGERS_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 1);
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('IRON_WORKING_GRANTS_SLINGERS_ABILITY' , 	'AbilityType' , 'ABILITY_SLINGER_IRON_BONUS');

INSERT INTO Types 					([Type] , Kind) 									VALUES 		('ABILITY_SLINGER_IRON_BONUS',		'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_SLINGER_IRON_BONUS',		'CLASS_SLINGER');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description,Inactive) 		VALUES		('ABILITY_SLINGER_IRON_BONUS',		'LOC_ABILITY_SLINGER_IRON_BONUS_NAME',	'LOC_ABILITY_SLINGER_IRON_BONUS_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_SLINGER_IRON_BONUS',		'SLINGER_IRON_BONUS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('SLINGER_IRON_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','BOWMAN_BRONZE_REQUIREMENTS','UNIT_STRONG_WHEN_ATTACKING_REQUIREMENTS');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 													VALUES 		('SLINGER_IRON_BONUS' , 'Amount' , 5);
INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 						VALUES 		('SLINGER_IRON_BONUS','Preview','LOC_MODIFIER_SLINGER_IRON_BONUS_DESCRIPTION');


-----------------
-- SPEC OPS
-----------------
--Spec Ops are now Stealthed
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SPEC_OPS',				'CLASS_STEALTH');

--Paradrop starts out inactive and is granted by flight:
UPDATE UnitAbilities SET Inactive = 1 WHERE UnitAbilityType = 'ABILITY_PARADROP';

--Paradrop is granted by Flight:
INSERT INTO TechnologyModifiers 	(TechnologyType , ModifierId) 						VALUES 		('TECH_FLIGHT' , 'FLIGHT_UNLOCKS_PARADROP');

INSERT INTO Modifiers 				(ModifierId,ModifierType, Permanent) 				VALUES 		('FLIGHT_UNLOCKS_PARADROP',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 1);
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('FLIGHT_UNLOCKS_PARADROP' , 	'AbilityType' , 'ABILITY_PARADROP');

-- Paradrop ability requires Oil now etc

UPDATE Modifiers SET OwnerRequirementSetId='REQSET_CIV_NEEDS_FLIGHT_AND_OIL' 				WHERE		ModifierId='SPEC_OPS_PARADROP_ABILITY'; 

UPDATE Modifiers SET SubjectRequirementSetId='REQSET_PLOT_WITH_AIRFIELD' 					WHERE		ModifierId='SPEC_OPS_PARADROP_ABILITY'; 

--UPDATE Modifiers SET SubjectRequirementSetId='REQSET_CIV_HAS_OIL_OWNED' 			WHERE	ModifierId='GRANT_RANGE_BONUS'; 

--------------------------------------------------------------------------------
-- RANGED CLASS
--------------------------------------------------------------------------------

--Class for Old ranged (promotionclass) units that aren't (formationclass) support units, and who could overlap with Field Cannon

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_NON_RECON_RANGED',				'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_ARCHER',						'CLASS_NON_RECON_RANGED');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CROSSBOWMAN',				'CLASS_NON_RECON_RANGED');

-- NUBIAN PITATI is a replacement
-- Skirmisher, ranger, spec ops are also class_ranged
-- PERSIAN IMMORTAL is also class_ranged

INSERT INTO Tags (Tag,Vocabulary) 					VALUES 		('CLASS_BOWMAN',					'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 					VALUES 		('UNIT_ARCHER',						'CLASS_BOWMAN');
INSERT INTO TypeTags ([Type],Tag) 					VALUES 		('UNIT_EGYPTIAN_CHARIOT_ARCHER',	'CLASS_BOWMAN');
INSERT INTO TypeTags ([Type],Tag) 					VALUES 		('UNIT_SCYTHIAN_HORSE_ARCHER',		'CLASS_BOWMAN');

----Archers start out with -5 Ranged Strength until Bronze Working:

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_PRE_BRONZE_PENALTY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_PRE_BRONZE_PENALTY',	'CLASS_BOWMAN');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 						VALUES		('ABILITY_PRE_BRONZE_PENALTY',	'LOC_ABILITY_PRE_BRONZE_PENALTY_NAME',	'LOC_ABILITY_PRE_BRONZE_PENALTY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_PRE_BRONZE_PENALTY',	'PRE_BRONZE_PENALTY'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('PRE_BRONZE_PENALTY','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_PLAYER_DOES_NOT_HAVE_BRONZE_WORKING','UNIT_STRONG_WHEN_ATTACKING_REQUIREMENTS');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES 		('PRE_BRONZE_PENALTY' , 'Amount' , -5);

INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 						VALUES 		('PRE_BRONZE_PENALTY','Preview','LOC_MODIFIER_PRE_BRONZE_PENALTY_DESCRIPTION');


INSERT INTO Types 		([Type],Kind) 				VALUES		('ABILITY_BOWMAN',						'KIND_ABILITY');
INSERT INTO Types 		([Type],Kind) 				VALUES		('ABILITY_BOWMAN2',						'KIND_ABILITY');
INSERT INTO Types 		([Type],Kind) 				VALUES		('ABILITY_BOWMAN3',						'KIND_ABILITY');

INSERT INTO TypeTags 	([Type],Tag) 				VALUES		('ABILITY_BOWMAN',						'CLASS_BOWMAN');
INSERT INTO TypeTags 	([Type],Tag) 				VALUES		('ABILITY_BOWMAN2',						'CLASS_BOWMAN');
INSERT INTO TypeTags 	([Type],Tag) 				VALUES		('ABILITY_BOWMAN3',						'CLASS_BOWMAN');


INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_BOWMAN',				'LOC_ABILITY_BOWMAN_NAME',						'LOC_ABILITY_BOWMAN_DESCRIPTION');
INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_BOWMAN2',				'LOC_ABILITY_BOWMAN2_NAME',						'LOC_ABILITY_BOWMAN2_DESCRIPTION');
INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_BOWMAN3',				'LOC_ABILITY_BOWMAN3_NAME',						'LOC_ABILITY_BOWMAN3_DESCRIPTION');


INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 	VALUES 		('ABILITY_BOWMAN',				'BOWMAN_BRONZE_BONUS');
--INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 	VALUES 		('ABILITY_BOWMAN2',				'BOWMAN_IRON_BONUS');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 	VALUES 		('ABILITY_BOWMAN3',				'BOWMAN_CONSTRUCTION_BONUS');

INSERT INTO Modifiers 	(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('BOWMAN_BRONZE_BONUS',				'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',	'BOWMAN_BRONZE_REQUIREMENTS',		'UNIT_STRONG_WHEN_ATTACKING_REQUIREMENTS');
INSERT INTO Modifiers 	(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('BOWMAN_CONSTRUCTION_BONUS',		'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',	'BOWMAN_CONSTRUCTION_REQUIREMENTS',	'UNIT_STRONG_WHEN_ATTACKING_REQUIREMENTS');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('BOWMAN_BRONZE_BONUS',					'Amount',	-2	);
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('BOWMAN_CONSTRUCTION_BONUS',			'Amount',	5	);
INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 						VALUES 		('BOWMAN_BRONZE_BONUS','Preview',				'LOC_MODIFIER_BOWMAN_BRONZE_BONUS_DESCRIPTION');
INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 						VALUES 		('BOWMAN_CONSTRUCTION_BONUS','Preview',			'LOC_MODIFIER_BOWMAN_CONSTRUCTION_BONUS_DESCRIPTION');





--Take away half of early ranged units defense from Woods against non-ranged units.

INSERT INTO Types 		([Type],Kind) 											VALUES		('ABILITY_HALF_WOODS_DEFENSE_IN_MELEE',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_HALF_WOODS_DEFENSE_IN_MELEE',		'CLASS_NON_RECON_RANGED');
		
INSERT INTO UnitAbilities 		(UnitAbilityType,Name,Description,Inactive) 	VALUES		('ABILITY_HALF_WOODS_DEFENSE_IN_MELEE',			'LOC_ABILITY_HALF_WOODS_DEFENSE_IN_MELEE_NAME',	'LOC_ABILITY_HALF_WOODS_DEFENSE_IN_MELEE_DESCRIPTION',	0);
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_HALF_WOODS_DEFENSE_IN_MELEE',			'MODIFIER_HALF_WOODS_DEFENSE_IN_MELEE');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_HALF_WOODS_DEFENSE_IN_MELEE',		'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',				'REQSET_WOODS_DEFENSE_IN_MELEE');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('MODIFIER_HALF_WOODS_DEFENSE_IN_MELEE',		'Amount',	-2	);
		
INSERT INTO ModifierStrings		(ModifierId,Context,Text)						VALUES		('MODIFIER_HALF_WOODS_DEFENSE_IN_MELEE',		'Preview',		'LOC_MODIFIER_HALF_WOODS_DEFENSE_IN_MELEE_DESCRIPTION');


-- Same thing for Rainforest
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_HALF_WOODS_DEFENSE_IN_MELEE',			'MODIFIER_HALF_RAINFOREST_DEFENSE_IN_MELEE');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_HALF_RAINFOREST_DEFENSE_IN_MELEE',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',				'REQSET_RAINFOREST_DEFENSE_IN_MELEE');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('MODIFIER_HALF_RAINFOREST_DEFENSE_IN_MELEE',	'Amount',	-3	);
		
INSERT INTO ModifierStrings		(ModifierId,Context,Text)						VALUES		('MODIFIER_HALF_RAINFOREST_DEFENSE_IN_MELEE',	'Preview',		'LOC_MODIFIER_HALF_RAINFOREST_DEFENSE_IN_MELEE_DESCRIPTION');



------------------------------------------------------------------------------------------------------------
-- SUPPORT CLASS
------------------------------------------------------------------------------------------------------------

--Battering Ram
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS',	'ENABLE_WALL_ATTACK_MONK'); 
INSERT INTO Modifiers 				(ModifierId,ModifierType) 								VALUES 		('ENABLE_WALL_ATTACK_MONK',	'MODIFIER_PLAYER_UNIT_ADJUST_ENABLE_WALL_ATTACK_PROMOTION_CLASS'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('ENABLE_WALL_ATTACK_MONK',	'PromotionClass', 'PROMOTION_CLASS_MONK');

INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS',	'ENABLE_WALL_ATTACK_LIGHT_CAVALRY'); 
INSERT INTO Modifiers 				(ModifierId,ModifierType) 								VALUES 		('ENABLE_WALL_ATTACK_LIGHT_CAVALRY',	'MODIFIER_PLAYER_UNIT_ADJUST_ENABLE_WALL_ATTACK_PROMOTION_CLASS'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('ENABLE_WALL_ATTACK_LIGHT_CAVALRY',	'PromotionClass', 'PROMOTION_CLASS_LIGHT_CAVALRY');

INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS',	'ENABLE_WALL_ATTACK_HEAVY_CAVALRY'); 
INSERT INTO Modifiers 				(ModifierId,ModifierType) 								VALUES 		('ENABLE_WALL_ATTACK_HEAVY_CAVALRY',	'MODIFIER_PLAYER_UNIT_ADJUST_ENABLE_WALL_ATTACK_PROMOTION_CLASS'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('ENABLE_WALL_ATTACK_HEAVY_CAVALRY',	'PromotionClass', 'PROMOTION_CLASS_HEAVY_CAVALRY');

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_BATTERING_RAM_GRANTS_ABILITY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_BATTERING_RAM_GRANTS_ABILITY',	'CLASS_BATTERING_RAM');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 						VALUES		('ABILITY_BATTERING_RAM_GRANTS_ABILITY',	'LOC_ABILITY_BATTERING_RAM_GRANTS_ABILITY_NAME',	'LOC_ABILITY_BATTERING_RAM_GRANTS_ABILITY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_BATTERING_RAM_GRANTS_ABILITY',	'MODIFIER_BATTERING_RAM_GRANTS_BONUS_DAMAGE_VS_DISTRICT_ABILITY'); 

--Melee, Anti-cav and Warrior Monk can operate the Ram effectively, granting bonus CS vs districts

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_BATTERING_RAM_GRANTS_BONUS_DAMAGE_VS_DISTRICT_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_RAM_CREW'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_BATTERING_RAM_GRANTS_BONUS_DAMAGE_VS_DISTRICT_ABILITY',	'AbilityType', 'ABILITY_RAM_BONUS_DAMAGE_VS_DISTRICT');

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RAM_BONUS_DAMAGE_VS_DISTRICT',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RAM_BONUS_DAMAGE_VS_DISTRICT',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RAM_BONUS_DAMAGE_VS_DISTRICT',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RAM_BONUS_DAMAGE_VS_DISTRICT',	'CLASS_WARRIOR_MONK');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RAM_BONUS_DAMAGE_VS_DISTRICT', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RAM_BONUS_DAMAGE_VS_DISTRICT',		'MODIFIER_RAM_BONUS_DAMAGE_VS_DISTRICT');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RAM_BONUS_DAMAGE_VS_DISTRICT',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' ,	'REQSET_MELEE_DISTRICT_ATTACK'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RAM_BONUS_DAMAGE_VS_DISTRICT',	'Amount', 4);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RAM_BONUS_DAMAGE_VS_DISTRICT',	'Preview',	'LOC_MODIFIER_RAM_BONUS_DAMAGE_VS_DISTRICT_DESCRIPTION');

--Old and unused battering ram ability:

--INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_BATTERING_RAM_GRANTS_ABILITY',	'MODIFIER_BATTERING_RAM_GRANTS_CAVALRY_PENALTY_ABILITY'); 
--INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_BATTERING_RAM_GRANTS_ABILITY',	'MODIFIER_BATTERING_RAM_GRANTS_FULL_WALL_DAMAGE_ABILITY'); 

--INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_BATTERING_RAM_GRANTS_FULL_WALL_DAMAGE_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CLOSE_COMBAT_UNIT_NEARBY'); --currently includes all units
--INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_BATTERING_RAM_GRANTS_FULL_WALL_DAMAGE_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_FULL_WALL_DAMAGE_FROM_RAM');
--
---- All units receive full dmg vs walls in melee

--DELETE FROM TypeTags WHERE Type = 'ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS' AND Tag = 'CLASS_BATTERING_RAM';
--
--INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_FULL_WALL_DAMAGE_FROM_RAM',	'KIND_ABILITY');
--INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_FULL_WALL_DAMAGE_FROM_RAM',	'CLASS_MELEE');
--INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_FULL_WALL_DAMAGE_FROM_RAM',	'CLASS_ANTI_CAVALRY');
--INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_FULL_WALL_DAMAGE_FROM_RAM',	'CLASS_WARRIOR_MONK');
--INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_FULL_WALL_DAMAGE_FROM_RAM',	'CLASS_LIGHT_CAVALRY');
--INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_FULL_WALL_DAMAGE_FROM_RAM',	'CLASS_HEAVY_CAVALRY');
--
--INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_FULL_WALL_DAMAGE_FROM_RAM', 1);
--INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_FULL_WALL_DAMAGE_FROM_RAM',		'MODIFIER_RECEIVE_FULL_WALL_DAMAGE');
--
--INSERT INTO Modifiers 				(ModifierId,ModifierType) 								VALUES 		('MODIFIER_RECEIVE_FULL_WALL_DAMAGE',	'MODIFIER_PLAYER_UNIT_ADJUST_ENABLE_WALL_ATTACK');
--INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_FULL_WALL_DAMAGE',	'Enable', 1);
--INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_FULL_WALL_DAMAGE',	'Preview',	'LOC_MODIFIER_RECEIVE_FULL_WALL_DAMAGE_DESCRIPTION');


--	??	More classes if necessary
--	??	INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_MELEE');
--	??	INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_ANTI_CAVALRY');
--	??	INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_LIGHT_CAVALRY');
--	??	INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_HEAVY_CAVALRY');
--	??	INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_WARRIOR_MONK');
--	??	INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_RANGED');
--	??	INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_RANGED_CAVALRY');
--	??	INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_LIGHT_CHARIOT');
--	??	INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_SIEGE');

-------------------
--Siege Tower
-------------------

DELETE FROM TypeTags WHERE Type = 'ABILITY_BYPASS_WALLS_PROMOTION_CLASS' AND Tag = 'CLASS_SIEGE_TOWER';
INSERT INTO TypeTags 					([Type],Tag) 							VALUES		('ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS',	'CLASS_SIEGE_TOWER');

--Give ranged units full dmg vs walls? -No, because they're already favored, and it won't be limited to the siege tower.

--INSERT INTO Types 					([Type] , Kind) 						VALUES 		('ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS_SIEGE_TOWER',	'KIND_ABILITY');
--INSERT INTO Types 					([Type],Kind) 							VALUES		('ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS_SIEGE_TOWER',	'CLASS_SIEGE_TOWER');
--INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS_SIEGE_TOWER',	'LOC_ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS_SIEGE_TOWER_NAME',	'LOC_ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS_SIEGE_TOWER_DESCRIPTION');
--INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_ENABLE_WALL_ATTACK_PROMOTION_CLASS_SIEGE_TOWER',	'ENABLE_WALL_ATTACK_RANGED'); 
--INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('ENABLE_WALL_ATTACK_RANGED',	'MODIFIER_PLAYER_UNIT_ADJUST_ENABLE_WALL_ATTACK_PROMOTION_CLASS'); 
--INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('ENABLE_WALL_ATTACK_RANGED',	'PromotionClass', 'PROMOTION_CLASS_RANGED');

--Melee, Anti-cav and Warrior Monk can operate the Siege Tower effectively, granting bonus CS vs districts

INSERT INTO Types 					([Type] , Kind) 						VALUES 		('ABILITY_SIEGE_TOWER_GRANTS_ABILITY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 							VALUES 		('ABILITY_SIEGE_TOWER_GRANTS_ABILITY',	'CLASS_SIEGE_TOWER');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_SIEGE_TOWER_GRANTS_ABILITY',	'LOC_ABILITY_SIEGE_TOWER_GRANTS_ABILITY_NAME',	'LOC_ABILITY_SIEGE_TOWER_GRANTS_ABILITY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_SIEGE_TOWER_GRANTS_ABILITY',	'MODIFIER_SIEGE_TOWER_DAMAGE_VS_DISTRICT_ABILITY'); 
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_SIEGE_TOWER_GRANTS_ABILITY',	'MODIFIER_SIEGE_TOWER_DEFENSE_VS_CITY_ABILITY'); 
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_SIEGE_TOWER_GRANTS_ABILITY',	'MODIFIER_SIEGE_TOWER_DEFENSE_VS_RANGED_ABILITY'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_SIEGE_TOWER_DAMAGE_VS_DISTRICT_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_RAM_CREW'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_SIEGE_TOWER_DAMAGE_VS_DISTRICT_ABILITY',	'AbilityType', 'ABILITY_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER');

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER',	'CLASS_WARRIOR_MONK');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER',		'MODIFIER_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' ,	'REQSET_MELEE_DISTRICT_ATTACK'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER',	'Amount', 8);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER',	'Preview',	'LOC_MODIFIER_BONUS_DAMAGE_VS_DISTRICT_FROM_SIEGE_TOWER_DESCRIPTION');

-- SIEGE TOWERS GRANT DEFENSE VS CITY STRIKES:

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_SIEGE_TOWER_DEFENSE_VS_CITY_ABILITY',		'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_SIEGE_TOWER_CREW'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_SIEGE_TOWER_DEFENSE_VS_CITY_ABILITY',		'AbilityType', 'ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER');

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'CLASS_LIGHT_CHARIOT');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',		'MODIFIER_DEFENSE_VS_CITY_FROM_SIEGE_TOWER');


INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' ,	'REQSET_DEFENDING_VS_CITY_STRIKE'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'Amount', 8);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_DEFENSE_VS_CITY_FROM_SIEGE_TOWER',	'Preview',	'LOC_MODIFIER_DEFENSE_VS_CITY_FROM_SIEGE_TOWER_DESCRIPTION');


-- SIEGE TOWERS GRANT DEFENSE VS RANGED

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_SIEGE_TOWER_DEFENSE_VS_RANGED_ABILITY',		'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_ANY_ADJACENT_WALL', 'REQSET_SIEGE_TOWER_CREW'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_SIEGE_TOWER_DEFENSE_VS_RANGED_ABILITY',		'AbilityType', 'ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER');

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'CLASS_LIGHT_CHARIOT');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',		'MODIFIER_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER');


INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' ,	'REQSET_DEFENDING_VS_RANGED_UNIT'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'Amount', 4);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER',	'Preview',	'LOC_MODIFIER_DEFENSE_VS_RANGED_FROM_SIEGE_TOWER_DESCRIPTION');

-------------------------
--MILITARY ENGINEER
-------------------------

INSERT INTO Tags 	(Tag , Vocabulary) 				VALUES 			('CLASS_MILITARY_ENGINEER' , 				'ABILITY_CLASS');
INSERT INTO TypeTags ([Type] , Tag) 				VALUES			('UNIT_MILITARY_ENGINEER' , 				'CLASS_MILITARY_ENGINEER');

INSERT INTO Types 					([Type] , Kind) 						VALUES 		('ABILITY_MILITARY_ENGINEER_GRANTS_ABILITY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 							VALUES 		('ABILITY_MILITARY_ENGINEER_GRANTS_ABILITY',	'CLASS_MILITARY_ENGINEER');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 		VALUES		('ABILITY_MILITARY_ENGINEER_GRANTS_ABILITY',	'LOC_ABILITY_MILITARY_ENGINEER_GRANTS_ABILITY_NAME',	'LOC_ABILITY_MILITARY_ENGINEER_GRANTS_ABILITY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_MILITARY_ENGINEER_GRANTS_ABILITY',	'MODIFIER_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT_ABILITY'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_RAM_CREW'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT_ABILITY',	'AbilityType', 'ABILITY_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT');

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT',	'CLASS_WARRIOR_MONK');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT',		'MODIFIER_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' ,	'REQSET_MELEE_DISTRICT_ATTACK'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT',	'Amount', 2);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT',	'Preview',	'LOC_MODIFIER_MILITARY_ENGINEER_GRANTS_DAMAGE_VS_DISTRICT_DESCRIPTION');







-- GRANT RANGED AND RECON UNITS THE ABILITY TO GIVE SIEGE TOWER UNITS PROTECTION:

--INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RANGED_UNIT_IN_WALLED_CITY_PENALTY_VS_SIEGE_TOWER',	'KIND_ABILITY');
--INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RANGED_UNIT_IN_WALLED_CITY_PENALTY_VS_SIEGE_TOWER',	'CLASS_RANGED');
--INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RANGED_UNIT_IN_WALLED_CITY_PENALTY_VS_SIEGE_TOWER',	'CLASS_RANGED_CAVALRY');
--INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RANGED_UNIT_IN_WALLED_CITY_PENALTY_VS_SIEGE_TOWER',	'CLASS_LIGHT_CHARIOT');
--
--INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RANGED_UNIT_IN_WALLED_CITY_PENALTY_VS_SIEGE_TOWER', 0);
--INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RANGED_UNIT_IN_WALLED_CITY_PENALTY_VS_SIEGE_TOWER',		'MODIFIER_RANGED_PENALTY_VS_SIEGE_TOWERS');
--
--INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RANGED_PENALTY_VS_SIEGE_TOWERS',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' , 'REQSET_UNIT_PROTECTED_BY_SIEGE_TOWER'); 
--INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RANGED_PENALTY_VS_SIEGE_TOWERS',	'Amount', -8);
--INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RANGED_PENALTY_VS_SIEGE_TOWERS',	'Preview',	'LOC_MODIFIER_RANGED_PENALTY_VS_SIEGE_TOWERS_DESCRIPTION');

------------------------------------------------------------------------------------------------------------
-- RANGED SUPPORT AND MODERN ANTI-TANK SUPPORT CLASSES (Crouching Tiger, Field Cannons and later ranged units)
------------------------------------------------------------------------------------------------------------


--REMOVE CLASSES AND TAGS

DELETE FROM TypeTags WHERE Type = 'UNIT_CHINESE_CROUCHING_TIGER' AND Tag = 'CLASS_RANGED';
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CHINESE_CROUCHING_TIGER',			'CLASS_SUPPORT');

DELETE FROM TypeTags WHERE Type = 'UNIT_KOREAN_HWACHA' AND Tag = 'CLASS_RANGED';
DELETE FROM TypeTags WHERE Type = 'UNIT_KOREAN_HWACHA' AND Tag = 'CLASS_FIELD_SETUP'; --ABILITY_NO_MOVE_AND_SHOOT (useless)
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_KOREAN_HWACHA',			'CLASS_SUPPORT');

DELETE FROM TypeTags WHERE Type = 'UNIT_FIELD_CANNON' AND Tag = 'CLASS_RANGED';
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_FIELD_CANNON',			'CLASS_SUPPORT');

DELETE FROM TypeTags WHERE Type = 'UNIT_MACHINE_GUN' AND Tag = 'CLASS_RANGED';
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_MACHINE_GUN',			'CLASS_SUPPORT');

DELETE FROM TypeTags WHERE Type = 'UNIT_AT_CREW' AND Tag = 'CLASS_ANTI_CAVALRY';
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_AT_CREW',			'CLASS_SUPPORT');

DELETE FROM TypeTags WHERE Type = 'UNIT_MODERN_AT' AND Tag = 'CLASS_ANTI_CAVALRY';
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_MODERN_AT',			'CLASS_SUPPORT');

--RANGED SUPPORT CLASSES:

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_RANGED_SUPPORT',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CHINESE_CROUCHING_TIGER','CLASS_RANGED_SUPPORT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_FIELD_CANNON',			'CLASS_RANGED_SUPPORT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_KOREAN_HWACHA',			'CLASS_RANGED_SUPPORT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_MACHINE_GUN',			'CLASS_RANGED_SUPPORT');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_CHINESE_CROUCHING_TIGER',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CHINESE_CROUCHING_TIGER',		'CLASS_CHINESE_CROUCHING_TIGER');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_FIELD_CANNON',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_FIELD_CANNON',		'CLASS_FIELD_CANNON');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_KOREAN_HWACHA',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_KOREAN_HWACHA',		'CLASS_KOREAN_HWACHA');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_MACHINE_GUN',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_MACHINE_GUN',		'CLASS_MACHINE_GUN');



--Ranged Support unit on the same plot increases range by one for melee and anti-cavalry units etc

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_RANGE_FROM_RANGED_SUPPORT',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_RANGED_SUPPORT',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_RANGED_SUPPORT',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_RANGED_SUPPORT',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_RANGED_SUPPORT',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_RANGED_SUPPORT',	'CLASS_WARRIOR_MONK');


INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_RANGE_FROM_RANGED_SUPPORT', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGE_FROM_RANGED_SUPPORT',		'MODIFIER_RECEIVE_RANGE_FROM_RANGED_SUPPORT');

INSERT INTO Modifiers 				(ModifierId,ModifierType) 								VALUES 		('MODIFIER_RECEIVE_RANGE_FROM_RANGED_SUPPORT',	'MODIFIER_UNIT_ADJUST_ATTACK_RANGE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_RANGE_FROM_RANGED_SUPPORT',	'Amount', 1);
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RANGED_SUPPORT_GRANTS_EXTRA_RANGE',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RANGED_SUPPORT_GRANTS_EXTRA_RANGE',	'CLASS_RANGED_SUPPORT');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RANGED_SUPPORT_GRANTS_EXTRA_RANGE', 0);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RANGED_SUPPORT_GRANTS_EXTRA_RANGE',		'MODIFIER_RANGED_SUPPORT_GIVES_EXTRA_RANGE');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RANGED_SUPPORT_GIVES_EXTRA_RANGE',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CLOSE_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RANGED_SUPPORT_GIVES_EXTRA_RANGE',	'AbilityType', 'ABILITY_RECEIVE_RANGE_FROM_RANGED_SUPPORT');

--Field Cannons grant +59 ranged strength

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',	'CLASS_WARRIOR_MONK');


INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',		'MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',		'MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER');


INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_RANGED_STRENGTH_FROM_RANGED_SUPPORT_UNIT');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',	'Amount', 59);

INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON',	'Preview',	'LOC_MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_FIELD_CANNON_GRANTS_RANGED_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_FIELD_CANNON_GRANTS_RANGED_STRENGTH',	'CLASS_FIELD_CANNON');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_FIELD_CANNON_GRANTS_RANGED_STRENGTH', 0, 	'LOC_ABILITY_FIELD_CANNON_GRANTS_RANGED_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_FIELD_CANNON_GRANTS_RANGED_STRENGTH',		'MODIFIER_FIELD_CANNON_GRANTS_RANGED_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_FIELD_CANNON_GRANTS_RANGED_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CLOSE_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_FIELD_CANNON_GRANTS_RANGED_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_RANGED_STRENGTH_FROM_FIELD_CANNON');

--Field Cannon grants +4 strength when attacking or defending vs pre-infantry melee class and anti-cavalry class units in melee combat

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'CLASS_SIEGE');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',		'MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,'REQSET_CIV_HAS_NITER_OWNED' ,	'REQSET_OPPONENT_IS_PRE_MODERN_IN_MELEE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'Amount', 4);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON',	'Preview',	'LOC_MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_FIELD_CANNON_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_FIELD_CANNON_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH',	'CLASS_FIELD_CANNON');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_FIELD_CANNON_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH', 0, 	'LOC_ABILITY_FIELD_CANNON_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_FIELD_CANNON_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH',		'MODIFIER_FIELD_CANNON_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_FIELD_CANNON_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_LAND_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_FIELD_CANNON_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_FIELD_CANNON');

--City centers get increased ranged strike strength from having a Field Cannon or Hwacha

INSERT INTO Types 				([Type], Kind) 										VALUES 		('MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE' , 'KIND_MODIFIER');
INSERT INTO DynamicModifiers 	(ModifierType , CollectionType , EffectType) 		VALUES 		('MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE' , 'COLLECTION_OWNER' , 'EFFECT_ADJUST_CITY_RANGED_STRIKE');

INSERT INTO Types 					([Type],Kind) 									VALUES		('ABILITY_FIELD_CANNON_GRANTS_CITY_STRIKE_BONUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_FIELD_CANNON_GRANTS_CITY_STRIKE_BONUS',	'CLASS_FIELD_CANNON');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_FIELD_CANNON_GRANTS_CITY_STRIKE_BONUS',	'CLASS_KOREAN_HWACHA');

INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 					VALUES		('ABILITY_FIELD_CANNON_GRANTS_CITY_STRIKE_BONUS', 	'LOC_ABILITY_FIELD_CANNON_GRANTS_CITY_STRIKE_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_FIELD_CANNON_GRANTS_CITY_STRIKE_BONUS', 	'FIELD_CANNON_ATTACHES_MODIFIER_TO_CITY_CENTER');

INSERT INTO Modifiers 			(ModifierId , ModifierType , OwnerRequirementSetId) VALUES 		('FIELD_CANNON_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'MODIFIER_PLAYER_DISTRICTS_ATTACH_MODIFIER' , 'REQSET_PLOT_ADJACENT_DISTRICT_IS_CITY_CENTER');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('FIELD_CANNON_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'ModifierId' , 'FIELD_CANNON_BOOSTS_RANGED_STRIKE');

INSERT INTO Modifiers 			(ModifierId , ModifierType, OwnerRequirementSetId) 	VALUES 		('FIELD_CANNON_BOOSTS_RANGED_STRIKE' , 	'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE' , 'REQSET_CIV_HAS_NITER_OWNED'); --  , 
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('FIELD_CANNON_BOOSTS_RANGED_STRIKE' , 	'Amount' , 10 );





--Hwacha grant +59 ranged strength

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_WARRIOR_MONK');


INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',		'MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',		'MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_RANGED_STRENGTH_FROM_RANGED_SUPPORT_UNIT');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',	'Amount', 59);

INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA',	'Preview',	'LOC_MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_KOREAN_HWACHA_GRANTS_RANGED_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_KOREAN_HWACHA_GRANTS_RANGED_STRENGTH',	'CLASS_KOREAN_HWACHA');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_KOREAN_HWACHA_GRANTS_RANGED_STRENGTH', 0, 	'LOC_ABILITY_KOREAN_HWACHA_GRANTS_RANGED_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_KOREAN_HWACHA_GRANTS_RANGED_STRENGTH',		'MODIFIER_KOREAN_HWACHA_GRANTS_RANGED_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_KOREAN_HWACHA_GRANTS_RANGED_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CLOSE_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_KOREAN_HWACHA_GRANTS_RANGED_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_RANGED_STRENGTH_FROM_KOREAN_HWACHA');

--Korean Hwacha grants +4 strength when attacking or defending vs pre-infantry melee class and anti-cavalry class units in melee combat

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'CLASS_SIEGE');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',		'MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,'REQSET_OPPONENT_IS_PRE_MODERN_IN_MELEE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'Amount', 4);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA',	'Preview',	'LOC_MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_KOREAN_HWACHA_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_KOREAN_HWACHA_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH',	'CLASS_KOREAN_HWACHA');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_KOREAN_HWACHA_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH', 0, 	'LOC_ABILITY_KOREAN_HWACHA_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_KOREAN_HWACHA_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH',		'MODIFIER_KOREAN_HWACHA_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_KOREAN_HWACHA_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_LAND_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_KOREAN_HWACHA_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_KOREAN_HWACHA');


--Crouching Tiger grants +49 ranged strength

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_WARRIOR_MONK');


INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',		'MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',		'MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_RANGED_STRENGTH_FROM_RANGED_SUPPORT_UNIT');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',	'Amount', 49);

INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER',	'Preview',	'LOC_MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_CROUCHING_TIGER_GRANTS_RANGED_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_CROUCHING_TIGER_GRANTS_RANGED_STRENGTH',	'CLASS_CHINESE_CROUCHING_TIGER');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_CROUCHING_TIGER_GRANTS_RANGED_STRENGTH', 0 , 'LOC_ABILITY_CROUCHING_TIGER_GRANTS_RANGED_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_CROUCHING_TIGER_GRANTS_RANGED_STRENGTH',		'MODIFIER_CROUCHING_TIGER_GRANTS_RANGED_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_CROUCHING_TIGER_GRANTS_RANGED_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CLOSE_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_CROUCHING_TIGER_GRANTS_RANGED_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_RANGED_STRENGTH_FROM_CROUCHING_TIGER');

--Crouching Tiger grants +4 strength when attacking or defending vs pre-infantry melee class and anti-cavalry class units in melee combat

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'CLASS_SIEGE');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',		'MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	, 'REQSET_CIV_HAS_NITER_OWNED' ,	'REQSET_OPPONENT_IS_PRE_MODERN_IN_MELEE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'Amount', 4);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER',	'Preview',	'LOC_MODIFIER_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_CROUCHING_TIGER_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_CROUCHING_TIGER_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH',	'CLASS_CHINESE_CROUCHING_TIGER');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_CROUCHING_TIGER_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH', 0, 	'LOC_ABILITY_CROUCHING_TIGER_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_CROUCHING_TIGER_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH',		'MODIFIER_CROUCHING_TIGER_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_CROUCHING_TIGER_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_LAND_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_CROUCHING_TIGER_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_ANTI_PRE_MODERN_MELEE_STRENGTH_FROM_CROUCHING_TIGER');


--City centers get increased ranged strike strength from having a Crouching tiger:

INSERT INTO Types 					([Type],Kind) 									VALUES		('ABILITY_CROUCHING_TIGER_GRANTS_CITY_STRIKE_BONUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_CROUCHING_TIGER_GRANTS_CITY_STRIKE_BONUS',	'CLASS_CHINESE_CROUCHING_TIGER');

INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 					VALUES		('ABILITY_CROUCHING_TIGER_GRANTS_CITY_STRIKE_BONUS', 	'LOC_ABILITY_CROUCHING_TIGER_GRANTS_CITY_STRIKE_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_CROUCHING_TIGER_GRANTS_CITY_STRIKE_BONUS', 	'CROUCHING_TIGER_ATTACHES_MODIFIER_TO_CITY_CENTER');

INSERT INTO Modifiers 			(ModifierId , ModifierType , OwnerRequirementSetId) 				VALUES 		('CROUCHING_TIGER_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'MODIFIER_PLAYER_DISTRICTS_ATTACH_MODIFIER' , 'REQSET_PLOT_ADJACENT_DISTRICT_IS_CITY_CENTER');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 										VALUES 		('CROUCHING_TIGER_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'ModifierId' , 'CROUCHING_TIGER_BOOSTS_RANGED_STRIKE');

INSERT INTO Modifiers 			(ModifierId , ModifierType, OwnerRequirementSetId) 	VALUES 		('CROUCHING_TIGER_BOOSTS_RANGED_STRIKE' , 	'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE' , 'REQSET_CIV_HAS_NITER_OWNED');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('CROUCHING_TIGER_BOOSTS_RANGED_STRIKE' , 	'Amount' , 5 );




--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		('DISTRICT_CITY_CENTER' , 'CROUCHING_TIGER_ATTACHES_MODIFIER_TO_CITY');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		('DISTRICT_CITY_CENTER' , 'FIELD_CANNON_BOOSTS_RANGED_STRIKE');
--INSERT INTO DistrictModifiers 	(DistrictType , ModifierId) 		VALUES 		('DISTRICT_CITY_CENTER' , 'MACHINE_GUN_BOOSTS_RANGED_STRIKE');
--
--INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId) 				VALUES 		('CROUCHING_TIGER_ATTACHES_MODIFIER_TO_CITY' , 	'MODIFIER_SINGLE_CITY_ATTACH_MODIFIER' , 'REQSET_CLASS_CHINESE_CROUCHING_TIGER_ON_PLOT');
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 										VALUES 		('CROUCHING_TIGER_ATTACHES_MODIFIER_TO_CITY' , 	'ModifierId' , 'CROUCHING_TIGER_BOOSTS_RANGED_STRIKE');
--
--
--INSERT INTO Modifiers 			(ModifierId , ModifierType) 										VALUES 		('CROUCHING_TIGER_BOOSTS_RANGED_STRIKE' , 	'MODIFIER_PLAYER_NEAREST_CITY_ADJUST_RANGED_STRIKE'); --, OwnerRequirementSetId  , 'REQSET_CIV_HAS_NITER_OWNED'
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 										VALUES 		('CROUCHING_TIGER_BOOSTS_RANGED_STRIKE' , 	'Amount' , 10 );
																															



--Machine Gun grants +69 ranged strength

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',	'CLASS_WARRIOR_MONK');


INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',		'MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',		'MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_RANGED_STRENGTH_FROM_RANGED_SUPPORT_UNIT');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',	'Amount', 69);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN',	'Preview',	'LOC_MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN_DESCRIPTION');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_RANGED_SUPPORT_HAS_NO_NITER' , 'REQSET_RANGED_SUPPORT_PENALTY_WITHOUT_NITER');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER',	'Amount', -20);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER',	'Preview',	'LOC_MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_MACHINE_GUN_GRANTS_RANGED_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_MACHINE_GUN_GRANTS_RANGED_STRENGTH',	'CLASS_MACHINE_GUN');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_MACHINE_GUN_GRANTS_RANGED_STRENGTH', 0, 'LOC_ABILITY_MACHINE_GUN_GRANTS_RANGED_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_MACHINE_GUN_GRANTS_RANGED_STRENGTH',		'MODIFIER_MACHINE_GUN_GRANTS_RANGED_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_MACHINE_GUN_GRANTS_RANGED_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CLOSE_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_MACHINE_GUN_GRANTS_RANGED_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MACHINE_GUN');


--Machine Gun grants +4 strength when attack or defending vs infantry or earlier melee class and anti-cavalry units in melee combat

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',	'CLASS_SIEGE');


INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',		'MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_MACHINE_GUN');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN',		'MODIFIER_RECEIVE_MELEE_STRENGTH_VS_MODERN_FROM_MACHINE_GUN');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_MELEE_STRENGTH_VS_MODERN_FROM_MACHINE_GUN',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,	'REQSET_OPPONENT_IS_MODERN_NON_VEHICLE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_MELEE_STRENGTH_VS_MODERN_FROM_MACHINE_GUN',	'Amount', 4);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_MELEE_STRENGTH_VS_MODERN_FROM_MACHINE_GUN',	'Preview',	'LOC_MODIFIER_RECEIVE_MELEE_STRENGTH_VS_MODERN_FROM_MACHINE_GUN_DESCRIPTION');
						
INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_MACHINE_GUN',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,'REQSET_OPPONENT_IS_PRE_MODERN_IN_MELEE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_MACHINE_GUN',	'Amount', 8);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_MACHINE_GUN',	'Preview',	'LOC_MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_MACHINE_GUN_DESCRIPTION');

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_MACHINE_GUN_GRANTS_MELEE_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_MACHINE_GUN_GRANTS_MELEE_STRENGTH',	'CLASS_MACHINE_GUN');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_MACHINE_GUN_GRANTS_MELEE_STRENGTH', 0, 	'LOC_ABILITY_MACHINE_GUN_GRANTS_MELEE_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_MACHINE_GUN_GRANTS_MELEE_STRENGTH',		'MODIFIER_MACHINE_GUN_GRANTS_MELEE_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_MACHINE_GUN_GRANTS_MELEE_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_LAND_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_MACHINE_GUN_GRANTS_MELEE_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_MELEE_STRENGTH_FROM_MACHINE_GUN');

--City centers get increased ranged strike strength from having a Machine Gun and Niter:

INSERT INTO Types 					([Type],Kind) 									VALUES		('ABILITY_MACHINE_GUN_GRANTS_CITY_STRIKE_BONUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_MACHINE_GUN_GRANTS_CITY_STRIKE_BONUS',	'CLASS_MACHINE_GUN');

INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 					VALUES		('ABILITY_MACHINE_GUN_GRANTS_CITY_STRIKE_BONUS', 	'LOC_ABILITY_MACHINE_GUN_GRANTS_CITY_STRIKE_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_MACHINE_GUN_GRANTS_CITY_STRIKE_BONUS', 	'MACHINE_GUN_ATTACHES_MODIFIER_TO_CITY_CENTER');

INSERT INTO Modifiers 			(ModifierId , ModifierType , OwnerRequirementSetId) VALUES 		('MACHINE_GUN_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'MODIFIER_PLAYER_DISTRICTS_ATTACH_MODIFIER' , 'REQSET_PLOT_ADJACENT_DISTRICT_IS_CITY_CENTER');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('MACHINE_GUN_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'ModifierId' , 'MACHINE_GUN_BOOSTS_RANGED_STRIKE');

INSERT INTO Modifiers 			(ModifierId , ModifierType, OwnerRequirementSetId) 	VALUES 		('MACHINE_GUN_BOOSTS_RANGED_STRIKE' , 	'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE' , 'REQSET_CIV_HAS_NITER_OWNED'); --  , 
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('MACHINE_GUN_BOOSTS_RANGED_STRIKE' , 	'Amount' , 15 );



--------------------------------------------------------------------------------
--AT CREW and MODERN AT classes:
--------------------------------------------------------------------------------

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_AT_CREW',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_AT_CREW',		'CLASS_AT_CREW');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_MODERN_AT',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_MODERN_AT',		'CLASS_MODERN_AT');

--AT-Crew grants +8 vs Tanks when attacking and +16 when defending in melee

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',	'CLASS_SIEGE');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',		'MODIFIER_RECEIVE_DEFENSE_VS_TANKS_FROM_AT_CREW');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',		'MODIFIER_RECEIVE_OFFENSE_VS_TANKS_FROM_AT_CREW');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',		'MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_AT_CREW');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW',		'MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_AT_CREW');


INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_TANKS_FROM_AT_CREW',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,	'REQSET_ATTACKING_LIGHT_ARMORED_VEHICLES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_TANKS_FROM_AT_CREW',	'Amount', 8);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_OFFENSE_VS_TANKS_FROM_AT_CREW',	'Preview',	'LOC_MODIFIER_RECEIVE_OFFENSE_VS_TANKS_FROM_AT_CREW_DESCRIPTION');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_TANKS_FROM_AT_CREW',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,	'REQSET_DEFENDING_VS_LIGHT_ARMORED_VEHICLES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_TANKS_FROM_AT_CREW',	'Amount', 14);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_DEFENSE_VS_TANKS_FROM_AT_CREW',	'Preview',	'LOC_MODIFIER_RECEIVE_DEFENSE_VS_TANKS_FROM_AT_CREW_DESCRIPTION');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_AT_CREW',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,	'REQSET_ATTACKING_HEAVY_ARMORED_VEHICLES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_AT_CREW',	'Amount', 4);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_AT_CREW',	'Preview',	'LOC_MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_AT_CREW_DESCRIPTION');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_AT_CREW',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,	'REQSET_DEFENDING_VS_HEAVY_ARMORED_VEHICLES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_AT_CREW',	'Amount', 8);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_AT_CREW',	'Preview',	'LOC_MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_AT_CREW_DESCRIPTION');

						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_AT_CREW_GRANTS_SUPPORT_ABILITY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_AT_CREW_GRANTS_SUPPORT_ABILITY',	'CLASS_AT_CREW');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_AT_CREW_GRANTS_SUPPORT_ABILITY', 0, 'LOC_ABILITY_AT_CREW_GRANTS_SUPPORT_ABILITY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_AT_CREW_GRANTS_SUPPORT_ABILITY',	'MODIFIER_ABILITY_AT_CREW_GRANTS_SUPPORT_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_ABILITY_AT_CREW_GRANTS_SUPPORT_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' ,	'REQSET_CIV_HAS_NITER_OWNED' ,	 'REQSET_LAND_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_ABILITY_AT_CREW_GRANTS_SUPPORT_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_SUPPORT_FROM_AT_CREW');

-- MODERN AT gives slightly better ability and no heavy armor penalty:

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',	'CLASS_SIEGE');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT', 1);

INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',		'MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',		'MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',		'MODIFIER_RECEIVE_OFFENSE_VS_TANK_FROM_MODERN_AT');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT',		'MODIFIER_RECEIVE_DEFENSE_VS_TANK_FROM_MODERN_AT');


INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,		'REQSET_ATTACKING_HEAVY_ARMORED_VEHICLES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT',	'Amount', 8);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT',	'Preview',	'LOC_MODIFIER_RECEIVE_OFFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT_DESCRIPTION');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,		'REQSET_DEFENDING_VS_HEAVY_ARMORED_VEHICLES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT',	'Amount', 14);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT',	'Preview',	'LOC_MODIFIER_RECEIVE_DEFENSE_VS_MODERN_ARMOR_FROM_MODERN_AT_DESCRIPTION');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_TANK_FROM_MODERN_AT',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,	'REQSET_ATTACKING_LIGHT_ARMORED_VEHICLES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_TANK_FROM_MODERN_AT',	'Amount', 12);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_OFFENSE_VS_TANK_FROM_MODERN_AT',	'Preview',	'LOC_MODIFIER_RECEIVE_OFFENSE_VS_TANK_FROM_MODERN_AT_DESCRIPTION');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_TANK_FROM_MODERN_AT',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,	'REQSET_DEFENDING_VS_LIGHT_ARMORED_VEHICLES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_TANK_FROM_MODERN_AT',	'Amount', 18);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_DEFENSE_VS_TANK_FROM_MODERN_AT',	'Preview',	'LOC_MODIFIER_RECEIVE_DEFENSE_VS_TANK_FROM_MODERN_AT_DESCRIPTION');

						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_MODERN_AT_GRANTS_SUPPORT_ABILITY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_MODERN_AT_GRANTS_SUPPORT_ABILITY',	'CLASS_MODERN_AT');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_MODERN_AT_GRANTS_SUPPORT_ABILITY', 0, 'LOC_ABILITY_MODERN_AT_GRANTS_SUPPORT_ABILITY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_MODERN_AT_GRANTS_SUPPORT_ABILITY',	'MODIFIER_ABILITY_MODERN_AT_GRANTS_SUPPORT_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_ABILITY_MODERN_AT_GRANTS_SUPPORT_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' ,	'REQSET_CIV_HAS_NITER_OWNED' ,	 'REQSET_LAND_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_ABILITY_MODERN_AT_GRANTS_SUPPORT_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_SUPPORT_FROM_MODERN_AT');

--------------------------------------------------------------------------------
--AA SUPPORT UNITS
--------------------------------------------------------------------------------

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_ANTIAIR_GUN',	'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_ANTIAIR_GUN',	'CLASS_ANTIAIR_GUN');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_MOBILE_SAM',	'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_MOBILE_SAM',		'CLASS_MOBILE_SAM');

-- AA-gun gives +8 to adjacent units vs helicopters in melee

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',	'CLASS_SIEGE');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',		'MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN',		'MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN');


INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,		'REQSET_DEFENDING_VS_HELICOPTER');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 														VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN',	'Amount', 8);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)														VALUES		('MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN',	'Preview',	'LOC_MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN_DESCRIPTION');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,		'REQSET_ATTACKING_HELICOPTER');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 														VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN',	'Amount', 4);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)														VALUES		('MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN',	'Preview',	'LOC_MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_ANTIAIR_GUN_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_ANTIAIR_GUN_GRANTS_SUPPORT_ABILITY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_ANTIAIR_GUN_GRANTS_SUPPORT_ABILITY',	'CLASS_ANTIAIR_GUN');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_ANTIAIR_GUN_GRANTS_SUPPORT_ABILITY', 0, 'LOC_ABILITY_ANTIAIR_GUN_GRANTS_SUPPORT_ABILITY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_ANTIAIR_GUN_GRANTS_SUPPORT_ABILITY',	'MODIFIER_ABILITY_ANTIAIR_GUN_GRANTS_SUPPORT_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_ABILITY_ANTIAIR_GUN_GRANTS_SUPPORT_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' ,	'REQSET_CIV_HAS_NITER_OWNED' ,	 'REQSET_LAND_COMBAT_UNIT_WITHIN_ONE_TILE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_ABILITY_ANTIAIR_GUN_GRANTS_SUPPORT_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_SUPPORT_FROM_ANTIAIR_GUN');

-- Mobile SAM gives +8 when attacking and +16 when defending vs helicopters in melee

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',	'CLASS_SIEGE');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',		'MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_MOBILE_SAM');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM',		'MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_MOBILE_SAM');


INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_MOBILE_SAM',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,		'REQSET_DEFENDING_VS_HELICOPTER');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 														VALUES 		('MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_MOBILE_SAM',	'Amount', 16);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)														VALUES		('MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_MOBILE_SAM',	'Preview',	'LOC_MODIFIER_RECEIVE_DEFENSE_VS_HELICOPTER_FROM_MOBILE_SAM_DESCRIPTION');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_MOBILE_SAM',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_CIV_HAS_NITER_OWNED' ,		'REQSET_ATTACKING_HELICOPTER');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 														VALUES 		('MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_MOBILE_SAM',	'Amount', 8);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)														VALUES		('MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_MOBILE_SAM',	'Preview',	'LOC_MODIFIER_RECEIVE_OFFENSE_VS_HELICOPTER_FROM_MOBILE_SAM_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_MOBILE_SAM_GRANTS_SUPPORT_ABILITY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_MOBILE_SAM_GRANTS_SUPPORT_ABILITY',	'CLASS_MOBILE_SAM');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_MOBILE_SAM_GRANTS_SUPPORT_ABILITY', 0, 'LOC_ABILITY_MOBILE_SAM_GRANTS_SUPPORT_ABILITY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_MOBILE_SAM_GRANTS_SUPPORT_ABILITY',	'MODIFIER_ABILITY_MOBILE_SAM_GRANTS_SUPPORT_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('MODIFIER_ABILITY_MOBILE_SAM_GRANTS_SUPPORT_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' ,	'REQSET_CIV_HAS_NITER_OWNED' ,	 'REQSET_LAND_COMBAT_UNIT_WITHIN_ONE_TILE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_ABILITY_MOBILE_SAM_GRANTS_SUPPORT_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_SUPPORT_FROM_MOBILE_SAM');


--MOBILE SAM MOVEMENT PENALTY FOR LACKING OIL
INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('MOBILE_SAM_NEEDS_OIL','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_MOBILE_SAM','MOBILE_SAM_NEEDS_OIL');
INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_MOBILE_SAM_NEEDS_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_MOBILE_SAM_NEEDS_OIL','MOBILE_SAM_NEEDS_OIL');
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_MOBILE_SAM_NEEDS_OIL','LOC_ABILITY_MOBILE_SAM_NEEDS_OIL_NAME','LOC_ABILITY_MOBILE_SAM_NEEDS_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_MOBILE_SAM_NEEDS_OIL','MOBILE_SAM_OIL_MOVEMENT_PENALTY');
INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('MOBILE_SAM_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_NO_OIL_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('MOBILE_SAM_OIL_MOVEMENT_PENALTY','Amount',-11);

------------------------------------------------------------------------------------------------------------
-- CHARIOTS
------------------------------------------------------------------------------------------------------------

--Heavy Chariots and Egyptian Chariot Archers only get extra movement for having horses at the start of their turn:

UPDATE Modifiers SET OwnerRequirementSetId = 'REQSET_CIV_HAS_HORSES_BUT_NOT_EMBARKED' WHERE ModifierId = 'HEAVYCHARIOT_FASTER_CLEAR_TERRAIN';
UPDATE Modifiers SET OwnerRequirementSetId = 'REQSET_CIV_HAS_HORSES_BUT_NOT_EMBARKED' WHERE ModifierId = 'LIGHTCHARIOT_FASTER_CLEAR_TERRAIN';


-- Heavy Chariots and Egyptian Chariot Archers (reduced -1 move without Horses) 
INSERT INTO Tags (Tag,Vocabulary) 															VALUES 		('CLASS_NEEDS_HORSES_CHARIOT',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_HEAVY_CHARIOT',				'CLASS_NEEDS_HORSES_CHARIOT');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_SUMERIAN_WAR_CART',			'CLASS_NEEDS_HORSES_CHARIOT');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_EGYPTIAN_CHARIOT_ARCHER',	'CLASS_NEEDS_HORSES_CHARIOT');

INSERT INTO Types 						([Type],Kind) 										VALUES		('ABILITY_NEEDS_HORSES_CHARIOT',	'KIND_ABILITY');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES		('ABILITY_NEEDS_HORSES_CHARIOT',	'CLASS_NEEDS_HORSES_CHARIOT');
INSERT INTO UnitAbilities 				(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_NEEDS_HORSES_CHARIOT',	'LOC_ABILITY_NEEDS_HORSES_CHARIOT_NAME',				'LOC_ABILITY_NEEDS_HORSES_CHARIOT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_NEEDS_HORSES_CHARIOT',	'CHARIOT_MOVEMENT_PENALTY');
INSERT INTO Modifiers 					(ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('CHARIOT_MOVEMENT_PENALTY',		'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT',		'REQSET_NO_HORSES_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 							VALUES 		('CHARIOT_MOVEMENT_PENALTY','Amount',-1);


--Heavy Chariots get +4 CS when attacking with Bronze Working (lowered the base value to help A.I prioritize):
INSERT INTO Tags 					(Tag , Vocabulary) 										VALUES 		('CLASS_CHARIOT' , 					'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('UNIT_HEAVY_CHARIOT' , 			'CLASS_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('UNIT_SUMERIAN_WAR_CART' , 		'CLASS_CHARIOT');
INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_CHARIOT_BRONZE_BONUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_CHARIOT_BRONZE_BONUS',	'CLASS_CHARIOT');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 						VALUES		('ABILITY_CHARIOT_BRONZE_BONUS',	'LOC_ABILITY_CHARIOT_BRONZE_BONUS_NAME',	'LOC_ABILITY_CHARIOT_BRONZE_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_CHARIOT_BRONZE_BONUS',	'CHARIOT_BRONZE_BONUS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('CHARIOT_BRONZE_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_PLAYER_HAS_BRONZE_WORKING','UNIT_STRONG_WHEN_ATTACKING_REQUIREMENTS');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES 		('CHARIOT_BRONZE_BONUS' , 'Amount' , 4);

INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 						VALUES 		('CHARIOT_BRONZE_BONUS','Preview','LOC_CHARIOT_BRONZE_BONUS_AREX_DESCRIPTION');

---------------------
--- EGYPTIAN CHARIOT ARCHER MARYANNU - CLASS_LIGHT_CHARIOT
---------------------


--Chariot Archers get +5 defensive CS with Bronze Working (lowered the base value to help A.I prioritize):

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_CHARIOT_ARCHER_BRONZE_BONUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_CHARIOT_ARCHER_BRONZE_BONUS',	'CLASS_LIGHT_CHARIOT');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 						VALUES		('ABILITY_CHARIOT_ARCHER_BRONZE_BONUS',	'LOC_ABILITY_CHARIOT_ARCHER_BRONZE_BONUS_NAME',	'LOC_ABILITY_CHARIOT_ARCHER_BRONZE_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_CHARIOT_ARCHER_BRONZE_BONUS',	'CHARIOT_ARCHER_BRONZE_BONUS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('CHARIOT_ARCHER_BRONZE_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_PLAYER_HAS_BRONZE_WORKING','UNIT_WEAK_WHEN_DEFENDING_REQUIREMENTS');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES 		('CHARIOT_ARCHER_BRONZE_BONUS' , 'Amount' , 5);

INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 						VALUES 		('CHARIOT_ARCHER_BRONZE_BONUS','Preview','LOC_CHARIOT_ARCHER_BRONZE_BONUS_AREX_DESCRIPTION');


------------------------------------------------------------------------------------------------------------
-- HEAVY AND LIGHT CAVALRY CLASS (NOT CHARIOTS)
------------------------------------------------------------------------------------------------------------

DELETE FROM TypeTags WHERE Type = 'ABILITY_IGNORE_ZOC' AND Tag LIKE 'CLASS_%CAVALRY';

INSERT INTO Tags (Tag,Vocabulary) 															VALUES 		('CLASS_HEAVY_CAVALRY_ON_HORSES',	'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_AMERICAN_ROUGH_RIDER',		'CLASS_HEAVY_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_ARABIAN_MAMLUK',				'CLASS_HEAVY_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_CUIRASSIER',					'CLASS_HEAVY_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_HEAVY_CHARIOT',				'CLASS_HEAVY_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_KNIGHT',						'CLASS_HEAVY_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_MALI_MANDEKALU_CAVALRY',		'CLASS_HEAVY_CAVALRY_ON_HORSES');

INSERT INTO Tags (Tag,Vocabulary) 															VALUES 		('CLASS_LIGHT_CAVALRY_ON_HORSES',	'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_BARBARIAN_HORSEMAN',			'CLASS_LIGHT_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_CANADA_MOUNTIE',				'CLASS_LIGHT_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_CAVALRY',					'CLASS_LIGHT_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_COURSER',					'CLASS_LIGHT_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_HORSEMAN',					'CLASS_LIGHT_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_HUNGARY_BLACK_ARMY',			'CLASS_LIGHT_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_HUNGARY_HUSZAR',				'CLASS_LIGHT_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_MAPUCHE_MALON_RAIDER',		'CLASS_LIGHT_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_RUSSIAN_COSSACK',			'CLASS_LIGHT_CAVALRY_ON_HORSES');

INSERT INTO Tags (Tag,Vocabulary) 															VALUES 		('CLASS_RANGED_CAVALRY_ON_HORSES',	'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_BARBARIAN_HORSE_ARCHER',		'CLASS_RANGED_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_MONGOLIAN_KESHIG',			'CLASS_RANGED_CAVALRY_ON_HORSES');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('UNIT_SCYTHIAN_HORSE_ARCHER',		'CLASS_RANGED_CAVALRY_ON_HORSES');

--Ability to ignore zone of control with horses surplus:

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_IGNORE_ZOC_WITH_HORSES_SURPLUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_IGNORE_ZOC_WITH_HORSES_SURPLUS',	'CLASS_HEAVY_CAVALRY_ON_HORSES');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_IGNORE_ZOC_WITH_HORSES_SURPLUS',	'CLASS_LIGHT_CAVALRY_ON_HORSES');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_IGNORE_ZOC_WITH_HORSES_SURPLUS',	'CLASS_RANGED_CAVALRY_ON_HORSES');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_IGNORE_ZOC_WITH_HORSES_SURPLUS',	'CLASS_LIGHT_CHARIOT');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_IGNORE_ZOC_WITH_HORSES_SURPLUS', 0 , 	'LOC_ABILITY_IGNORE_ZOC_WITH_HORSES_SURPLUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_IGNORE_ZOC_WITH_HORSES_SURPLUS',		'IGNORE_ZOC_WITH_HORSES_SURPLUS');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId) 		VALUES 		('IGNORE_ZOC_WITH_HORSES_SURPLUS',	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_ZOC' ,	'REQSET_CIV_HAS_HORSES_BUT_NOT_EMBARKED'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('IGNORE_ZOC_WITH_HORSES_SURPLUS',	'Ignore', 1);


--Heavy Cavalry recieve a -10 penalty vs districts (can deal full dmg vs walled districts when ram/tower is adjacent):

--INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_BATTERING_RAM_GRANTS_CAVALRY_PENALTY_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CAVALRY_RAM_CREW'); 
--INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_BATTERING_RAM_GRANTS_CAVALRY_PENALTY_ABILITY',	'AbilityType', 'ABILITY_CAVALRY_PENALTY_VS_DISTRICT');

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_HEAVY_CAVALRY_PENALTY_VS_DISTRICT',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_HEAVY_CAVALRY_PENALTY_VS_DISTRICT',	'CLASS_HEAVY_CAVALRY');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_HEAVY_CAVALRY_PENALTY_VS_DISTRICT', 0 , 	'LOC_ABILITY_HEAVY_CAVALRY_PENALTY_VS_DISTRICT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_HEAVY_CAVALRY_PENALTY_VS_DISTRICT',		'MODIFIER_HEAVY_CAVALRY_PENALTY_VS_DISTRICT');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_HEAVY_CAVALRY_PENALTY_VS_DISTRICT',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' ,	'REQSET_MELEE_DISTRICT_ATTACK'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_HEAVY_CAVALRY_PENALTY_VS_DISTRICT',	'Amount', -10);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_HEAVY_CAVALRY_PENALTY_VS_DISTRICT',	'Preview',	'LOC_MODIFIER_HEAVY_CAVALRY_PENALTY_VS_DISTRICT_DESCRIPTION');

--Light cav -15 vs districts

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_LIGHT_CAVALRY_PENALTY_VS_DISTRICT',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_LIGHT_CAVALRY_PENALTY_VS_DISTRICT',	'CLASS_LIGHT_CAVALRY');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_LIGHT_CAVALRY_PENALTY_VS_DISTRICT', 0 , 	'LOC_ABILITY_LIGHT_CAVALRY_PENALTY_VS_DISTRICT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_LIGHT_CAVALRY_PENALTY_VS_DISTRICT',		'MODIFIER_LIGHT_CAVALRY_PENALTY_VS_DISTRICT');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_LIGHT_CAVALRY_PENALTY_VS_DISTRICT',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' ,	'REQSET_MELEE_DISTRICT_ATTACK'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_LIGHT_CAVALRY_PENALTY_VS_DISTRICT',	'Amount', -15);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_LIGHT_CAVALRY_PENALTY_VS_DISTRICT',	'Preview',	'LOC_MODIFIER_LIGHT_CAVALRY_PENALTY_VS_DISTRICT_DESCRIPTION');

--Light cav can now pillage for 1 movement point from start, no need for depredation promotion.

DELETE FROM UnitAbilityModifiers WHERE ModifierId = 'MALON_RAIDER_LESS_MOVEMENT_PILLAGE';

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_HORSES',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_HORSES',	'CLASS_LIGHT_CAVALRY_ON_HORSES');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_HORSES', 0 , 'LOC_ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_HORSES_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_HORSES',		'MALON_RAIDER_LESS_MOVEMENT_PILLAGE');

UPDATE Modifiers SET OwnerRequirementSetId = 'REQSET_CIV_HAS_HORSES_BUT_NOT_EMBARKED' WHERE ModifierId = 'MALON_RAIDER_LESS_MOVEMENT_PILLAGE';

--------------------
-- CAVALRY MOVEMENT
--------------------
-- Light Cavalry (-3 moves)

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_NEEDS_HORSES_LIGHT',	'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_COURSER',				'CLASS_NEEDS_HORSES_LIGHT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_HUNGARY_BLACK_ARMY',		'CLASS_NEEDS_HORSES_LIGHT');
				
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CAVALRY',				'CLASS_NEEDS_HORSES_LIGHT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_RUSSIAN_COSSACK',		'CLASS_NEEDS_HORSES_LIGHT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_HUNGARY_HUSZAR',			'CLASS_NEEDS_HORSES_LIGHT');
				
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_AMERICAN_ROUGH_RIDER',	'CLASS_NEEDS_HORSES_LIGHT');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CANADA_MOUNTIE',			'CLASS_NEEDS_HORSES_LIGHT');


INSERT INTO Types 						([Type],Kind) 										VALUES		('ABILITY_NEEDS_HORSES_LIGHT',		'KIND_ABILITY');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES		('ABILITY_NEEDS_HORSES_LIGHT',		'CLASS_NEEDS_HORSES_LIGHT');
INSERT INTO UnitAbilities 				(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_NEEDS_HORSES_LIGHT',		'LOC_ABILITY_NEEDS_HORSES_LIGHT_NAME',				'LOC_ABILITY_NEEDS_HORSES_LIGHT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_NEEDS_HORSES_LIGHT',		'LIGHT_CAVALRY_MOVEMENT_PENALTY');
INSERT INTO Modifiers 					(ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('LIGHT_CAVALRY_MOVEMENT_PENALTY',	'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT',		'REQSET_NO_HORSES_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 							VALUES 		('LIGHT_CAVALRY_MOVEMENT_PENALTY','Amount',-3);


-- Heavy Cavalry (only Horses)

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_NEEDS_HORSES_HEAVY',			'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_HORSEMAN',						'CLASS_NEEDS_HORSES_HEAVY');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_SCYTHIAN_HORSE_ARCHER',			'CLASS_NEEDS_HORSES_HEAVY');
		
--INSERT INTO TypeTags ([Type],Tag		) VALUES ('UNIT_GREAT_GENERAL',					'CLASS_NEEDS_HORSES_HEAVY'); --needs to differ between Oil and Horses depending on Era.
		
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_MONGOLIAN_KESHIG',				'CLASS_NEEDS_HORSES_HEAVY');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_MAPUCHE_MALON_RAIDER',			'CLASS_NEEDS_HORSES_HEAVY');
				
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_KNIGHT',							'CLASS_NEEDS_HORSES_HEAVY');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_ARABIAN_MAMLUK',					'CLASS_NEEDS_HORSES_HEAVY');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_MALI_MANDEKALU_CAVALRY',			'CLASS_NEEDS_HORSES_HEAVY');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CUIRASSIER',						'CLASS_NEEDS_HORSES_HEAVY');


INSERT INTO Types 						([Type],Kind) 										VALUES		('ABILITY_NEEDS_HORSES_HEAVY',		'KIND_ABILITY');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES		('ABILITY_NEEDS_HORSES_HEAVY',		'CLASS_NEEDS_HORSES_HEAVY');										
INSERT INTO UnitAbilities 				(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_NEEDS_HORSES_HEAVY',		'LOC_ABILITY_NEEDS_HORSES_NAME',				'LOC_ABILITY_NEEDS_HORSES_DESCRIPTION');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_NEEDS_HORSES_HEAVY',		'HEAVY_CAVALRY_MOVEMENT_PENALTY');
INSERT INTO Modifiers 					(ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('HEAVY_CAVALRY_MOVEMENT_PENALTY',	'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT',		'REQSET_NO_HORSES_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 							VALUES 		('HEAVY_CAVALRY_MOVEMENT_PENALTY','Amount',-2);


------------------------
-- HORSEMAN
------------------------


--Horseman get +4 CS when attacking, with Iron Working and iron surplus (lowered the base value to help A.I prioritize):
INSERT INTO Tags 					(Tag , Vocabulary) 										VALUES 		('CLASS_HORSEMAN' , 				'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('UNIT_HORSEMAN' , 					'CLASS_HORSEMAN');

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_HORSEMAN_IRON_BONUS',		'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_HORSEMAN_IRON_BONUS',		'CLASS_HORSEMAN');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 						VALUES		('ABILITY_HORSEMAN_IRON_BONUS',		'LOC_ABILITY_HORSEMAN_IRON_BONUS_NAME',	'LOC_ABILITY_HORSEMAN_IRON_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_HORSEMAN_IRON_BONUS',		'HORSEMAN_IRON_BONUS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('HORSEMAN_IRON_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_PLAYER_HAS_IRON_WORKING_SURPLUS_OR_IS_MINOR','UNIT_STRONG_WHEN_ATTACKING_REQUIREMENTS');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES 		('HORSEMAN_IRON_BONUS' , 'Amount' , 4);

INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 						VALUES 		('HORSEMAN_IRON_BONUS','Preview','LOC_MODIFIER_UNIT_IRON_BONUS_AREX_DESCRIPTION');



----------------------
-- HELICOPTER 
----------------------


-- Loss of sight and moves without Oil:
INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_HELICOPTER_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_HELICOPTER_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','CLASS_HELICOPTER');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_HELICOPTER_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','LOC_ABILITY_HELICOPTER_NEEDS_OIL_NAME','LOC_ABILITY_HELICOPTER_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_HELICOPTER_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','HELICOPTER_OIL_MOVEMENT_PENALTY');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_HELICOPTER_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','HELICOPTER_OIL_SIGHT_PENALTY');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_HELICOPTER_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','ESCORT_MOBILITY_SHARED_MOVEMENT');	--can airlift units at their own speed

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('HELICOPTER_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_NO_OIL_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('HELICOPTER_OIL_MOVEMENT_PENALTY','Amount',-14); --moves 15 base

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('HELICOPTER_OIL_SIGHT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_SIGHT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('HELICOPTER_OIL_SIGHT_PENALTY','Amount',-1);	--sight 2 base


--Ability to ignore zone of control with oil surplus:

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_IGNORE_ZOC_WITH_OIL_SURPLUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_IGNORE_ZOC_WITH_OIL_SURPLUS',	'CLASS_HELICOPTER');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_IGNORE_ZOC_WITH_OIL_SURPLUS',	'CLASS_TANK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_IGNORE_ZOC_WITH_OIL_SURPLUS',	'CLASS_MODERN_ARMOR');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_IGNORE_ZOC_WITH_OIL_SURPLUS', 0 , 'LOC_ABILITY_IGNORE_ZOC_WITH_OIL_SURPLUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_IGNORE_ZOC_WITH_OIL_SURPLUS',		'IGNORE_ZOC_WITH_OIL_SURPLUS');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId) 		VALUES 		('IGNORE_ZOC_WITH_OIL_SURPLUS',	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_ZOC' ,	'REQSET_CIV_HAS_OIL_OWNED'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('IGNORE_ZOC_WITH_OIL_SURPLUS',	'Ignore', 1);

--Helicopter can now pillage for 1 movement point from start, no need for depredation promotion.

INSERT INTO Types 					([Type],Kind) 								VALUES		('ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_OIL',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 								VALUES 		('ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_OIL',	'CLASS_HELICOPTER');
	
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 		VALUES		('ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_OIL', 0 , 'LOC_ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 				VALUES 		('ABILITY_LIGHT_CAVALRY_LESS_MOVEMENT_PILLAGE_OIL',		'HELICOPTER_LESS_MOVEMENT_PILLAGE');
	
INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 			VALUES 		('HELICOPTER_LESS_MOVEMENT_PILLAGE','MODIFIER_PLAYER_UNIT_ADJUST_ADVANCED_PILLAGING','REQSET_CIV_HAS_OIL_BUT_NOT_EMBARKED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 						VALUES 		('HELICOPTER_LESS_MOVEMENT_PILLAGE','UseAdvancedPillaging', 1);


--Get -15 when fighting in woods or rainforest

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_HELICOPTER_FOREST_PENALTY','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_HELICOPTER_FOREST_PENALTY','CLASS_HELICOPTER');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_HELICOPTER_FOREST_PENALTY','LOC_ABILITY_ARMOR_VULNERABLE_TO_ARTILLERY_NAME','LOC_ABILITY_HELICOPTER_FOREST_PENALTY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_HELICOPTER_FOREST_PENALTY','MODIFIER_HELICOPTER_FOREST_PENALTY');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('MODIFIER_HELICOPTER_FOREST_PENALTY','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_FOREST_OR_JUNGLE');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('MODIFIER_HELICOPTER_FOREST_PENALTY','Amount',-15);
INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 	VALUES ('MODIFIER_HELICOPTER_FOREST_PENALTY','Preview','LOC_MODIFIER_HELICOPTER_FOREST_PENALTY_DESCRIPTION');

--LOC_HELICOPTER_FOREST_PENALTY_DESCRIPTION

----------------------
-- TANK
----------------------

INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('CLASS_TANK','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_TANK','CLASS_TANK');


--Get -15 when defending vs Artillery, Battleship and later units:

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_ARMOR_VULNERABLE_TO_ARTILLERY','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_ARMOR_VULNERABLE_TO_ARTILLERY','CLASS_TANK');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_ARMOR_VULNERABLE_TO_ARTILLERY','CLASS_MODERN_ARMOR');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_ARMOR_VULNERABLE_TO_ARTILLERY','LOC_ABILITY_ARMOR_VULNERABLE_TO_ARTILLERY_NAME','LOC_ABILITY_ARMOR_VULNERABLE_TO_ARTILLERY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_ARMOR_VULNERABLE_TO_ARTILLERY','ARMOR_VULNERABLE_TO_ARTILLERY');

INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES ('ARMOR_VULNERABLE_TO_ARTILLERY','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_DEFENDING_VS_ANY_ARTILLERY');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('ARMOR_VULNERABLE_TO_ARTILLERY','Amount',-15);
INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 	VALUES ('ARMOR_VULNERABLE_TO_ARTILLERY','Preview','LOC_ARMOR_VULNERABLE_TO_ARTILLERY_DESCRIPTION');


--TANKS 4 MOVES, MOVEMENT PENALTY FOR LACKING OIL

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_TANK_NEEDS_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_TANK_NEEDS_OIL','CLASS_TANK');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_TANK_NEEDS_OIL','LOC_ABILITY_TANK_NEEDS_OIL_NAME','LOC_ABILITY_TANK_NEEDS_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_TANK_NEEDS_OIL','TANK_OIL_MOVEMENT_PENALTY');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('TANK_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_NO_OIL_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('TANK_OIL_MOVEMENT_PENALTY','Amount',-3);

-----------------------------------
-- MODERN ARMOR
-----------------------------------

INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('CLASS_MODERN_ARMOR','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_MODERN_ARMOR','CLASS_MODERN_ARMOR');

-- MODERN ARMOR 6 MOVES, MOVEMENT PENALTY FOR LACKING OIL


INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_MODERN_ARMOR_NEEDS_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_MODERN_ARMOR_NEEDS_OIL','CLASS_MODERN_ARMOR');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_MODERN_ARMOR_NEEDS_OIL','LOC_ABILITY_MODERN_ARMOR_NEEDS_OIL_NAME','LOC_ABILITY_MODERN_ARMOR_NEEDS_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_MODERN_ARMOR_NEEDS_OIL','MODERN_ARMOR_OIL_MOVEMENT_PENALTY');
INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('MODERN_ARMOR_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_NO_OIL_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('MODERN_ARMOR_OIL_MOVEMENT_PENALTY','Amount',-5);


--Tank and Modern Armor No longer gets the chariot extra move ability since that one now requires horses. Replacement below:
DELETE FROM TypeTags WHERE Type = 'UNIT_TANK' AND Tag = 'CLASS_HEAVY_CHARIOT';
DELETE FROM TypeTags WHERE Type = 'UNIT_MODERN_ARMOR' AND Tag = 'CLASS_HEAVY_CHARIOT';

-- Tank and Modern Armor get extra move on clear terrain

INSERT INTO Types ([Type],Kind) 										VALUES 		('ABILITY_TANKS_EXTRA_MOVEMENT',	'KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES 		('ABILITY_TANKS_EXTRA_MOVEMENT',	'CLASS_TANK');
INSERT INTO TypeTags ([Type],Tag) 										VALUES 		('ABILITY_TANKS_EXTRA_MOVEMENT',	'CLASS_MODERN_ARMOR');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES 		('ABILITY_TANKS_EXTRA_MOVEMENT',	'LOC_ABILITY_TANKS_EXTRA_MOVEMENT_NAME','LOC_ABILITY_TANKS_EXTRA_MOVEMENT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_TANKS_EXTRA_MOVEMENT',	'TANKS_FASTER_CLEAR_TERRAIN');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('TANKS_FASTER_CLEAR_TERRAIN',		'MODIFIER_PLAYER_UNIT_ADJUST_CLEAR_TERRAIN_START_MOVEMENT','REQSET_CIV_HAS_OIL_OWNED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES 		('TANKS_FASTER_CLEAR_TERRAIN',		'Amount',1);



--Tanks and Modern Armor start with +1 attack if movement allows:

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_TANK_EXTRA_ATTACK','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_TANK_EXTRA_ATTACK','CLASS_TANK');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_TANK_EXTRA_ATTACK','CLASS_MODERN_ARMOR');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_TANK_EXTRA_ATTACK','LOC_ABILITY_TANK_EXTRA_ATTACK_NAME','LOC_ABILITY_TANK_EXTRA_ATTACK_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_TANK_EXTRA_ATTACK','TANK_EXTRA_ATTACK');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('TANK_EXTRA_ATTACK','MODIFIER_UNIT_ADJUST_NUM_ATTACKS','REQSET_CIV_HAS_OIL_BUT_NOT_EMBARKED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('TANK_EXTRA_ATTACK','Amount',1);


--------------------------------------------------------------------------------
-- GREAT GENERALS
--------------------------------------------------------------------------------

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_GREAT_GENERAL',			'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_GREAT_GENERAL',			'CLASS_GREAT_GENERAL');

-- General gets -2 moves (starts with 4) without access to horses:
INSERT INTO Types 					([Type],Kind) 										VALUES		('ABILITY_GENERAL_LACKS_HORSES',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type],Tag) 										VALUES		('ABILITY_GENERAL_LACKS_HORSES',	'CLASS_GREAT_GENERAL');										
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_GENERAL_LACKS_HORSES',	'LOC_ABILITY_GENERAL_LACKS_HORSES_NAME',	'LOC_ABILITY_NEEDS_HORSES_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_GENERAL_LACKS_HORSES',	'GENERAL_WITHOUT_HORSES');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('GENERAL_WITHOUT_HORSES',	'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT',		'REQSET_GENERAL_LACKS_HORSES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 							VALUES 		('GENERAL_WITHOUT_HORSES',	'Amount',-2);

-- With Combustion, Generals get 8 moves with oil surplus, and only 2 moves without:
INSERT INTO TechnologyModifiers 	(TechnologyType , ModifierId) 						VALUES 		('TECH_COMBUSTION' , 							'COMBUSTION_GRANTS_GENERALS_JEEP_MOVEMENT');
INSERT INTO TechnologyModifiers 	(TechnologyType , ModifierId) 						VALUES 		('TECH_COMBUSTION' , 							'COMBUSTION_GRANTS_GENERALS_OIL_AND_HORSE_PENALTY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId,Permanent) 	VALUES 		('COMBUSTION_GRANTS_GENERALS_OIL_AND_HORSE_PENALTY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY','REQSET_GREAT_GENERAL', 1);
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('COMBUSTION_GRANTS_GENERALS_OIL_AND_HORSE_PENALTY' , 	'AbilityType' , 'ABILITY_GENERAL_LACKS_OIL_AND_HORSES');

INSERT INTO Types 					([Type],Kind) 										VALUES		('ABILITY_GENERAL_LACKS_OIL_AND_HORSES',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type],Tag) 										VALUES		('ABILITY_GENERAL_LACKS_OIL_AND_HORSES',	'CLASS_GREAT_GENERAL');										
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description,Inactive) 		VALUES		('ABILITY_GENERAL_LACKS_OIL_AND_HORSES',	'LOC_ABILITY_GENERAL_LACKS_OIL_AND_HORSES_NAME',	'LOC_ABILITY_GENERAL_LACKS_OIL_AND_HORSES_DESCRIPTION' , 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_GENERAL_LACKS_OIL_AND_HORSES',	'GENERAL_WITHOUT_OIL_AND_HORSES');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('GENERAL_WITHOUT_OIL_AND_HORSES',	'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT',		'REQSET_GENERAL_LACKS_OIL_AND_HORSES');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 							VALUES 		('GENERAL_WITHOUT_OIL_AND_HORSES',	'Amount',-2);

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES 		('COMBUSTION_GRANTS_GENERALS_JEEP_MOVEMENT',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY','REQSET_GREAT_GENERAL');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('COMBUSTION_GRANTS_GENERALS_JEEP_MOVEMENT' , 	'AbilityType' , 'ABILITY_GENERAL_JEEP_MOVEMENT');

--WITH OIL SURPLUS +4 moves, to a total of 8, which = 16 when going on a road
INSERT INTO Types 					([Type],Kind) 										VALUES		('ABILITY_GENERAL_JEEP_MOVEMENT',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type],Tag) 										VALUES		('ABILITY_GENERAL_JEEP_MOVEMENT',	'CLASS_GREAT_GENERAL');										
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description,Inactive) 		VALUES		('ABILITY_GENERAL_JEEP_MOVEMENT',	'LOC_ABILITY_GENERAL_JEEP_MOVEMENT_NAME',	'LOC_ABILITY_GENERAL_JEEP_MOVEMENT_DESCRIPTION' , 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_GENERAL_JEEP_MOVEMENT',	'GENERAL_JEEP_MOVEMENT');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('GENERAL_JEEP_MOVEMENT',	'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT',		'REQSET_CIV_HAS_OIL_OWNED');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 							VALUES 		('GENERAL_JEEP_MOVEMENT',	'Amount',4);


--------------------------------------------------------------------------------
-- RANGED CAVALRY CLASS
--------------------------------------------------------------------------------


-- HORSE ARCHERS

--Horse Archers get +5 defensive CS with Iron Working and iron surplus (lowered the base value to help A.I prioritize):
INSERT INTO Tags 					(Tag , Vocabulary) 										VALUES 		('CLASS_HORSE_ARCHER' , 			'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('UNIT_SCYTHIAN_HORSE_ARCHER' , 	'CLASS_HORSE_ARCHER');

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_HORSE_ARCHER_IRON_BONUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_HORSE_ARCHER_IRON_BONUS',	'CLASS_HORSE_ARCHER');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 						VALUES		('ABILITY_HORSE_ARCHER_IRON_BONUS',	'LOC_ABILITY_HORSE_ARCHER_IRON_BONUS_NAME',	'LOC_ABILITY_HORSE_ARCHER_IRON_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_HORSE_ARCHER_IRON_BONUS',	'HORSE_ARCHER_IRON_BONUS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 		VALUES 		('HORSE_ARCHER_IRON_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_PLAYER_HAS_IRON_WORKING_SURPLUS_OR_IS_MINOR','UNIT_WEAK_WHEN_DEFENDING_REQUIREMENTS');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES 		('HORSE_ARCHER_IRON_BONUS' , 'Amount' , 5);

INSERT INTO ModifierStrings 				(ModifierId,Context,Text) 						VALUES 		('HORSE_ARCHER_IRON_BONUS','Preview','LOC_HORSE_ARCHER_IRON_BONUS_AREX_DESCRIPTION');



------------------------------------------------------------------------------------------------------------
-- SIEGE CLASS
------------------------------------------------------------------------------------------------------------

DELETE FROM TypeTags WHERE Type = 'UNIT_CATAPULT' AND Tag = 'CLASS_FORWARD_OBSERVER';
DELETE FROM TypeTags WHERE Type = 'UNIT_BOMBARD' AND Tag = 'CLASS_FORWARD_OBSERVER';

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_CATAPULT',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_CATAPULT',		'CLASS_CATAPULT');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_BOMBARD',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_BOMBARD',		'CLASS_BOMBARD');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_ARTILLERY',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_ARTILLERY',		'CLASS_ARTILLERY');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_ROCKET_ARTILLERY',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_ROCKET_ARTILLERY',		'CLASS_ROCKET_ARTILLERY');

--ROCKET ARTLLERY START WITH 8 MOVES. Movement penalty found above under melee class with Mechanized infantry.

------------------------
--CAPTURE SIEGE UNITS:
------------------------

--Capture Catapult (not siege or ranged units since they're shooting from a distance, but ranged cavalry is ok since they generally have a range of 1 and are mounted which means mobile):

INSERT INTO Types 		([Type],Kind) 											VALUES		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CLASS_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CLASS_RANGED');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CLASS_RECON');						--scout not included in ranged
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CLASS_LIGHT_CHARIOT');
		
INSERT INTO UnitAbilities 		(UnitAbilityType,Inactive) 						VALUES		('ABILITY_CAPTURE_DEFEATED_CATAPULT', 0);
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_CAPTURE_DEFEATED_CATAPULT',		'CAPTURE_DEFEATED_CATAPULT');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('CAPTURE_DEFEATED_CATAPULT',				'MODIFIER_UNIT_ADJUST_COMBAT_CAPTURE', 'REQSET_OPPONENT_IS_CATAPULT'); --,	'REQSET_OPPONENT_IS_CATAPULT' 
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('CAPTURE_DEFEATED_CATAPULT',				'CanCapture',	1	);

--Capture Bombard

INSERT INTO Types 		([Type],Kind) 											VALUES		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CLASS_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CLASS_RANGED');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CLASS_RECON');						--scout not included in ranged
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CLASS_LIGHT_CHARIOT');

		
INSERT INTO UnitAbilities 		(UnitAbilityType,Inactive) 						VALUES		('ABILITY_CAPTURE_DEFEATED_BOMBARD', 0);
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_CAPTURE_DEFEATED_BOMBARD',		'CAPTURE_DEFEATED_BOMBARD');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('CAPTURE_DEFEATED_BOMBARD',				'MODIFIER_UNIT_ADJUST_COMBAT_CAPTURE', 'REQSET_OPPONENT_IS_BOMBARD'); --,	'REQSET_OPPONENT_IS_BOMBARD' 
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('CAPTURE_DEFEATED_BOMBARD',				'CanCapture',	1	);

--Capture Artillery

INSERT INTO Types 		([Type],Kind) 											VALUES		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CLASS_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CLASS_RANGED');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CLASS_RECON');						--scout not included in ranged
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CLASS_LIGHT_CHARIOT');
		
INSERT INTO UnitAbilities 		(UnitAbilityType,Inactive) 						VALUES		('ABILITY_CAPTURE_DEFEATED_ARTILLERY', 0);
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_CAPTURE_DEFEATED_ARTILLERY',		'CAPTURE_DEFEATED_ARTILLERY');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('CAPTURE_DEFEATED_ARTILLERY',				'MODIFIER_UNIT_ADJUST_COMBAT_CAPTURE', 'REQSET_OPPONENT_IS_ARTILLERY'); --,	'REQSET_OPPONENT_IS_ARTILLERY' 
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('CAPTURE_DEFEATED_ARTILLERY',				'CanCapture',	1	);

--Capture Rocket Artillery

INSERT INTO Types 		([Type],Kind) 											VALUES		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CLASS_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CLASS_RANGED');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CLASS_RECON');				--scout not included in ranged
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CLASS_LIGHT_CHARIOT');
		
INSERT INTO UnitAbilities 		(UnitAbilityType,Inactive) 						VALUES		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY', 0);
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_CAPTURE_DEFEATED_ROCKET_ARTILLERY',		'CAPTURE_DEFEATED_ROCKET_ARTILLERY');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('CAPTURE_DEFEATED_ROCKET_ARTILLERY',				'MODIFIER_UNIT_ADJUST_COMBAT_CAPTURE', 'REQSET_OPPONENT_IS_ROCKET_ARTILLERY'); --,	'REQSET_OPPONENT_IS_ROCKET_ARTILLERY' 
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('CAPTURE_DEFEATED_ROCKET_ARTILLERY',				'CanCapture',	1	);

------------------------
-- Other siege stuff
------------------------


--COASTAL FORTS, siege units get +10 vs Ships when in a fort

INSERT INTO Types 		([Type],Kind) 											VALUES		('ABILITY_COASTAL_ARTILLERY',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_COASTAL_ARTILLERY',		'CLASS_SIEGE');

INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 			VALUES		('ABILITY_COASTAL_ARTILLERY',		'LOC_ABILITY_COASTAL_ARTILLERY_NAME',	'LOC_ABILITY_COASTAL_ARTILLERY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_COASTAL_ARTILLERY',		'MODIFIER_COASTAL_ARTILLERY');

INSERT INTO Modifiers 	(ModifierId,ModifierType,OwnerRequirementSetId, SubjectRequirementSetId) 		VALUES 		('MODIFIER_COASTAL_ARTILLERY',		'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',	'REQSET_ATTACKING_FROM_FORT', 'REQSET_COASTAL_ARTILLERY');
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 			VALUES 		('MODIFIER_COASTAL_ARTILLERY' , 	'Amount' , 10);
INSERT INTO ModifierStrings 			(ModifierId,Context,Text) 				VALUES 		('MODIFIER_COASTAL_ARTILLERY',		'Preview','LOC_MODIFIER_COASTAL_ARTILLERY_DESCRIPTION');


-- Siege units deal 7 less damage vs all ships:

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_SIEGE_VS_SHIPS_PENALTY',		'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SIEGE_VS_SHIPS_PENALTY',		'CLASS_SIEGE');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 							VALUES		('ABILITY_SIEGE_VS_SHIPS_PENALTY', 	'LOC_ABILITY_SIEGE_VS_SHIPS_PENALTY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_SIEGE_VS_SHIPS_PENALTY',	'SIEGE_PENALTY_VS_ALL_SHIPS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('SIEGE_PENALTY_VS_ALL_SHIPS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_ATTACKING_SHIP');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES 		('SIEGE_PENALTY_VS_ALL_SHIPS' , 'Amount' , -7);

INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 								VALUES 		('SIEGE_PENALTY_VS_ALL_SHIPS','Preview','LOC_SIEGE_PENALTY_VS_ALL_SHIPS_DESCRIPTION');

-- Siege units get -10 penalty if not adjacent to ship it attacks:

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_SIEGE_VS_NON_ADJACENT_SHIPS_PENALTY',		'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SIEGE_VS_NON_ADJACENT_SHIPS_PENALTY',		'CLASS_SIEGE');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 							VALUES		('ABILITY_SIEGE_VS_NON_ADJACENT_SHIPS_PENALTY', 	'LOC_ABILITY_SIEGE_VS_NON_ADJACENT_SHIPS_PENALTY_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_SIEGE_VS_NON_ADJACENT_SHIPS_PENALTY',	'PENALTY_VS_NON_ADJACENT_SHIPS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('PENALTY_VS_NON_ADJACENT_SHIPS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_ATTACKING_SHIP_FROM_MINIMUM_DISTANCE_2');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES 		('PENALTY_VS_NON_ADJACENT_SHIPS' , 'Amount' , -10);

INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 								VALUES 		('PENALTY_VS_NON_ADJACENT_SHIPS','Preview','LOC_PENALTY_VS_NON_ADJACENT_SHIPS_DESCRIPTION');

-- Bombard, Artillery and Rocket Artillery units get +10 CS when defending vs city strikes:

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_SIEGE_DEFENSE_VS_CITY_STRIKES',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SIEGE_DEFENSE_VS_CITY_STRIKES',	'CLASS_BOMBARD');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SIEGE_DEFENSE_VS_CITY_STRIKES',	'CLASS_ARTILLERY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SIEGE_DEFENSE_VS_CITY_STRIKES',	'CLASS_ROCKET_ARTILLERY');

INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 							VALUES		('ABILITY_SIEGE_DEFENSE_VS_CITY_STRIKES', 	'LOC_ABILITY_SIEGE_DEFENSE_VS_CITY_STRIKES_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_SIEGE_DEFENSE_VS_CITY_STRIKES',	'MODIFIER_SIEGE_DEFENSE_VS_CITY_STRIKES');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_SIEGE_DEFENSE_VS_CITY_STRIKES',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' ,	'REQSET_DEFENDING_VS_CITY_STRIKE'); 
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_SIEGE_DEFENSE_VS_CITY_STRIKES',	'Amount', 10);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_SIEGE_DEFENSE_VS_CITY_STRIKES',	'Preview',	'LOC_MODIFIER_SIEGE_DEFENSE_VS_CITY_STRIKES_DESCRIPTION');




------------------------
-- BOMBARD
------------------------

--BOMBARD +5 strength with Ballistics:

INSERT INTO TechnologyModifiers 	(TechnologyType , ModifierId) 							VALUES 		('TECH_BALLISTICS' , 'BALLISTICS_GRANT_BOMBARDS_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,Permanent) 					VALUES 		('BALLISTICS_GRANT_BOMBARDS_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 1);
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('BALLISTICS_GRANT_BOMBARDS_ABILITY',	'AbilityType', 'ABILITY_BOMBARD_BALLISTICS_BONUS');

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_BOMBARD_BALLISTICS_BONUS',		'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_BOMBARD_BALLISTICS_BONUS',		'CLASS_BOMBARD');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description,Inactive) 			VALUES		('ABILITY_BOMBARD_BALLISTICS_BONUS',		'LOC_ABILITY_BOMBARD_BALLISTICS_BONUS_NAME',	'LOC_ABILITY_BOMBARD_BALLISTICS_BONUS_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_BOMBARD_BALLISTICS_BONUS',		'BOMBARD_BALLISTICS_BONUS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 	VALUES 		('BOMBARD_BALLISTICS_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_CIV_HAS_NITER_OWNED','REQSET_RANGED_STRENGTH_FROM_RANGED_SUPPORT_UNIT');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 												VALUES 		('BOMBARD_BALLISTICS_BONUS' , 'Amount' , 5);

INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 													VALUES 		('BOMBARD_BALLISTICS_BONUS','Preview','LOC_MODIFIER_BOMBARD_BALLISTICS_BONUS_DESCRIPTION');

------------------------
-- ROCKET ARTILLERY
------------------------
--Receives -7 movement without Oil surplus:
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_ROCKET_ARTILLERY','VEHICLES_NEEDS_OIL');

--------------------------------------------------------------------------------
-- OBSERVATION CLASS - Balloons and Drones
--------------------------------------------------------------------------------


INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('CLASS_OBSERVATION_BALLOON',	'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_OBSERVATION_BALLOON',		'CLASS_OBSERVATION_BALLOON');


--Observation Balloons and Drones don't give +range if lacking Oil.
UPDATE Modifiers SET OwnerRequirementSetId = 'REQSET_CIV_HAS_OIL_OWNED' WHERE ModifierId = 'RECEIVE_RANGE_BONUS';

--Observation Balloons get -2 sight range without Oil. (base is 3).

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_OBSERVATION_BALLOON_LOSES_SIGHT_WITHOUT_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_OBSERVATION_BALLOON_LOSES_SIGHT_WITHOUT_OIL','CLASS_OBSERVATION_BALLOON');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_OBSERVATION_BALLOON_LOSES_SIGHT_WITHOUT_OIL','LOC_ABILITY_OBSERVATION_BALLOON_NEEDS_OIL_NAME','LOC_ABILITY_REDUCED_TWO_SIGHT_RANGE_WITHOUT_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_OBSERVATION_BALLOON_LOSES_SIGHT_WITHOUT_OIL','OBSERVATION_BALLOON_OIL_SIGHT_PENALTY');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('OBSERVATION_BALLOON_OIL_SIGHT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_SIGHT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('OBSERVATION_BALLOON_OIL_SIGHT_PENALTY','Amount',-2);


--Drones don't give a bombard bonus if oil is lacking:
UPDATE Modifiers SET OwnerRequirementSetId = 'REQSET_CIV_HAS_OIL_OWNED' WHERE ModifierId = 'BOMBARD_STR_BUFF_FROM_DRONE';

--Drones reduced to 1 move without oil and get -4 sight range without oil (their base is 5).

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_DRONE_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_DRONE_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','CLASS_DRONE');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_DRONE_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','LOC_ABILITY_DRONE_NEEDS_OIL_NAME','LOC_ABILITY_DRONE_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_DRONE_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','DRONE_OIL_MOVEMENT_PENALTY');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_DRONE_LOSES_SIGHT_AND_MOVES_WITHOUT_OIL','DRONE_OIL_SIGHT_PENALTY');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('DRONE_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_NO_OIL_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('DRONE_OIL_MOVEMENT_PENALTY','Amount',-2); --moves 3 in vanilla

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('DRONE_OIL_SIGHT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_SIGHT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('DRONE_OIL_SIGHT_PENALTY','Amount',-4);


------------------------------------------------------------------------------
--AIR CLASS - FLYING
------------------------------------------------------------------------------

INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_BIPLANE',					'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_BIPLANE',					'CLASS_BIPLANE');

INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_FIGHTER',					'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_FIGHTER',					'CLASS_FIGHTER');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_AMERICAN_P51',				'CLASS_FIGHTER');

INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_JET_FIGHTER',				'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_JET_FIGHTER',				'CLASS_JET_FIGHTER');

INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_BOMBER',					'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_BOMBER',						'CLASS_BOMBER');

INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_JET_BOMBER',				'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_JET_BOMBER',					'CLASS_JET_BOMBER');

--Airplanes (reduced to 0 moves without Oil).
INSERT INTO Tags 						(Tag,Vocabulary) 									VALUES 		('CLASS_NEEDS_OIL',					'ABILITY_CLASS');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_BIPLANE',					'CLASS_NEEDS_OIL');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_FIGHTER',					'CLASS_NEEDS_OIL');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_BOMBER',						'CLASS_NEEDS_OIL');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_JET_BOMBER',					'CLASS_NEEDS_OIL');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_JET_FIGHTER',				'CLASS_NEEDS_OIL');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_AMERICAN_P51',				'CLASS_NEEDS_OIL');

INSERT INTO Types 						([Type],Kind) 										VALUES		('ABILITY_NEEDS_OIL_TO_MOVE',				'KIND_ABILITY');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES		('ABILITY_NEEDS_OIL_TO_MOVE',				'CLASS_NEEDS_OIL');
INSERT INTO UnitAbilities 				(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_NEEDS_OIL_TO_MOVE',				'LOC_ABILITY_NEEDS_OIL_TO_MOVE_NAME',					'LOC_ABILITY_NEEDS_OIL_TO_MOVE_DESCRIPTION');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_NEEDS_OIL_TO_MOVE',				'NO_OIL_MEANS_NO_MOVES');
INSERT INTO Modifiers 					(ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('NO_OIL_MEANS_NO_MOVES',			'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT',		'REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 							VALUES 		('NO_OIL_MEANS_NO_MOVES','Amount',-200); 

--Reduced 1 sight range without Oil - Base: 2, Bomber 




INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_BOMBER_LOSES_SIGHT_WITHOUT_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_BOMBER_LOSES_SIGHT_WITHOUT_OIL','CLASS_BOMBER');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_BOMBER_LOSES_SIGHT_WITHOUT_OIL','LOC_ABILITY_BOMBER_NEEDS_OIL_NAME','LOC_ABILITY_REDUCED_ONE_SIGHT_RANGE_WITHOUT_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_BOMBER_LOSES_SIGHT_WITHOUT_OIL','BOMBER_OIL_SIGHT_PENALTY');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('BOMBER_OIL_SIGHT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_SIGHT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('BOMBER_OIL_SIGHT_PENALTY','Amount',-1);


--Reduced 2 sight range without Oil - Base: 3, Biplane, Jet bomber


INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_BIPLANE_AND_JET_BOMBER_LOSES_SIGHT_WITHOUT_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_BIPLANE_AND_JET_BOMBER_LOSES_SIGHT_WITHOUT_OIL','CLASS_BIPLANE');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_BIPLANE_AND_JET_BOMBER_LOSES_SIGHT_WITHOUT_OIL','CLASS_JET_BOMBER');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_BIPLANE_AND_JET_BOMBER_LOSES_SIGHT_WITHOUT_OIL','LOC_ABILITY_BIPLANE_AND_JET_BOMBER_NEEDS_OIL_NAME','LOC_ABILITY_REDUCED_TWO_SIGHT_RANGE_WITHOUT_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_BIPLANE_AND_JET_BOMBER_LOSES_SIGHT_WITHOUT_OIL','BIPLANE_AND_JET_BOMBER_OIL_SIGHT_PENALTY');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('BIPLANE_AND_JET_BOMBER_OIL_SIGHT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_SIGHT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('BIPLANE_AND_JET_BOMBER_OIL_SIGHT_PENALTY','Amount',-2);


--Reduced 3 sight range without Oil - Base: 4, Fighter, American P51


INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_FIGHTER_LOSES_SIGHT_WITHOUT_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_FIGHTER_LOSES_SIGHT_WITHOUT_OIL','CLASS_FIGHTER');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_FIGHTER_LOSES_SIGHT_WITHOUT_OIL','LOC_ABILITY_FIGHTER_NEEDS_OIL_NAME','LOC_ABILITY_REDUCED_THREE_SIGHT_RANGE_WITHOUT_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_FIGHTER_LOSES_SIGHT_WITHOUT_OIL','FIGHTER_OIL_SIGHT_PENALTY');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('FIGHTER_OIL_SIGHT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_SIGHT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('FIGHTER_OIL_SIGHT_PENALTY','Amount',-3);


--Reduced 4 sight range without Oil - Base: 5, Jet Fighter


INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_JET_FIGHTER_LOSES_SIGHT_WITHOUT_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_JET_FIGHTER_LOSES_SIGHT_WITHOUT_OIL','CLASS_JET_FIGHTER');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_JET_FIGHTER_LOSES_SIGHT_WITHOUT_OIL','LOC_ABILITY_JET_FIGHTER_NEEDS_OIL_NAME','LOC_ABILITY_REDUCED_FOUR_SIGHT_RANGE_WITHOUT_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_JET_FIGHTER_LOSES_SIGHT_WITHOUT_OIL','JET_FIGHTER_OIL_SIGHT_PENALTY');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('JET_FIGHTER_OIL_SIGHT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_SIGHT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('JET_FIGHTER_OIL_SIGHT_PENALTY','Amount',-4);

------------------------------------------------------------------------------
-- MEDICS AND SUPPLY CONVOYS
------------------------------------------------------------------------------

INSERT INTO Tags (Tag,Vocabulary) 		VALUES ('CLASS_SUPPLY_CONVOY',	'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES ('UNIT_SUPPLY_CONVOY',	'CLASS_SUPPLY_CONVOY');


--SUPPLY CONVOY LACKING OIL: (2 movement in base, +6 from ability which is active only if there's oil, but it gets -1 additionally without oil.
INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('SUPPLY_CONVOY_NEEDS_OIL','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_SUPPLY_CONVOY','SUPPLY_CONVOY_NEEDS_OIL');

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_SUPPLY_CONVOY_NEEDS_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_SUPPLY_CONVOY_NEEDS_OIL','SUPPLY_CONVOY_NEEDS_OIL');
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_SUPPLY_CONVOY_NEEDS_OIL','LOC_ABILITY_SUPPLY_CONVOY_NEEDS_OIL_NAME','LOC_ABILITY_SUPPLY_CONVOY_NEEDS_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_SUPPLY_CONVOY_NEEDS_OIL','SUPPLY_CONVOY_MOVEMENT_BONUS_WITH_OIL');

INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('SUPPLY_CONVOY_MOVEMENT_BONUS_WITH_OIL','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_NO_OIL_AND_NOT_EMBARKED');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('SUPPLY_CONVOY_MOVEMENT_BONUS_WITH_OIL','Amount',-7);

-- Supply convoy bonus (+6) requires Oil now

UPDATE Modifiers SET OwnerRequirementSetId = 'REQSET_CIV_HAS_OIL_BUT_NOT_EMBARKED' WHERE ModifierId = 'SUPPLY_CONVOY_BONUS_MOVEMENT';

-- Supply convoys bonus shouldn't affect embarked units nor Cavalry units nor vehicles:

INSERT INTO RequirementSetRequirements 	(RequirementSetId,RequirementId)						VALUES 		('SUPPLY_CONVOY_MOVEMENT_REQUIREMENTS','REQ_UNIT_IS_NOT_EMBARKED');
INSERT INTO RequirementSetRequirements 	(RequirementSetId,RequirementId)						VALUES 		('SUPPLY_CONVOY_MOVEMENT_REQUIREMENTS','REQ_UNIT_IS_NOT_CLASS_HEAVY_CAVALRY');
INSERT INTO RequirementSetRequirements 	(RequirementSetId,RequirementId)						VALUES 		('SUPPLY_CONVOY_MOVEMENT_REQUIREMENTS','REQ_UNIT_IS_NOT_CLASS_LIGHT_CAVALRY');
INSERT INTO RequirementSetRequirements 	(RequirementSetId,RequirementId)						VALUES 		('SUPPLY_CONVOY_MOVEMENT_REQUIREMENTS','REQ_UNIT_IS_NOT_CLASS_RANGED_CAVALRY');
INSERT INTO RequirementSetRequirements 	(RequirementSetId,RequirementId)						VALUES 		('SUPPLY_CONVOY_MOVEMENT_REQUIREMENTS','REQ_UNIT_IS_NOT_CLASS_LIGHT_CHARIOT');
INSERT INTO RequirementSetRequirements 	(RequirementSetId,RequirementId)						VALUES 		('SUPPLY_CONVOY_MOVEMENT_REQUIREMENTS','REQ_UNIT_IS_NOT_CLASS_VEHICLE');

------------------------------------------------------------------------------
-- GDR
------------------------------------------------------------------------------

--GDR'S PENATLY FOR LACKING OIL, -4 moves, 5 total
INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('GDR_NEEDS_URANIUM','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_GIANT_DEATH_ROBOT','GDR_NEEDS_URANIUM');
INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_GDR_NEEDS_URANIUM','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_GDR_NEEDS_URANIUM','GDR_NEEDS_URANIUM');
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_GDR_NEEDS_URANIUM','LOC_ABILITY_GDR_NEEDS_URANIUM_NAME','LOC_ABILITY_GDR_NEEDS_URANIUM_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_GDR_NEEDS_URANIUM','GDR_MOVEMENT_PENALTY');
INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('GDR_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','URANIUM_MOVEMENT_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('GDR_MOVEMENT_PENALTY','Amount',-4);


------------------------------------------------------------------------------
-- PROMOTIONS
------------------------------------------------------------------------------

-----------------------
-- MELEE
-----------------------

--Melee units gain ZOC at level 2: Amphibious or Commando promotions.
INSERT INTO UnitPromotionModifiers 			(UnitPromotionType , ModifierId) 	VALUES 	('PROMOTION_AMPHIBIOUS' , 'SUPPRESSION_BONUS_EXERT_ZOC');
INSERT INTO UnitPromotionModifiers 			(UnitPromotionType , ModifierId) 	VALUES 	('PROMOTION_COMMANDO' , 'SUPPRESSION_BONUS_EXERT_ZOC');

-----------------------
-- ANTI-CAVALRY
-----------------------

 --Anti-cavalry gain ZOC with level 2 promotion: Square or Schiltron
INSERT INTO UnitPromotionModifiers 			(UnitPromotionType , ModifierId) 	VALUES 	('PROMOTION_SQUARE' , 'SUPPRESSION_BONUS_EXERT_ZOC');
INSERT INTO UnitPromotionModifiers 			(UnitPromotionType , ModifierId) 	VALUES 	('PROMOTION_SCHILTRON' , 'SUPPRESSION_BONUS_EXERT_ZOC');


-----------------------
-- RECON
-----------------------

--

--Alpine promotion now lets Recon units move faster through snow??????????????
INSERT INTO UnitPromotionModifiers (UnitPromotionType,ModifierId) VALUES 	('PROMOTION_ALPINE',			'IGNORE_SNOW_MOVEMENT_COST');

INSERT INTO Modifiers 				(ModifierId,ModifierType) 									VALUES 		('IGNORE_SNOW_MOVEMENT_COST','MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_TERRAIN_COST');

INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 								VALUES 		('IGNORE_SNOW_MOVEMENT_COST' , 'Ignore' , 1),
																											('IGNORE_SNOW_MOVEMENT_COST' , 'Type' , 'TERRAIN_SNOW');	

--Extra +3 defense on Hills or Snow with Alpine promotion
INSERT INTO UnitPromotionModifiers 		(UnitPromotionType,ModifierId) 							VALUES 		('PROMOTION_ALPINE',	'RECON_ALPINE_DEFENSE');

INSERT INTO Modifiers 					(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('RECON_ALPINE_DEFENSE','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_DEFENDING_HILLS_OR_SNOW');
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 							VALUES 		('RECON_ALPINE_DEFENSE' , 'Amount' , 3);
INSERT INTO ModifierStrings 			(ModifierId,Context,Text) 								VALUES 		('RECON_ALPINE_DEFENSE','Preview','LOC_RECON_ALPINE_DEFENSE_DESCRIPTION');

--Extra +3 defense on Forests/Jungle with Ranger promotion
INSERT INTO UnitPromotionModifiers 		(UnitPromotionType,ModifierId) 							VALUES 		('PROMOTION_RANGER',	'RECON_RANGER_DEFENSE');

INSERT INTO Modifiers 					(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('RECON_RANGER_DEFENSE','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_DEFENDING_FORESTS_OR_JUNGLE');
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 							VALUES 		('RECON_RANGER_DEFENSE' , 'Amount' , 3);
INSERT INTO ModifierStrings 			(ModifierId,Context,Text) 								VALUES 		('RECON_RANGER_DEFENSE','Preview','LOC_RECON_RANGER_DEFENSE_DESCRIPTION');


--Camouflage - stealthed
UPDATE UnitPromotions SET [Level]=2,[Column]=1 WHERE UnitPromotionType ='PROMOTION_CAMOUFLAGE'; --moved to sentry's place
UPDATE UnitPromotionPrereqs SET PrereqUnitPromotion ='PROMOTION_RANGER' WHERE UnitPromotion ='PROMOTION_CAMOUFLAGE' AND PrereqUnitPromotion = 'PROMOTION_SPYGLASS';
UPDATE UnitPromotionPrereqs SET PrereqUnitPromotion ='PROMOTION_ALPINE' WHERE UnitPromotion ='PROMOTION_CAMOUFLAGE' AND PrereqUnitPromotion = 'PROMOTION_AMBUSH';


--GUERRILLA
UPDATE UnitPromotionModifiers SET ModifierId = 'IGNOREZOC_IGNORE_ZOC' WHERE UnitPromotionType = 'PROMOTION_GUERRILLA';

--Sentry - see through woods, rainforest. +3 CS when attacking in woods,forests,hills
UPDATE UnitPromotions SET [Level]=3,[Column]=3 WHERE UnitPromotionType ='PROMOTION_SENTRY'; --moved to ambush's place
INSERT INTO UnitPromotionModifiers 		(UnitPromotionType,ModifierId) 							VALUES 		('PROMOTION_SENTRY',	'RECON_SENTRY_ATTACK_BONUS');

INSERT INTO Modifiers 					(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('RECON_SENTRY_ATTACK_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_ATTACKING_HILLS_OR_FOREST_OR_JUNGLE');
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 							VALUES 		('RECON_SENTRY_ATTACK_BONUS' , 'Amount' , 3);
INSERT INTO ModifierStrings 			(ModifierId,Context,Text) 								VALUES 		('RECON_SENTRY_ATTACK_BONUS','Preview','LOC_RECON_SENTRY_ATTACK_BONUS_DESCRIPTION');

UPDATE UnitPromotionPrereqs SET PrereqUnitPromotion ='PROMOTION_GUERRILLA' WHERE UnitPromotion ='PROMOTION_SENTRY' AND PrereqUnitPromotion = 'PROMOTION_RANGER';
DELETE FROM UnitPromotionPrereqs WHERE UnitPromotion ='PROMOTION_SENTRY' AND PrereqUnitPromotion = 'PROMOTION_ALPINE';

--Spyglass 
UPDATE UnitPromotionPrereqs SET PrereqUnitPromotion ='PROMOTION_CAMOUFLAGE' WHERE UnitPromotion ='PROMOTION_SPYGLASS' AND PrereqUnitPromotion = 'PROMOTION_SENTRY';


--Ambush - +20 in all situations
UPDATE UnitPromotions SET [Level]=4,[Column]=2 WHERE UnitPromotionType ='PROMOTION_AMBUSH'; --moved to camouflages place
UPDATE UnitPromotionPrereqs SET PrereqUnitPromotion ='PROMOTION_SENTRY' WHERE UnitPromotion ='PROMOTION_AMBUSH' AND PrereqUnitPromotion = 'PROMOTION_GUERRILLA';
INSERT INTO UnitPromotionPrereqs (UnitPromotion,PrereqUnitPromotion) VALUES ('PROMOTION_AMBUSH','PROMOTION_SPYGLASS');


--Spec ops start out stealthed, so the promotion gives them +10 CS bonus when defending vs all ranged combat

UPDATE Modifiers SET OwnerRequirementSetId = 'REQSET_UNIT_TYPE_IS_NOT_SPEC_OPS'	WHERE ModifierId = 'CAMOUFLAGE_STEALTH';

INSERT INTO UnitPromotionModifiers (UnitPromotionType,ModifierId) VALUES ('PROMOTION_CAMOUFLAGE','SPEC_OPS_DEFENSIVE_BONUS_VS_RANGED');

INSERT INTO Modifiers 			(ModifierId,ModifierType,OwnerRequirementSetId, SubjectRequirementSetId) 		VALUES 		('SPEC_OPS_DEFENSIVE_BONUS_VS_RANGED','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'REQSET_UNIT_TYPE_IS_SPEC_OPS','REQSET_SPEC_OPS_CAMOUFLAGE_DEFENSE');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 													VALUES 		('SPEC_OPS_DEFENSIVE_BONUS_VS_RANGED' , 'Amount' , 10);
INSERT INTO ModifierStrings 	(ModifierId,Context,Text) 														VALUES 		('SPEC_OPS_DEFENSIVE_BONUS_VS_RANGED','Preview','LOC_SPEC_OPS_DEFENSIVE_BONUS_VS_RANGED_DESCRIPTION');

-----------------------
-- SIEGE
-----------------------

--Siege units with Expert Crew promotion get +1 movement as well as being able to move and attack.
INSERT INTO UnitPromotionModifiers (UnitPromotionType,ModifierId)	 							VALUES 		('PROMOTION_EXPERT_CREW',			'REDEPLOY_BONUS_MOVEMENT');

-----------------------
-- CAVALRY
-----------------------

--Light cavalry depredation changed since light cav now starts with advanced pillaging. Instead they gain move after attacking ability:

UPDATE UnitPromotionModifiers SET ModifierId = 'FADE_BONUS_MOVE_AFTER_ATTACKING' WHERE UnitPromotionType = 'PROMOTION_DEPREDATION';




--------------------------
-- END OF PROMOTIONS
--------------------------


--------------------------------------------------------------------------------
-- NAVAL CLASSES
--------------------------------------------------------------------------------


-- Seems not to be used anymore. Maybe it never was used?
--INSERT INTO Tags (Tag,Vocabulary) VALUES 		('CLASS_NEEDS_NITER',			'ABILITY_CLASS');
--INSERT INTO TypeTags ([Type],Tag) VALUES ('UNIT_CARAVEL',						'CLASS_NEEDS_NITER');
--INSERT INTO TypeTags ([Type],Tag) VALUES ('UNIT_FRIGATE',						'CLASS_NEEDS_NITER');
--INSERT INTO TypeTags ([Type],Tag) VALUES ('UNIT_PRIVATEER',						'CLASS_NEEDS_NITER');
--INSERT INTO TypeTags ([Type] , Tag) SELECT 	'UNIT_ENGLISH_SEADOG', 				'CLASS_NEEDS_NITER' WHERE EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');

--All naval units can now ignore ZOC when adjacent to cities
INSERT INTO Types 					([Type] , Kind) 								VALUES 		('ABILITY_NAVAL_UNITS_IGNORE_CITY_ZOC',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_NAVAL_UNITS_IGNORE_CITY_ZOC',	'CLASS_NAVAL_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_NAVAL_UNITS_IGNORE_CITY_ZOC',	'CLASS_NAVAL_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_NAVAL_UNITS_IGNORE_CITY_ZOC',	'CLASS_NAVAL_CARRIER');

INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 				VALUES		('ABILITY_NAVAL_UNITS_IGNORE_CITY_ZOC',	'LOC_ABILITY_NAVAL_UNITS_IGNORE_CITY_ZOC_NAME',	'LOC_ABILITY_NAVAL_UNITS_IGNORE_CITY_ZOC_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_NAVAL_UNITS_IGNORE_CITY_ZOC',	'MODIFIER_NAVAL_UNIT_IGNORE_CITY_ZOC'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES 		('MODIFIER_NAVAL_UNIT_IGNORE_CITY_ZOC',	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_ZOC','REQSET_ADJACENT_TO_CITY_CENTER');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('MODIFIER_NAVAL_UNIT_IGNORE_CITY_ZOC' , 	'Ignore' , 1);


--Naval units now protect Traders within 1 tiles of them:
INSERT INTO Tags 					(Tag , Vocabulary) 								VALUES 		('CLASS_NAVAL_MELEE_EXCEPT_BIREME' , 	'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_GALLEY' , 						'CLASS_NAVAL_MELEE_EXCEPT_BIREME');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_NORWEGIAN_LONGSHIP' , 			'CLASS_NAVAL_MELEE_EXCEPT_BIREME');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_CARAVEL' , 						'CLASS_NAVAL_MELEE_EXCEPT_BIREME');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_IRONCLAD' , 						'CLASS_NAVAL_MELEE_EXCEPT_BIREME');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_DESTROYER' , 					'CLASS_NAVAL_MELEE_EXCEPT_BIREME');

INSERT INTO Types 					([Type] , Kind) 								VALUES 		('ABILITY_NAVAL_UNIT_PROTECT_TRADER','KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_NAVAL_UNIT_PROTECT_TRADER','CLASS_NAVAL_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_NAVAL_UNIT_PROTECT_TRADER','CLASS_NAVAL_MELEE_EXCEPT_BIREME');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_NAVAL_UNIT_PROTECT_TRADER','CLASS_NAVAL_CARRIER');

INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 				VALUES		('ABILITY_NAVAL_UNIT_PROTECT_TRADER',	'LOC_ABILITY_NAVAL_UNIT_PROTECT_TRADER_NAME',	'LOC_ABILITY_NAVAL_UNIT_PROTECT_TRADER_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_NAVAL_UNIT_PROTECT_TRADER',	'NAVAL_UNIT_GRANT_TRADER_IMMUNITY'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES 		('NAVAL_UNIT_GRANT_TRADER_IMMUNITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY','REQSET_TRADER_WITHIN_ONE_TILE_AREX');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('NAVAL_UNIT_GRANT_TRADER_IMMUNITY' , 	'AbilityType' , 'ABILITY_TRADER_PROTECTED_BY_NAVAL_UNIT');

INSERT INTO Types 					([Type] , Kind) 									VALUES 		('ABILITY_TRADER_PROTECTED_BY_NAVAL_UNIT','KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_TRADER_PROTECTED_BY_NAVAL_UNIT','CLASS_TRADER');
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 	VALUES								('ABILITY_TRADER_PROTECTED_BY_NAVAL_UNIT',1); --,	'LOC_ABILITY_TRADER_PROTECTED_BY_NAVAL_UNIT_NAME',	'LOC_ABILITY_TRADER_PROTECTED_BY_NAVAL_UNIT_DESCRIPTION'
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_TRADER_PROTECTED_BY_NAVAL_UNIT',	'TRADE_ROUTE_PLUNDER_IMMUNITY_SEA_NEAR_BIREME'); 

--UPDATE Modifiers SET SubjectRequirementSetId = 'REQSET_NO_SUBMARINE_ON_PLOT' WHERE ModifierId = 'TRADE_ROUTE_PLUNDER_IMMUNITY_SEA_NEAR_BIREME';


------------------------------------------------------------------------
--Unit Ability to ignore extra movement cost for Ocean tiles:
------------------------------------------------------------------------


--Class of galleys and quadrireme. Used for mathematics bonus movement
INSERT INTO Tags 					(Tag , Vocabulary) 			VALUES 		('CLASS_CLASSICAL_SHIPS' , 	'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_GALLEY' , 			'CLASS_CLASSICAL_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_PHOENICIA_BIREME' , 	'CLASS_CLASSICAL_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_NORWEGIAN_LONGSHIP',	'CLASS_CLASSICAL_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('UNIT_QUADRIREME',			'CLASS_CLASSICAL_SHIPS');

--Class of ranged naval units that excludes Raiders (used for coastal raiding):
INSERT INTO 	Tags 						(Tag , Vocabulary) 											VALUES 		('CLASS_NAVAL_RANGED_NO_RAIDERS' , 		'ABILITY_CLASS');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('UNIT_QUADRIREME' , 						'CLASS_NAVAL_RANGED_NO_RAIDERS'),
																													('UNIT_FRIGATE' , 							'CLASS_NAVAL_RANGED_NO_RAIDERS'),
																													('UNIT_DE_ZEVEN_PROVINCIEN' , 				'CLASS_NAVAL_RANGED_NO_RAIDERS'),
																													('UNIT_BATTLESHIP' , 						'CLASS_NAVAL_RANGED_NO_RAIDERS'),
																													('UNIT_BRAZILIAN_MINAS_GERAES' , 			'CLASS_NAVAL_RANGED_NO_RAIDERS'),
																													('UNIT_MISSILE_CRUISER' , 					'CLASS_NAVAL_RANGED_NO_RAIDERS');

-- All naval units can now escort units at their own speed and ignoring ocean costs (in 2.7.3 Naval Raiders weren't included):
																													
INSERT INTO 	Types 						([Type] , Kind) 											VALUES 		('ABILITY_NAVAL_UNITS_ESCORT_MOBILITY' , 	'KIND_ABILITY');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_NAVAL_UNITS_ESCORT_MOBILITY' , 	'CLASS_NAVAL_MELEE');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_NAVAL_UNITS_ESCORT_MOBILITY' , 	'CLASS_NAVAL_RANGED'); --was CLASS_NAVAL_RANGED_NO_RAIDERS in 2.7.3. Raiders were excluded
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_NAVAL_UNITS_ESCORT_MOBILITY' , 	'CLASS_NAVAL_CARRIER');
INSERT INTO 	UnitAbilities 				(UnitAbilityType , Name , Description) 						VALUES 		('ABILITY_NAVAL_UNITS_ESCORT_MOBILITY' , 	'LOC_ABILITY_NAVAL_UNITS_ESCORT_MOBILITY_NAME' , 'LOC_ABILITY_NAVAL_UNITS_ESCORT_MOBILITY_DESCRIPTION');
INSERT INTO 	UnitAbilityModifiers 		(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_NAVAL_UNITS_ESCORT_MOBILITY' , 	'ESCORT_MOBILITY_SHARED_MOVEMENT');
INSERT INTO 	UnitAbilityModifiers 		(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_NAVAL_UNITS_ESCORT_MOBILITY' , 	'ESCORT_GRANTS_IGNORE_OCEAN_COST_ABILITY');

INSERT INTO Modifiers 						(ModifierId,ModifierType,OwnerRequirementSetId, SubjectRequirementSetId) 			VALUES 		('ESCORT_GRANTS_IGNORE_OCEAN_COST_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_NO_COLONIALISM' , 'REQSET_LAND_UNIT_NEARBY');
INSERT INTO ModifierArguments 				(ModifierId,Name,[Value]) 															VALUES 		('ESCORT_GRANTS_IGNORE_OCEAN_COST_ABILITY',	'AbilityType', 'ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT');




-- Code to let units receive the escort ability above:

INSERT INTO 	Types 						([Type] , Kind) 											VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' ,	'KIND_ABILITY');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_LANDCIVILIAN');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_RECON');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_MELEE');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_RANGED');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_SIEGE');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_HEAVY_CAVALRY');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_LIGHT_CAVALRY');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_RANGED_CAVALRY');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_LIGHT_CHARIOT');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_ANTI_CAVALRY');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_WARRIOR_MONK');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'CLASS_SUPPORT');

INSERT INTO UnitAbilities 					(UnitAbilityType,Inactive) 									VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT',1 );
INSERT INTO UnitAbilityModifiers 			(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_IGNORE_OCEAN_WITH_NAVAL_ESCORT' , 	'MODIFIER_IGNORE_OCEAN_WITH_NAVAL_ESCORT_AREX');

INSERT INTO Modifiers 						(ModifierId,ModifierType, OwnerRequirementSetId) 			VALUES 		('MODIFIER_IGNORE_OCEAN_WITH_NAVAL_ESCORT_AREX',		'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_TERRAIN_COST' , 'REQSET_NO_COLONIALISM');
INSERT INTO ModifierArguments 				(ModifierId , Name , [Value]) 								VALUES 		('MODIFIER_IGNORE_OCEAN_WITH_NAVAL_ESCORT_AREX' , 		'Ignore' , 		1 ),
																													('MODIFIER_IGNORE_OCEAN_WITH_NAVAL_ESCORT_AREX' , 		'Type' , 		'TERRAIN_OCEAN');	

-- Caravels and later ships can ignore extra cost of Oceans:
INSERT INTO Types 					([Type] , Kind) 											VALUES 		('ABILITY_IGNORE_OCEAN_TERRAIN_COST_AREX' ,	'KIND_ABILITY');
INSERT INTO UnitAbilities 			(UnitAbilityType , Name , Description) 						VALUES 		('ABILITY_IGNORE_OCEAN_TERRAIN_COST_AREX' , 	'LOC_ABILITY_IGNORE_OCEAN_TERRAIN_COST_AREX_NAME' , 'LOC_ABILITY_IGNORE_OCEAN_TERRAIN_COST_AREX_DESCRIPTION');
INSERT INTO UnitAbilityModifiers 	(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_IGNORE_OCEAN_TERRAIN_COST_AREX' , 	'MODIFIER_IGNORE_OCEAN_TERRAIN_COST_AREX');

INSERT INTO Modifiers 				(ModifierId,ModifierType,Permanent) 						VALUES 		('MODIFIER_IGNORE_OCEAN_TERRAIN_COST_AREX',	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_TERRAIN_COST' , 1);
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 								VALUES 		('MODIFIER_IGNORE_OCEAN_TERRAIN_COST_AREX' , 	'Ignore' , 		1 ),
																											('MODIFIER_IGNORE_OCEAN_TERRAIN_COST_AREX' , 	'Type' , 		'TERRAIN_OCEAN');	

INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('ABILITY_IGNORE_OCEAN_TERRAIN_COST_AREX' , 		'CLASS_MODERN_SHIPS');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('ABILITY_IGNORE_OCEAN_TERRAIN_COST_AREX' , 		'CLASS_PRIVATEER');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('ABILITY_IGNORE_OCEAN_TERRAIN_COST_AREX' , 		'CLASS_FRIGATE');
INSERT INTO TypeTags 				([Type] , Tag) 				VALUES 		('ABILITY_IGNORE_OCEAN_TERRAIN_COST_AREX' , 		'CLASS_CARAVEL');


----Heal embarked traders
--
--INSERT INTO Types 					([Type] , Kind) 								VALUES 		('ABILITY_TRADER_IGNORE_WATER_ATTRITION','KIND_ABILITY');
--INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_TRADER_IGNORE_WATER_ATTRITION','CLASS_TRADER');
--
--INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 				VALUES		('ABILITY_TRADER_IGNORE_WATER_ATTRITION',	'LOC_ABILITY_TRADER_IGNORE_WATER_ATTRITION_NAME',	'LOC_ABILITY_TRADER_IGNORE_WATER_ATTRITION_DESCRIPTION');
--INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_TRADER_IGNORE_WATER_ATTRITION',	'HEAL_1HP_PER_TURN_AREX'); 
--
--INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES 		('HEAL_1HP_PER_TURN_AREX','MODIFIER_PLAYER_UNIT_ADJUST_HEAL','REQSET_PLOT_IS_COAST_OR_OCEAN_AREX');
--INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		('HEAL_1HP_PER_TURN_AREX' , 'Amount' , 1);

INSERT INTO tblAREDebug
    (DebugID,         SubID, x_Open, x_Close,     Message)
VALUES ('AgrevExp_Units_7',   'SIGHT_FOR_SUBS', '1',    '0',        '') ;									


------------------------------------------------------------------------------
-- COASTAL RAIDS
------------------------------------------------------------------------------


--Coastal Raiding for all naval units except carriers and submarines

UPDATE UnitAbilities SET Inactive=0 	WHERE 	UnitAbilityType= 'ABILITY_MELEE_COASTAL_RAID';														--CLASS_NAVAL_MELEE can Coastal Raid
INSERT INTO TypeTags 	([Type] , Tag) 			VALUES 			('ABILITY_MELEE_COASTAL_RAID' , 			'CLASS_NAVAL_RANGED_NO_RAIDERS');		--Coastal Raid for Ranged (non-Raider) units.

--Submarines can no longer coastal raid
DELETE FROM TypeTags WHERE Type = 'ABILITY_COASTAL_RAID' AND Tag = 'CLASS_NAVAL_RAIDER';

--Privateers can still coastal raid
INSERT INTO TypeTags 	([Type] , Tag) 			VALUES 		('ABILITY_COASTAL_RAID' , 			'CLASS_PRIVATEER');

--------------------------------------------------------------------------------
-- NAVAL MELEE CLASS
--------------------------------------------------------------------------------


--Galleys get +5 CS with shipbuilding (they previously had base combat of 30, but now it's 25 as in the basegane)
INSERT INTO Tags 					(Tag , Vocabulary) 								VALUES 		('CLASS_GALLEY' , 'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_GALLEY' , 'CLASS_GALLEY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_PHOENICIA_BIREME' , 'CLASS_GALLEY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_NORWEGIAN_LONGSHIP' , 'CLASS_GALLEY');
INSERT INTO Types 					([Type] , Kind) 								VALUES 		('ABILITY_GALLEY_SHIPBUILDING_BONUS','KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_GALLEY_SHIPBUILDING_BONUS','CLASS_GALLEY');

INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 				VALUES		('ABILITY_GALLEY_SHIPBUILDING_BONUS',	'LOC_ABILITY_GALLEY_SHIPBUILDING_BONUS_NAME',	'LOC_ABILITY_GALLEY_SHIPBUILDING_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_GALLEY_SHIPBUILDING_BONUS',	'GALLEY_SHIPBUILDING_BONUS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId) VALUES 		('GALLEY_SHIPBUILDING_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','PLAYER_HAS_SHIPBUILDING_TECH');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 					VALUES 		('GALLEY_SHIPBUILDING_BONUS' , 'Amount' , 5);
INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 						VALUES 		('GALLEY_SHIPBUILDING_BONUS','Preview',	'LOC_MODIFIER_GALLEY_SHIPBUILDING_BONUS_DESCRIPTION');


--Shipbuilding tech, galleys get +1 move
INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 									VALUES 	('TECH_SHIPBUILDING' , 'SHIPBUILDING_ADJUST_SEA_MOVEMENT');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType, SubjectRequirementSetId, Permanent) VALUES 	('SHIPBUILDING_ADJUST_SEA_MOVEMENT' , 'MODIFIER_PLAYER_UNITS_ADJUST_SEA_MOVEMENT' , 'REQSET_UNIT_IS_CLASS_GALLEY' , 1);
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 									VALUES 	('SHIPBUILDING_ADJUST_SEA_MOVEMENT' , 'Amount' , 1);


--IRONCLAD PENALTY FOR LACKING COAL, 15 total (2.7)
INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_NEEDS_COAL',			'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_IRONCLAD',				'CLASS_NEEDS_COAL');

INSERT INTO Types 						([Type],Kind) 										VALUES		('ABILITY_NEEDS_COAL',				'KIND_ABILITY');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES		('ABILITY_NEEDS_COAL',				'CLASS_NEEDS_COAL');
INSERT INTO UnitAbilities 				(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_NEEDS_COAL',				'LOC_ABILITY_NEEDS_COAL_NAME',					'LOC_ABILITY_NEEDS_COAL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_NEEDS_COAL',				'COAL_FUEL_MOVEMENT_BONUS');
INSERT INTO Modifiers 					(ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('COAL_FUEL_MOVEMENT_BONUS',		'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT',		'COAL_MOVEMENT_REQUIREMENTS');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 							VALUES 		('COAL_FUEL_MOVEMENT_BONUS','Amount',-14); --Ironclads


--DESTROYER MOVEMENT PENALTY WITHOUT OIL - 30 total (2.7)
INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('DESTROYER_NEEDS_OIL','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_DESTROYER','DESTROYER_NEEDS_OIL');
INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_DESTROYER_NEEDS_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_DESTROYER_NEEDS_OIL','DESTROYER_NEEDS_OIL');
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_DESTROYER_NEEDS_OIL','LOC_ABILITY_DESTROYER_NEEDS_OIL_NAME','LOC_ABILITY_DESTROYER_NEEDS_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_DESTROYER_NEEDS_OIL','DESTROYER_OIL_MOVEMENT_PENALTY');
INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('DESTROYER_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('DESTROYER_OIL_MOVEMENT_PENALTY','Amount',-29);


--MOVEMENT REDUCTION FOR SAILING SHIPS ADJACENT TO LAND OR ICE
--Caravel (and Jong)


INSERT INTO Types 					([Type] , Kind) 											VALUES 		('ABILITY_CARAVEL_MOVEMENT' , 	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('ABILITY_CARAVEL_MOVEMENT' , 	'CLASS_CARAVEL');
INSERT INTO UnitAbilities 			(UnitAbilityType , Name , Description) 						VALUES 		('ABILITY_CARAVEL_MOVEMENT' , 	'LOC_ABILITY_CARAVEL_MOVEMENT_NAME' , 'LOC_ABILITY_CARAVEL_MOVEMENT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers 	(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_CARAVEL_MOVEMENT' , 	'CARAVEL_SLOWER_COAST');
INSERT INTO Modifiers 				(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		('CARAVEL_SLOWER_COAST' , 		'MODIFIER_PLAYER_UNIT_ADJUST_SEA_MOVEMENT' , 'REQSET_ADJACENT_TO_LAND_OR_ICE');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 								VALUES 		('CARAVEL_SLOWER_COAST' , 		'Amount' , -1);


--------------------------------------------------------------------------------
-- NAVAL RANGED CLASS
--------------------------------------------------------------------------------

--Mathematics , galley and quadrireme +1 move 
UPDATE Modifiers SET SubjectRequirementSetId = 'REQSET_UNIT_IS_CLASS_CLASSICAL_SHIPS'		WHERE 	ModifierId = 'MATHEMATICS_ADJUST_SEA_MOVEMENT';
UPDATE ModifierArguments SET Value=1 														WHERE 	ModifierId= 'MATHEMATICS_ADJUST_SEA_MOVEMENT';





--Quadriremes get +5 CS with Mathematics (lowered the base value to help A.I prioritize):
INSERT INTO Tags 					(Tag , Vocabulary) 								VALUES 		('CLASS_QUADRIREME' , 'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_QUADRIREME' , 'CLASS_QUADRIREME');
INSERT INTO Types 					([Type] , Kind) 								VALUES 		('ABILITY_QUADRIREME_MATHS_BONUS','KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_QUADRIREME_MATHS_BONUS','CLASS_QUADRIREME');

INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 				VALUES		('ABILITY_QUADRIREME_MATHS_BONUS',	'LOC_ABILITY_QUADRIREME_MATHS_BONUS_NAME',	'LOC_ABILITY_QUADRIREME_MATHS_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_QUADRIREME_MATHS_BONUS',	'QUADRIREME_MATHS_BONUS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId) VALUES 		('QUADRIREME_MATHS_BONUS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_PLAYER_HAS_MATHEMATICS_TECH');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 					VALUES 		('QUADRIREME_MATHS_BONUS' , 'Amount' , 5);

INSERT INTO ModifierStrings 			(ModifierId,Context,Text) 					VALUES 		('QUADRIREME_MATHS_BONUS','Preview',	'LOC_MODIFIER_QUADRIREME_MATHS_BONUS_DESCRIPTION');



--MOVEMENT REDUCTION FOR SAILING SHIPS ADJACENT TO LAND OR ICE
--Frigate, de zeven provincien

INSERT INTO Types 					([Type] , Kind) 											VALUES 		('ABILITY_FRIGATE_MOVEMENT' , 		'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('ABILITY_FRIGATE_MOVEMENT' , 		'CLASS_FRIGATE');
INSERT INTO UnitAbilities 			(UnitAbilityType , Name , Description) 						VALUES 		('ABILITY_FRIGATE_MOVEMENT' , 		'LOC_ABILITY_FRIGATE_MOVEMENT_NAME' , 'LOC_ABILITY_FRIGATE_MOVEMENT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers 	(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_FRIGATE_MOVEMENT' , 		'FRIGATE_SLOWER_COAST');
INSERT INTO Modifiers 				(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		('FRIGATE_SLOWER_COAST' , 			'MODIFIER_PLAYER_UNIT_ADJUST_SEA_MOVEMENT' , 'REQSET_ADJACENT_TO_LAND_OR_ICE');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 								VALUES 		('FRIGATE_SLOWER_COAST' , 			'Amount' , -2);


---------------
-- BATTLESHIP
---------------
INSERT INTO Tags 					(Tag , Vocabulary) 								VALUES 		('CLASS_BATTLESHIP' , 				'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_BATTLESHIP' , 				'CLASS_BATTLESHIP');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_BRAZILIAN_MINAS_GERAES' , 	'CLASS_BATTLESHIP');


--Battleships now start with 1 less range but get bonus range from Observation Balloons and Drones, like siege units:
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_BATTLESHIP',				'CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_BRAZILIAN_MINAS_GERAES',	'CLASS_FORWARD_OBSERVER');

--They also receive Bombard bonus from adjacent Drones
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_BATTLESHIP',				'CLASS_TARGETTING_ASSIST');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_BRAZILIAN_MINAS_GERAES',	'CLASS_TARGETTING_ASSIST');

--Battleships movement penalty for lacking coal, 15 total (2.7)
INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_BATTLESHIP_NEEDS_COAL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_BATTLESHIP_NEEDS_COAL','CLASS_BATTLESHIP');
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_BATTLESHIP_NEEDS_COAL','LOC_ABILITY_BATTLESHIP_NEEDS_COAL_NAME','LOC_ABILITY_BATTLESHIP_NEEDS_COAL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_BATTLESHIP_NEEDS_COAL','BATTLESHIP_COAL_MOVEMENT_PENALTY');
INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('BATTLESHIP_COAL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','COAL_MOVEMENT_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('BATTLESHIP_COAL_MOVEMENT_PENALTY','Amount',-14);




--Get -10 when bombarding districts (since they now have +10 CS for their bombard ability):

INSERT INTO Tags 					(Tag , Vocabulary) 										VALUES 		('CLASS_PENALTY_ATTACKING_DISTRICTS' , 	'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('UNIT_BATTLESHIP' , 					'CLASS_PENALTY_ATTACKING_DISTRICTS');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('UNIT_BRAZILIAN_MINAS_GERAES' , 		'CLASS_PENALTY_ATTACKING_DISTRICTS');
INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_PENALTY_ATTACKING_DISTRICTS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_PENALTY_ATTACKING_DISTRICTS',	'CLASS_PENALTY_ATTACKING_DISTRICTS');
		
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 						VALUES		('ABILITY_PENALTY_ATTACKING_DISTRICTS',	'LOC_ABILITY_PENALTY_ATTACKING_DISTRICTS_NAME',	'LOC_ABILITY_PENALTY_ATTACKING_DISTRICTS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_PENALTY_ATTACKING_DISTRICTS',	'MODIFIER_PENALTY_ATTACKING_DISTRICTS'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_PENALTY_ATTACKING_DISTRICTS','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_BATTLESHIP_DISTRICT_PENALTY');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES 		('MODIFIER_PENALTY_ATTACKING_DISTRICTS' , 'Amount' , -10);
INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 								VALUES 		('MODIFIER_PENALTY_ATTACKING_DISTRICTS','Preview','LOC_MODIFIER_PENALTY_ATTACKING_DISTRICTS_DESCRIPTION');

----------------------
-- MISSILE CORVETTE (named MISSILE CRUISER in game files):
----------------------

INSERT INTO Tags 					(Tag , Vocabulary) 								VALUES 		('CLASS_MISSILE_CRUISER' , 			'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('UNIT_MISSILE_CRUISER' , 			'CLASS_MISSILE_CRUISER');

--Missile Corvette now start with 2 range but also get bonus range from Observation Balloons and Drones, like siege units:
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_MISSILE_CRUISER','CLASS_FORWARD_OBSERVER');

--They also receive Bombard bonus from adjacent Drones
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_MISSILE_CRUISER',	'CLASS_TARGETTING_ASSIST');

--Also get -10 when bombarding districts. Meaning 95 > 85 bombard strength
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('UNIT_MISSILE_CRUISER' , 					'CLASS_PENALTY_ATTACKING_DISTRICTS');



--MISSILE CORVETTE MOVEMENT PENALTY WITHOUT OIL - 17 total (2.7)
INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('MISSILE_CRUISER_NEEDS_OIL','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_MISSILE_CRUISER','MISSILE_CRUISER_NEEDS_OIL');
INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_MISSILE_CRUISER_NEEDS_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_MISSILE_CRUISER_NEEDS_OIL','MISSILE_CRUISER_NEEDS_OIL');
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_MISSILE_CRUISER_NEEDS_OIL','LOC_ABILITY_MISSILE_CRUISER_NEEDS_OIL_NAME','LOC_ABILITY_MISSILE_CRUISER_NEEDS_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_MISSILE_CRUISER_NEEDS_OIL','MISSILE_CRUISER_OIL_MOVEMENT_PENALTY');
INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('MISSILE_CRUISER_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('MISSILE_CRUISER_OIL_MOVEMENT_PENALTY','Amount',-16);


--------------------------------------------------------------------------------
-- PRIVATEERS (NAVAL RAIDER CLASS)
--------------------------------------------------------------------------------
--Can no longer reveal stealthed units:

DELETE FROM TypeTags WHERE Tag = 'CLASS_REVEAL_STEALTH' AND Type ='UNIT_PRIVATEER';
DELETE FROM TypeTags WHERE Tag = 'CLASS_REVEAL_STEALTH' AND Type ='UNIT_OTTOMAN_BARBARY_CORSAIR';
DELETE FROM TypeTags WHERE Tag = 'CLASS_REVEAL_STEALTH' AND Type = 'UNIT_ENGLISH_SEADOG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_ENGLISH_SEADOG');		


--MOVEMENT REDUCTION FOR SAILING SHIPS ADJACENT TO LAND OR ICE
--Privateer, Sea Dogs and Barbary Corsairs

--INSERT INTO Types 					([Type] , Kind) 											VALUES 		('CLASS_PRIVATEER' ,		'KIND_ABILITY');

INSERT INTO Types 					([Type] , Kind) 											VALUES 		('ABILITY_PRIVATEER_MOVEMENT' , 		'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('ABILITY_PRIVATEER_MOVEMENT' , 		'CLASS_PRIVATEER');
INSERT INTO UnitAbilities 			(UnitAbilityType , Name , Description) 						VALUES 		('ABILITY_PRIVATEER_MOVEMENT' , 		'LOC_ABILITY_PRIVATEER_MOVEMENT_NAME' , 'LOC_ABILITY_PRIVATEER_MOVEMENT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers 	(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_PRIVATEER_MOVEMENT' , 		'PRIVATEER_SLOWER_COAST');
INSERT INTO Modifiers 				(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		('PRIVATEER_SLOWER_COAST' , 			'MODIFIER_PLAYER_UNIT_ADJUST_SEA_MOVEMENT' , 'REQSET_ADJACENT_TO_LAND_OR_ICE');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 								VALUES 		('PRIVATEER_SLOWER_COAST' , 			'Amount' , -1);

--------------------------------------------------------------------------------
-- SUBMARINES, U-BOAT
--------------------------------------------------------------------------------
-- ALL NAVAL RAIDER UNITS CAN ENTER OR AT LEAST PASSTHROUGH FOREIGN WATERS WITHOUT OPEN BORDERS IN PLACE, UNLESS ADJACENT TO ANY SHIP OR MOVING ONTO A DISTRICT:

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_NAVAL_RAIDER_CAN_ENTER_FOREIGN_WATERS','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_NAVAL_RAIDER_CAN_ENTER_FOREIGN_WATERS','CLASS_NAVAL_RAIDER');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_NAVAL_RAIDER_CAN_ENTER_FOREIGN_WATERS','LOC_ABILITY_NAVAL_RAIDER_CAN_ENTER_FOREIGN_WATERS_NAME','LOC_ABILITY_NAVAL_RAIDER_CAN_ENTER_FOREIGN_WATERS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_NAVAL_RAIDER_CAN_ENTER_FOREIGN_WATERS','NAVAL_RAIDER_CAN_ENTER_FOREIGN_WATERS');

INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES ('NAVAL_RAIDER_CAN_ENTER_FOREIGN_WATERS','MODIFIER_PLAYER_UNIT_ADJUST_ENTER_FOREIGN_LANDS','REQSET_NAVAL_RAIDER_FOREIGN_WATERS');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 					VALUES ('NAVAL_RAIDER_CAN_ENTER_FOREIGN_WATERS','Enter',1);

--Ability for all naval units to stop foreign raiders from trespassing by being adjacent:

INSERT INTO Types 				([Type], Kind) 										VALUES 		('MODIFIER_ALL_UNITS_ADJUST_ENTER_FOREIGN_LANDS' , 	'KIND_MODIFIER');
INSERT INTO DynamicModifiers 	(ModifierType , CollectionType , EffectType) 		VALUES 		('MODIFIER_ALL_UNITS_ADJUST_ENTER_FOREIGN_LANDS' , 	'COLLECTION_ALL_UNITS' , 'EFFECT_ADJUST_UNIT_ENTER_FOREIGN_LANDS');

INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_NAVAL_UNITS_STOP_RAIDER_TRESPASSING','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_NAVAL_UNITS_STOP_RAIDER_TRESPASSING','CLASS_NAVAL_RANGED');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_NAVAL_UNITS_STOP_RAIDER_TRESPASSING','CLASS_NAVAL_MELEE');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_NAVAL_UNITS_STOP_RAIDER_TRESPASSING','CLASS_NAVAL_CARRIER');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_NAVAL_UNITS_STOP_RAIDER_TRESPASSING','LOC_ABILITY_NAVAL_UNITS_STOP_RAIDER_TRESPASSING_NAME','LOC_ABILITY_NAVAL_UNITS_STOP_RAIDER_TRESPASSING_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_NAVAL_UNITS_STOP_RAIDER_TRESPASSING','NAVAL_UNITS_STOP_TRESPASSING_FOR_ADJACENT_UNITS');

INSERT INTO Modifiers (ModifierId,ModifierType, OwnerRequirementSetId, SubjectRequirementSetId) 	VALUES ('NAVAL_UNITS_STOP_TRESPASSING_FOR_ADJACENT_UNITS','MODIFIER_ALL_UNITS_ADJUST_ENTER_FOREIGN_LANDS' , 'REQSET_PLOT_IS_COAST_OR_OCEAN_AREX', 'REQSET_ADJACENT_NAVAL_UNIT_WITHOUT_OPEN_BORDERS'); --,OwnerRequirementSetId		, 'REQSET_PLAYER_IS_MAJOR_CIV'
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 					VALUES ('NAVAL_UNITS_STOP_TRESPASSING_FOR_ADJACENT_UNITS','Enter',0);

----Ability for all naval and embarked units to stop foreign civilians from trespassing by being adjacent:
--
--INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_NAVAL_AND_EMBARKED_UNITS_STOP_CIVILIAN_TRESPASSING','KIND_ABILITY');
--INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_NAVAL_AND_EMBARKED_UNITS_STOP_CIVILIAN_TRESPASSING','CLASS_ALL_COMBAT_UNITS');
--
--INSERT INTO UnitAbilities (UnitAbilityType) 							VALUES ('ABILITY_NAVAL_AND_EMBARKED_UNITS_STOP_CIVILIAN_TRESPASSING');
--INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_NAVAL_AND_EMBARKED_UNITS_STOP_CIVILIAN_TRESPASSING','STOP_CIVILIAN_TRESPASSING_BY_ADJACENT_UNITS');
--
--INSERT INTO Modifiers (ModifierId,ModifierType, OwnerRequirementSetId, SubjectRequirementSetId) 	VALUES ('STOP_CIVILIAN_TRESPASSING_BY_ADJACENT_UNITS','MODIFIER_ALL_UNITS_ADJUST_ENTER_FOREIGN_LANDS' , 'REQSET_PLOT_IS_COAST_OR_OCEAN_AREX',  'REQSET_ADJACENT_CIVILIAN_UNIT_WITHOUT_OPEN_BORDERS'); --,OwnerRequirementSetId		, 'REQSET_PLAYER_IS_MAJOR_CIV'
--INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 					VALUES ('STOP_CIVILIAN_TRESPASSING_BY_ADJACENT_UNITS','Enter',0);



--
--MODIFIER_PLAYER_UNIT_ADJUST_CANNOT_ATTACK
--Disable, 1

--MOD_ENTER_FOREIGN_LANDS	MODIFIER_PLAYER_UNIT_ADJUST_ENTER_FOREIGN_LANDS

--SUBMARINE AND U-BOAT MOVEMENT PENATLY FOR LACKING OIL, 15 moves base (2.7)
INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('SUBMARINE_NEEDS_OIL','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_SUBMARINE',	'SUBMARINE_NEEDS_OIL');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_GERMAN_UBOAT','SUBMARINE_NEEDS_OIL');
INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_SUBMARINE_NEEDS_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_SUBMARINE_NEEDS_OIL','SUBMARINE_NEEDS_OIL');
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_SUBMARINE_NEEDS_OIL','LOC_ABILITY_SUBMARINE_NEEDS_OIL_NAME','LOC_ABILITY_SUBMARINE_NEEDS_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_SUBMARINE_NEEDS_OIL','SUBMARINE_OIL_MOVEMENT_PENALTY');
INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('SUBMARINE_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('SUBMARINE_OIL_MOVEMENT_PENALTY','Amount',-14);


--NUCLEAR SUBMARINE PENALTY FOR LACKING URANIUM, 29 moves base (2.7)
INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_NEEDS_URANIUM',			'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_NUCLEAR_SUBMARINE',		'CLASS_NEEDS_URANIUM');

INSERT INTO Types 						([Type],Kind) 										VALUES		('ABILITY_NEEDS_URANIUM',			'KIND_ABILITY');
INSERT INTO TypeTags 					([Type],Tag) 										VALUES		('ABILITY_NEEDS_URANIUM',			'CLASS_NEEDS_URANIUM');
INSERT INTO UnitAbilities 				(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_NEEDS_URANIUM',			'LOC_ABILITY_NEEDS_URANIUM_NAME',				'LOC_ABILITY_NEEDS_URANIUM_DESCRIPTION');
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_NEEDS_URANIUM',			'URANIUM_FUEL_MOVEMENT_BONUS');
INSERT INTO Modifiers 					(ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES 		('URANIUM_FUEL_MOVEMENT_BONUS',		'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT',		'URANIUM_MOVEMENT_REQUIREMENTS');
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 							VALUES 		('URANIUM_FUEL_MOVEMENT_BONUS','Amount',-28); --Nuclear Submarines



------------------------------------------------
--Submarines get bonus defense vs land units
------------------------------------------------

INSERT INTO Types 		([Type],Kind) 		VALUES ('ABILITY_SUBMARINE_LAND_DEFENSE',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type],Tag) 		VALUES ('ABILITY_SUBMARINE_LAND_DEFENSE',		'CLASS_SUBMARINE');
INSERT INTO TypeTags 	([Type],Tag) 		VALUES ('ABILITY_SUBMARINE_LAND_DEFENSE',		'CLASS_NUCLEAR_SUBMARINE');
INSERT INTO TypeTags 	([Type],Tag) 		VALUES ('ABILITY_SUBMARINE_LAND_DEFENSE',		'CLASS_UBOAT');


INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 					VALUES ('ABILITY_SUBMARINE_LAND_DEFENSE','LOC_ABILITY_SUBMARINE_LAND_DEFENSE_NAME','LOC_ABILITY_SUBMARINE_LAND_DEFENSE_DESCRIPTION');
INSERT INTO UnitAbilityModifiers 	(UnitAbilityType,ModifierId) 						VALUES ('ABILITY_SUBMARINE_LAND_DEFENSE','SUBMARINE_DEFENDING_VS_LAND');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES ('SUBMARINE_DEFENDING_VS_LAND','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_DEFENDING_VS_LAND');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 							VALUES ('SUBMARINE_DEFENDING_VS_LAND','Amount',20);
INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 							VALUES ('SUBMARINE_DEFENDING_VS_LAND',	'Preview',	'LOC_SUBMARINE_DEFENDING_VS_LAND_DESCRIPTION');

------------------------------------------------
--Submarines can't attack land units, get -100 CS penalty.
------------------------------------------------

INSERT INTO Types 		([Type],Kind) 		VALUES ('ABILITY_SUBMARINE_DISABLE_LAND_ATTACK',	'KIND_ABILITY');
INSERT INTO TypeTags 	([Type],Tag) 		VALUES ('ABILITY_SUBMARINE_DISABLE_LAND_ATTACK',	'CLASS_SUBMARINE');
INSERT INTO TypeTags 	([Type],Tag) 		VALUES ('ABILITY_SUBMARINE_DISABLE_LAND_ATTACK',	'CLASS_NUCLEAR_SUBMARINE');
INSERT INTO TypeTags 	([Type],Tag) 		VALUES ('ABILITY_SUBMARINE_DISABLE_LAND_ATTACK',	'CLASS_UBOAT');


INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_SUBMARINE_DISABLE_LAND_ATTACK','LOC_ABILITY_SUBMARINE_DISABLE_LAND_ATTACK_NAME','LOC_ABILITY_SUBMARINE_DISABLE_LAND_ATTACK_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_SUBMARINE_DISABLE_LAND_ATTACK','SUBMARINE_DISABLE_LAND_ATTACK');

INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) VALUES ('SUBMARINE_DISABLE_LAND_ATTACK','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_ATTACKING_OPPONENT_LAND_DOMAIN');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('SUBMARINE_DISABLE_LAND_ATTACK','Amount',-100);
INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 			VALUES ('SUBMARINE_DISABLE_LAND_ATTACK',	'Preview',	'LOC_SUBMARINE_DISABLE_LAND_ATTACK_DESCRIPTION');

------------------------------------------------
--Submarines can bypass Naval units and attack their escorted unit
------------------------------------------------

INSERT INTO TypeTags 	([Type],Tag) 		VALUES ('UNIT_SUBMARINE',			'CLASS_SNIPER');
INSERT INTO TypeTags 	([Type],Tag) 		VALUES ('UNIT_GERMAN_UBOAT',		'CLASS_SNIPER');
INSERT INTO TypeTags 	([Type],Tag) 		VALUES ('UNIT_NUCLEAR_SUBMARINE',	'CLASS_SNIPER');


INSERT INTO tblAREDebug
    (DebugID,         SubID, x_Open, x_Close,     Message)
VALUES ('AgrevExp_Units_17',   'Embarked_Units', '1',    '0',        '') ;		


-----------------
--Submarines reduce strength of attackers if they're not adjacent
-----------------

INSERT INTO Types 					([Type] , Kind) 										VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_SIEGE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_NAVAL_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_NAVAL_RAIDER');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'CLASS_NAVAL_MELEE');		--UNNECESSARY RIGHT NOW BUT MIGHT BECOME USEFUL LATER
		
INSERT INTO UnitAbilities 			(UnitAbilityType) 										VALUES		('ABILITY_SUBMARINE_RANGED_DEFENSE');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_SUBMARINE_RANGED_DEFENSE',	'PENALTY_IF_NOT_ADJACENT_TO_OPPONENT_SUBMARINE'); 

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('PENALTY_IF_NOT_ADJACENT_TO_OPPONENT_SUBMARINE','MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_ATTACKING_SUB_FROM_MINIMUM_DISTANCE_2');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES 		('PENALTY_IF_NOT_ADJACENT_TO_OPPONENT_SUBMARINE' , 'Amount' , -10);

INSERT INTO ModifierStrings 		(ModifierId,Context,Text) 								VALUES 		('PENALTY_IF_NOT_ADJACENT_TO_OPPONENT_SUBMARINE','Preview','LOC_PENALTY_IF_NOT_ADJACENT_TO_OPPONENT_SUBMARINE_DESCRIPTION');


------------------------	
--BONUS SIGHT FOR NUCLEAR SUBMARINES and GERMAN U-BOAT ON OCEAN TILES, NOT ADJACENT TO COAST:
------------------------	

INSERT INTO Types					(Type,							Kind)				VALUES						
									('ABILITY_SUB_OCEAN_SIGHT',		'KIND_ABILITY');
									
INSERT INTO Modifiers				(ModifierId,								ModifierType,								Permanent,		OwnerRequirementSetId,		SubjectRequirementSetId,				OwnerStackLimit,	SubjectStackLimit)	VALUES						
									('MODIFIER_ENHANCED_SIGHT_ON_OCEAN',		'MODTYPE_ENHANCED_SIGHT_ON_HILLS',			0,				NULL,						'REQSET_NOT_ADJACENT_TO_LAND_NOR_COAST',		NULL,	 			1);
										
 INSERT INTO ModifierArguments		(ModifierId,							Name,				Value)			VALUES	
									('MODIFIER_ENHANCED_SIGHT_ON_OCEAN',	'ModifierId',		'ATTACH_ENHANCED_SIGHT_ON_HILLS'),
									('MODIFIER_ENHANCED_SIGHT_ON_OCEAN',	'Amount',			1);
									
 INSERT INTO UnitAbilityModifiers	(UnitAbilityType,				ModifierId)			VALUES						
									('ABILITY_SUB_OCEAN_SIGHT',		'MODIFIER_ENHANCED_SIGHT_ON_OCEAN');
									
INSERT INTO UnitAbilities			(UnitAbilityType,				Name,											Description,												Inactive,		ShowFloatTextWhenEarned)	VALUES
									('ABILITY_SUB_OCEAN_SIGHT',		'LOC_ABILITY_ENHANCED_SIGHT_ON_OCEAN_NAME',		'LOC_ABILITY_ENHANCED_SIGHT_ON_OCEAN_DESCRIPTION',			0,				0);

INSERT INTO ModifierStrings			(ModifierId,							Context,		Text)	VALUES						
									('MODIFIER_ENHANCED_SIGHT_ON_OCEAN',	'Preview',		'LOC_ABILITY_ENHANCED_SIGHT_ON_OCEAN_DESCRIPTION');


									
INSERT INTO TypeTags				(Type,											Tag)			VALUES						
									('ABILITY_SUB_OCEAN_SIGHT',						'CLASS_NUCLEAR_SUBMARINE'),
									('ABILITY_SUB_OCEAN_SIGHT',						'CLASS_UBOAT');
									

UPDATE tblAREDebug SET x_Close = "1" WHERE SubID = 'SIGHT_FOR_SUBS';






--CLASS_MODERN_SHIPS


----------------------------
-- MINUS 1 SIGHT RANGE WHEN ADJACENT TO LAND:
----------------------------
--
--
--INSERT INTO Types					(Type,									Kind)									VALUES						
--									('ABILITY_SUB_REDUCED_COASTAL_SIGHT',	'KIND_ABILITY');
--
--INSERT INTO TypeTags				(Type,									Tag)									VALUES						
--									('ABILITY_SUB_REDUCED_COASTAL_SIGHT',	'CLASS_SUBMARINE'),
--									('ABILITY_SUB_REDUCED_COASTAL_SIGHT',	'CLASS_UBOAT'),
--									('ABILITY_SUB_REDUCED_COASTAL_SIGHT',	'CLASS_SHIPS_WITH_TWO_BASE_SIGHT_RANGE');									
--									
--INSERT INTO UnitAbilities			(UnitAbilityType,						Name,											Description,												Inactive,		ShowFloatTextWhenEarned)	VALUES
--									('ABILITY_SUB_REDUCED_COASTAL_SIGHT',	'LOC_ABILITY_SUB_REDUCED_COASTAL_SIGHT_NAME',	'LOC_ABILITY_SUB_REDUCED_COASTAL_SIGHT_DESCRIPTION',			0,				0);
--
-- INSERT INTO UnitAbilityModifiers	(UnitAbilityType,						ModifierId)								VALUES						
--									('ABILITY_SUB_REDUCED_COASTAL_SIGHT',	'MODIFIER_REDUCED_COASTAL_SIGHT');
--
--INSERT INTO Modifiers				(ModifierId,							ModifierType,								Permanent,		OwnerRequirementSetId,		SubjectRequirementSetId,				OwnerStackLimit,	SubjectStackLimit)	VALUES						
--									('MODIFIER_REDUCED_COASTAL_SIGHT',		'MODTYPE_ENHANCED_SIGHT_ON_HILLS',			0,				NULL,						'REQSET_ADJACENT_TO_LAND_OR_ICE',		NULL,	 			1);
--										
-- INSERT INTO ModifierArguments		(ModifierId,							Name,				Value)			VALUES	
--									('MODIFIER_REDUCED_COASTAL_SIGHT',		'ModifierId',		'ATTACH_ENHANCED_SIGHT_ON_HILLS'),
--									('MODIFIER_REDUCED_COASTAL_SIGHT',		'Amount',			-1);
--
--INSERT INTO ModifierStrings			(ModifierId,							Context,		Text)			VALUES						
--									('MODIFIER_REDUCED_COASTAL_SIGHT',		'Preview',		'LOC_ABILITY_SUB_REDUCED_COASTAL_SIGHT_DESCRIPTION');
--
--									
--CLASS_SHIPS_WITH_TWO_BASE_SIGHT_RANGE

--------------------------------------------------------------------------------
-- NAVAL CARRIER CLASS - AIRCRAFT CARRIERS
--------------------------------------------------------------------------------

--AIRCRAFT CARRIER MOVEMENT PENALTY WITHOUT OIL - 20 total (2.7)
INSERT INTO Tags (Tag,Vocabulary) 										VALUES ('AIRCRAFT_CARRIER_NEEDS_OIL','ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('UNIT_AIRCRAFT_CARRIER','AIRCRAFT_CARRIER_NEEDS_OIL');
INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_AIRCRAFT_CARRIER_NEEDS_OIL','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_AIRCRAFT_CARRIER_NEEDS_OIL','AIRCRAFT_CARRIER_NEEDS_OIL');
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_AIRCRAFT_CARRIER_NEEDS_OIL','LOC_ABILITY_AIRCRAFT_CARRIER_NEEDS_OIL_NAME','LOC_ABILITY_AIRCRAFT_CARRIER_NEEDS_OIL_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_AIRCRAFT_CARRIER_NEEDS_OIL','AIRCRAFT_CARRIER_OIL_MOVEMENT_PENALTY');
INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId) 	VALUES ('AIRCRAFT_CARRIER_OIL_MOVEMENT_PENALTY','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_CIV_HAS_NO_OIL');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 				VALUES ('AIRCRAFT_CARRIER_OIL_MOVEMENT_PENALTY','Amount',-21);



----------------------------
-- GET +1 SIGHT RANGE WHEN NOT ADJACENT TO LAND:
----------------------------


INSERT INTO Types					(Type,									Kind)									VALUES						
									('ABILITY_OFFSHORE_SIGHT_BONUS',	'KIND_ABILITY');

INSERT INTO TypeTags				(Type,									Tag)									VALUES		
									('ABILITY_OFFSHORE_SIGHT_BONUS',	'CLASS_CARAVEL'),				
									('ABILITY_OFFSHORE_SIGHT_BONUS',	'CLASS_FRIGATE'),
									('ABILITY_OFFSHORE_SIGHT_BONUS',	'CLASS_PRIVATEER'),
									('ABILITY_OFFSHORE_SIGHT_BONUS',	'CLASS_MODERN_SHIPS');									
									
INSERT INTO UnitAbilities			(UnitAbilityType,					Name,										Description,												Inactive,		ShowFloatTextWhenEarned)	VALUES
									('ABILITY_OFFSHORE_SIGHT_BONUS',	'LOC_ABILITY_OFFSHORE_SIGHT_BONUS_NAME',	'LOC_ABILITY_OFFSHORE_SIGHT_BONUS_DESCRIPTION',			0,				0);
	
 INSERT INTO UnitAbilityModifiers	(UnitAbilityType,					ModifierId)								VALUES						
									('ABILITY_OFFSHORE_SIGHT_BONUS',	'MODIFIER_OFFSHORE_SIGHT_BONUS');

INSERT INTO Modifiers				(ModifierId,						ModifierType,								Permanent,		OwnerRequirementSetId,		SubjectRequirementSetId,			OwnerStackLimit,	SubjectStackLimit)	VALUES						
									('MODIFIER_OFFSHORE_SIGHT_BONUS',	'MODTYPE_ENHANCED_SIGHT_ON_HILLS',			0,				NULL,						'REQSET_NOT_ADJACENT_TO_LAND',		NULL,	 			1);
										
 INSERT INTO ModifierArguments		(ModifierId,						Name,				Value)			VALUES	
									('MODIFIER_OFFSHORE_SIGHT_BONUS',	'ModifierId',		'ATTACH_ENHANCED_SIGHT_ON_HILLS'),
									('MODIFIER_OFFSHORE_SIGHT_BONUS',	'Amount',			1);

INSERT INTO ModifierStrings			(ModifierId,						Context,			Text)			VALUES						
									('MODIFIER_OFFSHORE_SIGHT_BONUS',	'Preview',			'LOC_MODIFIER_OFFSHORE_SIGHT_BONUS_DESCRIPTION');


-------------------------------------------------------------------------------------------------------------------
--- EMBARKED MODIFIERS
-------------------------------------------------------------------------------------------------------------------


INSERT INTO tblAREDebug
    (DebugID,         SubID, x_Open, x_Close,     Message)
VALUES ('AgrevExp_Units_9',   'EMBARKED_SIGHT_REDUCTION', '1',    '0',        '') ;	

------------------------------------------------
--Remove 1 sight range from Recon/Settlers on coast/ocean
------------------------------------------------

--RECON
INSERT INTO Types 					([Type] , Kind) 											VALUES 		('ABILITY_RECON_WATER_SIGHT' , 'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('ABILITY_RECON_WATER_SIGHT' , 'CLASS_RECON');
INSERT INTO UnitAbilities 			(UnitAbilityType , Name , Description) 						VALUES 		('ABILITY_RECON_WATER_SIGHT' , 'LOC_ABILITY_RECON_WATER_SIGHT_NAME' , 'LOC_ABILITY_RECON_WATER_SIGHT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers 	(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_RECON_WATER_SIGHT' , 'REDUCE_WATER_SIGHT');


INSERT INTO Modifiers 				(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		('REDUCE_WATER_SIGHT' , 'MODIFIER_PLAYER_UNIT_ADJUST_SIGHT' , 'REQUIREMENTS_UNIT_IS_EMBARKED');
INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 								VALUES 		('REDUCE_WATER_SIGHT' , 'Amount' , -1);

--SETTLERS
INSERT INTO Types 					([Type] , Kind) 											VALUES 		('ABILITY_SETTLER_WATER_SIGHT' , 'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('ABILITY_SETTLER_WATER_SIGHT' , 'CLASS_SETTLER');
INSERT INTO TypeTags 				([Type] , Tag) 												VALUES 		('ABILITY_SETTLER_WATER_SIGHT' , 'CLASS_MOUNTIE');
INSERT INTO UnitAbilities 			(UnitAbilityType , Name , Description) 						VALUES 		('ABILITY_SETTLER_WATER_SIGHT' , 'LOC_ABILITY_SETTLER_WATER_SIGHT_NAME' , 'LOC_ABILITY_SETTLER_WATER_SIGHT_DESCRIPTION');
INSERT INTO UnitAbilityModifiers 	(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_SETTLER_WATER_SIGHT' , 'REDUCE_WATER_SIGHT');

UPDATE tblAREDebug SET x_Close = "1" WHERE SubID = 'EMBARKED_SIGHT_REDUCTION';


-----------------------------------------------------------------
--Builders have 2 embarked movement until Celestial Navigation, which increases embarked movement by 2, meaning a total of 4.
-----------------------------------------------------------------

INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 													VALUES 	('TECH_CELESTIAL_NAVIGATION' , 'AREX_CELESTIAL_NAVIGATION_ADJUST_EMBARKED_MOVEMENT');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType, RunOnce, Permanent , OwnerStackLimit) 				VALUES 	('AREX_CELESTIAL_NAVIGATION_ADJUST_EMBARKED_MOVEMENT' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT' , 1 , 1 , 1);
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 													VALUES 	('AREX_CELESTIAL_NAVIGATION_ADJUST_EMBARKED_MOVEMENT' , 'Amount' , 2);

----Some Civilian units can enter foreign waters embarked without open borders unless enemy units are adjacent. DOESN'T WORK 2019-12-28. Civilians can disembark in other civs land and still won't get expelled.
--
--INSERT INTO Tags 		(Tag , Vocabulary) 								VALUES 	('CLASS_CIVILIANS_IN_FOREIGN_WATERS' , 	'ABILITY_CLASS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_BUILDER' , 						'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_GREAT_ARTIST' , 					'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_GREAT_ENGINEER' , 				'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_GREAT_MERCHANT' , 				'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_GREAT_MUSICIAN' , 				'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_GREAT_PROPHET' , 				'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_GREAT_SCIENTIST' , 				'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_GREAT_WRITER' , 					'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_NATURALIST' , 					'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_SETTLER' , 						'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--INSERT INTO TypeTags 	([Type] , Tag) 									VALUES 	('UNIT_MEDIC' , 						'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--
----archaeologist excluded since they can extract artifacts
----Great general and admiral excluded since they're military
----Medics are humanitarian aid and therefore civilian, even though their use in the game is military.
--
--INSERT INTO Types 		([Type],Kind) 									VALUES 	('ABILITY_CIVILIANS_CAN_ENTER_FOREIGN_WATERS',	'KIND_ABILITY');
--INSERT INTO TypeTags 	([Type],Tag) 									VALUES 	('ABILITY_CIVILIANS_CAN_ENTER_FOREIGN_WATERS',	'CLASS_CIVILIANS_IN_FOREIGN_WATERS');
--
--INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES 	('ABILITY_CIVILIANS_CAN_ENTER_FOREIGN_WATERS','LOC_ABILITY_CIVILIANS_CAN_ENTER_FOREIGN_WATERS_NAME','LOC_ABILITY_CIVILIANS_CAN_ENTER_FOREIGN_WATERS_DESCRIPTION');
--INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES 	('ABILITY_CIVILIANS_CAN_ENTER_FOREIGN_WATERS','CIVILIAN_CAN_ENTER_FOREIGN_WATERS');
--
--INSERT INTO Modifiers (ModifierId,ModifierType,OwnerRequirementSetId,SubjectRequirementSetId) 	VALUES ('CIVILIAN_CAN_ENTER_FOREIGN_WATERS','MODIFIER_PLAYER_UNIT_ADJUST_ENTER_FOREIGN_LANDS', 'REQUIREMENTS_UNIT_IS_EMBARKED' ,'REQSET_NAVAL_RAIDER_FOREIGN_WATERS');
--INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 					VALUES ('CIVILIAN_CAN_ENTER_FOREIGN_WATERS','Enter',1);

-----------------------------------------
-- GENERAL EMBARKED MOVEMENT INCREASES
-----------------------------------------


--INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 				VALUES 	('TECH_SHIPBUILDING' , 'SHIPBUILDING_ADJUST_EMBARKED_MOVEMENT');
--INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 				VALUES 	('TECH_MATHEMATICS' , 'MATHEMATICS_ADJUST_EMBARKED_MOVEMENT');
--INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType, Permanent) 		VALUES 	('SHIPBUILDING_ADJUST_EMBARKED_MOVEMENT' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT' , 1 );
--INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType, Permanent) 		VALUES 	('MATHEMATICS_ADJUST_EMBARKED_MOVEMENT' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT' , 1 );
--INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 				VALUES 	('SHIPBUILDING_ADJUST_EMBARKED_MOVEMENT' , 'Amount' , 1);
--INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 				VALUES 	('MATHEMATICS_ADJUST_EMBARKED_MOVEMENT' , 'Amount' , 1);

		
--Cartography, embarked moves 4 -> 5
INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 				VALUES 	('TECH_CARTOGRAPHY' , 'CARTOGRAPHY_EMBARKED_MOVEMENT_AREX');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType) 				VALUES 	('CARTOGRAPHY_EMBARKED_MOVEMENT_AREX' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT');
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 				VALUES 	('CARTOGRAPHY_EMBARKED_MOVEMENT_AREX' , 'Amount' , 1);
		
--Square rigging , embarked moves 5 -> 6		
--UPDATE ModifierArguments SET Value=1 													WHERE ModifierId= 'SQUARE_RIGGING_ADJUST_EMBARKED_MOVEMENT';



-----------------------------------------	
--Colonialism - allows embarked units to ignore ocean cost. (was Square rigging in 2.7.3)
-----------------------------------------

INSERT INTO CivicModifiers 		(CivicType , ModifierId) 	VALUES 		('CIVIC_COLONIALISM' , 	'EMBARKED_UNITS_IGNORE_OCEAN_COST_AREX');	
INSERT INTO Modifiers 			(ModifierId , ModifierType , SubjectRequirementSetId, Permanent) 			VALUES 		('EMBARKED_UNITS_IGNORE_OCEAN_COST_AREX' , 		'MODIFIER_PLAYER_UNITS_ADJUST_IGNORE_TERRAIN_COST' , 'REQSET_EMBARKED_UNITS_IGNORE_OCEAN' , 1 );
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 														VALUES 		('EMBARKED_UNITS_IGNORE_OCEAN_COST_AREX' , 		'Ignore' , 		1 ),
																																('EMBARKED_UNITS_IGNORE_OCEAN_COST_AREX' , 		'Type' , 		'TERRAIN_OCEAN');	

										
-----------------------------------------	
-- STEAM POWER EMBARKED MOVEMENT. 6 -> 8 with Coal (was 7 > 12 = +5 in 2.7.3)
-----------------------------------------
DELETE FROM TechnologyModifiers WHERE ModifierId = 'STEAM_POWER_ADJUST_EMBARKED_MOVEMENT';
	
--UPDATE ModifierArguments SET Value=5 													WHERE 	ModifierId= 'STEAM_POWER_ADJUST_EMBARKED_MOVEMENT';

INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 							VALUES 	('TECH_STEAM_POWER' , 'STEAM_POWER_COAL_EMBARKED_MOVEMENT_AREX');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType,OwnerRequirementSetId) 		VALUES 	('STEAM_POWER_COAL_EMBARKED_MOVEMENT_AREX' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT','REQSET_STEAM_POWER_COAL_EMBARKED_MOVEMENT');
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 							VALUES 	('STEAM_POWER_COAL_EMBARKED_MOVEMENT_AREX' , 'Amount' , 2);

-----------------------------------------
--STEEL EMBARKED MOVEMENT 6 > 10 with coal (was 7 > 14 with coal in 2.7.3)					(Ocean liners: 7 > 18 (with Coal))
-----------------------------------------
INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 							VALUES 	('TECH_STEEL' , 'STEEL_COAL_EMBARKED_MOVEMENT_AREX');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType,OwnerRequirementSetId) 		VALUES 	('STEEL_COAL_EMBARKED_MOVEMENT_AREX' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT','REQSET_STEEL_COAL_EMBARKED_MOVEMENT');
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 							VALUES 	('STEEL_COAL_EMBARKED_MOVEMENT_AREX' , 'Amount' , 4);

-----------------------------------------
--COMBUSTION EMBARKED MOVEMENT 6 > 12 (was 7 > 16  in 2.7.3) 	reduced to 1 move without fuel				(Ocean liners: 7 > 33 (with Coal or Oil).)
-----------------------------------------
DELETE FROM TechnologyModifiers WHERE ModifierId = 'COMBUSTION_ADJUST_EMBARKED_MOVEMENT';

INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 							VALUES 		('TECH_COMBUSTION' , 'COMBUSTION_EMBARKED_MOVEMENT_FUELED_AREX');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType,OwnerRequirementSetId) 		VALUES 		('COMBUSTION_EMBARKED_MOVEMENT_FUELED_AREX' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT','REQSET_COMBUSTION_EMBARKED_MOVEMENT');
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 							VALUES 		('COMBUSTION_EMBARKED_MOVEMENT_FUELED_AREX' , 'Amount' , 6);

--reduced to 1 move without oil or coal

INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 							VALUES 		('TECH_COMBUSTION' , 'COMBUSTION_EMBARKED_MOVEMENT_AREX');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType,OwnerRequirementSetId) 		VALUES 		('COMBUSTION_EMBARKED_MOVEMENT_AREX' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT','REQSET_COMBUSTION_EMBARKED_MOVEMENT_PENALTY');
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 							VALUES 		('COMBUSTION_EMBARKED_MOVEMENT_AREX' , 'Amount' , -5);

-----------------------------------------
--COMBINED ARMS EMBARKED MOVEMENT 1 > 16, 1 move without fuel (was 7 > 18 in 2.7.3)	LCVP (d-day craft) has a speed of 22km/h 	(Ocean liners:	7 > 52 (with Oil), 7 > 33 (with Coal or Oil).
-----------------------------------------

-- WITH OIL, 6 > 16
INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 							VALUES 		('TECH_COMBINED_ARMS' , 'COMBINED_ARMS_EMBARKED_OIL_MOVEMENT_AREX');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType,OwnerRequirementSetId) 		VALUES 		('COMBINED_ARMS_EMBARKED_OIL_MOVEMENT_AREX' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT','REQSET_COMBINED_ARMS_OIL_EMBARKED_MOVEMENT');
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 							VALUES 		('COMBINED_ARMS_EMBARKED_OIL_MOVEMENT_AREX' , 'Amount' , 10);


-- WITHOUT OIL, IS THERE COAL? 6 > 14

INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 							VALUES 		('TECH_COMBINED_ARMS' , 'COMBINED_ARMS_EMBARKED_COAL_MOVEMENT_AREX');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType,OwnerRequirementSetId) 		VALUES 		('COMBINED_ARMS_EMBARKED_COAL_MOVEMENT_AREX' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT','REQSET_COMBINED_ARMS_COAL_EMBARKED_MOVEMENT');
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 							VALUES 		('COMBINED_ARMS_EMBARKED_COAL_MOVEMENT_AREX' , 'Amount' , 8);

--WITHOUT OIL OR COAL:

INSERT OR IGNORE INTO TechnologyModifiers 	(TechnologyType , ModifierId) 							VALUES 		('TECH_COMBINED_ARMS' , 'COMBINED_ARMS_EMBARKED_MOVEMENT_AREX');
INSERT OR IGNORE INTO Modifiers 			(ModifierId , ModifierType,OwnerRequirementSetId) 		VALUES 		('COMBINED_ARMS_EMBARKED_MOVEMENT_AREX' , 'MODIFIER_PLAYER_ADJUST_EMBARKED_MOVEMENT','REQSET_COMBINED_ARMS_EMBARKED_MOVEMENT_PENALTY');
INSERT OR IGNORE INTO ModifierArguments 	(ModifierId , Name , [Value]) 							VALUES 		('COMBINED_ARMS_EMBARKED_MOVEMENT_AREX' , 'Amount' , -5);


	
UPDATE tblAREDebug SET x_Close = "1" WHERE SubID = 'Embarked_Units';


------------------------------------------------------------------------
--Great Admiral movement scales up with Techs
------------------------------------------------------------------------

INSERT INTO 	Tags 						(Tag , Vocabulary) 											VALUES 		('CLASS_GREAT_ADMIRAL' , 'ABILITY_CLASS');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('UNIT_GREAT_ADMIRAL' , 'CLASS_GREAT_ADMIRAL');
INSERT INTO 	Types 						([Type] , Kind) 											VALUES 		('CLASS_GREAT_ADMIRAL' , 'KIND_ABILITY');
INSERT INTO 	Types 						([Type] , Kind) 											VALUES 		('ABILITY_GREAT_ADMIRAL_TECH_SPEED' , 'KIND_ABILITY');
INSERT INTO 	TypeTags 					([Type] , Tag) 												VALUES 		('ABILITY_GREAT_ADMIRAL_TECH_SPEED' , 'CLASS_GREAT_ADMIRAL');
INSERT INTO 	UnitAbilities 				(UnitAbilityType , Name , Description) 						VALUES 		('ABILITY_GREAT_ADMIRAL_TECH_SPEED' , 'LOC_ABILITY_GREAT_ADMIRAL_TECH_SPEED_NAME' , 'LOC_ABILITY_GREAT_ADMIRAL_TECH_SPEED_DESCRIPTION');
		
INSERT INTO 	UnitAbilityModifiers 		(UnitAbilityType , ModifierId) 								VALUES 		('ABILITY_GREAT_ADMIRAL_TECH_SPEED' , 'CARTOGRAPHY_ADMIRAL_IGNORE_OCEANS'),
																													('ABILITY_GREAT_ADMIRAL_TECH_SPEED' , 'SQUARE_RIGGING_ADMIRAL_MOVEMENT'),
																													('ABILITY_GREAT_ADMIRAL_TECH_SPEED' , 'STEAM_POWER_ADMIRAL_MOVEMENT'),
																													('ABILITY_GREAT_ADMIRAL_TECH_SPEED' , 'COMBUSTION_ADMIRAL_MOVEMENT'),
																													('ABILITY_GREAT_ADMIRAL_TECH_SPEED' , 'COMBINED_ARMS_ADMIRAL_MOVEMENT');
																													--('ABILITY_GREAT_ADMIRAL_TECH_SPEED' , 'CARTOGRAPHY_ADMIRAL_MOVEMENT'),
																													
		
--INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		('CARTOGRAPHY_ADMIRAL_MOVEMENT' , 			'MODIFIER_PLAYER_UNIT_ADJUST_SEA_MOVEMENT' , 'REQSET_TECH_CARTOGRAPHY');
--INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		('CARTOGRAPHY_ADMIRAL_MOVEMENT' , 			'Amount' , 2 ); --goes from 6 to 8

INSERT INTO 	Modifiers 					(ModifierId , ModifierType , OwnerRequirementSetId) 		VALUES 		('CARTOGRAPHY_ADMIRAL_IGNORE_OCEANS' , 	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_TERRAIN_COST' , 'REQSET_TECH_CARTOGRAPHY');
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		('CARTOGRAPHY_ADMIRAL_IGNORE_OCEANS' , 	'Ignore' , 		1 ),
																													('CARTOGRAPHY_ADMIRAL_IGNORE_OCEANS' , 	'Type' , 		'TERRAIN_OCEAN');	

INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		('SQUARE_RIGGING_ADMIRAL_MOVEMENT' , 		'MODIFIER_PLAYER_UNIT_ADJUST_SEA_MOVEMENT' , 'REQSET_TECH_SQUARE_RIGGING');
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		('SQUARE_RIGGING_ADMIRAL_MOVEMENT' , 		'Amount' , 2 ); -- from 6 to 8
		
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		('STEAM_POWER_ADMIRAL_MOVEMENT' , 			'MODIFIER_PLAYER_UNIT_ADJUST_SEA_MOVEMENT' , 'REQSET_TECH_STEAM_POWER');
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		('STEAM_POWER_ADMIRAL_MOVEMENT' , 			'Amount' , 2 ); -- from 10 to 12
		
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		('COMBUSTION_ADMIRAL_MOVEMENT' , 			'MODIFIER_PLAYER_UNIT_ADJUST_SEA_MOVEMENT' , 'REQSET_TECH_COMBUSTION');
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		('COMBUSTION_ADMIRAL_MOVEMENT' , 			'Amount' , 3 ); -- from 12 to 15 
		
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		('COMBINED_ARMS_ADMIRAL_MOVEMENT' , 		'MODIFIER_PLAYER_UNIT_ADJUST_SEA_MOVEMENT' , 'REQSET_TECH_COMBINED_ARMS');
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		('COMBINED_ARMS_ADMIRAL_MOVEMENT' , 		'Amount' , 15 ); -- from 15 to 30 


------------------------------------------------------------------
--Bonus 1 sight range for units on hills, except recon
--Coded by MR.Pat originally, Strategic geography MOD v.1.0.Alpha
------------------------------------------------------------------

INSERT INTO Types						(Type,									Kind)	VALUES						
										('MODTYPE_ENHANCED_SIGHT_ON_HILLS',		'KIND_MODIFIER'),
										('MODTYPE_ATTACH_MODIFIER',				'KIND_MODIFIER');
										
INSERT INTO Types						(Type,									Kind) VALUES						
										('ABILITY_ENHANCED_SIGHT',				'KIND_ABILITY');
										
INSERT INTO DynamicModifiers			(ModifierType,								CollectionType,						EffectType)	VALUES						
										('MODTYPE_ENHANCED_SIGHT_ON_HILLS',			'COLLECTION_OWNER',					'EFFECT_ADJUST_UNIT_SIGHT'),
										('MODTYPE_ATTACH_MODIFIER',					'COLLECTION_ALL_PLAYERS',			'EFFECT_ATTACH_MODIFIER');

INSERT INTO Modifiers					(ModifierId,								ModifierType,						Permanent,		OwnerRequirementSetId,		SubjectRequirementSetId,	OwnerStackLimit,	SubjectStackLimit) VALUES						
										('MODIFIER_ENHANCED_SIGHT_ON_HILLS',		'MODTYPE_ENHANCED_SIGHT_ON_HILLS',	0,				NULL,						'REQSET_TERRAIN_IS_A_HILL',	NULL,	 			1);
										
 INSERT INTO Modifiers					(ModifierId,								ModifierType,						Permanent) VALUES						
										('ATTACH_ENHANCED_SIGHT_ON_HILLS',			'MODTYPE_ATTACH_MODIFIER',			1);
										
 INSERT INTO ModifierArguments			(ModifierId,								Name,			Value) VALUES						
										('MODIFIER_ENHANCED_SIGHT_ON_HILLS',		'ModifierId',	'ATTACH_ENHANCED_SIGHT_ON_HILLS'),
										('MODIFIER_ENHANCED_SIGHT_ON_HILLS',		'Amount',		1);
										
 INSERT INTO UnitAbilityModifiers		(UnitAbilityType,				ModifierId) VALUES
										('ABILITY_ENHANCED_SIGHT',		'MODIFIER_ENHANCED_SIGHT_ON_HILLS');
										
INSERT INTO UnitAbilities				(UnitAbilityType,				Name,								Description,										Inactive,	ShowFloatTextWhenEarned) VALUES
										('ABILITY_ENHANCED_SIGHT',		'LOC_ABILITY_ENHANCED_SIGHT_NAME',	'LOC_ABILITY_ENHANCED_SIGHT_MODIFIER_DESCRIPTION',	0,			1);

INSERT INTO ModifierStrings				(ModifierId,							Context,	Text)	VALUES								
										('MODIFIER_ENHANCED_SIGHT_ON_HILLS',	'Preview',	'LOC_ABILITY_ENHANCED_SIGHT_MODIFIER_DESCRIPTION');
		
INSERT INTO tblAREDebug
		(DebugID,        		SubID, 									x_Open, x_Close,     Message)
VALUES ('AgrevExp_Units_18',   'General_and_Admiral_points_from_kills', '1',    '0',        '') ;		

------------------------------------------------------------------------------
-- GREAT GENERAL AND ADMIRAL POINTS FROM KILLS
------------------------------------------------------------------------------


--Get Great General points from killing units, with land & air units


INSERT INTO Types 					([Type] , Kind) 									VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'KIND_ABILITY');
				
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_RECON');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_SIEGE');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS' , 	'CLASS_AIRCRAFT');
				
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS',		'LOC_AREXP_ABILITY_LAND_UNITS_GENERAL_POINTS_NAME',		'LOC_AREXP_ABILITY_LAND_UNITS_GENERAL_POINTS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_AREXP_LAND_UNITS_GENERAL_POINTS',		'AREXP_LAND_UNITS_GENERAL_POINTS');

INSERT INTO Modifiers 				(ModifierId,ModifierType) 							VALUES 		('AREXP_LAND_UNITS_GENERAL_POINTS',			'MODIFIER_PLAYER_UNIT_ADJUST_GREAT_PEOPLE_POINTS_PER_KILL'); --, 'REQSET_UNIT_IS_NOT_EMBARKED'

INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 							VALUES 		('AREXP_LAND_UNITS_GENERAL_POINTS',			'Amount',					4);
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 							VALUES 		('AREXP_LAND_UNITS_GENERAL_POINTS',			'GreatPersonClassType',		'GREAT_PERSON_CLASS_GENERAL');



--Get Great Admiral points from killing units, with naval units

INSERT INTO Types 					([Type] , Kind) 									VALUES 		('ABILITY_AREXP_NAVAL_UNITS_ADMIRAL_POINTS' , 	'KIND_ABILITY');
				
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_NAVAL_UNITS_ADMIRAL_POINTS' , 	'CLASS_NAVAL_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_NAVAL_UNITS_ADMIRAL_POINTS' , 	'CLASS_NAVAL_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 										VALUES 		('ABILITY_AREXP_NAVAL_UNITS_ADMIRAL_POINTS' , 	'CLASS_NAVAL_CARRIER');

				
INSERT INTO UnitAbilities 			(UnitAbilityType,Name,Description) 					VALUES		('ABILITY_AREXP_NAVAL_UNITS_ADMIRAL_POINTS',	'LOC_AREXP_ABILITY_NAVAL_UNITS_ADMIRAL_POINTS_NAME',		'LOC_AREXP_ABILITY_NAVAL_UNITS_ADMIRAL_POINTS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 						VALUES 		('ABILITY_AREXP_NAVAL_UNITS_ADMIRAL_POINTS',	'AREXP_NAVAL_UNITS_ADMIRAL_POINTS');

INSERT INTO Modifiers 				(ModifierId,ModifierType) 							VALUES 		('AREXP_NAVAL_UNITS_ADMIRAL_POINTS',			'MODIFIER_PLAYER_UNIT_ADJUST_GREAT_PEOPLE_POINTS_PER_KILL');

INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 							VALUES 		('AREXP_NAVAL_UNITS_ADMIRAL_POINTS',			'Amount',					12);
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 							VALUES 		('AREXP_NAVAL_UNITS_ADMIRAL_POINTS',			'GreatPersonClassType',		'GREAT_PERSON_CLASS_ADMIRAL');

UPDATE tblAREDebug SET x_Close = "1" WHERE SubID = 'General_and_Admiral_points_from_kills';



INSERT INTO tblAREDebug
    (DebugID,         SubID, x_Open, x_Close,     Message)
VALUES ('AgrevExp_Units_19',   'Territory_attrition', '1',    '0',        '') ;		

------------------------------------------------------------------------------
-- ATTRITION DAMAGE - TERRITORY ATTRITION
------------------------------------------------------------------------------

--No units can heal on Snow or adjacent to Ice (except if you're in a district).
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		('MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_ENEMY_TERRITORY');
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		('TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_ENEMY_TERRITORY');

INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		('TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_ENEMY_TERRITORY','MODIFIER_PLAYER_DISABLE_HEALING','REQSET_PLOT_IS_SNOW_OR_ADJ_TO_ICE_AND_NO_DISTRICT');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_ENEMY_TERRITORY','Disable',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_ENEMY_TERRITORY','Foreign',1);

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		('MINOR_CIV_DEFAULT_TRAIT' , 				'TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_NEUTRAL_TERRITORY');
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		('TRAIT_LEADER_MAJOR_CIV' , 				'TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_NEUTRAL_TERRITORY');

INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		('TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_NEUTRAL_TERRITORY','MODIFIER_PLAYER_DISABLE_HEALING','REQSET_PLOT_IS_SNOW_OR_ADJ_TO_ICE_AND_NO_DISTRICT');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_NEUTRAL_TERRITORY','Disable',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_ALL_CIVS_NO_SNOW_OR_ICE_HEALING_IN_NEUTRAL_TERRITORY','Foreign',0);


--All units suffer attrition of 1 dmg every turn outside own borders (except for Traders,Civilians,Support units, Barbs,Great People)

INSERT INTO Types ([Type],Kind) 															VALUES 		('ABILITY_NEUTRAL_ATTRITION',	'KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('ABILITY_NEUTRAL_ATTRITION',	'CLASS_ALL_COMBAT_UNITS');
INSERT INTO TypeTags ([Type],Tag) 															VALUES 		('ABILITY_NEUTRAL_ATTRITION',	'CLASS_RELIGIOUS_ALL');
					
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 								VALUES 		('ABILITY_NEUTRAL_ATTRITION',	'LOC_ABILITY_NEUTRAL_ATTRITION_NAME','LOC_ABILITY_NEUTRAL_ATTRITION_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 								VALUES 		('ABILITY_NEUTRAL_ATTRITION',	'NEUTRAL_ATTRITION');
				
INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('NEUTRAL_ATTRITION',			'MODIFIER_PLAYER_UNIT_ADJUST_DAMAGE','REQSET_NEUTRAL_ATTRITION',100);
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('NEUTRAL_ATTRITION',			'Amount',1);


--All units suffer extra attrition of 1 dmg every turn in enemy territory (except for Traders, Civilians, Great People, Recon units and Barbarians)

INSERT INTO Types 					([Type],Kind) 			VALUES 		('ABILITY_ENEMY_ATTRITION',						'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_NON_RECON_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_SIEGE');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_RELIGIOUS_ALL');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_AIRCRAFT');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_NAVAL_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_NAVAL_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 			VALUES 		('ABILITY_ENEMY_ATTRITION' , 					'CLASS_NAVAL_CARRIER');


					
INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 								VALUES 		('ABILITY_ENEMY_ATTRITION',		'LOC_ABILITY_ENEMY_ATTRITION_NAME','LOC_ABILITY_ENEMY_ATTRITION_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 								VALUES 		('ABILITY_ENEMY_ATTRITION',		'ENEMY_ATTRITION');
				
INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('ENEMY_ATTRITION',				'MODIFIER_PLAYER_UNIT_ADJUST_DAMAGE','REQSET_ENEMY_ATTRITION',100);
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('ENEMY_ATTRITION',				'Amount',1);


UPDATE tblAREDebug SET x_Close = "1" WHERE SubID = 'Territory_attrition';



UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_Units_Abilities_Modifiers';