----------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------
-- Agricultural Revolution - Expanded (by Knasp) - Code for Terrain, Features, Resources, Improvements, Districts, Buildings
----------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------
INSERT INTO tblAREDebug
    (DebugID,         x_Open, x_Close,     Message)
VALUES ('AgrevExp_World',    '1',    '0',        '') ;


--AGREV BASE CODE:

----------------------------------------------------------------------------------------------------------------------------	
--MAP SETTINGS
----------------------------------------------------------------------------------------------------------------------------	


UPDATE GlobalParameters SET Value=-50 WHERE Name='SNOW_ICE_FERTILITY'; 			--was 0
--UPDATE GlobalParameters SET Value=-5 WHERE Name='TUNDRA_FERTILITY_MODIFIER'; 	--was -2 in 2.7.3
UPDATE GlobalParameters SET Value=5 WHERE Name='RIVER_FERTILITY';				--was 1

UPDATE GlobalParameters SET Value=10 WHERE Name='STRATEGIC_RESOURCE_FERTILITY_STARTING_ERA_ADDITIONAL';	--was 5
--STRATEGIC_RESOURCE_FERTILITY_STARTING_ERA_ADDITIONAL

----------------------------------------------------------------------------------------------------------------------------	
--END OF MAP SETTINGS
----------------------------------------------------------------------------------------------------------------------------	

----------------------------------------------------------------------------------------------------------------------------	
--TERRAINS
----------------------------------------------------------------------------------------------------------------------------	
---------------------
--YIELD CHANGES
---------------------
UPDATE Terrain_YieldChanges SET YieldChange = 0 WHERE TerrainType = 'TERRAIN_OCEAN';
UPDATE Terrain_YieldChanges SET YieldChange=0 WHERE YieldType = 'YIELD_FOOD' AND (TerrainType LIKE 'TERRAIN_PLAINS%' OR TerrainType LIKE 'TERRAIN_TUNDRA%');
UPDATE Terrain_YieldChanges SET YieldChange=1 WHERE YieldType = 'YIELD_FOOD' AND TerrainType LIKE 'TERRAIN_GRASS%';

---------------------
--MOVEMENT
---------------------
--Update terrains to increase the movement cost in desert AND snow AND reduce the food yields.
UPDATE Terrains SET MovementCost = 2 WHERE TerrainType = 'TERRAIN_DESERT' OR TerrainType = 'TERRAIN_SNOW';
UPDATE Terrains SET MovementCost = 3 WHERE TerrainType = 'TERRAIN_DESERT_HILLS' OR TerrainType = 'TERRAIN_SNOW_HILLS';

--Increase movement cost of Oceans to reduce Galleys/Quadriremes moves.
UPDATE Terrains SET MovementCost = 5 WHERE TerrainType = 'TERRAIN_OCEAN';


--------------------------------------------------------------
--RELIGION AND PANTHEONS
--------------------------------------------------------------

--Feed the world Religion
UPDATE ModifierArguments SET [Value]=1 WHERE Name='Amount' AND ModifierId='FEED_THE_WORLD_SHRINE_FOOD_MODIFIER';
UPDATE ModifierArguments SET [Value]=2 WHERE Name='Amount' AND ModifierId='FEED_THE_WORLD_TEMPLE_FOOD_MODIFIER';


--Pantheons
UPDATE ModifierArguments SET [Value]='YIELD_FAITH' WHERE Name='YieldType' AND ModifierId='GODDESS_OF_THE_HUNT_CAMP_FOOD_MODIFIER';

INSERT INTO Types ([Type],Kind) VALUES ('BELIEF_GOD_OF_THE_SUN','KIND_BELIEF');

INSERT INTO Beliefs (BeliefType,Name,Description,BeliefClassType) 
VALUES 	('BELIEF_GOD_OF_THE_SUN','LOC_BELIEF_GOD_OF_THE_SUN_NAME','LOC_BELIEF_GOD_OF_THE_SUN_DESCRIPTION','BELIEF_CLASS_PANTHEON');

INSERT INTO Requirements (RequirementId,RequirementType) 
VALUES 	('REQUIRES_PLOT_HAS_TAG_GOD_OF_THE_SUN','REQUIREMENT_PLOT_RESOURCE_TAG_MATCHES');

INSERT INTO RequirementArguments (RequirementId,Name,[Value]) 
VALUES 	('REQUIRES_PLOT_HAS_TAG_GOD_OF_THE_SUN','Tag','CLASS_GOD_OF_THE_SUN');

INSERT INTO RequirementSets(RequirementSetId,RequirementSetType) 
VALUES 	('PLOT_HAS_FARM_TAG_REQUIREMENTS','REQUIREMENTSET_TEST_ALL');

INSERT INTO RequirementSetRequirements (RequirementSetId,RequirementId) 
VALUES	('PLOT_HAS_FARM_TAG_REQUIREMENTS','REQUIRES_PLOT_HAS_FARM'), 
		('PLOT_HAS_FARM_TAG_REQUIREMENTS','REQUIRES_PLOT_HAS_TAG_GOD_OF_THE_SUN');

INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 
VALUES	('GOD_OF_THE_SUN_FAITH','MODIFIER_ALL_CITIES_ATTACH_MODIFIER','CITY_FOLLOWS_PANTHEON_REQUIREMENTS'),
		('GOD_OF_THE_SUN_FAITH_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','PLOT_HAS_FARM_TAG_REQUIREMENTS');
		
INSERT INTO BeliefModifiers (BeliefType,ModifierId) 
VALUES 	('BELIEF_GOD_OF_THE_SUN','GOD_OF_THE_SUN_FAITH');
		
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 
VALUES 	('GOD_OF_THE_SUN_FAITH','ModifierId','GOD_OF_THE_SUN_FAITH_MODIFIER'), 
		('GOD_OF_THE_SUN_FAITH_MODIFIER','YieldType','YIELD_FAITH'),
		('GOD_OF_THE_SUN_FAITH_MODIFIER','Amount',1);

--------------------------------------------------------------
--------------------------------------------------------------
-- TERRAINS
--------------------------------------------------------------
--------------------------------------------------------------

-- Desert floodplains give +1 faith from scratch. Ancient civilizations and organized religion starting in western asia.

INSERT INTO Feature_YieldChanges (FeatureType , YieldType , YieldChange) VALUES ( 'FEATURE_FLOODPLAINS' , 'YIELD_FAITH' , 1);

UPDATE Terrain_YieldChanges SET YieldChange = 0 								WHERE 		TerrainType='TERRAIN_COAST' AND YieldType='YIELD_GOLD';
UPDATE Terrain_YieldChanges SET YieldChange = 0 								WHERE 		TerrainType='TERRAIN_COAST' AND YieldType='YIELD_FOOD';

--INSERT INTO Types 					([Type], Kind) 														VALUES 		( 'COAST_FOOD_FROM_ADJACENT_RIVER_AREX' , 	'KIND_MODIFIER');
--INSERT INTO GameModifiers 			(ModifierId) 														VALUES 		( 'COAST_FOOD_FROM_ADJACENT_RIVER_AREX' );
--INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 					VALUES 		( 'COAST_FOOD_FROM_ADJACENT_RIVER_AREX',	'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS' ,'REQSET_COAST_ADJACENT_TO_RIVER');
--INSERT INTO ModifierArguments 		(ModifierId , Name , [Value]) 										VALUES 		( 'COAST_FOOD_FROM_ADJACENT_RIVER_AREX' , 	'Amount' , 		1 ),
--																													( 'COAST_FOOD_FROM_ADJACENT_RIVER_AREX' , 	'YieldType' , 	'YIELD_FOOD' );	
																							


--Give Sweden and Norway Taiga bias.
INSERT INTO StartBiasTerrains (CivilizationType , TerrainType , Tier) VALUES ('CIVILIZATION_SWEDEN' , 'TERRAIN_TUNDRA' , 3);
INSERT INTO StartBiasTerrains (CivilizationType , TerrainType , Tier) VALUES ('CIVILIZATION_SWEDEN' , 'TERRAIN_TUNDRA_HILLS' , 3);
INSERT INTO StartBiasTerrains (CivilizationType , TerrainType , Tier) VALUES ('CIVILIZATION_SWEDEN' , 'TERRAIN_TUNDRA_MOUNTAIN' , 4);
INSERT INTO StartBiasTerrains (CivilizationType , TerrainType , Tier) VALUES ('CIVILIZATION_NORWAY' , 'TERRAIN_TUNDRA' , 3);
INSERT INTO StartBiasTerrains (CivilizationType , TerrainType , Tier) VALUES ('CIVILIZATION_NORWAY' , 'TERRAIN_TUNDRA_HILLS' , 3);
INSERT INTO StartBiasTerrains (CivilizationType , TerrainType , Tier) VALUES ('CIVILIZATION_NORWAY' , 'TERRAIN_TUNDRA_MOUNTAIN' , 3);


--------------------------------------------------------------
--------------------------------------------------------------
-- END OF TERRAINS
--------------------------------------------------------------
--------------------------------------------------------------


--------------------------------------------------------------
--------------------------------------------------------------
-- FEATURES
--------------------------------------------------------------
--------------------------------------------------------------


UPDATE Features SET MovementChange=-1 WHERE FeatureType='FEATURE_OASIS' OR FeatureType='FEATURE_FLOODPLAINS';
UPDATE Feature_YieldChanges SET YieldChange = 1 WHERE FeatureType='FEATURE_FLOODPLAINS' AND YieldType='YIELD_FOOD';

--INSERT INTO Feature_ValidTerrains(FeatureType,TerrainType) VALUES ('FEATURE_JUNGLE','TERRAIN_PLAINS');
--INSERT INTO Feature_ValidTerrains(FeatureType,TerrainType) VALUES ('FEATURE_JUNGLE','TERRAIN_PLAINS_HILLS');

--No more floodplains
--UPDATE Feature_YieldChanges SET YieldChange=2 WHERE YieldType='YIELD_FOOD' AND FeatureType='FEATURE_FLOODPLAINS';

--INSERT INTO Feature_Removes (FeatureType,YieldType,Yield) VALUES ('FEATURE_JUNGLE','YIELD_PRODUCTION',10);

--INVALID ADJACENT FEATURES:
--Feature_NotAdjacentTerrains
--Feature_NotNearFeatures

--Defensive bonuses from Terrain, FEatures and IMPROVEMENTS

UPDATE Features 		SET DefenseModifier= 6		WHERE 	FeatureType='FEATURE_JUNGLE';					-- Default 3
UPDATE Features 		SET DefenseModifier= 5		WHERE 	FeatureType='FEATURE_FOREST';					-- Default 3
UPDATE Terrains 		SET DefenseModifier= 5		WHERE 	Hills = 1;										-- Default 3
UPDATE Terrains 		SET DefenseModifier= 10		WHERE 	Mountain = 1;									-- Default 0


UPDATE GlobalParameters 	SET Value= 10		WHERE 	Name = 'COMBAT_RIVER_DEFENSE';						-- Default 5

-------------------------------------------------------------
--VOLCANIC SOIL
-------------------------------------------------------------
--No longer placed on Snow (meaning no Farming possible in snow terrain).
DELETE FROM Feature_ValidTerrains WHERE FeatureType = 'FEATURE_VOLCANIC_SOIL' AND TerrainType ='TERRAIN_SNOW';			
DELETE FROM Feature_ValidTerrains WHERE FeatureType = 'FEATURE_VOLCANIC_SOIL' AND TerrainType ='TERRAIN_SNOW_HILLS';

-------------------------------------------------------------
--OASIS
-------------------------------------------------------------
UPDATE Feature_YieldChanges SET YieldChange=2 WHERE YieldType='YIELD_FOOD' AND FeatureType='FEATURE_OASIS';
UPDATE Feature_YieldChanges SET YieldChange=2 WHERE YieldType='YIELD_GOLD' AND FeatureType='FEATURE_OASIS';

-------------------------------------------------------------
--WOODS / FOREST
-------------------------------------------------------------
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_FOREST','TERRAIN_DESERT');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_FOREST','TERRAIN_DESERT_HILLS');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_FOREST','TERRAIN_DESERT_MOUNTAIN');

--Can't be placed next to Oasis!
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) VALUES ('FEATURE_FOREST','FEATURE_OASIS');			

-------------------------------------------------------------
--RAINFOREST / JUNGLE
-------------------------------------------------------------


UPDATE Features SET Description = 'LOC_FEATURE_JUNGLE_DESCRIPTION' 	WHERE FeatureType = 'FEATURE_JUNGLE';

INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_JUNGLE','TERRAIN_TUNDRA');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_JUNGLE','TERRAIN_TUNDRA_HILLS');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_JUNGLE','TERRAIN_TUNDRA_MOUNTAIN');

INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_JUNGLE','TERRAIN_SNOW');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_JUNGLE','TERRAIN_SNOW_HILLS');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_JUNGLE','TERRAIN_SNOW_MOUNTAIN');

UPDATE Feature_Removes SET Yield=10 WHERE FeatureType='FEATURE_JUNGLE' AND YieldType='YIELD_FOOD';

-- +1 Science after researching Biology:
INSERT INTO Modifiers (ModifierId,ModifierType) VALUES ('BIOLOGY_JUNGLE_SCIENCE','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) VALUES ('BIOLOGY_JUNGLE_SCIENCE_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','PLOT_HAS_JUNGLE_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('BIOLOGY_JUNGLE_SCIENCE','ModifierId','BIOLOGY_JUNGLE_SCIENCE_MODIFIER');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('BIOLOGY_JUNGLE_SCIENCE_MODIFIER','YieldType','YIELD_SCIENCE');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('BIOLOGY_JUNGLE_SCIENCE_MODIFIER','Amount','1');

-------------------------------------------------------------
--MARSH / MARSHES (moved from AgreV)
-------------------------------------------------------------

--Can no longer spawn next to Snow or Desert terrain.
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_MARSH','TERRAIN_SNOW');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_MARSH','TERRAIN_SNOW_HILLS');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_MARSH','TERRAIN_SNOW_MOUNTAIN');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_MARSH','TERRAIN_DESERT');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_MARSH','TERRAIN_DESERT_HILLS');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_MARSH','TERRAIN_DESERT_MOUNTAIN');

UPDATE Features SET Appeal=-2 WHERE FeatureType='FEATURE_MARSH'; --was -2
UPDATE Feature_YieldChanges SET YieldChange=-1 WHERE YieldType='YIELD_FOOD' AND FeatureType='FEATURE_MARSH';
INSERT INTO Feature_YieldChanges (FeatureType,YieldType,YieldChange) VALUES ('FEATURE_MARSH','YIELD_PRODUCTION',-1);
INSERT INTO Feature_ValidTerrains(FeatureType,TerrainType) VALUES ('FEATURE_MARSH','TERRAIN_TUNDRA');
INSERT INTO Feature_ValidTerrains(FeatureType,TerrainType) VALUES ('FEATURE_MARSH','TERRAIN_PLAINS');
UPDATE Feature_Removes SET Yield=15 WHERE FeatureType='FEATURE_MARSH' AND YieldType='YIELD_FOOD';

UPDATE Features SET Description = 'LOC_FEATURE_MARSH_DESCRIPTION' 	WHERE FeatureType = 'FEATURE_MARSH';
	
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_FARM' AND ResourceType='RESOURCE_RICE';
--REMOVED IN 2.5		delete from Improvement_ValidFeatures where ImprovementType='IMPROVEMENT_FARM' and FeatureType='FEATURE_MARSH';

--------------------------------------------------------------	
--Marsh get +2 food and +1 prod from adjacent pasture, if it has no improvement or rice
--------------------------------------------------------------	
INSERT INTO Types 			([Type], Kind) 													VALUES 		('MARSH_PASTURE_FOOD_BONUS' , 				'KIND_MODIFIER');
INSERT INTO Types 			([Type], Kind) 													VALUES 		('MARSH_PASTURE_PRODUCTION_BONUS' ,			'KIND_MODIFIER');
INSERT INTO Modifiers 		(ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('MARSH_PASTURE_FOOD_BONUS',				'MODIFIER_GAME_ADJUST_PLOT_YIELD','REQSET_ADJACENT_PASTURE_AND_NO_RICE');
INSERT INTO Modifiers 		(ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('MARSH_PASTURE_PRODUCTION_BONUS',			'MODIFIER_GAME_ADJUST_PLOT_YIELD','REQSET_ADJACENT_PASTURE_AND_NO_RICE');
INSERT INTO GameModifiers 	(ModifierId) 													VALUES 		('MARSH_PASTURE_FOOD_BONUS');		
INSERT INTO GameModifiers 	(ModifierId) 													VALUES 		('MARSH_PASTURE_PRODUCTION_BONUS');		
				
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('MARSH_PASTURE_FOOD_BONUS',				'YieldType','YIELD_FOOD');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('MARSH_PASTURE_FOOD_BONUS',				'Amount',2);
				
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('MARSH_PASTURE_PRODUCTION_BONUS',			'YieldType','YIELD_PRODUCTION');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('MARSH_PASTURE_PRODUCTION_BONUS',			'Amount',1);

--------------------------------------------------------------	
--Give Rice bonus food and production when on a marsh, to negate Marsh minus
--------------------------------------------------------------	
INSERT INTO Types 			([Type], Kind) 													VALUES 		('MARSH_RICE_FOOD_BONUS' , 'KIND_MODIFIER');
INSERT INTO Types 			([Type], Kind) 													VALUES 		('MARSH_RICE_PRODUCTION_BONUS' , 'KIND_MODIFIER');
INSERT INTO Modifiers 		(ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('MARSH_RICE_FOOD_BONUS','MODIFIER_GAME_ADJUST_PLOT_YIELD','REQSET_MARSH_AND_RICE');
INSERT INTO Modifiers 		(ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('MARSH_RICE_PRODUCTION_BONUS','MODIFIER_GAME_ADJUST_PLOT_YIELD','REQSET_MARSH_AND_RICE');
INSERT INTO GameModifiers 	(ModifierId) 													VALUES 		('MARSH_RICE_FOOD_BONUS');
INSERT INTO GameModifiers 	(ModifierId) 													VALUES 		('MARSH_RICE_PRODUCTION_BONUS');
		
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('MARSH_RICE_FOOD_BONUS','YieldType','YIELD_FOOD');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('MARSH_RICE_FOOD_BONUS','Amount',2);
		
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('MARSH_RICE_PRODUCTION_BONUS','YieldType','YIELD_PRODUCTION');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 									VALUES 		('MARSH_RICE_PRODUCTION_BONUS','Amount',1);

-------------------------------------------------------------
--REEF / REEFS
-------------------------------------------------------------		

--Wont spawn next to snow terrain
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_REEF','TERRAIN_SNOW');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_REEF','TERRAIN_SNOW_HILLS');
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_REEF','TERRAIN_SNOW_MOUNTAIN');


		
UPDATE Features SET DefenseModifier=-2, MovementChange=0, Appeal=1 where FeatureType='FEATURE_REEF'; --was movement change 1 in 2.7.3 and earlier but this causes units to disembark and other annoyances.
UPDATE Feature_YieldChanges SET YieldType='YIELD_CULTURE' where FeatureType='FEATURE_REEF' and YieldType='YIELD_PRODUCTION';

--REMOVED IN 2.5 		INSERT INTO Feature_YieldChanges (FeatureType , YieldType , YieldChange)		VALUES		( 'FEATURE_REEF' , 'YIELD_FAITH' , 1 );
--REMOVED IN 2.5		INSERT INTO Feature_YieldChanges (FeatureType , YieldType , YieldChange)		VALUES		( 'FEATURE_REEF' , 'YIELD_GOLD' , 1 );

UPDATE Features 		SET MovementChange=6									WHERE 		FeatureType='FEATURE_MARSH';				-- Default 1
UPDATE Features 		SET MovementChange=5									WHERE 		FeatureType='FEATURE_JUNGLE';				-- Default 1
UPDATE Features 		SET MovementChange=4									WHERE 		FeatureType='FEATURE_FOREST';				-- Default 1
UPDATE Features 		SET MovementChange=1									WHERE 		FeatureType='FEATURE_GEOTHERMAL_FISSURE';	-- Default NULL

-- Biology +1 appeal for Marshes

INSERT INTO 	TechnologyModifiers (TechnologyType,ModifierId) 							VALUES		('TECH_BIOLOGY',						'BIOLOGY_MARSHES_APPEAL_BONUS');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('BIOLOGY_MARSHES_APPEAL_BONUS',		'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('BIOLOGY_MARSHES_APPEAL_BONUS',		'FeatureType','FEATURE_MARSH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('BIOLOGY_MARSHES_APPEAL_BONUS',		'Amount',1);

-- Conservation: +2 Faith bonus to unimproved features.

INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_CONSERVATION','CONSERVATION_FAITH_JUNGLE');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_CONSERVATION','CONSERVATION_FAITH_FOREST');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_CONSERVATION','CONSERVATION_FAITH_REEF');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_CONSERVATION','CONSERVATION_FAITH_MARSH');

INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('CONSERVATION_FAITH_JUNGLE','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('CONSERVATION_FAITH_FOREST','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('CONSERVATION_FAITH_REEF','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('CONSERVATION_FAITH_MARSH','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');

INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('CONSERVATION_FAITH_JUNGLE_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_CONSERVATION_FAITH_JUNGLE');
INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('CONSERVATION_FAITH_FOREST_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_CONSERVATION_FAITH_FOREST');
INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('CONSERVATION_FAITH_REEF_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_CONSERVATION_FAITH_REEF');
INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('CONSERVATION_FAITH_MARSH_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_CONSERVATION_FAITH_MARSH');

INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_JUNGLE','ModifierId','CONSERVATION_FAITH_JUNGLE_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_FOREST','ModifierId','CONSERVATION_FAITH_FOREST_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_REEF','ModifierId','CONSERVATION_FAITH_REEF_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_MARSH','ModifierId','CONSERVATION_FAITH_MARSH_MODIFIER');

INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_JUNGLE_MODIFIER','YieldType','YIELD_FAITH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_JUNGLE_MODIFIER','Amount',2);
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_FOREST_MODIFIER','YieldType','YIELD_FAITH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_FOREST_MODIFIER','Amount',2);
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_REEF_MODIFIER','YieldType','YIELD_FAITH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_REEF_MODIFIER','Amount',2);
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_MARSH_MODIFIER','YieldType','YIELD_FAITH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_FAITH_MARSH_MODIFIER','Amount',2);
										
-- Also +1 appeal to Marshes and Rainforest

INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_CONSERVATION',						'CONSERVATION_MARSHES_APPEAL_BONUS');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('CONSERVATION_MARSHES_APPEAL_BONUS',		'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_MARSHES_APPEAL_BONUS',		'FeatureType','FEATURE_MARSH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_MARSHES_APPEAL_BONUS',		'Amount',1);

INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_CONSERVATION',						'CONSERVATION_JUNGLE_APPEAL_BONUS');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('CONSERVATION_JUNGLE_APPEAL_BONUS',		'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_JUNGLE_APPEAL_BONUS',		'FeatureType','FEATURE_JUNGLE');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_JUNGLE_APPEAL_BONUS',		'Amount',1);

-- Environmentalism: Faith +2 from unimproved features

INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','CONSERVATION_FAITH_JUNGLE');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','CONSERVATION_FAITH_FOREST');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','CONSERVATION_FAITH_REEF');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','CONSERVATION_FAITH_MARSH');

-- Also +1 appeal to Marshes and Rainforest

INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM',						'ENVIRONMENTALISM_MARSHES_APPEAL_BONUS');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('ENVIRONMENTALISM_MARSHES_APPEAL_BONUS',		'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_MARSHES_APPEAL_BONUS',		'FeatureType','FEATURE_MARSH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_MARSHES_APPEAL_BONUS',		'Amount',1);

INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM',						'ENVIRONMENTALISM_JUNGLE_APPEAL_BONUS');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('ENVIRONMENTALISM_JUNGLE_APPEAL_BONUS',		'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_JUNGLE_APPEAL_BONUS',		'FeatureType','FEATURE_JUNGLE');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_JUNGLE_APPEAL_BONUS',		'Amount',1);

-- Environmentalism: Science +1 from unimproved features

INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','ENVIRONMENTALISM_SCIENCE_JUNGLE');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','ENVIRONMENTALISM_SCIENCE_FOREST');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','ENVIRONMENTALISM_SCIENCE_REEF');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','ENVIRONMENTALISM_SCIENCE_MARSH');

INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('ENVIRONMENTALISM_SCIENCE_JUNGLE','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('ENVIRONMENTALISM_SCIENCE_FOREST','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('ENVIRONMENTALISM_SCIENCE_REEF','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('ENVIRONMENTALISM_SCIENCE_MARSH','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');

INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('CONSERVATION_SCIENCE_JUNGLE_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_CONSERVATION_FAITH_JUNGLE');
INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('CONSERVATION_SCIENCE_FOREST_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_CONSERVATION_FAITH_FOREST');
INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('CONSERVATION_SCIENCE_REEF_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_CONSERVATION_FAITH_REEF');
INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('CONSERVATION_SCIENCE_MARSH_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_CONSERVATION_FAITH_MARSH');

INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_SCIENCE_JUNGLE','ModifierId','CONSERVATION_SCIENCE_JUNGLE_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_SCIENCE_FOREST','ModifierId','CONSERVATION_SCIENCE_FOREST_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_SCIENCE_REEF','ModifierId','CONSERVATION_SCIENCE_REEF_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_SCIENCE_MARSH','ModifierId','CONSERVATION_SCIENCE_MARSH_MODIFIER');

INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_SCIENCE_JUNGLE_MODIFIER','YieldType','YIELD_SCIENCE');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_SCIENCE_JUNGLE_MODIFIER','Amount',1);
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_SCIENCE_FOREST_MODIFIER','YieldType','YIELD_SCIENCE');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_SCIENCE_FOREST_MODIFIER','Amount',1);
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_SCIENCE_REEF_MODIFIER','YieldType','YIELD_SCIENCE');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_SCIENCE_REEF_MODIFIER','Amount',1);
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_SCIENCE_MARSH_MODIFIER','YieldType','YIELD_SCIENCE');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('CONSERVATION_SCIENCE_MARSH_MODIFIER','Amount',1);

--Environmentalism: +2 Faith from unimproved Coal and Oil tiles.
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','ENVIRONMENTALISM_FAITH_FROM_NO_COAL');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','ENVIRONMENTALISM_FAITH_FROM_NO_OIL');
INSERT INTO 	CivicModifiers(CivicType,ModifierId) 										VALUES		('CIVIC_ENVIRONMENTALISM','ENVIRONMENTALISM_FAITH_FROM_NO_URANIUM');

INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_COAL','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_OIL','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');
INSERT INTO 	Modifiers (ModifierId,ModifierType) 										VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_URANIUM','MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER');

INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_COAL_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_NO_IMPROVED_COAL');
INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_OIL_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_NO_IMPROVED_OIL');
INSERT INTO 	Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 				VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_URANIUM_MODIFIER','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_NO_IMPROVED_URANIUM');

INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_COAL','ModifierId','ENVIRONMENTALISM_FAITH_FROM_NO_COAL_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_OIL','ModifierId','ENVIRONMENTALISM_FAITH_FROM_NO_OIL_MODIFIER');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_URANIUM','ModifierId','ENVIRONMENTALISM_FAITH_FROM_NO_URANIUM_MODIFIER');

INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_COAL_MODIFIER','YieldType','YIELD_FAITH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_COAL_MODIFIER','Amount',2);
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_OIL_MODIFIER','YieldType','YIELD_FAITH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_OIL_MODIFIER','Amount',2);
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_URANIUM','YieldType','YIELD_FAITH');
INSERT INTO 	ModifierArguments (ModifierId,Name,[Value]) 								VALUES 		('ENVIRONMENTALISM_FAITH_FROM_NO_URANIUM','Amount',2);

-------------------------------------------------------------
--ICE
-------------------------------------------------------------
-- Let ice spawn on land
INSERT INTO Feature_ValidTerrains(FeatureType,TerrainType) VALUES 	('FEATURE_ICE','TERRAIN_SNOW'),
																	('FEATURE_ICE','TERRAIN_SNOW_HILLS');
																	
UPDATE Features SET Description = 'LOC_FEATURE_ICE_DESCRIPTION' 	WHERE FeatureType = 'FEATURE_ICE';

--These features cannot be placed next to Ice
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) VALUES ('FEATURE_REEF','FEATURE_ICE');															
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) VALUES ('FEATURE_MARSH','FEATURE_ICE');
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) VALUES ('FEATURE_VOLCANIC_SOIL','FEATURE_ICE');

-- Ice can't be placed next to these Natural Wonders
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) VALUES ('FEATURE_ICE','FEATURE_CRATER_LAKE');
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) VALUES ('FEATURE_ICE','FEATURE_YOSEMITE');
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) VALUES ('FEATURE_ICE','FEATURE_DEVILSTOWER');
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) VALUES ('FEATURE_ICE','FEATURE_KILIMANJARO');
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) VALUES ('FEATURE_ICE','FEATURE_ZHANGYE_DANXIA');

INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) 	SELECT 		'FEATURE_ICE', 'FEATURE_EYJAFJALLAJOKULL' 	WHERE EXISTS (SELECT 2 FROM Features 	WHERE FeatureType = 'FEATURE_EYJAFJALLAJOKULL');
INSERT INTO Feature_NotNearFeatures (FeatureType,FeatureTypeAvoid) 	SELECT 		'FEATURE_ICE', 'FEATURE_LYSEFJORDEN' 		WHERE EXISTS (SELECT 2 FROM Features 	WHERE FeatureType = 'FEATURE_LYSEFJORDEN');

-------------------------------------------------------------
--NATURAL WONDERS
-------------------------------------------------------------	
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_PANTANAL','TERRAIN_SNOW_HILLS');		--Pantanal isn't Tundra nor Taiga climate
INSERT INTO Feature_NotAdjacentTerrains (FeatureType,TerrainType) VALUES ('FEATURE_PANTANAL','TERRAIN_SNOW_MOUNTAIN');	--Pantanal isn't Tundra nor Taiga climate

UPDATE Feature_AdjacentYields SET YieldType='YIELD_FAITH' WHERE FeatureType='FEATURE_KILIMANJARO';

DELETE FROM Feature_ValidTerrains WHERE FeatureType = 'FEATURE_TSINGY' AND TerrainType ='TERRAIN_TUNDRA';				--Madagascar isn't Tundra nor Taiga climate.
DELETE FROM Feature_ValidTerrains WHERE FeatureType = 'FEATURE_TSINGY' AND TerrainType ='TERRAIN_TUNDRA_HILLS';			--Madagascar isn't Tundra nor Taiga climate.

--Pantanal will now same movement as Marsh
UPDATE Features SET MovementChange=6 WHERE FeatureType='FEATURE_PANTANAL';

--------------------------------------------------------------
--------------------------------------------------------------
-- END OF FEATURES
--------------------------------------------------------------
--------------------------------------------------------------

----------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------
-- RESOURCES
----------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------


UPDATE Resources SET PrereqTech=NULL 						WHERE ResourceType='RESOURCE_HORSES';
UPDATE Resources SET PrereqTech='TECH_MINING' 				WHERE ResourceType = 'RESOURCE_COPPER' OR ResourceType = 'RESOURCE_SALT';
UPDATE Resources SET PrereqTech='TECH_SAILING' 				WHERE ResourceType = 'RESOURCE_CRABS' OR ResourceType = 'RESOURCE_FISH' OR ResourceType = 'RESOURCE_PEARLS' OR ResourceType = 'RESOURCE_TURTLES';
UPDATE Resources SET PrereqTech='TECH_IRRIGATION' 			WHERE ResourceType = 'RESOURCE_COCOA' OR ResourceType = 'RESOURCE_COTTON' OR ResourceType = 'RESOURCE_SPICES' OR ResourceType = 'RESOURCE_TEA' OR ResourceType='RESOURCE_OLIVES';
UPDATE Resources SET PrereqTech='TECH_APPRENTICESHIP' 		WHERE ResourceType = 'RESOURCE_DYES';
UPDATE Resources SET PrereqTech='TECH_CURRENCY' 			WHERE ResourceType = 'RESOURCE_SILVER';
UPDATE Resources SET PrereqTech='TECH_ANIMAL_HUSBANDRY' 	WHERE ResourceType = 'RESOURCE_TRUFFLES';
UPDATE Resources SET PrereqTech='TECH_SHIPBUILDING' 		WHERE ResourceType = 'RESOURCE_WHALES';
UPDATE Resources SET PrereqTech='TECH_INDUSTRIALIZATION' 	WHERE ResourceType = 'RESOURCE_COAL';
	
UPDATE Resources SET PrereqCivic='CIVIC_CRAFTSMANSHIP' 		WHERE ResourceType = 'RESOURCE_GYPSUM' OR ResourceType = 'RESOURCE_MARBLE' OR ResourceType = 'RESOURCE_JADE' OR ResourceType = 'RESOURCE_AMBER';
UPDATE Resources SET PrereqCivic='CIVIC_MYSTICISM' 			WHERE ResourceType = 'RESOURCE_TOBACCO' OR ResourceType = 'RESOURCE_INCENSE';




UPDATE Resources SET PrereqTech= 'TECH_BRONZE_WORKING' , RevealedEra=0 							WHERE 		ResourceType = 'RESOURCE_MERCURY';
UPDATE Resources SET PrereqTech= 'TECH_CURRENCY' , RevealedEra=2 								WHERE 		ResourceType = 'RESOURCE_DIAMONDS';
UPDATE Resources SET PrereqTech= 'TECH_CURRENCY' , RevealedEra=2 								WHERE 		ResourceType = 'RESOURCE_SILK';
UPDATE Resources SET PrereqTech= 'TECH_APPRENTICESHIP' , RevealedEra=3 							WHERE 		ResourceType = 'RESOURCE_SUGAR';
UPDATE Resources SET PrereqCivic= 'CIVIC_MEDIEVAL_FAIRES' , PrereqTech=null , RevealedEra=3 	WHERE 		ResourceType = 'RESOURCE_COFFEE';
UPDATE Resources SET PrereqTech= 'TECH_GUNPOWDER' , RevealedEra=2 								WHERE 		ResourceType = 'RESOURCE_NITER';


UPDATE Resources SET RevealedEra=2 																WHERE 		ResourceType = 'RESOURCE_WHALES'; --was 1
UPDATE Resources SET RevealedEra=3 																WHERE 		ResourceType = 'RESOURCE_DYES'; --was 1
UPDATE Resources SET RevealedEra=1 																WHERE 		ResourceType = 'RESOURCE_TURTLES'; --was 6 in 2.4
UPDATE Resources SET PrereqTech= 'TECH_REFINING' , RevealedEra=6  								WHERE 		ResourceType = 'RESOURCE_ALUMINUM';
UPDATE Resources SET PrereqTech= 'TECH_REFINING' , RevealedEra=6 								WHERE 		ResourceType = 'RESOURCE_URANIUM';
--------------------------------------------------------------

--ADJACENT TO LAND (was 0)

UPDATE Resources SET AdjacentToLand=1 															WHERE 		ResourceType = 'RESOURCE_CRABS';
UPDATE Resources SET AdjacentToLand=1 															WHERE 		ResourceType = 'RESOURCE_TURTLES';
UPDATE Resources SET AdjacentToLand=1 															WHERE 		ResourceType = 'RESOURCE_PEARLS';

--------------------------------------------------------------

--FREQUENCIES

UPDATE Resources SET Frequency=16 		WHERE 		ResourceType =	'RESOURCE_IRON'; 	--was 12
UPDATE Resources SET Frequency=9 		WHERE 		ResourceType = 	'RESOURCE_HORSES'; 	--was 4
UPDATE Resources SET Frequency=9 		WHERE 		ResourceType = 	'RESOURCE_CATTLE'; 	--was 6
UPDATE Resources SET Frequency=6 		WHERE 		ResourceType = 	'RESOURCE_DEER'; 	--was 4
UPDATE Resources SET Frequency=9 		WHERE 		ResourceType = 	'RESOURCE_SHEEP'; 	--was 4
UPDATE Resources SET Frequency=6 		WHERE 		ResourceType = 	'RESOURCE_COPPER'; 	--was 4

UPDATE Resources SET SeaFrequency=1 	WHERE 		ResourceType = 	'RESOURCE_AMBER'; 	--was 2	
UPDATE Resources SET SeaFrequency=2 	WHERE 		ResourceType = 	'RESOURCE_TURTLES'; --was 5
UPDATE Resources SET SeaFrequency=2 	WHERE 		ResourceType = 	'RESOURCE_PEARLS'; 	--was 1
UPDATE Resources SET SeaFrequency=2 	WHERE 		ResourceType = 	'RESOURCE_WHALES'; 	--was 1
UPDATE Resources SET SeaFrequency=8 	WHERE 		ResourceType = 	'RESOURCE_OIL'; 	--was 8
UPDATE Resources SET SeaFrequency=12 	WHERE 		ResourceType = 	'RESOURCE_CRABS'; 	--was 17
UPDATE Resources SET SeaFrequency=22 	WHERE 		ResourceType = 	'RESOURCE_FISH'; 	--was 23

--------------------------------------------------------------

--EXTRACTION RATES & STOCKPILE CAP

-- REMOVED IN 2.6		UPDATE Resource_Consumption SET StockpileCap=75 WHERE ResourceType='RESOURCE_HORSES';


--REQUIRES RIVER?
UPDATE Resources SET RequiresRiver=1 WHERE ResourceType='RESOURCE_COTTON'; --very water-demanding

UPDATE Resources SET RequiresRiver=1 WHERE ResourceType='RESOURCE_SUGAR'; --warm, tropical


--------------------------------------------------------------

--VALID TERRAINS:
--DELETE FROM Resource_ValidTerrains	WHERE	ResourceType = '' AND TerrainType = '';


INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_ALUMINUM','TERRAIN_PLAINS_HILLS');

DELETE FROM Resource_ValidTerrains	WHERE	ResourceType = 				'RESOURCE_ANTIQUITY_SITE' AND TerrainType = 'TERRAIN_SNOW';
DELETE FROM Resource_ValidTerrains	WHERE	ResourceType = 				'RESOURCE_ANTIQUITY_SITE' AND TerrainType = 'TERRAIN_SNOW_HILLS';

INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_CATTLE','TERRAIN_PLAINS'); --Agrev
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_CATTLE','TERRAIN_TUNDRA'); --new in 2.8
	
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_COAL','TERRAIN_TUNDRA_HILLS');
	
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_COFFEE','TERRAIN_PLAINS');

DELETE FROM Resource_ValidTerrains	WHERE	ResourceType = 				'RESOURCE_COPPER' AND TerrainType = 'TERRAIN_SNOW_HILLS';

INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_COTTON','TERRAIN_DESERT'); --Cotton now requires river
--INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_COTTON','TERRAIN_PLAINS'); --Cotton now requires river
--INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_COTTON','TERRAIN_GRASS'); --Cotton now requires river

INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_DEER','TERRAIN_GRASS');
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_DEER','TERRAIN_GRASS_HILLS');
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_DEER','TERRAIN_PLAINS');
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_DEER','TERRAIN_PLAINS_HILLS');

DELETE FROM Resource_ValidTerrains	WHERE	ResourceType = 'RESOURCE_DIAMONDS' AND TerrainType = 'TERRAIN_TUNDRA_HILLS'; --diamonds wouldn't be mined in taiga in early history

INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_FURS','TERRAIN_TUNDRA_HILLS');

INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_HORSES','TERRAIN_TUNDRA'); --Agrev
	
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_IVORY','TERRAIN_GRASS'); --Agrev

DELETE FROM Resource_ValidTerrains	WHERE	ResourceType = 				'RESOURCE_OLIVES' AND TerrainType = 'TERRAIN_GRASS';

INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_OLIVES','TERRAIN_PLAINS');
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_OLIVES','TERRAIN_PLAINS_HILLS');

DELETE FROM Resource_ValidTerrains	WHERE	ResourceType = 				'RESOURCE_SALT' AND TerrainType = 'TERRAIN_TUNDRA'; --A lot of freshwater in taiga means less sea salt, and rock salt hasn't been as important.
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_SALT','TERRAIN_GRASS');
	
DELETE FROM Resource_ValidTerrains	WHERE	ResourceType = 				'RESOURCE_SILVER' AND TerrainType = 'TERRAIN_TUNDRA';
DELETE FROM Resource_ValidTerrains	WHERE	ResourceType = 				'RESOURCE_SILVER' AND TerrainType = 'TERRAIN_TUNDRA_HILLS';
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_SILVER','TERRAIN_GRASS');
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_SILVER','TERRAIN_GRASS_HILLS');
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_SILVER','TERRAIN_PLAINS');
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_SILVER','TERRAIN_PLAINS_HILLS');

INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_STONE','TERRAIN_PLAINS'); --Agrev
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_STONE','TERRAIN_PLAINS_HILLS'); --Agrev
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_STONE','TERRAIN_TUNDRA'); 
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_STONE','TERRAIN_TUNDRA_HILLS');  
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_STONE','TERRAIN_DESERT_HILLS'); 
	
--REMOVED IN 2.7 		INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_WHALES','TERRAIN_OCEAN'); --Agrev

INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_SUGAR','TERRAIN_PLAINS'); 	--Sugar now requires river
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_SUGAR','TERRAIN_GRASS'); 	--Sugar now requires river

--Wine can now be placed on hills.
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_WINE','TERRAIN_PLAINS_HILLS');
INSERT INTO Resource_ValidTerrains (ResourceType,TerrainType) VALUES 	('RESOURCE_WINE','TERRAIN_GRASS_HILLS');

--------------------------------------------------------------
--VALID FEATURES:
--------------------------------------------------------------	

INSERT INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_CATTLE','FEATURE_FOREST'); ----REMOVED IN 2.5	and returned in 2.8
--REMOVED IN 2.5		INSERT INTO Resource_ValidFeatures (ResourceType, FeatureType) VALUES ('RESOURCE_CATTLE','FEATURE_MARSH');

INSERT INTO Resource_ValidFeatures (ResourceType,FeatureType) VALUES ('RESOURCE_CRABS','FEATURE_REEF');
INSERT INTO Resource_ValidFeatures (ResourceType,FeatureType) VALUES ('RESOURCE_PEARLS','FEATURE_REEF');

DELETE FROM Resource_ValidFeatures	WHERE	ResourceType = 				'RESOURCE_SUGAR' AND FeatureType = 'FEATURE_MARSH';



--------------------------------------------------------------
--HARVEST YIELDS:
--------------------------------------------------------------	

UPDATE Resource_Harvests SET YieldType='YIELD_FOOD', Amount=25 WHERE ResourceType='RESOURCE_CRABS' and YieldType='YIELD_GOLD';
UPDATE Resource_Harvests SET YieldType='YIELD_FOOD', Amount=25 WHERE ResourceType='RESOURCE_DEER' and YieldType='YIELD_PRODUCTION';

UPDATE Resource_Harvests SET PrereqTech = 'TECH_CHEMISTRY' WHERE ResourceType ='RESOURCE_STONE';
--REMVOED IN 2.8		UPDATE Resource_Harvests SET YieldType='YIELD_PRODUCTION', Amount=25 WHERE ResourceType='RESOURCE_COPPER' and YieldType='YIELD_GOLD';


--------------------------------------------------------------

--YIELD CHANGES

UPDATE Resource_YieldChanges SET YieldType='YIELD_FOOD' 						WHERE ResourceType='RESOURCE_DEER'; --WAS +1 PROD
UPDATE Resource_YieldChanges SET YieldType='YIELD_FOOD' 						WHERE ResourceType='RESOURCE_OLIVES' AND YieldType = 'YIELD_PRODUCTION';
UPDATE Resource_YieldChanges SET YieldChange = 1 								WHERE ResourceType='RESOURCE_WINE' AND YieldType = 'YIELD_FOOD'; --was 0 in 2.7
INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) 			VALUES ('RESOURCE_WINE','YIELD_CULTURE',2); 			--was 0 in vanilla
UPDATE Resource_YieldChanges SET YieldChange = -2 								WHERE ResourceType='RESOURCE_WINE' AND YieldType = 'YIELD_GOLD';

INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_COTTON','YIELD_PRODUCTION',1); 			--was 0 prod
INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_COTTON','YIELD_FOOD',-1); 					--was 0 food

INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_COPPER','YIELD_PRODUCTION',1); 			--was 0 prod
--INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_COPPER','YIELD_CULTURE',1); 				--was 0 prod

UPDATE Resource_YieldChanges SET YieldType='YIELD_CULTURE' WHERE ResourceType='RESOURCE_DYES'; --was +1 faith
UPDATE Resource_YieldChanges SET YieldType='YIELD_CULTURE' WHERE ResourceType='RESOURCE_PEARLS' AND YieldType='YIELD_FAITH'; 		--was +1 faith
INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_PEARLS','YIELD_GOLD',2); 					--was 1 gold (agrev)
INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_AMBER','YIELD_GOLD',1); 					--was 1 gold (agrev)
UPDATE Resource_YieldChanges SET YieldChange=1 WHERE ResourceType='RESOURCE_SPICES' and YieldType='YIELD_FOOD';
UPDATE Resource_YieldChanges SET YieldChange=1 WHERE ResourceType='RESOURCE_SUGAR' and YieldType='YIELD_FOOD';
UPDATE Resource_YieldChanges SET YieldChange=2, YieldType='YIELD_PRODUCTION' WHERE ResourceType='RESOURCE_IRON' and YieldType='YIELD_SCIENCE';

--REMOVED IN 2.5		UPDATE Resource_YieldChanges SET YieldChange=1 WHERE ResourceType='RESOURCE_COPPER' and YieldType='YIELD_GOLD'; (now yields +2 gold like in vanilla).
--REMOVED IN 2.5 		UPDATE Resource_YieldChanges SET YieldChange=1 WHERE ResourceType='RESOURCE_CRABS' and YieldType='YIELD_GOLD';
--REMOVED IN 2.5 		INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_CRABS','YIELD_FOOD',1);

--Fish -starts with +1 food

--REMOVED IN 2.7		UPDATE Resource_YieldChanges SET YieldChange=2 WHERE ResourceType='RESOURCE_FISH' and YieldType='YIELD_FOOD';

--Crabs -starts with +1 food
--REMOVED IN 2.7		INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_CRABS','YIELD_FOOD',1);

--Citrus

UPDATE Resource_YieldChanges SET YieldChange=1 WHERE ResourceType='RESOURCE_CITRUS' and YieldType='YIELD_FOOD';
INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_CITRUS','YIELD_GOLD',2); 

--Turtles

UPDATE Resource_YieldChanges SET YieldType='YIELD_CULTURE' WHERE ResourceType='RESOURCE_TURTLES' AND YieldType='YIELD_SCIENCE';
INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_TURTLES','YIELD_FAITH',1); 		
INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_TURTLES','YIELD_FOOD',-1); 

--Furs
UPDATE Resource_YieldChanges SET YieldChange=0 WHERE ResourceType='RESOURCE_FURS' and YieldType='YIELD_FOOD';
UPDATE Resource_YieldChanges SET YieldChange=1 WHERE ResourceType='RESOURCE_FURS' and YieldType='YIELD_GOLD';	
INSERT INTO Resource_YieldChanges (ResourceType,YieldType,YieldChange) VALUES ('RESOURCE_FURS','YIELD_PRODUCTION',1); 


-------------------------------------------------------------------------------------------------------------------
--Tech and Civics improve resource extraction rates:
-------------------------------------------------------------------------------------------------------------------

--------------------------------------------------------------
--------------------------------------------------------------

--HORSES
UPDATE Resource_Consumption SET ImprovedExtractionRate=0 WHERE ResourceType='RESOURCE_HORSES';

-- 2 horse per pasture with Wheel
INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_THE_WHEEL','THE_WHEEL_HORSE_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('THE_WHEEL_HORSE_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');																													
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('THE_WHEEL_HORSE_OUTPUT','ResourceType','RESOURCE_HORSES'), 
																			('THE_WHEEL_HORSE_OUTPUT','Amount',2);


--3 horse per pasture with horseback riding (+1).								
INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_HORSEBACK_RIDING','HORSEBACK_RIDING_HORSE_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('HORSEBACK_RIDING_HORSE_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');																													
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('HORSEBACK_RIDING_HORSE_OUTPUT','ResourceType','RESOURCE_HORSES'), 
																			('HORSEBACK_RIDING_HORSE_OUTPUT','Amount',1);
																			
--4 horses per pasture with +1 from stirrups								
INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_STIRRUPS','STIRRUPS_HORSE_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('STIRRUPS_HORSE_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');																																						
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('STIRRUPS_HORSE_OUTPUT','ResourceType','RESOURCE_HORSES'), 
																			('STIRRUPS_HORSE_OUTPUT','Amount',1);

--Feudalism gives +1 horses per turn.
INSERT INTO CivicModifiers (CivicType,ModifierId) 				VALUES 		('CIVIC_FEUDALISM','FEUDAL_HORSE_OUTPUT');
INSERT INTO Modifiers (ModifierId,ModifierType) 					VALUES 		('FEUDAL_HORSE_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');
INSERT INTO ModifierArguments (ModifierId,Name,[Value])			VALUES 		('FEUDAL_HORSE_OUTPUT','ResourceType','RESOURCE_HORSES'), 
																			('FEUDAL_HORSE_OUTPUT','Amount',1); --was 2 in agrev

--------------------------------------------------------------
--------------------------------------------------------------

-- IRON
															
--No iron from Iron mines until you've researched Iron Working:
UPDATE Resource_Consumption SET ImprovedExtractionRate=0 WHERE ResourceType='RESOURCE_IRON';

--Iron working +1
INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_IRON_WORKING','IRON_WORKING_IRON_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('IRON_WORKING_IRON_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');															
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('IRON_WORKING_IRON_OUTPUT','ResourceType','RESOURCE_IRON'), 
																			('IRON_WORKING_IRON_OUTPUT','Amount',1);
--Engineering +1															
INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_ENGINEERING','ENGINEERING_IRON_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('ENGINEERING_IRON_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');																
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('ENGINEERING_IRON_OUTPUT','ResourceType','RESOURCE_IRON'), 
																			('ENGINEERING_IRON_OUTPUT','Amount',1);

--Industrialization +1
INSERT INTO TechnologyModifiers(TechnologyType,ModifierId) 		VALUES		('TECH_INDUSTRIALIZATION','INDUSTRIAL_IRON_OUTPUT');																	
INSERT INTO Modifiers(ModifierId,ModifierType) 					VALUES 		('INDUSTRIAL_IRON_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');
INSERT INTO ModifierArguments(ModifierId,Name,[Value]) 			VALUES 		('INDUSTRIAL_IRON_OUTPUT','ResourceType','RESOURCE_IRON'), 
																			('INDUSTRIAL_IRON_OUTPUT','Amount',1); --was 6 in agrev
--Steel +1
INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_STEEL','STEEL_IRON_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('STEEL_IRON_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');													
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('STEEL_IRON_OUTPUT','ResourceType','RESOURCE_IRON'), 
																			('STEEL_IRON_OUTPUT','Amount',1);

--------------------------------------------------------------
--------------------------------------------------------------

-- NITER
																		
--Only 1 niter from Mines after researching Gunpowder:
UPDATE Resource_Consumption SET ImprovedExtractionRate=1 WHERE ResourceType='RESOURCE_NITER';

INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_METAL_CASTING','METAL_CASTING_NITER_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('METAL_CASTING_NITER_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');															
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('METAL_CASTING_NITER_OUTPUT','ResourceType','RESOURCE_NITER'), 
																			('METAL_CASTING_NITER_OUTPUT','Amount',1);

INSERT INTO TechnologyModifiers(TechnologyType,ModifierId) 		VALUES		('TECH_RIFLING','INDUSTRIAL_NITER_OUTPUT');
INSERT INTO Modifiers(ModifierId,ModifierType) 					VALUES 		('INDUSTRIAL_NITER_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');
INSERT INTO ModifierArguments(ModifierId,Name,[Value])	 		VALUES 		('INDUSTRIAL_NITER_OUTPUT','ResourceType','RESOURCE_NITER'), 
																			('INDUSTRIAL_NITER_OUTPUT','Amount',1); --was 2 in agrev
																			
INSERT INTO TechnologyModifiers(TechnologyType,ModifierId) 		VALUES		('TECH_CHEMISTRY','CHEMISTRY_NITER_OUTPUT');
INSERT INTO Modifiers(ModifierId,ModifierType) 					VALUES 		('CHEMISTRY_NITER_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');
INSERT INTO ModifierArguments(ModifierId,Name,[Value])	 		VALUES 		('CHEMISTRY_NITER_OUTPUT','ResourceType','RESOURCE_NITER'), 
																			('CHEMISTRY_NITER_OUTPUT','Amount',1); 
																			
--------------------------------------------------------------
--------------------------------------------------------------

-- OIL
UPDATE Resource_Consumption SET ImprovedExtractionRate=1 WHERE ResourceType='RESOURCE_OIL';

--Combustion +2

INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_COMBUSTION','COMBUSTION_OIL_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('COMBUSTION_OIL_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');																																						
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('COMBUSTION_OIL_OUTPUT','ResourceType','RESOURCE_OIL'), 
																			('COMBUSTION_OIL_OUTPUT','Amount',2);

--------------------------------------------------------------
--------------------------------------------------------------

-- URANIUM
						
--Only 1 uranium from Mines after researching Refining, but more after Nuclear Fission is researched.
UPDATE Resource_Consumption SET ImprovedExtractionRate=1 WHERE ResourceType='RESOURCE_URANIUM';

INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_NUCLEAR_FISSION','NUCLEAR_FISSION_URANIUM_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('NUCLEAR_FISSION_URANIUM_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');																																				
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('NUCLEAR_FISSION_URANIUM_OUTPUT','ResourceType','RESOURCE_URANIUM'), 
																			('NUCLEAR_FISSION_URANIUM_OUTPUT','Amount',2);
																			
--------------------------------------------------------------
--------------------------------------------------------------

-- ALUMINUM
UPDATE Resource_Consumption SET ImprovedExtractionRate=1 WHERE ResourceType='RESOURCE_ALUMINUM';

--Flight +1

INSERT INTO TechnologyModifiers	(TechnologyType , ModifierId) 	VALUES		('TECH_FLIGHT','FLIGHT_ALUMINUM_OUTPUT');
INSERT INTO Modifiers			(ModifierId , ModifierType) 	VALUES 		('FLIGHT_ALUMINUM_OUTPUT','MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_ACCUMULATION_SPECIFIC_RESOURCE');																																						
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 	VALUES 		('FLIGHT_ALUMINUM_OUTPUT','ResourceType','RESOURCE_ALUMINUM'), 
																			('FLIGHT_ALUMINUM_OUTPUT','Amount',1);

--Adv flight +1													
UPDATE Technologies SET Description = 'LOC_TECH_REFINING_DESCRIPTION' 			WHERE	TechnologyType = 'TECH_REFINING';
UPDATE Technologies SET Description = 'LOC_TECH_ADVANCED_FLIGHT_DESCRIPTION' 	WHERE	TechnologyType = 'TECH_ADVANCED_FLIGHT';
UPDATE Technologies SET Description = 'LOC_TECH_NUCLEAR_FISSION_DESCRIPTION' 	WHERE	TechnologyType = 'TECH_NUCLEAR_FISSION';



--------------------------------------------------------------
--------------------------------------------------------------

-- COPPER

DELETE FROM Resource_Harvests WHERE ResourceType ='RESOURCE_COPPER';


--Copper military production bonuses:
INSERT INTO Types 				([Type], Kind) 											VALUES 		('MODIFIER_SINGLE_CITY_ADJUST_MILITARY_UNITS_PRODUCTION' , 'KIND_MODIFIER');
INSERT INTO DynamicModifiers	(ModifierType , CollectionType, EffectType) 			VALUES 		('MODIFIER_SINGLE_CITY_ADJUST_MILITARY_UNITS_PRODUCTION','COLLECTION_OWNER','EFFECT_ADJUST_CITY_ALL_MILITARY_UNITS_PRODUCTION');


--Give modifier to Mines
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_MINE','COPPER_UNIT_ANCIENT_PRODUCTION');
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_MINE','COPPER_UNIT_RENAISSANCE_PRODUCTION');
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_MINE','COPPER_UNIT_INDUSTRIAL_PRODUCTION');

--INSERT INTO GameModifiers 		(ModifierId)											VALUES		('COPPER_UNIT_ANCIENT_PRODUCTION');
--INSERT INTO GameModifiers 		(ModifierId)											VALUES		('COPPER_UNIT_RENAISSANCE_PRODUCTION');
--INSERT INTO GameModifiers 		(ModifierId)											VALUES		('COPPER_UNIT_INDUSTRIAL_PRODUCTION');

--30% PROD BONUS to Ancient era units

INSERT INTO Modifiers			(ModifierId , ModifierType, OwnerRequirementSetId) 		VALUES 		('COPPER_UNIT_ANCIENT_PRODUCTION','MODIFIER_SINGLE_CITY_ATTACH_MODIFIER','REQSET_PLOT_HAS_COPPER'),	
																									('COPPER_UNIT_ANCIENT_PRODUCTION_MODIFIER','MODIFIER_SINGLE_CITY_ADJUST_MILITARY_UNITS_PRODUCTION','REQSET_CITY_HAS_COPPER');	
											
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('COPPER_UNIT_ANCIENT_PRODUCTION','ModifierId','COPPER_UNIT_ANCIENT_PRODUCTION_MODIFIER'), 
																									('COPPER_UNIT_ANCIENT_PRODUCTION_MODIFIER','StartEra','ERA_ANCIENT'), 
																									('COPPER_UNIT_ANCIENT_PRODUCTION_MODIFIER','EndEra','ERA_ANCIENT'), 
																									('COPPER_UNIT_ANCIENT_PRODUCTION_MODIFIER','Amount',20);
--
--20% PROD BONUS to Renaissance era units

INSERT INTO Modifiers			(ModifierId , ModifierType, OwnerRequirementSetId) 		VALUES 		('COPPER_UNIT_RENAISSANCE_PRODUCTION','MODIFIER_SINGLE_CITY_ATTACH_MODIFIER','REQSET_PLOT_HAS_COPPER'),
																									('COPPER_UNIT_RENAISSANCE_PRODUCTION_MODIFIER','MODIFIER_SINGLE_CITY_ADJUST_MILITARY_UNITS_PRODUCTION','REQSET_CITY_HAS_COPPER');	
																									
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('COPPER_UNIT_RENAISSANCE_PRODUCTION','ModifierId','COPPER_UNIT_RENAISSANCE_PRODUCTION_MODIFIER'), 
																									('COPPER_UNIT_RENAISSANCE_PRODUCTION_MODIFIER','StartEra','ERA_RENAISSANCE'), 
																									('COPPER_UNIT_RENAISSANCE_PRODUCTION_MODIFIER','EndEra','ERA_RENAISSANCE'), 
																									('COPPER_UNIT_RENAISSANCE_PRODUCTION_MODIFIER','Amount',20);

--10% PROD BONUS to Industrial era units

INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		('COPPER_UNIT_INDUSTRIAL_PRODUCTION','MODIFIER_SINGLE_CITY_ATTACH_MODIFIER','REQSET_PLOT_HAS_COPPER'),
																									('COPPER_UNIT_INDUSTRIAL_PRODUCTION_MODIFIER','MODIFIER_SINGLE_CITY_ADJUST_MILITARY_UNITS_PRODUCTION','REQSET_CITY_HAS_COPPER');		
																									
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('COPPER_UNIT_INDUSTRIAL_PRODUCTION','ModifierId','COPPER_UNIT_INDUSTRIAL_PRODUCTION_MODIFIER'), 
																									('COPPER_UNIT_INDUSTRIAL_PRODUCTION_MODIFIER','StartEra','ERA_INDUSTRIAL'), 
																									('COPPER_UNIT_INDUSTRIAL_PRODUCTION_MODIFIER','EndEra','ERA_INDUSTRIAL'), 
																									('COPPER_UNIT_INDUSTRIAL_PRODUCTION_MODIFIER','Amount',10);


UPDATE Resources SET Frequency=10 WHERE ResourceType='RESOURCE_ALUMINUM'; --was 7
UPDATE Resources SET Frequency=12 WHERE ResourceType='RESOURCE_NITER';
UPDATE Resources SET Frequency=15 WHERE ResourceType='RESOURCE_COAL';
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 			VALUES 		( 'IMPROVEMENT_LUMBER_MILL' , 	'FEATURE_JUNGLE' );
--INSERT INTO Resource_ValidFeatures 		(ResourceType , 	FeatureType) 			VALUES 		( 'RESOURCE_CATTLE' , 			'FEATURE_FLOODPLAINS_GRASSLAND' );
--INSERT INTO Resource_ValidFeatures 		(ResourceType , 	FeatureType) 			VALUES 		( 'RESOURCE_DEER' , 			'FEATURE_FLOODPLAINS_GRASSLAND' );
--INSERT INTO Resource_ValidFeatures 		(ResourceType , 	FeatureType) 			VALUES 		( 'RESOURCE_DEER' , 			'FEATURE_FLOODPLAINS_PLAINS' );
--INSERT INTO Resource_ValidFeatures 		(ResourceType , 	FeatureType) 			VALUES 		( 'RESOURCE_CATTLE' , 			'FEATURE_FLOODPLAINS_PLAINS' );


--------------------------------------------------------------	
--Niter from Cattle
--------------------------------------------------------------	
INSERT INTO 	ImprovementModifiers 		(ImprovementType , ModifierID) 								VALUES 		( 'IMPROVEMENT_PASTURE' , 'CATTLE_GIVES_NITER' );
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'CATTLE_GIVES_NITER' , 'MODIFIER_SINGLE_CITY_ADJUST_FREE_RESOURCE_EXTRACTION' , 'REQSET_CATTLE_GIVES_NITER' );
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'CATTLE_GIVES_NITER' , 'ResourceType' , 'RESOURCE_NITER' ),
																													( 'CATTLE_GIVES_NITER' , 'Amount' , 1 );
	

--------------------------------------------------------------
--------------------------------------------------------------
-- END OF RESOURCES
--------------------------------------------------------------
--------------------------------------------------------------


----------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------
-- IMPROVEMENTS
----------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------


--------------------------------------------------------------
--Defensive bonuses for Improvements
--------------------------------------------------------------
UPDATE Improvements SET PrereqTech='TECH_CONSTRUCTION'	WHERE ImprovementType='IMPROVEMENT_FORT';
UPDATE Improvements SET PrereqTech='TECH_CONSTRUCTION'	WHERE ImprovementType='IMPROVEMENT_GREAT_WALL';
UPDATE Improvements SET PrereqTech='TECH_CASTLES'		WHERE ImprovementType = 'IMPROVEMENT_ALCAZAR' AND EXISTS (SELECT 1 FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_ALCAZAR');

UPDATE Improvements 	SET DefenseModifier= 10, Housing = 1, TilesRequired =2	WHERE 	ImprovementType='IMPROVEMENT_FORT';				-- Default 4 		
UPDATE Improvements 	SET DefenseModifier= 10	WHERE 	ImprovementType='IMPROVEMENT_GREAT_WALL';		-- Default 4
UPDATE Improvements 	SET DefenseModifier= 10, Housing = 2, TilesRequired =2		WHERE 	ImprovementType='IMPROVEMENT_ROMAN_FORT';		-- Default 4
UPDATE Improvements 	SET DefenseModifier= 10	WHERE 	ImprovementType='IMPROVEMENT_ALCAZAR' AND EXISTS (SELECT 1 FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_ALCAZAR');
UPDATE Improvements 	SET DefenseModifier= 10, Housing = 2, TilesRequired =2		WHERE 	ImprovementType='IMPROVEMENT_MAORI_PA';			-- Default 4
--REMOVED IN 2.8		UPDATE Improvements 	SET DefenseModifier= 1 		WHERE 	ImprovementType='IMPROVEMENT_MISSILE_SILO';		-- Default 0
--REMOVED IN 2.8		UPDATE Improvements 	SET DefenseModifier= -1 	WHERE 	ImprovementType='IMPROVEMENT_AIRSTRIP';			-- Default 0

--INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_FORT',		'YIELD_PRODUCTION',1);
--INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_FORT',		'YIELD_GOLD',0);
INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_ROMAN_FORT',	'YIELD_PRODUCTION',1);
INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_ROMAN_FORT',	'YIELD_GOLD',0);
INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_MAORI_PA',	'YIELD_FOOD',1);
INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_AIRSTRIP',	'YIELD_PRODUCTION',1);

--Forts and Roman Fort lose prod bonus if built on resources:
--INSERT INTO 	ImprovementModifiers 		(ImprovementType , ModifierID) 								VALUES 		( 'IMPROVEMENT_FORT' , 			'FORT_ON_RESOURCE_LOSES_PRODUCTION' );
--INSERT INTO 	ImprovementModifiers 		(ImprovementType , ModifierID) 								VALUES 		( 'IMPROVEMENT_FORT' , 			'FORT_ON_RESOURCE_GETS_MINUS_GOLD' );
--INSERT INTO 	ImprovementModifiers 		(ImprovementType , ModifierID) 								VALUES 		( 'IMPROVEMENT_FORT' , 			'FORT_ON_RESOURCE_DEFENSE_PENALTY' );
--INSERT INTO 	ImprovementModifiers 		(ImprovementType , ModifierID) 								VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FORT_ON_RESOURCE_LOSES_PRODUCTION' );
--INSERT INTO 	ImprovementModifiers 		(ImprovementType , ModifierID) 								VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FORT_ON_RESOURCE_GETS_MINUS_GOLD' );
--INSERT INTO 	ImprovementModifiers 		(ImprovementType , ModifierID) 								VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FORT_ON_RESOURCE_DEFENSE_PENALTY' );


INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'FORT_ON_RESOURCE_GETS_MINUS_GOLD' , 'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS' , 'REQSET_PLOT_HAS_VISIBLE_RESOURCE' );
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'FORT_ON_RESOURCE_GETS_MINUS_GOLD' , 'YieldType' , 'YIELD_GOLD' ),
																													( 'FORT_ON_RESOURCE_GETS_MINUS_GOLD' , 'Amount' , -1 );
																													
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'FORT_ON_RESOURCE_LOSES_PRODUCTION' , 'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS' , 'REQSET_PLOT_HAS_VISIBLE_RESOURCE' );
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'FORT_ON_RESOURCE_LOSES_PRODUCTION' , 'YieldType' , 'YIELD_PRODUCTION' ),
																													( 'FORT_ON_RESOURCE_LOSES_PRODUCTION' , 'Amount' , -1 );
																													
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'FORT_ON_RESOURCE_DEFENSE_PENALTY' , 'MODIFIER_ALL_UNITS_ATTACH_MODIFIER' , 'REQSET_UNIT_ON_PLOT_WITH_FORT_AND_RESOURCE' );
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'FORT_ON_RESOURCE_DEFENSE_PENALTY' , 'ModifierId' , 'MODIFIER_UNIT_RECEIVES_DEFENSE_PENALTY_FROM_RESOURCE' );

INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'MODIFIER_UNIT_RECEIVES_DEFENSE_PENALTY_FROM_RESOURCE' , 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH' , 'UNIT_WEAK_WHEN_DEFENDING_REQUIREMENTS' );
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'MODIFIER_UNIT_RECEIVES_DEFENSE_PENALTY_FROM_RESOURCE' , 'Amount' , -5 );
INSERT INTO 	ModifierStrings 			(ModifierId,Context,Text) 									VALUES 		( 'MODIFIER_UNIT_RECEIVES_DEFENSE_PENALTY_FROM_RESOURCE','Preview',		'LOC_MODIFIER_UNIT_RECEIVES_DEFENSE_PENALTY_FROM_RESOURCE_DESCRIPTION');
																					


--Allow Forts to be built on more features (all that can't be removed)

INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_GEOTHERMAL_FISSURE' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_FLOODPLAINS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_FLOODPLAINS_GRASSLAND' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_FLOODPLAINS_PLAINS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_CLIFFS_DOVER' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_PANTANAL' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_EYE_OF_THE_SAHARA' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_UBSUNUR_HOLLOW' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_CHOCOLATEHILLS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_GOBUSTAN' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_FORT' , 	'FEATURE_WHITEDESERT' );

INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_GEOTHERMAL_FISSURE' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_FLOODPLAINS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_FLOODPLAINS_GRASSLAND' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_FLOODPLAINS_PLAINS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_CLIFFS_DOVER' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_PANTANAL' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_EYE_OF_THE_SAHARA' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_UBSUNUR_HOLLOW' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_CHOCOLATEHILLS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_GOBUSTAN' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ROMAN_FORT' , 	'FEATURE_WHITEDESERT' );

--Alcazars can be built on some Features (not natural wonders though).
INSERT INTO Improvement_ValidFeatures	(ImprovementType,	FeatureType)	SELECT 		'IMPROVEMENT_ALCAZAR', 		'FEATURE_VOLCANIC_SOIL' WHERE EXISTS (SELECT 1 FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_ALCAZAR');
INSERT INTO Improvement_ValidFeatures	(ImprovementType,	FeatureType)	SELECT 		'IMPROVEMENT_ALCAZAR', 		'FEATURE_FLOODPLAINS' WHERE EXISTS (SELECT 1 FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_ALCAZAR');
INSERT INTO Improvement_ValidFeatures	(ImprovementType,	FeatureType)	SELECT 		'IMPROVEMENT_ALCAZAR', 		'FEATURE_FLOODPLAINS_GRASSLAND' WHERE EXISTS (SELECT 1 FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_ALCAZAR');
INSERT INTO Improvement_ValidFeatures	(ImprovementType,	FeatureType)	SELECT 		'IMPROVEMENT_ALCAZAR', 		'FEATURE_FLOODPLAINS_PLAINS' WHERE EXISTS (SELECT 1 FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_ALCAZAR');

--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_VOLCANIC_SOIL' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_FLOODPLAINS' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_FLOODPLAINS_GRASSLAND' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_FLOODPLAINS_PLAINS' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_CLIFFS_DOVER' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_PANTANAL' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_EYE_OF_THE_SAHARA' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_UBSUNUR_HOLLOW' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_CHOCOLATEHILLS' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_GOBUSTAN' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_ALCAZAR' , 	'FEATURE_WHITEDESERT' );
--
----Only features that can be placed on hills for Maori Pa (built by their Toa)
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_MAORI_PA' , 	'FEATURE_VOLCANIC_SOIL' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_MAORI_PA' , 	'FEATURE_CLIFFS_DOVER' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_MAORI_PA' , 	'FEATURE_EYE_OF_THE_SAHARA' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_MAORI_PA' , 	'FEATURE_UBSUNUR_HOLLOW' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_MAORI_PA' , 	'FEATURE_CHOCOLATEHILLS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_MAORI_PA' , 	'FEATURE_GOBUSTAN' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_MAORI_PA' , 	'FEATURE_WHITEDESERT' );

--Some defensive improvements can no longer be built in Snow (Alcazar, Great Wall and Maori Pa)
DELETE FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_MAORI_PA' AND TerrainType LIKE 'TERRAIN_SNOW%';
DELETE FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_ALCAZAR' AND TerrainType LIKE 'TERRAIN_SNOW%' AND EXISTS (SELECT 1 FROM Improvements WHERE ImprovementType = 'IMPROVEMENT_ALCAZAR');
DELETE FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_GREAT_WALL' AND TerrainType LIKE 'TERRAIN_SNOW%';

--Allow Forts to be placed on resources without woods/rainforest/marsh. This will of course mean that luxuries and strategic resources will be accumulated, but no yields otherwise from tile
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_WHEAT' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_COTTON' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_SUGAR' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_ANTIQUITY_SITE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_OIL' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_RICE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_NITER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_DEER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_DYES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_FURS' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_SILK' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_SPICES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_TOBACCO' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_TRUFFLES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_WINE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_URANIUM' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_AMBER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_COAL' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_BANANAS' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_COCOA' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_COFFEE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_DIAMONDS' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_IVORY' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_ALUMINUM' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_GYPSUM' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_CATTLE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_CITRUS' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_COPPER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_HORSES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_INCENSE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_IRON' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_JADE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_MARBLE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_MERCURY' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_OLIVES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_SALT' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_SHEEP' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_SILVER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_STONE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_FORT' , 	'RESOURCE_TEA' , 1 );

--Allow Roman Forts to be placed on resources without woods/rainforest/marsh. This will of course mean that luxuries and strategic resources will be accumulated, but no yields otherwise from tile
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_WHEAT' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_COTTON' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_SUGAR' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_ANTIQUITY_SITE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_OIL' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_RICE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_NITER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_DEER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_DYES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_FURS' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_SILK' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_SPICES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_TOBACCO' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_TRUFFLES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_WINE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_URANIUM' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_AMBER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_COAL' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_BANANAS' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_COCOA' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_COFFEE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_DIAMONDS' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_IVORY' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_ALUMINUM' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_GYPSUM' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_CATTLE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_CITRUS' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_COPPER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_HORSES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_INCENSE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_IRON' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_JADE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_MARBLE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_MERCURY' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_OLIVES' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_SALT' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_SHEEP' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_SILVER' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_STONE' , 1 );
INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_ROMAN_FORT' , 	'RESOURCE_TEA' , 1 );


-----------------------------------------------------------------------------------------------------
--AIRSTRIP
-----------------------------------------------------------------------------------------------------

--Airstrips can now be built on Floodplains as well. (in addition to volcanic soil as in base game).
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_AIRSTRIP' , 	'FEATURE_FLOODPLAINS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_AIRSTRIP' , 	'FEATURE_FLOODPLAINS_GRASSLAND' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_AIRSTRIP' , 	'FEATURE_FLOODPLAINS_PLAINS' );

--Allow Airstrips to be placed on resources without woods/rainforest/marsh. This will of course mean that luxuries and strategic resources will be accumulated, but no yields otherwise from tile

--THESE CAN LIKELY BE PLACED ON HILLS DUE TO BEING PLACEABLE ON WOODS, RAINFOREST:

--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_WHEAT' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_COTTON' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_SUGAR' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_OIL' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_RICE' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_NITER' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_DYES' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_SILK' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_SPICES' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_TOBACCO' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_TRUFFLES' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_AMBER' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_BANANAS' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_COCOA' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_COFFEE' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_CATTLE' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_CITRUS' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_HORSES' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_INCENSE' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_JADE' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_MERCURY' , 1 );
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_SALT' , 1 );


--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_ANTIQUITY_SITE' , 1 );	--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_DEER' , 1 );				--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_FURS' , 1 );				--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_URANIUM' , 1 );			--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_COAL' , 1 );				--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_DIAMONDS' , 1 );			--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_IVORY' , 1 );				--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_ALUMINUM' , 1 );			--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_GYPSUM' , 1 );			--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_COPPER' , 1 );			--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_IRON' , 1 );				--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_MARBLE' , 1 );			--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_OLIVES' , 1 );			--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_SHEEP' , 1 );				--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_SILVER' , 1 );			--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_STONE' , 1 );				--CAN BE PLACED ON HILLS
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_TEA' , 1 );				--CAN BE PLACED ON HILLS

--Is going to be valid on hills:
--INSERT INTO Improvement_ValidResources 	(ImprovementType,ResourceType,MustRemoveFeature) 	VALUES 	( 'IMPROVEMENT_AIRSTRIP' , 	'RESOURCE_WINE' , 1 );

-----------------------------------------------------------------------------------------------------
--GREAT WALL
-----------------------------------------------------------------------------------------------------
UPDATE Adjacency_YieldChanges 	SET PrereqTech= NULL, PrereqCivic ='CIVIC_DEFENSIVE_TACTICS'	WHERE 	ID='GreatWall_Culture';	
UPDATE Adjacency_YieldChanges 	SET PrereqTech= 'TECH_CASTLES', PrereqCivic = NULL	WHERE 	ID='GreatWall_Gold';


--Can be built on Floodplains in addition to base game's Volcanic soil, but no natural wonders tiles!
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_FLOODPLAINS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_FLOODPLAINS_GRASSLAND' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_FLOODPLAINS_PLAINS' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_FOREST' );
INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_JUNGLE' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_CLIFFS_DOVER' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_PANTANAL' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_EYE_OF_THE_SAHARA' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_UBSUNUR_HOLLOW' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_CHOCOLATEHILLS' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_GOBUSTAN' );
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 	VALUES 		( 'IMPROVEMENT_GREAT_WALL' , 	'FEATURE_WHITEDESERT' );

-----------------------------------------------------------------------------------------------------
--MISSILE SILO
-----------------------------------------------------------------------------------------------------

UPDATE Improvements 	SET PrereqTech= 'TECH_ROCKETRY' 		WHERE 	ImprovementType='IMPROVEMENT_MISSILE_SILO';		-- Default 0

-----------------------------------------------------------------------------------------------------
--FARM / FARMS
-----------------------------------------------------------------------------------------------------

--Can't be built next to Ice:
INSERT INTO Improvement_InvalidAdjacentFeatures (ImprovementType,FeatureType)			VALUES		('IMPROVEMENT_FARM','FEATURE_ICE');

--Can't be built adjacent to Snow terrain:

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_COAST');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_OCEAN');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_DESERT');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_TUNDRA');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_PLAINS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_GRASS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_DESERT_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_TUNDRA_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_PLAINS_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_GRASS_HILLS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_DESERT_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_TUNDRA_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_PLAINS_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_FARM','TERRAIN_GRASS_MOUNTAIN');

--Valid resources:
INSERT INTO Improvement_ValidResources (ImprovementType,ResourceType,MustRemoveFeature)		VALUES		('IMPROVEMENT_FARM','RESOURCE_BANANAS',1); -- plot gets +1 food without rainforest
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_FARM' AND ResourceType='RESOURCE_WHEAT'; ----was 1 in base game, changed in 2.8


--REMOVED IN 2.5		UPDATE Improvement_ValidResources SET MustRemoveFeature=1 WHERE ImprovementType='IMPROVEMENT_FARM' AND ResourceType='RESOURCE_RICE';


INSERT INTO Improvement_BonusYieldChanges (ImprovementType,YieldType,BonusYieldChange,PrereqTech,PrereqCivic) VALUES ('IMPROVEMENT_FARM','YIELD_FOOD',1,'TECH_REPLACEABLE_PARTS',NULL); --was TECH_INDUSTRIALIZATION in Agrev and 2.6

--Base Yields
INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_FARM','YIELD_PRODUCTION',0);
INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_FARM','YIELD_GOLD',0);

--Techs that allow building on new terrain


--Farms on Deserts (with Irrigation)
INSERT INTO Improvement_ValidTerrains (ImprovementType,TerrainType,PrereqTech,PrereqCivic) VALUES ('IMPROVEMENT_FARM','TERRAIN_DESERT','TECH_IRRIGATION',NULL);
INSERT INTO Improvement_ValidTerrains (ImprovementType,TerrainType,PrereqTech,PrereqCivic) VALUES ('IMPROVEMENT_FARM','TERRAIN_DESERT_HILLS','TECH_IRRIGATION','CIVIC_CIVIL_ENGINEERING');

-- Allow Taiga Farms (Iron working), and hills (Civil engineering).

INSERT INTO Improvement_ValidTerrains (ImprovementType,TerrainType,PrereqTech,PrereqCivic) VALUES ('IMPROVEMENT_FARM','TERRAIN_TUNDRA','TECH_BRONZE_WORKING',NULL);
INSERT INTO Improvement_ValidTerrains (ImprovementType,TerrainType,PrereqTech,PrereqCivic) VALUES ('IMPROVEMENT_FARM','TERRAIN_TUNDRA_HILLS','TECH_BRONZE_WORKING','CIVIC_CIVIL_ENGINEERING');

------------------------------------------------------
------------------------------------------------------
--ADJACENCY YIELDS
------------------------------------------------------
------------------------------------------------------

--REMOVED IN 2.7		UPDATE Adjacency_YieldChanges SET TilesRequired=3 WHERE ID='Farms_MedievalAdjacency';
DELETE FROM Improvement_Adjacencies WHERE YieldChangeId = 'Farms_MedievalAdjacency';


--Get +1 production from adjacent Pasture (start):
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentImprovement) VALUES ('Farm_Pasture_Production_AREX','LOC_FARM_ADJ_PASTURE_PRODUCTION_AREX','YIELD_PRODUCTION',1,1,'IMPROVEMENT_PASTURE');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_FARM','Farm_Pasture_Production_AREX');



--Gets +1 food for every 3 adj. woods (start)
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentFeature) VALUES ('Farm_Woods_Food_AREX','LOC_FARM_ADJ_WOODS_FOOD_AREX','YIELD_FOOD',1,3,'FEATURE_FOREST');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_FARM','Farm_Woods_Food_AREX');

--Gets +1 food for every 3 adj. rainforest features (start)
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentFeature) VALUES ('Farm_Rainforest_Food_AREX','LOC_FARM_ADJ_RAINFOREST_FOOD_AREX','YIELD_FOOD',1,3,'FEATURE_JUNGLE');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_FARM','Farm_Rainforest_Food_AREX');

--Get +1 food for every 3 adj. hills (start)
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentTerrain,PrereqTech,ObsoleteCivic) VALUES ('Farm_Plains_Hills_Food_AREX','LOC_FARM_ADJ_PLAINS_HILLS_FOOD_AREX','YIELD_FOOD',1,3,'TERRAIN_PLAINS_HILLS','TECH_IRRIGATION','CIVIC_CIVIL_ENGINEERING');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_FARM','Farm_Plains_Hills_Food_AREX');

INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentTerrain,PrereqTech,ObsoleteCivic) VALUES ('Farm_Taiga_Hills_Food_AREX','LOC_FARM_ADJ_TAIGA_HILLS_FOOD_AREX','YIELD_FOOD',1,3,'TERRAIN_TUNDRA_HILLS','TECH_BRONZE_WORKING','CIVIC_CIVIL_ENGINEERING');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_FARM','Farm_Taiga_Hills_Food_AREX');




--Farms get +1 food for adjacent River (Irrigation).
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)							VALUES		('IMPROVEMENT_FARM','Farms_River_Food_Bonus');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentRiver, PrereqTech) 	
VALUES  	('Farms_River_Food_Bonus', 'LOC_FARM_RIVER_FOOD_ADJACENCY_BONUS', 'YIELD_FOOD', 	1 , 1 , 1, 'TECH_IRRIGATION');

--Gets +1 food for every 2 adjacent Farms (Irrigation)
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_FARM','Farms_IrrigationAdjacency');
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentImprovement,PrereqTech,ObsoleteTech) 
VALUES ('Farms_IrrigationAdjacency','LOC_FARM_ADJ_3_FARMS_BONUS','YIELD_FOOD',1,3,'IMPROVEMENT_FARM','TECH_IRRIGATION','TECH_INDUSTRIALIZATION');

--Farms get +1 food from Oasis (Irrigation)
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_FARM','Farm_Oasis_Food');
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentFeature,PrereqTech) 
VALUES ('Farm_Oasis_Food','Placeholder','YIELD_FOOD',1,1,'FEATURE_OASIS','TECH_IRRIGATION');

--EARLY EMPIRE GOLD REPLACED BELOW
--REPLACED IN 2.8		INSERT INTO Improvement_BonusYieldChanges (ImprovementType,YieldType,BonusYieldChange,PrereqTech,PrereqCivic) VALUES ('IMPROVEMENT_FARM','YIELD_GOLD',1,NULL,'CIVIC_EARLY_EMPIRE');

-- Farms get +1 Gold from adjacent Districts (spec.) or for City-center with Early Empire Civic.

--City Center
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FARM','Improvement_City_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict, PrereqCivic) 	
VALUES  	('Improvement_City_Gold', 'LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS', 'YIELD_GOLD', 	1 , 1 , 'DISTRICT_CITY_CENTER' , 'CIVIC_EARLY_EMPIRE');

--Govt Plaza
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FARM','Improvement_GovtPlaza_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_GovtPlaza_Gold', 'LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS', 'YIELD_GOLD', 	1 , 1 , 'DISTRICT_GOVERNMENT');

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FARM','Improvement_ComHub_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_ComHub_Gold', 'LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS', 'YIELD_GOLD', 	1 , 1 , 'DISTRICT_COMMERCIAL_HUB');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FARM','Improvement_Suguba_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_Suguba_Gold', 'LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS', 'YIELD_GOLD', 	1 , 1 , 'DISTRICT_SUGUBA');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FARM','Improvement_Harbor_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_Harbor_Gold', 'LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS', 'YIELD_GOLD', 	1 , 1 , 'DISTRICT_HARBOR');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FARM','Improvement_RoyalNavyDockyard_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_RoyalNavyDockyard_Gold', 'LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS', 'YIELD_GOLD', 	1 , 1 , 'DISTRICT_ROYAL_NAVY_DOCKYARD');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FARM','Improvement_Cothon_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_Cothon_Gold', 'LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS', 'YIELD_GOLD', 	1 , 1 , 'DISTRICT_COTHON');

--NEIGHBORHOOD
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FARM','Improvement_Neighborhood_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_Neighborhood_Gold', 'LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS', 'YIELD_GOLD', 	1 , 1 , 'DISTRICT_NEIGHBORHOOD');

--Mbanza neighborhood
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FARM','Improvement_Mbanza_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_Mbanza_Gold', 'LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS', 'YIELD_GOLD', 	1 , 1 , 'DISTRICT_MBANZA');


--Industrialization gives +1 food for every 2 adjacent Farms.
UPDATE Adjacency_YieldChanges SET PrereqTech='TECH_INDUSTRIALIZATION' WHERE ID='Farms_MechanizedAdjacency'; --was TECH_REPLACEABLE_PARTS in Agrev and 2.6
UPDATE Adjacency_YieldChanges SET TilesRequired=2 WHERE ID='Farms_MechanizedAdjacency';


--Kilimanjaro Food yield (start)
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_FARM','Adjacent_Kilimanjaro');
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentFeature) VALUES ('Adjacent_Kilimanjaro','Placeholder','YIELD_FOOD',1,1,'FEATURE_KILIMANJARO');




------------------------------------------------------
------------------------------------------------------
--MODIFIER YIELDS
------------------------------------------------------
------------------------------------------------------

-- Every Farm gives city +2% growth if it has a granary

INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_FARM','FARM_GRANARY_CITY_GROWTH');

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('FARM_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_CITY_HAS_GRANARY',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('FARM_GRANARY_CITY_GROWTH','Amount',2);

--Gets +1 food if Banana
INSERT OR REPLACE INTO ImprovementModifiers
		(ImprovementType,								ModifierId)
VALUES	('IMPROVEMENT_FARM',							'FARM_BANANA_FOOD');

INSERT OR REPLACE INTO Modifiers
		(ModifierId,									ModifierType,								SubjectRequirementSetId) 
VALUES	('FARM_BANANA_FOOD',							'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',		'REQSET_FARM_ON_BANANA');			

INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,									Name,										Value)
VALUES	('FARM_BANANA_FOOD',							'Amount',									1),					
		('FARM_BANANA_FOOD',							'YieldType',								'YIELD_FOOD');

--Give farms +2 food if they're on rice and marsh, with Civil service.		
INSERT INTO Types 				([Type], Kind) 												VALUES 		('MARSH_RICE_FARM_BONUS' , 'KIND_MODIFIER');
INSERT INTO CivicModifiers		(CivicType , ModifierId) 									VALUES		('CIVIC_CIVIL_SERVICE','MARSH_RICE_FARM_BONUS');
INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId) 		VALUES 		('MARSH_RICE_FARM_BONUS','MODIFIER_PLAYER_ADJUST_PLOT_YIELD','REQSET_MARSH_RICE_FARM');																													
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 								VALUES 		('MARSH_RICE_FARM_BONUS','YieldType','YIELD_FOOD');


--		REMOVED IN 2.6		INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) VALUES ('FARM_RIVERADJENCY_FOOD','MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS','PLOT_ADJACENT_TO_RIVER_AND_IRRIGATED_REQUIREMENTS');
--		REMOVED IN 2.6		
--		REMOVED IN 2.6		INSERT INTO ModifierArguments(ModifierId,Name,[Value]) VALUES ('FARM_RIVERADJENCY_FOOD','YieldType','YIELD_FOOD');
--		REMOVED IN 2.6		INSERT INTO ModifierArguments(ModifierId,Name,[Value]) VALUES ('FARM_RIVERADJENCY_FOOD','Amount','1');
--		REMOVED IN 2.6		
--		REMOVED IN 2.6		INSERT INTO ImprovementModifiers (ImprovementType,ModifierId) VALUES ('IMPROVEMENT_FARM','FARM_RIVERADJENCY_FOOD');

-----------------------------------------------------------------------------------------------------
--MINE / MINES
-----------------------------------------------------------------------------------------------------

UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_MINE' AND ResourceType='RESOURCE_COPPER';		--was 1 in base game, changed in 2.8
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_MINE' AND ResourceType='RESOURCE_JADE';			--was 1 in base game, changed in 2.8
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_MINE' AND ResourceType='RESOURCE_MERCURY';       --was 1 in base game, changed in 2.8
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_MINE' AND ResourceType='RESOURCE_SALT';          --was 1 in base game, changed in 2.8
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_MINE' AND ResourceType='RESOURCE_SILVER';        --was 1 in base game, changed in 2.8
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_MINE' AND ResourceType='RESOURCE_IRON';          --was 1 in base game, changed in 2.8

INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_MINE','YIELD_GOLD',0);

--------------------------
--- ADJACENCY
--------------------------

--Get 1 gold from adj. River
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentRiver) VALUES ('AREX_Improvement_River_Gold','LOC_AREX_IMPROVEMENT_RIVER_GOLD','YIELD_GOLD',1,1,1);
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_MINE','AREX_Improvement_River_Gold');

--Get 1 gold for every 2 adjacent Coast tiles
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentTerrain) VALUES ('AREX_Improvement_Coast_Gold','LOC_AREX_IMPROVEMENT_COAST_GOLD','YIELD_GOLD',1,2,'TERRAIN_COAST');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_MINE','AREX_Improvement_Coast_Gold');


-- Mines get +1 Gold from adjacent Trade and Industrial Districts (spec.)

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_MINE','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_MINE','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_MINE','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_MINE','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_MINE','Improvement_Cothon_Gold');

--Industrial Zone
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_MINE','Improvement_IndustrialZone_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID,Description,YieldType,YieldChange,TilesRequired,AdjacentDistrict) 
VALUES 								('Improvement_IndustrialZone_Gold','LOC_AREX_IMPROVEMENT_INDUSTRIALZONE_GOLD','YIELD_GOLD',1,1,'DISTRICT_INDUSTRIAL_ZONE');

--Hansa
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_MINE','Improvement_Hansa_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID,Description,YieldType,YieldChange,TilesRequired,AdjacentDistrict) 
VALUES 								('Improvement_Hansa_Gold','LOC_AREX_IMPROVEMENT_HANSA_GOLD','YIELD_GOLD',1,1,'DISTRICT_HANSA');

-------------------------
-- MODIFIER YIELDS
------------------------


--Gets -1 prod if placed on Woods
INSERT OR REPLACE INTO ImprovementModifiers
		(ImprovementType,								ModifierId)
VALUES	('IMPROVEMENT_MINE',							'MINE_WOODS_PROD_PENALTY');

INSERT OR REPLACE INTO Modifiers
		(ModifierId,									ModifierType,								SubjectRequirementSetId) 
VALUES	('MINE_WOODS_PROD_PENALTY',						'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',		'REQSET_MINE_IN_WOODS');			

INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,									Name,										Value)
VALUES	('MINE_WOODS_PROD_PENALTY',						'Amount',									-1),					
		('MINE_WOODS_PROD_PENALTY',						'YieldType',								'YIELD_PRODUCTION');

-----------------------------------------------------------------------------------------------------
--PASTURE / PASTURES
-----------------------------------------------------------------------------------------------------
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_PASTURE' AND ResourceType='RESOURCE_CATTLE';		--was 1 but this would likely interfere with volcanic soil, woods etc
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_PASTURE' AND ResourceType='RESOURCE_HORSES';		--was 1 but this would likely interfere with volcanic soil, woods etc
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_PASTURE' AND ResourceType='RESOURCE_SHEEP';		--was 1 but this would likely interfere with volcanic soil, woods etc


INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_PASTURE','YIELD_GOLD',0);

INSERT INTO Improvement_BonusYieldChanges 	(ImprovementType,YieldType,BonusYieldChange,PrereqTech,PrereqCivic) 
VALUES 										('IMPROVEMENT_PASTURE','YIELD_GOLD',1,'TECH_CURRENCY',NULL);


----------------------------------------------------
--------------- ADJACENCY
----------------------------------------------------


-- Pastures get +1 Gold from adjacent Districts (spec.) or for City-center with Early Empire Civic.

--City Center
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PASTURE','Improvement_City_Gold');

--Govt Plaza
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PASTURE','Improvement_GovtPlaza_Gold');

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PASTURE','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PASTURE','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PASTURE','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PASTURE','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PASTURE','Improvement_Cothon_Gold');

--NEIGHBORHOOD
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PASTURE','Improvement_Neighborhood_Gold');

--Mbanza neighborhood
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PASTURE','Improvement_Mbanza_Gold');


--Kilimanjaro yields (start)
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_PASTURE','Adjacent_Kilimanjaro');



----------------------------------------------------
--------------- MODIFIER YIELDS
----------------------------------------------------

--Give adjacent tiles +1 food for every unimproved non-mountain tile (thanks to JNR who wrote the code to Open Ranges which I've modified here):	
														
INSERT OR REPLACE INTO ImprovementModifiers
		(ImprovementType,		ModifierId)
VALUES	('IMPROVEMENT_PASTURE',	'PASTURE_ADJACENT_GRAZING_FOOD_AREX');


INSERT OR REPLACE INTO Modifiers
		(ModifierId,								ModifierType,									SubjectRequirementSetId,					SubjectStackLimit) 
VALUES	('PASTURE_ADJACENT_GRAZING_FOOD_AREX',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',		'REQSET_PASTURE_ADJACENT_GRAZING',			1);				

INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,									Name,			Value)
VALUES	('PASTURE_ADJACENT_GRAZING_FOOD_AREX',				'Amount',		1),					--was +1 in 2.6
		('PASTURE_ADJACENT_GRAZING_FOOD_AREX',				'YieldType',	'YIELD_FOOD');
		


--Pastures give adjacent flat tiles without features,resources,improvements or districts +1 Gold.


INSERT OR REPLACE INTO ImprovementModifiers
		(ImprovementType,								ModifierId)
VALUES	('IMPROVEMENT_PASTURE',							'PASTURE_ADJACENT_GRAZING_GOLD_AREX');

INSERT OR REPLACE INTO Modifiers
		(ModifierId,									ModifierType,								SubjectRequirementSetId,						SubjectStackLimit) 
VALUES	('PASTURE_ADJACENT_GRAZING_GOLD_AREX',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',		'REQSET_PASTURE_ADJACENT_GRAZING_FLAT',			1);			

INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,									Name,										Value)
VALUES	('PASTURE_ADJACENT_GRAZING_GOLD_AREX',			'Amount',									1),					
		('PASTURE_ADJACENT_GRAZING_GOLD_AREX',			'YieldType',								'YIELD_GOLD');
		
--Gets -1 prod if placed on Woods
INSERT OR REPLACE INTO ImprovementModifiers
		(ImprovementType,								ModifierId)
VALUES	('IMPROVEMENT_PASTURE',							'PASTURE_WOODS_PROD_PENALTY');

INSERT OR REPLACE INTO Modifiers
		(ModifierId,									ModifierType,								SubjectRequirementSetId) 
VALUES	('PASTURE_WOODS_PROD_PENALTY',					'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',		'REQSET_PASTURE_IN_WOODS');			

INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,									Name,										Value)
VALUES	('PASTURE_WOODS_PROD_PENALTY',					'Amount',									-1),					
		('PASTURE_WOODS_PROD_PENALTY',					'YieldType',								'YIELD_PRODUCTION');



--Gets -1 food if placed on Rainforest (after exploration???)
INSERT OR REPLACE INTO ImprovementModifiers
		(ImprovementType,								ModifierId)
VALUES	('IMPROVEMENT_PASTURE',							'PASTURE_RAINFOREST_FOOD_PENALTY');

INSERT OR REPLACE INTO Modifiers
		(ModifierId,									ModifierType,								SubjectRequirementSetId,			OwnerRequirementSetId) 
VALUES	('PASTURE_RAINFOREST_FOOD_PENALTY',				'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',		'REQSET_PASTURE_IN_RAINFOREST',		'REQSET_CIVIC_EXPLORATION');			

INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,									Name,										Value)
VALUES	('PASTURE_RAINFOREST_FOOD_PENALTY',				'Amount',									-1),					
		('PASTURE_RAINFOREST_FOOD_PENALTY',				'YieldType',								'YIELD_FOOD');

-----------------------------------------------------------------------------------------------------		
--CAMP / CAMPS
-----------------------------------------------------------------------------------------------------
	
UPDATE Improvements SET PrereqTech=NULL WHERE ImprovementType='IMPROVEMENT_CAMP';

INSERT INTO Improvement_ValidResources (ImprovementType, ResourceType, MustRemoveFeature) VALUES ('IMPROVEMENT_CAMP','RESOURCE_CATTLE',0);
INSERT INTO Improvement_ValidResources (ImprovementType, ResourceType, MustRemoveFeature) VALUES ('IMPROVEMENT_CAMP','RESOURCE_SHEEP',0);

--------------------------
--- YIELDS
--------------------------
UPDATE Improvement_YieldChanges SET YieldChange=2 WHERE ImprovementType= 'IMPROVEMENT_CAMP' AND YieldType = 'YIELD_GOLD'; --was 2 in vanilla

--REMOVED IN 2.7.2. since the patch already does this.		UPDATE Improvement_YieldChanges SET YieldChange=2 WHERE ImprovementType= 'IMPROVEMENT_CAMP' AND YieldType = 'YIELD_GOLD';
--INSERT INTO Improvement_BonusYieldChanges (ImprovementType,YieldType,BonusYieldChange,PrereqTech,PrereqCivic) VALUES ('IMPROVEMENT_CAMP','YIELD_FOOD',1,NULL,'CIVIC_MERCANTILISM');

--------------------------
--- ADJACENCY
--------------------------

--Camps get +1 Gold for every adjacent Camp
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Camp_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID,Description,YieldType,YieldChange,TilesRequired,AdjacentImprovement) 
VALUES 								('Camp_Gold','LOC_AREX_CAMP_CAMP_GOLD_BONUS','YIELD_GOLD',1,1,'IMPROVEMENT_CAMP');

-- Camps get +1 Gold from adjacent Districts (spec.) or for City-center with Early Empire Civic.

--City Center
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Improvement_City_Gold');

--Govt Plaza
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Improvement_GovtPlaza_Gold');

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Improvement_Cothon_Gold');

--NEIGHBORHOOD
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Improvement_Neighborhood_Gold');

--Mbanza neighborhood
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_CAMP','Improvement_Mbanza_Gold');


--------------------------
--- MODIFIERS
--------------------------
														
--Give adjacent tiles +1 Gold for every unimproved tiles (thanks to JNR who wrote the code to Open Ranges which I've modified here):	

INSERT OR REPLACE INTO ImprovementModifiers
		(ImprovementType,		ModifierId)
VALUES	('IMPROVEMENT_CAMP',	'CAMP_ADJACENT_GOLD_BONUS_AREX');


INSERT OR REPLACE INTO Modifiers
		(ModifierId,									ModifierType,								SubjectRequirementSetId,					SubjectStackLimit) 
VALUES	('CAMP_ADJACENT_GOLD_BONUS_AREX',				'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',		'REQSET_CAMP_ADJACENT_TILES',				1);				

INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,									Name,			Value)
VALUES	('CAMP_ADJACENT_GOLD_BONUS_AREX',				'Amount',		1),						
		('CAMP_ADJACENT_GOLD_BONUS_AREX',				'YieldType',	'YIELD_GOLD');



-----------------------------------------------------------------------------------------------------
--PLANTATION
-----------------------------------------------------------------------------------------------------

------------------------------------
-- VALID PLACEMENT, RESOURCES ETC
------------------------------------

-- REMOVED IN 2.7.1 	UPDATE Improvement_ValidResources SET MustRemoveFeature=1 			WHERE ImprovementType='IMPROVEMENT_PLANTATION' AND ResourceType='RESOURCE_SUGAR';
-- REMOVED IN 2.7.1 	UPDATE Improvement_ValidResources SET MustRemoveFeature=1 			WHERE ImprovementType='IMPROVEMENT_PLANTATION' AND ResourceType='RESOURCE_COTTON';

------------------------------------
-- YIELDS
------------------------------------

UPDATE Improvement_YieldChanges SET YieldChange=2 WHERE ImprovementType= 'IMPROVEMENT_PLANTATION' AND YieldType = 'YIELD_GOLD';

--Increase Gold by 1 with Feudalism, instead of Food.
UPDATE Improvement_BonusYieldChanges SET YieldType = 'YIELD_GOLD' WHERE ImprovementType = 'IMPROVEMENT_PLANTATION' AND PrereqCivic = 'CIVIC_FEUDALISM';



--------------
--ADJACENCY
--------------


-- Plantations get +1 Gold from adjacent Districts (spec.) or for City-center with Early Empire Civic.

--City Center
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PLANTATION','Improvement_City_Gold');

--Govt Plaza
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PLANTATION','Improvement_GovtPlaza_Gold');

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PLANTATION','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PLANTATION','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PLANTATION','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PLANTATION','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PLANTATION','Improvement_Cothon_Gold');

--NEIGHBORHOOD
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PLANTATION','Improvement_Neighborhood_Gold');

--Mbanza neighborhood
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_PLANTATION','Improvement_Mbanza_Gold');




--Kilimanjaro (start)
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_PLANTATION','Adjacent_Kilimanjaro_gold');
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentFeature) VALUES ('Adjacent_Kilimanjaro_gold','Placeholder','YIELD_GOLD',1,1,'FEATURE_KILIMANJARO');








---------------------
-- MODIFIER YIELDS
---------------------


--Plantations on food resources give +2% growth bonus to city with granary

--Bananas / Plantains
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_PLANTATION','BANANA_GRANARY_CITY_GROWTH');

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('BANANA_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_BANANA_AND_GRANARY',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('BANANA_GRANARY_CITY_GROWTH','Amount',2);

--Olives / Olive oil
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_PLANTATION','OLIVES_GRANARY_CITY_GROWTH');

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('OLIVES_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_OLIVES_AND_GRANARY',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('OLIVES_GRANARY_CITY_GROWTH','Amount',2);

--Spices
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_PLANTATION','SPICES_GRANARY_CITY_GROWTH');

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('SPICES_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_SPICES_AND_GRANARY',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('SPICES_GRANARY_CITY_GROWTH','Amount',2);

--SUGAR
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_PLANTATION','SUGAR_GRANARY_CITY_GROWTH');

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('SUGAR_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_SUGAR_AND_GRANARY',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('SUGAR_GRANARY_CITY_GROWTH','Amount',2);

-----------------------------------------------------------------------------------------------------
-- QUARRY / QUARRIES
-----------------------------------------------------------------------------------------------------

--Improvement_ValidResources
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 WHERE ImprovementType='IMPROVEMENT_QUARRY' AND ResourceType='RESOURCE_STONE';		--was 1 but this would only interfere with volcanic soil etc
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 WHERE ImprovementType='IMPROVEMENT_QUARRY' AND ResourceType='RESOURCE_GYPSUM';	--was 1 but this would only interfere with volcanic soil etc
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 WHERE ImprovementType='IMPROVEMENT_QUARRY' AND ResourceType='RESOURCE_MARBLE';	--was 1 but this would only interfere with volcanic soil etc


-----------------------------------------------
-- ADJACENCY
-----------------------------------------------

--Get 1 gold from adj. River
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_QUARRY','AREX_Improvement_River_Gold');

--Get 1 gold for every 2 adjacent Coast tiles
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_QUARRY','AREX_Improvement_Coast_Gold');

-- Quarries get +1 Gold from adjacent Trade and Industrial Districts (spec.)


--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_QUARRY','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_QUARRY','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_QUARRY','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_QUARRY','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_QUARRY','Improvement_Cothon_Gold');

--Industrial Zone
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_QUARRY','Improvement_IndustrialZone_Gold');

--Hansa
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_QUARRY','Improvement_Hansa_Gold');


-----------------------------------------------
----------- MODIFIER YIELDS
-----------------------------------------------



------------------
--Stone quarry gives +1 prod to buildings and wonders?
INSERT INTO Types 				(Type, Kind) 											VALUES 		('MODIFIER_SINGLE_CITY_ADJUST_PRODUCTION_BUILDINGS_AREX','KIND_MODIFIER');
INSERT INTO DynamicModifiers	(ModifierType,CollectionType,EffectType) 				VALUES 		('MODIFIER_SINGLE_CITY_ADJUST_PRODUCTION_BUILDINGS_AREX','COLLECTION_OWNER','EFFECT_ADJUST_CITY_PRODUCTION_BUILDING');

INSERT INTO ImprovementModifiers(ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_QUARRY','STONE_QUARRY_BUILDINGS_BONUS');

INSERT INTO Modifiers			(ModifierId , ModifierType, OwnerRequirementSetId) 		VALUES 		('STONE_QUARRY_BUILDINGS_BONUS','MODIFIER_SINGLE_CITY_ADJUST_PRODUCTION_BUILDINGS_AREX','REQSET_PLOT_HAS_STONE');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('STONE_QUARRY_BUILDINGS_BONUS','Amount',1);

--Same as above but for districts
INSERT INTO Types 				(Type, Kind) 											VALUES 		('MODIFIER_SINGLE_CITY_ADJUST_PRODUCTION_DISTRICTS_AREX','KIND_MODIFIER');
INSERT INTO DynamicModifiers	(ModifierType,CollectionType,EffectType) 				VALUES 		('MODIFIER_SINGLE_CITY_ADJUST_PRODUCTION_DISTRICTS_AREX','COLLECTION_OWNER','EFFECT_ADJUST_CITY_PRODUCTION_DISTRICT');

INSERT INTO ImprovementModifiers(ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_QUARRY','STONE_QUARRY_DISTRICTS_BONUS');

INSERT INTO Modifiers			(ModifierId , ModifierType, OwnerRequirementSetId) 		VALUES 		('STONE_QUARRY_DISTRICTS_BONUS','MODIFIER_SINGLE_CITY_ADJUST_PRODUCTION_DISTRICTS_AREX','REQSET_PLOT_HAS_STONE');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('STONE_QUARRY_DISTRICTS_BONUS','Amount',1);
------------------

--Marble gives +1 prod to buildings and wonders

INSERT INTO ImprovementModifiers(ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_QUARRY','MARBLE_QUARRY_BUILDINGS_BONUS');

INSERT INTO Modifiers			(ModifierId , ModifierType, OwnerRequirementSetId) 		VALUES 		('MARBLE_QUARRY_BUILDINGS_BONUS','MODIFIER_SINGLE_CITY_ADJUST_PRODUCTION_BUILDINGS_AREX','REQSET_PLOT_HAS_MARBLE');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('MARBLE_QUARRY_BUILDINGS_BONUS','Amount',1);
------------------

--Gypsum gives +1 prod to buildings and wonders

INSERT INTO ImprovementModifiers(ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_QUARRY','GYPSUM_QUARRY_BUILDINGS_BONUS');

INSERT INTO Modifiers			(ModifierId , ModifierType, OwnerRequirementSetId) 		VALUES 		('GYPSUM_QUARRY_BUILDINGS_BONUS','MODIFIER_SINGLE_CITY_ADJUST_PRODUCTION_BUILDINGS_AREX','REQSET_PLOT_HAS_GYPSUM');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('GYPSUM_QUARRY_BUILDINGS_BONUS','Amount',1);

-------------------

--Gets -1 prod if placed on Woods
INSERT OR REPLACE INTO ImprovementModifiers
		(ImprovementType,								ModifierId)
VALUES	('IMPROVEMENT_QUARRY',							'QUARRY_WOODS_PROD_PENALTY');

INSERT OR REPLACE INTO Modifiers
		(ModifierId,									ModifierType,								SubjectRequirementSetId) 
VALUES	('QUARRY_WOODS_PROD_PENALTY',					'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',		'REQSET_QUARRY_IN_WOODS');			

INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,									Name,										Value)
VALUES	('QUARRY_WOODS_PROD_PENALTY',					'Amount',									-1),					
		('QUARRY_WOODS_PROD_PENALTY',					'YieldType',								'YIELD_PRODUCTION');


-------------------


-----------------------------------------------------------------------------------------------------
--LUMBER MILL
-----------------------------------------------------------------------------------------------------

-- Unlocked at Engineering and gold river and coast adjacency bonus

UPDATE Improvements SET PrereqTech='TECH_ENGINEERING' WHERE ImprovementType='IMPROVEMENT_LUMBER_MILL';

----------------------------------
-- ADJACENCY
----------------------------------

INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_LUMBER_MILL','YIELD_GOLD',0);
INSERT INTO Adjacency_YieldChanges 	(ID,							Description,	YieldType,		YieldChange,	TilesRequired,	OtherDistrictAdjacent,	AdjacentSeaResource,	AdjacentTerrain,	AdjacentFeature,	AdjacentRiver,	AdjacentWonder,		AdjacentNaturalWonder) VALUES 
									('AREX_Lumbermill_River_Gold',	'Placeholder',	'YIELD_GOLD',	1,				1,				0,						0,						NULL,				NULL,				1,				0,					0						);
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_LUMBER_MILL','AREX_Lumbermill_River_Gold');

INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentTerrain) VALUES ('AREX_Lumbermill_Coast_Gold','LOC_AREX_IMPROVEMENT_COAST_GOLD','YIELD_GOLD',1,2,'TERRAIN_COAST');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_LUMBER_MILL','AREX_Lumbermill_Coast_Gold');

-- Lumber Mills get +1 Gold from adjacent Trade and Industrial Districts (spec.)

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_LUMBER_MILL','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_LUMBER_MILL','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_LUMBER_MILL','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_LUMBER_MILL','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_LUMBER_MILL','Improvement_Cothon_Gold');

--Industrial Zone
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_LUMBER_MILL','Improvement_IndustrialZone_Gold');

--Hansa
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_LUMBER_MILL','Improvement_Hansa_Gold');

-------------------------------------------------------------------------------------------------------------------
--FISHING BOATS
-------------------------------------------------------------------------------------------------------------------
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_FISHING_BOATS' AND ResourceType='RESOURCE_AMBER';
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_FISHING_BOATS' AND ResourceType='RESOURCE_CRABS';
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_FISHING_BOATS' AND ResourceType='RESOURCE_PEARLS';
UPDATE Improvement_ValidResources SET MustRemoveFeature=0 			WHERE ImprovementType='IMPROVEMENT_FISHING_BOATS' AND ResourceType='RESOURCE_WHALES';

--Can be built on Coast
INSERT INTO Improvement_ValidTerrains (ImprovementType , TerrainType , PrereqTech) 		VALUES 		( 'IMPROVEMENT_FISHING_BOATS' , 'TERRAIN_COAST' , 'TECH_SAILING' );

--------------------------
--- MODIFIERS
--------------------------

--Fishing boats give +2% growth to city with granary:
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)											VALUES		('IMPROVEMENT_FISHING_BOATS','FISHING_BOATS_GRANARY_CITY_GROWTH');
INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('FISHING_BOATS_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_CITY_HAS_GRANARY',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 											VALUES 		('FISHING_BOATS_GRANARY_CITY_GROWTH','Amount',2);

--Give fishing boats gold bonus from Governor.
INSERT INTO 	ImprovementModifiers 	(ImprovementType , ModifierID) 							VALUES	('IMPROVEMENT_FISHING_BOATS' ,	'FISHING_BOATS_GOVERNOR_GOLD' );			
INSERT INTO 	Modifiers 				(ModifierId , ModifierType , SubjectRequirementSetId) 	VALUES	('FISHING_BOATS_GOVERNOR_GOLD' ,'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS' , 'CITY_HAS_GOVERNOR_PROMOTION_AQUACULTURE' );
INSERT INTO 	ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES	('FISHING_BOATS_GOVERNOR_GOLD' ,'YieldType' , 'YIELD_GOLD' );
INSERT INTO 	ModifierArguments 		(ModifierId , Name , [Value]) 							VALUES	('FISHING_BOATS_GOVERNOR_GOLD' ,'Amount' , 1 );

-------------
--Harbor
-------------
--fishing boats +1 gold if not adj to harbor or city center

INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)		VALUES		('IMPROVEMENT_FISHING_BOATS','FISHINGBOATS_HARBOR_GOLD');

INSERT INTO Modifiers 	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	VALUES					
																		('FISHINGBOATS_HARBOR_GOLD',  'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS',	0, 0, 'REQSET_CITY_HAS_ANY_HARBOR', 'REQSET_FISHING_BOATS_NOT_ADJACENT_TO_HARBOR_OR_CITY_CENTER');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHINGBOATS_HARBOR_GOLD' , 'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHINGBOATS_HARBOR_GOLD' , 'Amount' , 1);
-------------
--Lighthouse 
-------------
-- +1 food to Fishing Boats on fish and crabs and whales
INSERT INTO BuildingModifiers 				(BuildingType , ModifierId) 								VALUES 		( 'BUILDING_LIGHTHOUSE' , 'AREX_LIGHTHOUSE_FISH_CRABS_WHALES_FOOD' );
		
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'AREX_LIGHTHOUSE_FISH_CRABS_WHALES_FOOD' , 			'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD' , 'REQSET_IMPROVED_FISH_CRABS_WHALES' );
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'AREX_LIGHTHOUSE_FISH_CRABS_WHALES_FOOD' , 			'YieldType' , 'YIELD_FOOD');
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'AREX_LIGHTHOUSE_FISH_CRABS_WHALES_FOOD' , 			'Amount' , 1);


-------------
--Shipyard
-------------																	
-- +1 gold:
INSERT INTO 	ImprovementModifiers 	(ImprovementType , ModifierID) 						VALUES 		( 'IMPROVEMENT_FISHING_BOATS' ,  'FISHINGBOATS_SHIPYARD_GOLD' );
INSERT INTO 	Modifiers 				(ModifierId , ModifierType , OwnerRequirementSetId) VALUES 		( 'FISHINGBOATS_SHIPYARD_GOLD' , 'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS' , 'BUILDING_IS_SHIPYARD');
INSERT INTO 	ModifierArguments 		(ModifierId , Name , [Value]) 						VALUES 		( 'FISHINGBOATS_SHIPYARD_GOLD' , 'YieldType' , 'YIELD_GOLD' ),
																										( 'FISHINGBOATS_SHIPYARD_GOLD' , 'Amount' , 1 );

-------------
--Seaport
-------------	
-- +1 gold
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)		VALUES		('IMPROVEMENT_FISHING_BOATS','FISHINGBOATS_SEAPORT_GOLD');

INSERT INTO Modifiers 	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	VALUES					
																		('FISHINGBOATS_SEAPORT_GOLD',  'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS',	0, 0, 'BUILDING_IS_SEAPORT', NULL);
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHINGBOATS_SEAPORT_GOLD' , 'YieldType' , 'YIELD_GOLD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHINGBOATS_SEAPORT_GOLD' , 'Amount' , 1);

-- +1 food if not adjacent to harbor/city center already
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)		VALUES		('IMPROVEMENT_FISHING_BOATS','FISHINGBOATS_SEAPORT_FOOD');

INSERT INTO Modifiers 	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	VALUES					
																		('FISHINGBOATS_SEAPORT_FOOD',  'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS',	0, 0, 'BUILDING_IS_SEAPORT', 'REQSET_FISHING_BOATS_NOT_ADJACENT_TO_HARBOR_OR_CITY_CENTER');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHINGBOATS_SEAPORT_FOOD' , 'YieldType' , 'YIELD_FOOD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHINGBOATS_SEAPORT_FOOD' , 'Amount' , 1);

-------------	
--Techs and Civics etc:
-------------	
-- No gold from cartography
DELETE FROM Improvement_BonusYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FISHING_BOATS' AND PrereqTech = 'TECH_CARTOGRAPHY';

--Fishing boats on Ocean after Cartography (was Combustion)

INSERT INTO Improvement_ValidTerrains (ImprovementType , TerrainType , PrereqTech) 		VALUES 		( 'IMPROVEMENT_FISHING_BOATS' , 'TERRAIN_OCEAN' , 'TECH_CARTOGRAPHY' );

INSERT INTO 	ImprovementModifiers 		(ImprovementType , ModifierID) 								VALUES 		( 'IMPROVEMENT_FISHING_BOATS' , 'Ocean_Fishing' );
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'Ocean_Fishing' , 'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS' , 'REQSET_PLOT_IS_OCEAN_AREX' );

INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'Ocean_Fishing' , 'YieldType' , 'YIELD_GOLD' ),
																													( 'Ocean_Fishing' , 'Amount' , -1 );

-- No production bonus from Colonialism anymore (removed in 2.8):
DELETE FROM Improvement_BonusYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FISHING_BOATS' AND PrereqCivic = 'CIVIC_COLONIALISM';

-- No gold from cartography
DELETE FROM Improvement_BonusYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FISHING_BOATS' AND PrereqTech = 'TECH_CARTOGRAPHY';

-- No straight food yield from plastics
DELETE FROM Improvement_BonusYieldChanges WHERE ImprovementType = 'IMPROVEMENT_FISHING_BOATS' AND PrereqTech = 'TECH_PLASTICS';


--UPDATE Improvement_BonusYieldChanges SET YieldType = 'YIELD_GOLD' WHERE ImprovementType = 'IMPROVEMENT_FISHING_BOATS' AND PrereqTech = 'TECH_PLASTICS';
--INSERT INTO Improvement_BonusYieldChanges (ImprovementType,YieldType,BonusYieldChange,PrereqTech) VALUES ('IMPROVEMENT_FISHING_BOATS','YIELD_GOLD',1,'TECH_PLASTICS');

--Plastics gives food to fishing boats that aren't adjacent to other fishing boats or cit center/harbor

INSERT INTO 	ImprovementModifiers 	(ImprovementType , ModifierID) 													VALUES 		( 'IMPROVEMENT_FISHING_BOATS' , 'PLASTICS_FOOD_BONUS' );
INSERT INTO 	Modifiers 				(ModifierId , ModifierType , OwnerRequirementSetId,SubjectRequirementSetId) 	VALUES 		( 'PLASTICS_FOOD_BONUS' , 'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS' , 'REQSET_CIV_HAS_PLASTICS','REQSET_PLOT_NOT_ADJACENT_TO_FISHING_BOATS' );

INSERT INTO 	ModifierArguments 		(ModifierId , Name , [Value]) 													VALUES 		( 'PLASTICS_FOOD_BONUS' , 'YieldType' , 'YIELD_FOOD' ),
																																	( 'PLASTICS_FOOD_BONUS' , 'Amount' , 1 );
																													
--Plastics gives +1 Gold to fishing boats that aren't adjacent to other fishing boats or cit center/harbor

INSERT INTO 	ImprovementModifiers 	(ImprovementType , ModifierID) 													VALUES 		( 'IMPROVEMENT_FISHING_BOATS' , 'PLASTICS_GOLD_BONUS' );
INSERT INTO 	Modifiers 				(ModifierId , ModifierType , OwnerRequirementSetId,SubjectRequirementSetId) 	VALUES 		( 'PLASTICS_GOLD_BONUS' , 'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS' , 'REQSET_CIV_HAS_PLASTICS','REQSET_PLOT_NOT_ADJACENT_TO_FISHING_BOATS' );

INSERT INTO 	ModifierArguments 		(ModifierId , Name , [Value]) 													VALUES 		( 'PLASTICS_GOLD_BONUS' , 'YieldType' , 'YIELD_GOLD' ),
																																	( 'PLASTICS_GOLD_BONUS' , 'Amount' , 1 );


--------------------------
--- ADJACENCY
--------------------------

-- Fishing Boats get +1 Gold from adjacent Districts (spec.) or for City-center with Early Empire Civic.

--City Center
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHING_BOATS','Improvement_City_Gold');

--Govt Plaza
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHING_BOATS','Improvement_GovtPlaza_Gold');

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHING_BOATS','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHING_BOATS','Improvement_Suguba_Gold');

--NEIGHBORHOOD
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHING_BOATS','Improvement_Neighborhood_Gold');

--Mbanza neighborhood
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHING_BOATS','Improvement_Mbanza_Gold');

-- +2 Gold from adjacent Harbor

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHING_BOATS','Improvement_Harbor_Double_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_Harbor_Double_Gold', 'LOC_IMPROVEMENT_DISTRICT_HARBOR_DOUBLE_GOLD_BONUS', 'YIELD_GOLD', 	2 , 1 , 'DISTRICT_HARBOR');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHING_BOATS','Improvement_RoyalNavyDockyard_Double_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_RoyalNavyDockyard_Double_Gold', 'LOC_IMPROVEMENT_DISTRICT_ROYAL_NAVY_DOCKYARD_DOUBLE_GOLD_BONUS', 'YIELD_GOLD', 	2 , 1 , 'DISTRICT_ROYAL_NAVY_DOCKYARD');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHING_BOATS','Improvement_Cothon_Double_Gold');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 	
VALUES  	('Improvement_Cothon_Double_Gold', 'LOC_IMPROVEMENT_DISTRICT_COTHON_DOUBLE_GOLD_BONUS', 'YIELD_GOLD', 	2 , 1 , 'DISTRICT_COTHON');



-------------------------------------------------------------------------------------------------------------------
-- FISHERY (Aquaculture)
-------------------------------------------------------------------------------------------------------------------

-- Remove Fisheries automatic food yield
UPDATE Improvement_YieldChanges		SET		YieldChange=0 WHERE ImprovementType='IMPROVEMENT_FISHERY' AND YieldType='YIELD_FOOD';
UPDATE Improvement_YieldChanges		SET		YieldChange=0 WHERE ImprovementType='IMPROVEMENT_FISHERY' AND YieldType='YIELD_PRODUCTION';
INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_FISHERY','YIELD_GOLD',0);

--------------------------
--- MODIFIERS
--------------------------

--Liang gives +1 gold for all fishery's (was production):
--FISHERY_GOVERNOR_PRODUCTION
UPDATE ModifierArguments SET Value = 'YIELD_GOLD' WHERE ModifierId = 'FISHERY_GOVERNOR_PRODUCTION' AND Value ='YIELD_PRODUCTION';

--Fisheries give +2% growth to city with granary:
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_FISHERY','FISHERY_GRANARY_CITY_GROWTH');

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('FISHERY_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_CITY_HAS_GRANARY',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('FISHERY_GRANARY_CITY_GROWTH','Amount',2);

-- -1 food for every adjacent offshore oil rig:
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Offshore_Oil_Rig_Food_Penalty');
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, AdjacentImprovement) 	
VALUES  	('Offshore_Oil_Rig_Food_Penalty', 'LOC_IMPROVEMENT_OIL_RIG_FOOD_PENALTY', 'YIELD_FOOD', 	-1 , 'IMPROVEMENT_OFFSHORE_OIL_RIG');


--INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_FISHERY','FISHERY_OIL_PENALTY');
--INSERT INTO Modifiers 	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	VALUES					
--																		('FISHERY_OIL_PENALTY',  'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS',	0, 0, NULL, 'REQSET_ADJACENT_STRATEGIC_IN_WATER');
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_OIL_PENALTY' , 'YieldType' , 'YIELD_FOOD');
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_OIL_PENALTY' , 'Amount' , -1);

-- Fishing Boats on Amber reduce food for adjacent Fisheries?

-------------
-- Lighthouse
-------------
-- +1 production 
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_FISHERY','FISHERY_LIGHTHOUSE_PRODUCTION');
INSERT INTO Modifiers 	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	VALUES					
																		('FISHERY_LIGHTHOUSE_PRODUCTION',  'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS',	0, 0, 'CITY_HAS_LIGHTHOUSE_REQUIREMENTS', NULL);
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_LIGHTHOUSE_PRODUCTION' , 'YieldType' , 'YIELD_PRODUCTION');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_LIGHTHOUSE_PRODUCTION' , 'Amount' , 1);
-------------
-- Shipyard
-------------
-- +1 food,  if not adjacent to harbor/cirt center already
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_FISHERY','FISHERY_SHIPYARD_FOOD');

INSERT INTO Modifiers 	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	VALUES					
																		('FISHERY_SHIPYARD_FOOD',  'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS',	0, 0, 'BUILDING_IS_SHIPYARD', 'REQSET_PLOT_ADJACENT_DISTRICT_IS_NOT_HARBOR_OR_CITY_CENTER');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_SHIPYARD_FOOD' , 'YieldType' , 'YIELD_FOOD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_SHIPYARD_FOOD' , 'Amount' , 1);

---- but also -2 gold
--INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_FISHERY','FISHERY_SHIPYARD_GOLD_PENALTY');
--
--INSERT INTO Modifiers 	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	VALUES					
--																		('FISHERY_SHIPYARD_GOLD_PENALTY',  'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS',	0, 0, 'BUILDING_IS_SHIPYARD', NULL);
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_SHIPYARD_GOLD_PENALTY' , 'YieldType' , 'YIELD_GOLD');
--INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_SHIPYARD_GOLD_PENALTY' , 'Amount' , -2);

-------------
-- Seaport
-------------
-- Single +1 gold if adjacent to other fishery or Reef
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_FISHERY','FISHERY_SEAPORT_ADJACENT_FISHERY_FOOD');

INSERT INTO Modifiers 	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)	VALUES					
																		('FISHERY_SEAPORT_ADJACENT_FISHERY_FOOD',  'MODIFIER_SINGLE_PLOT_ADJUST_PLOT_YIELDS',	0, 0, 'BUILDING_IS_SEAPORT', 'REQSET_ADJACENT_FISHERY_OR_REEF');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_SEAPORT_ADJACENT_FISHERY_FOOD' , 'YieldType' , 'YIELD_FOOD');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 	VALUES 	('FISHERY_SEAPORT_ADJACENT_FISHERY_FOOD' , 'Amount' , 1);


--------------------------
--- ADJACENCY
--------------------------

-- Fisheries get +1 Gold from adjacent Districts (spec.) or for City-center with Early Empire Civic.

--City Center
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Improvement_City_Gold');

--Govt Plaza
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Improvement_GovtPlaza_Gold');

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Improvement_Cothon_Gold');

--NEIGHBORHOOD
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Improvement_Neighborhood_Gold');

--Mbanza neighborhood
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_FISHERY','Improvement_Mbanza_Gold');


-----------------------------------------------------------------------------------------------------
--OIL WELL
-----------------------------------------------------------------------------------------------------
--INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_INDUSTRIAL_ZONE','Oil_Well_Production');
--INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentImprovement) VALUES ('Oil_Well_Production','LOC_DISTRICT_OIL_WELL_PRODUCTION','YIELD_PRODUCTION',1,1,'IMPROVEMENT_OIL_WELL');

-----------------------------------------------------------------------------------------------------
-- SOLAR FARM
-----------------------------------------------------------------------------------------------------

UPDATE Improvements SET PrereqTech = 'TECH_COMPOSITES' WHERE ImprovementType = 'IMPROVEMENT_SOLAR_FARM';

-----------------------------------------------------------------------------------------------------
-- BEACH RESORT AND SKI RESORT
-----------------------------------------------------------------------------------------------------

INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) 	VALUES 		('IMPROVEMENT_BEACH_RESORT',	'YIELD_GOLD',0);
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) 			VALUES 		('IMPROVEMENT_BEACH_RESORT',	'Seaside_Resort_Aerodrome_Gold');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) 			VALUES 		('IMPROVEMENT_BEACH_RESORT',	'Seaside_Resort_Neighborhood_Gold');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) 			VALUES 		('IMPROVEMENT_BEACH_RESORT',	'Seaside_Resort_Mbanza_Gold');

INSERT INTO Adjacency_YieldChanges 	(ID,								Description,	YieldType,		YieldChange,	TilesRequired,	AdjacentDistrict		) VALUES 
									('Seaside_Resort_Aerodrome_Gold',	'Placeholder',	'YIELD_GOLD',	1,				1,				'DISTRICT_AERODROME'	);
									

INSERT INTO Adjacency_YieldChanges 	(ID,								Description,	YieldType,		YieldChange,	TilesRequired,	AdjacentDistrict		) VALUES 
									('Seaside_Resort_Neighborhood_Gold','Placeholder',	'YIELD_GOLD',	1,				1,				'DISTRICT_NEIGHBORHOOD'	);
									
INSERT INTO Adjacency_YieldChanges 	(ID,								Description,	YieldType,		YieldChange,	TilesRequired,	AdjacentDistrict		) VALUES 
									('Seaside_Resort_Mbanza_Gold',		'Placeholder',	'YIELD_GOLD',	1,				1,				'DISTRICT_MBANZA'		);
									
--Ski Resorts

DELETE FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_SKI_RESORT' AND TerrainType ='TERRAIN_DESERT_MOUNTAIN';

--INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) 	VALUES 		('IMPROVEMENT_SKI_RESORT',	'YIELD_GOLD',0);
--INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) 			VALUES 		('IMPROVEMENT_SKI_RESORT',	'Ski_Resort_Aerodrome_Gold');
--
--INSERT INTO Adjacency_YieldChanges 	(ID,								Description,	YieldType,		YieldChange,	TilesRequired,	AdjacentDistrict		) VALUES 
--									('Ski_Resort_Aerodrome_Gold',		'Placeholder',	'YIELD_GOLD',	1,				1,				'DISTRICT_AERODROME'	);

-----------------------------------------------------------------------------------------------------
-- Negative appeal for some improvements
-----------------------------------------------------------------------------------------------------
UPDATE Improvements SET Appeal = -1 WHERE ImprovementType = 'IMPROVEMENT_MISSILE_SILO';
UPDATE Improvements SET Appeal = -1 WHERE ImprovementType = 'IMPROVEMENT_SOLAR_FARM';
UPDATE Improvements SET Appeal = -1 WHERE ImprovementType = 'IMPROVEMENT_WIND_FARM';
UPDATE Improvements SET Appeal = -1 WHERE ImprovementType = 'IMPROVEMENT_OFFSHORE_WIND_FARM';
--UPDATE Improvements SET Appeal = -1 WHERE ImprovementType = 'IMPROVEMENT_GEOTHERMAL_PLANT';

-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------
-- UNIQUE IMPROVEMENTS
-------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------------------
-- SPHINX (Egypt)
-------------------------------------------------------------------------------------------------------------------
--Can't be built adjacent to Ice.
INSERT INTO Improvement_InvalidAdjacentFeatures (ImprovementType,FeatureType)			VALUES		('IMPROVEMENT_SPHINX','FEATURE_ICE');

--Can't be built adjacent to Snow:
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_COAST');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_DESERT');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_TUNDRA');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_PLAINS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_GRASS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_DESERT_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_TUNDRA_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_PLAINS_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_GRASS_HILLS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_DESERT_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_TUNDRA_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_PLAINS_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_SPHINX','TERRAIN_GRASS_MOUNTAIN');

-------------------------------------------------------------------------------------------------------------------
-- STEPWELL (India)
-------------------------------------------------------------------------------------------------------------------

--Can't be built on Snow
DELETE FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_STEPWELL' AND TerrainType = 'TERRAIN_SNOW';

--Not adjacent to Snow
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_COAST');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_DESERT');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_TUNDRA');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_PLAINS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_GRASS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_DESERT_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_TUNDRA_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_PLAINS_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_GRASS_HILLS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_DESERT_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_TUNDRA_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_PLAINS_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_STEPWELL','TERRAIN_GRASS_MOUNTAIN');

--Can't be built adjacent to Ice.
INSERT INTO Improvement_InvalidAdjacentFeatures (ImprovementType,FeatureType)			VALUES		('IMPROVEMENT_STEPWELL','FEATURE_ICE');

-------------------------------------------------------------------------------------------------------------------
-- POLDER (Netherlands, Wilhelmina)
-------------------------------------------------------------------------------------------------------------------

--Can no longer be built on Arctic coasts:
DELETE FROM Improvement_ValidAdjacentTerrains WHERE ImprovementType = 'IMPROVEMENT_POLDER' AND TerrainType LIKE 'TERRAIN_SNOW%';

--Can't be built next to Ice:
INSERT INTO Improvement_InvalidAdjacentFeatures (ImprovementType,FeatureType)			VALUES		('IMPROVEMENT_POLDER','FEATURE_ICE');


----------------------------------------------------
--------------- ADJACENCY
----------------------------------------------------


-- Polders get +1 Gold from adjacent Districts (spec.) or for City-center with Early Empire Civic.

--City Center
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_POLDER','Improvement_City_Gold');

--Govt Plaza
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_POLDER','Improvement_GovtPlaza_Gold');

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_POLDER','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_POLDER','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_POLDER','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_POLDER','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_POLDER','Improvement_Cothon_Gold');

--NEIGHBORHOOD
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_POLDER','Improvement_Neighborhood_Gold');

--Mbanza neighborhood
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_POLDER','Improvement_Mbanza_Gold');


----------------
-- MODIFIERS
----------------


--Polders give +2% growth to city with granary:
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_POLDER','POLDER_GRANARY_CITY_GROWTH');

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('POLDER_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_CITY_HAS_GRANARY',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('POLDER_GRANARY_CITY_GROWTH','Amount',2);

-------------------------------------------------------------------------------------------------------------------
-- ZIGGURAT (Sumer, Gilgamesh)
-------------------------------------------------------------------------------------------------------------------

UPDATE Improvement_YieldChanges SET  YieldChange=0 WHERE ImprovementType='IMPROVEMENT_ZIGGURAT' AND YieldType='YIELD_SCIENCE';
INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_ZIGGURAT','YIELD_FAITH',1);

INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_ZIGGURAT','Ziggurat_Science');
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId) VALUES ('IMPROVEMENT_ZIGGURAT','Ziggurat_Faith');

INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentDistrict) VALUES ('Ziggurat_Science','Placeholder','YIELD_SCIENCE',1,1,'DISTRICT_CITY_CENTER');
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentDistrict) VALUES ('Ziggurat_Faith','Placeholder','YIELD_FAITH',1,1,'DISTRICT_HOLY_SITE');

--Can't be built on Snow
DELETE FROM Improvement_ValidTerrains WHERE ImprovementType = 'IMPROVEMENT_ZIGGURAT' AND TerrainType = 'TERRAIN_SNOW';

--Can't be built adjacent to Ice.
INSERT INTO Improvement_InvalidAdjacentFeatures (ImprovementType,FeatureType)			VALUES		('IMPROVEMENT_ZIGGURAT','FEATURE_ICE');

--Not adjacent to Snow
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_COAST');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_DESERT');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_TUNDRA');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_PLAINS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_GRASS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_DESERT_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_TUNDRA_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_PLAINS_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_GRASS_HILLS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_DESERT_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_TUNDRA_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_PLAINS_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_ZIGGURAT','TERRAIN_GRASS_MOUNTAIN');

-------------------------------------------------------------------------------------------------------------------
-- GOLF COURSE (Scotland, Robert )
-------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------------------
-- TERRACE FARM (Inca)
-------------------------------------------------------------------------------------------------------------------

INSERT INTO Improvement_YieldChanges (ImprovementType,YieldType,YieldChange) VALUES ('IMPROVEMENT_TERRACE_FARM','YIELD_GOLD',0);

--Can now be built on Taiga hills, with Bronze Working:
INSERT INTO Improvement_ValidTerrains (ImprovementType , TerrainType , PrereqTech) 		VALUES 		( 'IMPROVEMENT_TERRACE_FARM' , 'TERRAIN_TUNDRA_HILLS' , 'TECH_BRONZE_WORKING' );


--Can't be built next to Ice:
INSERT INTO Improvement_InvalidAdjacentFeatures (ImprovementType,FeatureType)			VALUES		('IMPROVEMENT_TERRACE_FARM','FEATURE_ICE');

--Not adjacent to Snow
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_COAST');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_DESERT');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_TUNDRA');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_PLAINS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_GRASS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_DESERT_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_TUNDRA_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_PLAINS_HILLS');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_GRASS_HILLS');

INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_DESERT_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_TUNDRA_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_PLAINS_MOUNTAIN');
INSERT INTO Improvement_ValidAdjacentTerrains (ImprovementType,TerrainType) VALUES ('IMPROVEMENT_TERRACE_FARM','TERRAIN_GRASS_MOUNTAIN');

--------------------------
--- ADJACENCY
--------------------------

-- Terrace Farms get +1 Gold from adjacent Districts (spec.) or for City-center with Early Empire Civic.

--City Center
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_TERRACE_FARM','Improvement_City_Gold');

--Govt Plaza
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_TERRACE_FARM','Improvement_GovtPlaza_Gold');

--Commerical Hub
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_TERRACE_FARM','Improvement_ComHub_Gold');

--Suguba
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_TERRACE_FARM','Improvement_Suguba_Gold');

--Harbor
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_TERRACE_FARM','Improvement_Harbor_Gold');

--Royal Navy Dockyard
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_TERRACE_FARM','Improvement_RoyalNavyDockyard_Gold');

--Cothon
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_TERRACE_FARM','Improvement_Cothon_Gold');

--NEIGHBORHOOD
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_TERRACE_FARM','Improvement_Neighborhood_Gold');

--Mbanza neighborhood
INSERT INTO Improvement_Adjacencies (ImprovementType,YieldChangeId)			VALUES		('IMPROVEMENT_TERRACE_FARM','Improvement_Mbanza_Gold');


--Terrace Farm nerf, now requires two mountains to get +1 food.
UPDATE Adjacency_YieldChanges SET TilesRequired = 2 WHERE 	ID = 'Terrace_GrassMountainAdjacency' OR
															ID = 'Terrace_PlainsMountainAdjacency' OR
															ID = 'Terrace_DesertMountainAdjacency' OR
															ID = 'Terrace_TundraMountainAdjacency' OR
															ID = 'Terrace_SnowMountainAdjacency';
															
DELETE FROM Improvement_Adjacencies WHERE YieldChangeId = 'Terrace_SnowMountainAdjacency'; --new from 2.7

--------------------------
--- MODIFIERS
--------------------------

--Terrace Farms give +2% growth to city with granary:
INSERT INTO ImprovementModifiers (ImprovementType,ModifierID)							VALUES		('IMPROVEMENT_TERRACE_FARM','TERRACE_FARM_GRANARY_CITY_GROWTH');

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId,SubjectStackLimit) 	VALUES 		('TERRACE_FARM_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_CITY_HAS_GRANARY',1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TERRACE_FARM_GRANARY_CITY_GROWTH','Amount',2);


-------------------------------------------------------------------------------------------------------------------
-- Monastery (Armagh city state suzerain bonus)
-------------------------------------------------------------------------------------------------------------------
INSERT INTO Improvement_ValidFeatures (ImprovementType,FeatureType) 	SELECT 		'IMPROVEMENT_MONASTERY', 'FEATURE_VOLCANIC_SOIL' 	WHERE EXISTS (SELECT 1 FROM Improvements 	WHERE ImprovementType = 'IMPROVEMENT_MONASTERY');
--INSERT INTO Improvement_ValidFeatures 	(ImprovementType , 	FeatureType) 			VALUES 		( 'IMPROVEMENT_MONASTERY' , 	'FEATURE_VOLCANIC_SOIL' );

------------------------------------------------------------------------------------------------------------------	
------------------------------------------------------------------------------------------------------------------	
-- END OF IMPROVEMENTS
------------------------------------------------------------------------------------------------------------------	
------------------------------------------------------------------------------------------------------------------	

------------------------------------------------------------------------------------------------------------------	
------------------------------------------------------------------------------------------------------------------	
-- DISTRICTS:
------------------------------------------------------------------------------------------------------------------	
------------------------------------------------------------------------------------------------------------------	

-------------------------------------------------------------------------------------------------------------------
--SEVERAL DISTRICTS:
-------------------------------------------------------------------------------------------------------------------

--New District Changes

UPDATE Districts SET ZOC=0 								WHERE 	DistrictType= 'DISTRICT_CITY_CENTER';
--UPDATE Districts SET CaptureRemovesCityDefenses=0 		WHERE	DistrictType= 'DISTRICT_CITY_CENTER';
UPDATE Districts SET CaptureRemovesBuildings=0 			WHERE 	DistrictType= 'DISTRICT_CITY_CENTER';
UPDATE GlobalParameters SET Value=70 					WHERE 	Name= 'CITY_CAPTURED_DAMAGE_PERCENTAGE'; -- was 50
UPDATE Districts SET AirSlots=0 						WHERE 	DistrictType= 'DISTRICT_CITY_CENTER'; --was 1

UPDATE Districts SET ZOC=0 								WHERE 	DistrictType= 'DISTRICT_NEIGHBORHOOD' OR 
																DistrictType= 'DISTRICT_MBANZA' OR 
																DistrictType= 'DISTRICT_ENCAMPMENT' OR 
																DistrictType= 'DISTRICT_IKANDA';

--UPDATE Districts_XP2 SET AttackRange=1 WHERE DistrictType= 'DISTRICT_CITY_CENTER'; --was 2

--All Districts provide +5 HP healing per turn for unit, should equal a total of +25 HP/turn.


INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 							'TRAIT_ALL_CIVS_DISTRICTS_BASE_HEAL_AREX_MODIFIER' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 							'TRAIT_ALL_CIVS_DISTRICTS_BASE_HEAL_AREX_MODIFIER' );

INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		('TRAIT_ALL_CIVS_DISTRICTS_BASE_HEAL_AREX_MODIFIER',	'MODIFIER_PLAYER_UNITS_ADJUST_HEAL_PER_TURN','REQSET_PLOT_IS_ANY_DISTRICT');		
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_ALL_CIVS_DISTRICTS_BASE_HEAL_AREX_MODIFIER',	'Amount',5);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_ALL_CIVS_DISTRICTS_BASE_HEAL_AREX_MODIFIER',	'Type','ALL');


-- STOCKPILE ADJUSTMENT VALUES:
UPDATE ModifierArguments SET [Value]=15 WHERE ModifierId='BARRACKS_ADJUST_RESOURCE_STOCKPILE_CAP' OR ModifierId='STABLE_ADJUST_RESOURCE_STOCKPILE_CAP';
UPDATE ModifierArguments SET [Value]=25 WHERE ModifierId='ARMORY_ADJUST_RESOURCE_STOCKPILE_CAP';
UPDATE ModifierArguments SET [Value]=35 WHERE ModifierId='MILITARY_ACADEMY_ADJUST_RESOURCE_STOCKPILE_CAP';


---------------------------------
---------------------------------
-- BUILDING IRON COSTS:

-- Aerodrome
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_AIRPORT',					'RESOURCE_IRON',20	,0);

-- Campus
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_RESEARCH_LAB',				'RESOURCE_IRON',10	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_HOSPITAL',					'RESOURCE_IRON',10	,0);

-- Commercial Hub
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_STOCK_EXCHANGE',			'RESOURCE_IRON',6	,0);

-- Dam
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_HYDROELECTRIC_DAM',			'RESOURCE_IRON',30	,0);

-- Harbor
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_SEAPORT',					'RESOURCE_IRON',7	,0);

-- Industrial Zone
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_WORKSHOP',					'RESOURCE_IRON',4	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_FACTORY',					'RESOURCE_IRON',15	,1);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_ELECTRONICS_FACTORY',		'RESOURCE_IRON',15	,1);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_COAL_POWER_PLANT',			'RESOURCE_IRON',15	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_FOSSIL_FUEL_POWER_PLANT',	'RESOURCE_IRON',20	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_POWER_PLANT',				'RESOURCE_IRON',30	,0);

-- Theater Square
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_BROADCAST_CENTER',			'RESOURCE_IRON',15	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_FILM_STUDIO',				'RESOURCE_IRON',9	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES ('BUILDING_STADIUM',					'RESOURCE_IRON',30	,0);
---------------------------------
---------------------------------
-------------------------------------------------------------------------------------------------------------------
--AERODROME
-------------------------------------------------------------------------------------------------------------------

UPDATE Districts SET RequiresPopulation=0 	WHERE 	DistrictType= 'DISTRICT_AERODROME';
UPDATE Districts SET Maintenance=4 			WHERE 	DistrictType= 'DISTRICT_AERODROME'; --2 gold per air slot
UPDATE Districts SET Housing=-1 			WHERE 	DistrictType= 'DISTRICT_AERODROME';
UPDATE Districts SET Entertainment=-1 		WHERE 	DistrictType= 'DISTRICT_AERODROME';

--Get +1 Gold per adjacent wonder,beach and ski resort, district
INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_AERODROME','Gold_per_district');
INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_AERODROME','Wonder_Gold');

INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,OtherDistrictAdjacent) 	VALUES 		('Gold_per_district','LOC_IMPROVEMENT_DISTRICT_GOLD_BONUS','YIELD_GOLD',1,1,1);
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentWonder) 			VALUES 		('Wonder_Gold','LOC_DISTRICT_GOLD_PER_WONDER','YIELD_GOLD',1,1,1);

INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_AERODROME','Beach_Gold');
INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_AERODROME','Ski_Gold');

INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentImprovement) 	VALUES 		('Beach_Gold',	'LOC_DISTRICT_GOLD_PER_BEACH_RESORT',	'YIELD_GOLD',1,1,'IMPROVEMENT_BEACH_RESORT');
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentImprovement) 	VALUES 		('Ski_Gold',	'LOC_DISTRICT_GOLD_PER_SKI_RESORT',		'YIELD_GOLD',1,1,'IMPROVEMENT_SKI_RESORT');

-------------------
-- BUILDINGS
-------------------
------------------------------------------------------------------------------------------------------------------	
-- CAMPUS / CAMPUSES
------------------------------------------------------------------------------------------------------------------	

--Move Campus to Philosophy
UPDATE Districts SET PrereqTech='TECH_PHILOSOPHY' WHERE PrereqTech='TECH_WRITING';


------------------------
-- New Adjacency Yields
------------------------
-- New splendid requirements: 4, instead of 3
UPDATE RequirementArguments SET Value=4 WHERE RequirementId='REQUIRES_CAMPUS_HAS_HIGH_ADJACENCY' AND Name='Amount';


-- Remove old yields
DELETE FROM District_Adjacencies WHERE YieldChangeId='Mountains_Science1';
DELETE FROM District_Adjacencies WHERE YieldChangeId='Mountains_Science2';
DELETE FROM District_Adjacencies WHERE YieldChangeId='Mountains_Science3';
DELETE FROM District_Adjacencies WHERE YieldChangeId='Mountains_Science4';
DELETE FROM District_Adjacencies WHERE YieldChangeId='Mountains_Science5';
DELETE FROM District_Adjacencies WHERE YieldChangeId='Jungle_Science';

INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_CAMPUS','Volcano_Science');
INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentFeature) VALUES ('Volcano_Science','LOC_DISTRICT_VOLCANO_SCIENCE','YIELD_SCIENCE',1,1,'FEATURE_VOLCANO');

--Give single +1 science for having one or more adjacent Reef(s) (until biology)
INSERT INTO 	Modifiers 					(ModifierId , ModifierType , RunOnce, SubjectRequirementSetId) 		VALUES 		( 'AREX_CAMPUS_REEF_SCIENCE' , 	'MODIFIER_PLAYER_DISTRICT_ADJUST_BASE_YIELD_CHANGE' , 0, 'REQSET_ADJACENT_REEF_AND_NO_BIOLOGY' );
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 										VALUES 		( 'AREX_CAMPUS_REEF_SCIENCE' , 	'YieldType' , 'YIELD_SCIENCE' ),
																															( 'AREX_CAMPUS_REEF_SCIENCE' , 	'Amount' , 1 );
																															

INSERT INTO DistrictModifiers (DistrictType , ModifierId) 														VALUES 		( 'DISTRICT_CAMPUS' , 									'AREX_CAMPUS_REEF_SCIENCE' );

--Reduce science from Reef from 2 to 1 amd now it requires Biology:
UPDATE Adjacency_YieldChanges SET YieldChange = 1, PrereqTech ='TECH_BIOLOGY' WHERE ID = 'Reef_Science';


--Science from adjacent Spaceport
INSERT INTO District_Adjacencies 
			(DistrictType, YieldChangeId) 
VALUES  	('DISTRICT_CAMPUS', 'Campus_Adj_Spaceport_Science');
INSERT INTO Adjacency_YieldChanges 
			(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) 
VALUES  	('Campus_Adj_Spaceport_Science', 'LOC_AREX_CAMPUS_SPACEPORT_ADJ_BONUS_DESCRIPTION', 'YIELD_SCIENCE',1 ,1 ,'DISTRICT_SPACEPORT' );


--Science from every adjacent resource (let's hope the AI can manage this...)
INSERT INTO District_Adjacencies 
			(DistrictType, 		YieldChangeId) 
VALUES  	('DISTRICT_CAMPUS', 'Campus_Resource_Science');
INSERT INTO Adjacency_YieldChanges 
			(ID, 						Description, 									YieldType, 		YieldChange, 	TilesRequired, 	AdjacentResource) 
VALUES  	('Campus_Resource_Science', 'LOC_AREX_CAMPUS_RES_ADJ_BONUS_DESCRIPTION', 	'YIELD_SCIENCE',1 ,				1 ,				1 );

-------------------
-- SCHOOL OF PHILOSOPHY (RENAMED LIBRARY)
-------------------
UPDATE Buildings SET PrereqTech='TECH_PHILOSOPHY', Cost=180, Maintenance=2 WHERE BuildingType='BUILDING_LIBRARY';
UPDATE Building_YieldChanges SET YieldChange=2 WHERE BuildingType='BUILDING_LIBRARY' AND YieldType='YIELD_SCIENCE';
INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 			VALUES ('BUILDING_LIBRARY','YIELD_CULTURE',1);


-------------------
-- UNIVERSITY / MADRASA
-------------------
INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 				VALUES 	('BUILDING_UNIVERSITY','YIELD_CULTURE',1);
INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 				VALUES 	('BUILDING_UNIVERSITY','YIELD_FAITH',1);

INSERT INTO Buildings_XP2 (BuildingType,RequiredPower) VALUES ('BUILDING_UNIVERSITY',1);
INSERT INTO Building_YieldChangesBonusWithPower (BuildingType,YieldType,YieldChange) VALUES ('BUILDING_UNIVERSITY','YIELD_SCIENCE',2);

INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 				VALUES 	('BUILDING_MADRASA','YIELD_CULTURE',1);
INSERT INTO Buildings_XP2 (BuildingType,RequiredPower) VALUES ('BUILDING_MADRASA',1);
INSERT INTO Building_YieldChangesBonusWithPower (BuildingType,YieldType,YieldChange) VALUES ('BUILDING_MADRASA','YIELD_SCIENCE',2);
-------------------
-- RESEARCH LAB
-------------------
UPDATE Buildings SET Description='LOC_BUILDING_RESEARCH_LAB_DESCRIPTION' WHERE BuildingType='BUILDING_RESEARCH_LAB';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_RESEARCH_LAB' AND YieldType='YIELD_SCIENCE';
UPDATE Buildings SET CitizenSlots=2 WHERE BuildingType='BUILDING_RESEARCH_LAB';



-------------------
-- HOSPITAL
-------------------
INSERT INTO Types		([Type],Kind)	VALUES	('BUILDING_HOSPITAL','KIND_BUILDING');
INSERT INTO Buildings	(BuildingType,Name,Description,PrereqTech,PrereqDistrict,PurchaseYield,Cost,AdvisorType,Maintenance,CitizenSlots,Entertainment,Housing) 
VALUES 					('BUILDING_HOSPITAL','LOC_BUILDING_HOSPITAL_NAME','LOC_BUILDING_HOSPITAL_DESCRIPTION','TECH_MEDICINE','DISTRICT_CAMPUS','YIELD_GOLD',600,'ADVISOR_TECHNOLOGY',5,2,1,3);

INSERT INTO BuildingPrereqs (Building,PrereqBuilding) VALUES ('BUILDING_HOSPITAL','BUILDING_UNIVERSITY');

INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) VALUES ('BUILDING_HOSPITAL','YIELD_FOOD',2);
INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) VALUES ('BUILDING_HOSPITAL','YIELD_SCIENCE',2);

INSERT INTO Buildings_XP2 (BuildingType,RequiredPower) VALUES ('BUILDING_HOSPITAL',3);

INSERT INTO Building_YieldChangesBonusWithPower (BuildingType,YieldType,YieldChange) VALUES 		('BUILDING_HOSPITAL','YIELD_SCIENCE',2), 
																									('BUILDING_HOSPITAL','YIELD_FOOD',3);

INSERT INTO MutuallyExclusiveBuildings (Building,MutuallyExclusiveBuilding) VALUES ('BUILDING_RESEARCH_LAB','BUILDING_HOSPITAL');
INSERT INTO MutuallyExclusiveBuildings (Building,MutuallyExclusiveBuilding) VALUES ('BUILDING_HOSPITAL','BUILDING_RESEARCH_LAB');


--INSERT INTO Building_YieldDistrictCopies(BuildingType,OldYieldType,NewYieldType) VALUES ('BUILDING_HOSPITAL','YIELD_SCIENCE','YIELD_SCIENCE');

-- HOSPITAL PROVIDES HEALING
INSERT INTO Requirements(RequirementId,RequirementType) 				VALUES 	('REQUIRES_CITY_HAS_HOSPITAL','REQUIREMENT_CITY_HAS_BUILDING'), 
																				('REQUIRES_UNIT_ON_CAMPUS','REQUIREMENT_PLOT_UNIT_CITY_HAS_DISTRICT_SAME_OWNER');
																				
INSERT INTO RequirementArguments(RequirementId,Name,[Type],[Value]) 	VALUES 	('REQUIRES_CITY_HAS_HOSPITAL','BuildingType','ARGTYPE_IDENTITY','BUILDING_HOSPITAL'),
																				('REQUIRES_UNIT_ON_CAMPUS','DistrictType','ARGTYPE_IDENTITY','DISTRICT_CAMPUS');

INSERT INTO RequirementSets(RequirementSetId,RequirementSetType) 		VALUES 	('CITY_HAS_HOSPITAL_AND_UNIT_ON_IT_REQUIREMENTS','REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSetRequirements(RequirementSetId,RequirementId) 	VALUES 	('CITY_HAS_HOSPITAL_AND_UNIT_ON_IT_REQUIREMENTS','REQUIRES_CITY_HAS_HOSPITAL'); 
INSERT INTO RequirementSetRequirements(RequirementSetId,RequirementId) 	VALUES 	('CITY_HAS_HOSPITAL_AND_UNIT_ON_IT_REQUIREMENTS','REQUIRES_UNIT_ON_CAMPUS'); 
	
INSERT INTO Modifiers(ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES 	('HOSPITAL_HEAL_FRIENDLY','MODIFIER_PLAYER_UNITS_ADJUST_HEAL_PER_TURN','CITY_HAS_HOSPITAL_AND_UNIT_ON_IT_REQUIREMENTS');
INSERT INTO ModifierArguments(ModifierId,Name,[Type],[Value]) 			VALUES 	('HOSPITAL_HEAL_FRIENDLY','Amount','ARGTYPE_IDENTITY',25), 
																				('HOSPITAL_HEAL_FRIENDLY','Type','ARGTYPE_IDENTITY','FRIENDLY');
																				
INSERT INTO BuildingModifiers (BuildingType,ModifierId) 				VALUES 	('BUILDING_HOSPITAL','HOSPITAL_HEAL_FRIENDLY');

																									
------------------------------------------------------------------------------------------------------------------	
-- CITY CENTER / CITY-CENTER
------------------------------------------------------------------------------------------------------------------	

--Cities no longer get a free amenity.
UPDATE GlobalParameters SET Value = 0 WHERE Name = 'CITY_AMENITIES_FOR_FREE'; --was 1

--Cities start with less housing depending on location:


UPDATE GlobalParameters SET Value = 4 WHERE Name = 'CITY_POPULATION_AQUEDUCT_BOOST'; --was 2
UPDATE GlobalParameters SET Value = 1 WHERE Name = 'CITY_POPULATION_NO_WATER'; --was 2
UPDATE GlobalParameters SET Value = 2 WHERE Name = 'CITY_POPULATION_COAST'; --was 3
UPDATE GlobalParameters SET Value = 3 WHERE Name = 'CITY_POPULATION_RIVER_LAKE'; --was 5

-- Excerpt from GlobalParameters:
--Name="CITY_POPULATION_AQUEDUCT_BOOST" Value="2" />
--Name="CITY_POPULATION_AQUEDUCT_MIN" Value="6" />
--Name="CITY_POPULATION_COAST" Value="3" />
--Name="CITY_POPULATION_LOSS_TO_CONQUEST_PERCENTAGE" Value="0.25" />
--Name="CITY_POPULATION_NO_WATER" Value="2" />
--Name="CITY_POPULATION_RIVER_LAKE" Value="5" />

--City centers provide +10 HP healing per turn for unit (total of 25 HP per turn).

INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		( 'MINOR_CIV_DEFAULT_TRAIT' , 							'TRAIT_ALL_CIVS_CITY_CENTERS_BASE_HEAL_AREX_MODIFIER' );
INSERT INTO TraitModifiers 		(TraitType , ModifierId) 								VALUES 		( 'TRAIT_LEADER_MAJOR_CIV' , 							'TRAIT_ALL_CIVS_CITY_CENTERS_BASE_HEAL_AREX_MODIFIER' );

INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		('TRAIT_ALL_CIVS_CITY_CENTERS_BASE_HEAL_AREX_MODIFIER',	'MODIFIER_PLAYER_UNITS_ADJUST_HEAL_PER_TURN','REQSET_PLOT_IS_CITY_CENTER');		
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_ALL_CIVS_CITY_CENTERS_BASE_HEAL_AREX_MODIFIER',	'Amount',10);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('TRAIT_ALL_CIVS_CITY_CENTERS_BASE_HEAL_AREX_MODIFIER',	'Type','ALL');


--City centers start with +2 prod 
UPDATE GlobalParameters SET Value = 2 WHERE Name = 'YIELD_PRODUCTION_CITY_TERRAIN_REPLACE'; --was 1 in vanilla


--City Centers give adjacent water tiles +1 food
INSERT OR REPLACE INTO DistrictModifiers
		(DistrictType,		ModifierId)
VALUES	('DISTRICT_CITY_CENTER',	'DISTRICT_ADJACENT_WATER_FOOD');


INSERT OR REPLACE INTO Modifiers
		(ModifierId,								ModifierType,									SubjectRequirementSetId,					SubjectStackLimit) 
VALUES	('DISTRICT_ADJACENT_WATER_FOOD',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',			'REQSET_ADJACENT_WATER_FOOD_BONUS',			1);				

INSERT OR REPLACE INTO ModifierArguments
		(ModifierId,									Name,			Value)
VALUES	('DISTRICT_ADJACENT_WATER_FOOD',				'Amount',		1),					
		('DISTRICT_ADJACENT_WATER_FOOD',				'YieldType',	'YIELD_FOOD');

-------------------
--PALACE (Capital city):
-------------------
UPDATE Building_YieldChanges SET YieldChange = 4 WHERE YieldType='YIELD_SCIENCE' AND BuildingType = 'BUILDING_PALACE'; --was 2
UPDATE Building_YieldChanges SET YieldChange = 8 WHERE YieldType='YIELD_GOLD' AND BuildingType = 'BUILDING_PALACE'; --was 5

--Palace gives +4 CS now (was 3)
UPDATE ModifierArguments SET Value = 4 WHERE ModifierId = 'PALACE_ADJUST_GARRISON_STRENGTH'; --was 3

-------------------
--WATER MILL:
-------------------
UPDATE Buildings SET RequiresRiver = 1 WHERE BuildingType = 'BUILDING_WATER_MILL';

-------------------
--GRANARY:
-------------------
UPDATE Buildings SET Description = 'LOC_BUILDING_GRANARY_DESCRIPTION' WHERE BuildingType ='BUILDING_GRANARY';

--Salt growth bonus:
INSERT INTO BuildingModifiers 				(BuildingType , ModifierId) 				VALUES 		( 'BUILDING_GRANARY' , 			'GRANARY_SALT_GROWTH_BONUS_AREX' );

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId) 	VALUES 		( 'GRANARY_SALT_GROWTH_BONUS_AREX',	'MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH',	'REQSET_CITY_HAS_SALT_AND_GRANARY');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'GRANARY_SALT_GROWTH_BONUS_AREX',	'Amount',5);

--INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId) 	VALUES 		('FARM_GRANARY_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH','REQSET_CITY_HAS_GRANARY');
--INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		('FARM_GRANARY_CITY_GROWTH','Amount',1);

-------------------
-- FLOOD BARRIER:
-------------------
UPDATE Buildings SET PrereqTech = 'TECH_COMPOSITES'		WHERE 		BuildingType = 'BUILDING_FLOOD_BARRIER'; 


-------------------
-- Defensive buildings - walls - etc
-------------------


UPDATE Buildings SET OuterDefenseHitPoints = 100, 	OuterDefenseStrength = 8, Cost=125, Maintenance=1		WHERE 		BuildingType = 'BUILDING_WALLS'; 		-- DefaultHP: 100, ODS:3, Cost: 80 		(was 150, 5, 100 in 2.7.3)		(was 200, 5, 100, in 1.8)	(was outerdefensestrength 10 in 2.4)
UPDATE Buildings SET OuterDefenseHitPoints = 100, 	OuterDefenseStrength = 4, Cost=250, Maintenance=1		WHERE 		BuildingType = 'BUILDING_CASTLE';		-- DefaultHP: 100, ODS:3, Cost: 220		(was 125, 5, 220 in 2.7.3)		(was 200, 5, 220, in 1.8)	(was outerdefensestrength 10 in 2.4)
UPDATE Buildings SET OuterDefenseHitPoints = 200, 	OuterDefenseStrength = 0, Cost=400, Maintenance=1		WHERE 		BuildingType = 'BUILDING_STAR_FORT';	-- DefaultHP: 100, ODS:3, Cost: 300		(was 125, 5, 300 in 2.7.3)		(was 200, 5, 300, in 1.8)	(was outerdefensestrength 10 in 2.4)
UPDATE Buildings SET OuterDefenseHitPoints = 200, 	OuterDefenseStrength = 4, Cost=350, Maintenance=1		WHERE 		BuildingType = 'BUILDING_TSIKHE';		-- DefaultHP: 100, ODS:3, Cost: 260		(was 125, 5, 260 in 2.7.3)		(was 200, 5, 260, in 1.8)	(was outerdefensestrength 10 in 2.4)
			
UPDATE Districts SET HitPoints = 200 																	WHERE 		DistrictType = 'DISTRICT_CITY_CENTER';	-- Default: 200, was 400 in 2.7.3

--Combat bonus that is subtracted when a combat unit is not in the city:
--UPDATE GlobalParameters SET Value=0 WHERE Name='COMBAT_GARRISON_MILITIA_MODIFIER'; 			--was 10

--Medieval Walls no longer block Battering Ram
DELETE FROM BuildingModifiers WHERE ModifierId = 'CASTLE_PREVENT_MELEE_ATTACK_OUTER_DEFENSES';

-------------------
-- URBAN DEFENSES (STEEL)
-------------------

--With Urban defenses, city grants adjacent enemy attackers full dmg vs walls

INSERT INTO Types 				([Type], Kind) 											VALUES 		('MODIFIER_PLAYER_DISTRICTS_ATTACH_MODIFIER' , 'KIND_MODIFIER');
INSERT INTO DynamicModifiers	(ModifierType , CollectionType, EffectType) 			VALUES 		('MODIFIER_PLAYER_DISTRICTS_ATTACH_MODIFIER','COLLECTION_PLAYER_DISTRICTS','EFFECT_ATTACH_MODIFIER');

--Steel tech grants modifiers to player:
INSERT INTO TechnologyModifiers 	(TechnologyType,ModifierId) 	VALUES		('TECH_STEEL',	'TECH_STEEL_ATTACH_DISTRICTS_MODIFIER_GRANT_ADJACENT_ENEMY_ABILITY');

--Modifiers attach modifiers in turn to all cities:
INSERT INTO Modifiers			(ModifierId , ModifierType,Permanent,SubjectRequirementSetId) 					VALUES 		( 'TECH_STEEL_ATTACH_DISTRICTS_MODIFIER_GRANT_ADJACENT_ENEMY_ABILITY',			'MODIFIER_PLAYER_DISTRICTS_ATTACH_MODIFIER',1, 'REQSET_DISTRICT_IS_CITY_CENTER_OR_ENCAMPMENT');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'TECH_STEEL_ATTACH_DISTRICTS_MODIFIER_GRANT_ADJACENT_ENEMY_ABILITY',			'ModifierId', 'URBAN_DEFENSES_DISTRICT_GRANTS_ABILITY_TO_ADJACENT_ENEMIES');


-- Cities gain the modifier above to attach modifiers to adjacent enemy unit(s):

INSERT INTO Modifiers			(ModifierId , ModifierType,SubjectRequirementSetId, SubjectStackLimit) 	VALUES 		( 'URBAN_DEFENSES_DISTRICT_GRANTS_ABILITY_TO_ADJACENT_ENEMIES',			'MODIFIER_ALL_UNITS_GRANT_ABILITY',	'REQSET_ADJACENT_ENEMY_UNITS' , 1);
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 											VALUES 		( 'URBAN_DEFENSES_DISTRICT_GRANTS_ABILITY_TO_ADJACENT_ENEMIES',			'AbilityType', 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES');

--Ability
INSERT INTO Types 					([Type],Kind) 											VALUES		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'CLASS_MELEE' );
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'CLASS_ANTI_CAVALRY' );
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'CLASS_LIGHT_CAVALRY' );
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'CLASS_HEAVY_CAVALRY' );
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'CLASS_WARRIOR_MONK' );
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'CLASS_RANGED' );
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'CLASS_RANGED_CAVALRY' );
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'CLASS_LIGHT_CHARIOT' );
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		( 'ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',	'CLASS_NAVAL_MELEE' );

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',		'MELEE_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',		'RECON_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',		'LIGHT_CAVALRY_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',		'HEAVY_CAVALRY_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',		'NAVAL_MELEE_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',		'ANTI_CAVALRY_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_FULL_DAMAGE_VS_URBAN_DEFENSES',		'WARRIOR_MONK_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY');


--Defining a kind of modifier that allows full dmg vs walls but that is applied only to a specific unit, not all units.
INSERT INTO Types 				([Type], Kind) 											VALUES 		('MODIFIER_SINGLE_UNIT_ADJUST_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS' , 'KIND_MODIFIER');
INSERT INTO DynamicModifiers	(ModifierType , CollectionType, EffectType) 			VALUES 		('MODIFIER_SINGLE_UNIT_ADJUST_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS','COLLECTION_OWNER','EFFECT_ADJUST_UNIT_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS');

-- Finally the unit is granted these modifiers to allow it to deal full dmg vs walls:

INSERT INTO Modifiers			(ModifierId , ModifierType) 							VALUES 		( 'MELEE_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',			'MODIFIER_SINGLE_UNIT_ADJUST_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS' );
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'MELEE_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',			'PromotionClass', 'PROMOTION_CLASS_MELEE');

INSERT INTO Modifiers			(ModifierId , ModifierType) 					 		VALUES 		( 'RECON_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',			'MODIFIER_SINGLE_UNIT_ADJUST_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS' );
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'RECON_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',			'PromotionClass', 'PROMOTION_CLASS_RECON');

INSERT INTO Modifiers			(ModifierId , ModifierType) 					 		VALUES 		( 'LIGHT_CAVALRY_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',	'MODIFIER_SINGLE_UNIT_ADJUST_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS' );
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'LIGHT_CAVALRY_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',	'PromotionClass', 'PROMOTION_CLASS_LIGHT_CAVALRY');

INSERT INTO Modifiers			(ModifierId , ModifierType) 					 		VALUES 		( 'HEAVY_CAVALRY_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',	'MODIFIER_SINGLE_UNIT_ADJUST_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS' );
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'HEAVY_CAVALRY_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',	'PromotionClass', 'PROMOTION_CLASS_HEAVY_CAVALRY');

INSERT INTO Modifiers			(ModifierId , ModifierType) 					 		VALUES 		( 'NAVAL_MELEE_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',		'MODIFIER_SINGLE_UNIT_ADJUST_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS' );
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'NAVAL_MELEE_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',		'PromotionClass', 'PROMOTION_CLASS_NAVAL_MELEE');

INSERT INTO Modifiers			(ModifierId , ModifierType) 					 		VALUES 		( 'ANTI_CAVALRY_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',		'MODIFIER_SINGLE_UNIT_ADJUST_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS' );
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'ANTI_CAVALRY_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',		'PromotionClass', 'PROMOTION_CLASS_ANTI_CAVALRY');

INSERT INTO Modifiers			(ModifierId , ModifierType) 					 		VALUES 		( 'WARRIOR_MONK_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',		'MODIFIER_SINGLE_UNIT_ADJUST_ENABLE_WALL_ATTACK_WHOLE_GAME_PROMOTION_CLASS' );
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'WARRIOR_MONK_FULL_DAMAGE_VS_URBAN_DEFENSES_CITY',		'PromotionClass', 'PROMOTION_CLASS_MONK');

---- Dynamic modifier to give all cities bonus defense.
--
INSERT INTO Types 				([Type], Kind) 									VALUES 		('MODIFIER_PLAYER_CITIES_ADJUST_INNER_DEFENSE_AREX' , 	'KIND_MODIFIER');
INSERT INTO DynamicModifiers	(ModifierType , CollectionType, EffectType) 	VALUES 		('MODIFIER_PLAYER_CITIES_ADJUST_INNER_DEFENSE_AREX',	'COLLECTION_PLAYER_CITIES',	'EFFECT_ADJUST_CITY_INNER_DEFENSE');

-- All cities gain +10 CS?
--INSERT INTO TechnologyModifiers (TechnologyType,ModifierId) 					VALUES		('TECH_STEEL',	'STEEL_CITIES_GAIN_COMBAT_BONUS');
--
--INSERT INTO Modifiers			(ModifierId , ModifierType) 					VALUES 		( 'STEEL_CITIES_GAIN_COMBAT_BONUS',		'MODIFIER_PLAYER_CITIES_ADJUST_INNER_DEFENSE_AREX');
--INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 					VALUES 		( 'STEEL_CITIES_GAIN_COMBAT_BONUS',		'Amount', 10);

---- CAPITAL CITIES GAIN +10 CS on top:

INSERT INTO Types 				([Type], Kind) 									VALUES 		('MODIFIER_PLAYER_CAPITAL_ADJUST_CITY_INNER_DEFENSE' , 'KIND_MODIFIER');
INSERT INTO DynamicModifiers	(ModifierType , CollectionType, EffectType) 	VALUES 		('MODIFIER_PLAYER_CAPITAL_ADJUST_CITY_INNER_DEFENSE','COLLECTION_PLAYER_CAPITAL_CITY','EFFECT_ADJUST_CITY_INNER_DEFENSE');

INSERT INTO TechnologyModifiers (TechnologyType,ModifierId) 					VALUES		('TECH_STEEL',	'STEEL_CAPITAL_GAINS_INNER_DEFENSE');

INSERT INTO Modifiers			(ModifierId , ModifierType) 					VALUES 		( 'STEEL_CAPITAL_GAINS_INNER_DEFENSE',		'MODIFIER_PLAYER_CAPITAL_ADJUST_CITY_INNER_DEFENSE');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 					VALUES 		( 'STEEL_CAPITAL_GAINS_INNER_DEFENSE',		'Amount', 6);

-- And Cities with full loyalty gain +4 CS

INSERT INTO TechnologyModifiers (TechnologyType,ModifierId) 					VALUES		('TECH_STEEL',	'STEEL_CITIES_GAIN_LOYALTY_COMBAT_BONUS');

INSERT INTO Modifiers			(ModifierId , ModifierType, SubjectRequirementSetId) 	VALUES 		( 'STEEL_CITIES_GAIN_LOYALTY_COMBAT_BONUS',		'MODIFIER_PLAYER_CITIES_ADJUST_INNER_DEFENSE_AREX' , 'MONUMENT_FULL_LOYALTY_REQUIREMENTS');
INSERT INTO ModifierArguments	(ModifierId , Name , [Value]) 							VALUES 		( 'STEEL_CITIES_GAIN_LOYALTY_COMBAT_BONUS',		'Amount', 4);

------------------------------------------------------------------------------------------------------------------
--COMMERCIAL HUB
------------------------------------------------------------------------------------------------------------------	

--Adjacency for splendid increased to 5 (was 4):
UPDATE RequirementArguments SET Value = 5 WHERE RequirementId = 'REQUIRES_COMMERCIAL_HUB_HAS_HIGH_ADJACENCY' AND Name = 'Amount';

--Commercial Hub gets +1 Gold for each adjacent Bonus resource
INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_COMMERCIAL_HUB', 'BonusRes_Gold');

INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_SUGUBA', 'BonusRes_Gold');

INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_HARBOR', 'Pasture_Gold');
INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_HARBOR', 'Quarry_Gold');

INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_COTHON', 'Pasture_Gold');
INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_COTHON', 'Quarry_Gold');

INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_ROYAL_NAVY_DOCKYARD', 'Pasture_Gold');
INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_ROYAL_NAVY_DOCKYARD', 'Quarry_Gold');

INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentResourceClass) 	VALUES  	('BonusRes_Gold', 'LOC_COMMERCIAL_HUB_BONUS_RESOURCE_GOLD', 'YIELD_GOLD', 1 , 1 , 'RESOURCECLASS_BONUS') ;
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentImprovement) 		VALUES  	('Pasture_Gold', 'LOC_HARBOR_PASTURE_GOLD', 'YIELD_GOLD', 1 , 1 , 'IMPROVEMENT_PASTURE') ;
INSERT INTO Adjacency_YieldChanges 	(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentImprovement) 		VALUES  	('Quarry_Gold', 'LOC_HARBOR_QUARRY_GOLD', 'YIELD_GOLD', 1 , 1 , 'IMPROVEMENT_QUARRY') ;

-------------------
-- MARKET:
-------------------
UPDATE Building_YieldChanges SET YieldChange=2 WHERE BuildingType='BUILDING_MARKET' AND YieldType='YIELD_GOLD';
INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 			VALUES ('BUILDING_MARKET','YIELD_PRODUCTION',1);
INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 			VALUES ('BUILDING_MARKET','YIELD_FOOD',1);


-------------------
-- BANK:
-------------------
INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 					VALUES 	('BUILDING_BANK','YIELD_PRODUCTION',2);
INSERT INTO Buildings_XP2 (BuildingType,RequiredPower) VALUES ('BUILDING_BANK',1);
INSERT INTO Building_YieldChangesBonusWithPower (BuildingType,YieldType,YieldChange) 	VALUES 	('BUILDING_BANK','YIELD_GOLD',4);

INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 					VALUES 	('BUILDING_GRAND_BAZAAR','YIELD_PRODUCTION',2);
INSERT INTO Buildings_XP2 (BuildingType,RequiredPower) VALUES ('BUILDING_GRAND_BAZAAR',1);
INSERT INTO Building_YieldChangesBonusWithPower (BuildingType,YieldType,YieldChange) 	VALUES 	('BUILDING_GRAND_BAZAAR','YIELD_GOLD',4);
-------------------
-- STOCK EXCHANGE:
-------------------
UPDATE Buildings SET Description='LOC_BUILDING_STOCK_EXCHANGE_DESCRIPTION' WHERE BuildingType='BUILDING_STOCK_EXCHANGE';

------------------------------------------------------------------------------------------------------------------
--ENCAMPMENT
------------------------------------------------------------------------------------------------------------------	

UPDATE Districts SET Housing=1 				WHERE 	DistrictType= 'DISTRICT_ENCAMPMENT'; --was 0
UPDATE Districts SET Housing=2 				WHERE 	DistrictType= 'DISTRICT_IKANDA'; --was 1
DELETE FROM Districts_XP2 WHERE DistrictType='DISTRICT_ENCAMPMENT' OR DistrictType = 'DISTRICT_IKANDA';

--Reduce Great General and Admiral points gained from encampment and harbor

--Encampment seems to get +1 pts per turn but really this is just to trick the A.I.
UPDATE District_GreatPersonPoints 		SET PointsPerTurn = 1 										WHERE 	DistrictType = 'DISTRICT_ENCAMPMENT' 				AND 	GreatPersonClassType ='GREAT_PERSON_CLASS_GENERAL'; --was 0 in 2.7.3
UPDATE District_GreatPersonPoints 		SET PointsPerTurn = 1 										WHERE 	DistrictType = 'DISTRICT_IKANDA' 					AND 	GreatPersonClassType ='GREAT_PERSON_CLASS_GENERAL'; --was 0 in 2.7.3


-- Get minus 1 general point if city lacks Castellan governor.
INSERT INTO DistrictModifiers 			(DistrictType , ModifierId) 								VALUES 		( 'DISTRICT_ENCAMPMENT' ,	'ENCAMPMENT_NO_GENERAL_POINTS_WITHOUT_GOVERNOR');
INSERT INTO DistrictModifiers 			(DistrictType , ModifierId) 								VALUES 		( 'DISTRICT_IKANDA' , 		'ENCAMPMENT_NO_GENERAL_POINTS_WITHOUT_GOVERNOR');
INSERT INTO Modifiers 					(ModifierId,ModifierType, SubjectRequirementSetId)	 		VALUES 		( 'ENCAMPMENT_NO_GENERAL_POINTS_WITHOUT_GOVERNOR' , 'MODIFIER_PLAYER_DISTRICT_ADJUST_GREAT_PERSON_POINTS','CITY_HAS_NO_GOVERNOR_REQUIREMENTS'); --''
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'ENCAMPMENT_NO_GENERAL_POINTS_WITHOUT_GOVERNOR' , 'GreatPersonClassType' , 'GREAT_PERSON_CLASS_GENERAL' );
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'ENCAMPMENT_NO_GENERAL_POINTS_WITHOUT_GOVERNOR' , 'Amount' , -1 );

INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_ENCAMPMENT', 'BaseDistrict_Production');
INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_ENCAMPMENT', 'BaseDistrict_Culture');
INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_IKANDA', 	'BaseDistrict_Production');
INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 														VALUES   	('DISTRICT_IKANDA', 	'BaseDistrict_Culture');

INSERT INTO Adjacency_YieldChanges 	(ID,Description,YieldType,YieldChange,Self) 		VALUES  	('BaseDistrict_Production', 'LOC_DISTRICT_BASE_DISTRICT_PRODUCTION', 	'YIELD_PRODUCTION', 1 , 1);
INSERT INTO Adjacency_YieldChanges 	(ID,Description,YieldType,YieldChange,Self) 		VALUES  	('BaseDistrict_Culture', 	'LOC_DISTRICT_BASE_DISTRICT_CULTURE', 		'YIELD_CULTURE', 	1 , 1);

-------------------
-- BUILDINGS
-------------------

--Armory no longer requires Barracks or Stables:
DELETE FROM BuildingPrereqs WHERE Building = 'BUILDING_ARMORY';
DELETE FROM BuildingPrereqs WHERE Building = 'BUILDING_BROADCAST_CENTER';

------------------------------------------------------------------------------------------------------------------
-- GOVERNMENT PLAZA / GOVT PLAZA
------------------------------------------------------------------------------------------------------------------

-------------------
-- BUILDINGS
-------------------
INSERT INTO Types([Type],Kind) VALUES('BUILDING_ARCHIVE','KIND_BUILDING');
INSERT INTO Buildings	(BuildingType,Name,Description,PrereqTech,PrereqDistrict,PurchaseYield,Cost,AdvisorType,Maintenance) 
VALUES 					('BUILDING_ARCHIVE','LOC_BUILDING_ARCHIVE_NAME','LOC_BUILDING_ARCHIVE_DESCRIPTION','TECH_WRITING','DISTRICT_GOVERNMENT','YIELD_GOLD',90,'ADVISOR_TECHNOLOGY',2); 

-- +2 sci and +1 prod base
INSERT INTO Building_YieldChanges	(BuildingType,YieldType,YieldChange) VALUES 	('BUILDING_ARCHIVE','YIELD_SCIENCE',2); --was 1 in Agrev
INSERT INTO Building_YieldChanges	(BuildingType,YieldType,YieldChange) VALUES 	('BUILDING_ARCHIVE','YIELD_PRODUCTION',1);

-- +1 sci per era
INSERT INTO Building_YieldsPerEra 	(BuildingType,YieldType,YieldChange) VALUES 	('BUILDING_ARCHIVE','YIELD_SCIENCE',1);


------------------------------------------------------------------------------------------------------------------
--HARBOR / COTHON / ROYAL NAVY DOCKYARD
------------------------------------------------------------------------------------------------------------------

-- +1 food to adj. water tiles. Doesn't stack with city center
INSERT OR REPLACE INTO DistrictModifiers
		(DistrictType,		ModifierId)
VALUES	('DISTRICT_HARBOR',					'DISTRICT_ADJACENT_WATER_FOOD'),
		('DISTRICT_ROYAL_NAVY_DOCKYARD',	'DISTRICT_ADJACENT_WATER_FOOD'),
		('DISTRICT_COTHON',					'DISTRICT_ADJACENT_WATER_FOOD');


--Harbors get trader points instead of admiral
UPDATE District_GreatPersonPoints 		SET GreatPersonClassType ='GREAT_PERSON_CLASS_MERCHANT' 	WHERE 	DistrictType = 'DISTRICT_HARBOR' 					AND 	GreatPersonClassType ='GREAT_PERSON_CLASS_ADMIRAL';
UPDATE District_GreatPersonPoints 		SET GreatPersonClassType ='GREAT_PERSON_CLASS_MERCHANT' 	WHERE 	DistrictType = 'DISTRICT_COTHON' 					AND 	GreatPersonClassType ='GREAT_PERSON_CLASS_ADMIRAL';
UPDATE District_GreatPersonPoints 		SET PointsPerTurn = 1 										WHERE 	DistrictType = 'DISTRICT_ROYAL_NAVY_DOCKYARD' 		AND 	GreatPersonClassType ='GREAT_PERSON_CLASS_ADMIRAL';
INSERT INTO District_GreatPersonPoints 	(DistrictType,GreatPersonClassType,PointsPerTurn)			VALUES	( 'DISTRICT_ROYAL_NAVY_DOCKYARD' , 'GREAT_PERSON_CLASS_MERCHANT' , 1 );

------------------
-- Harbors gain production from forests and lumber mills.
------------------

--lumber mill adj bonus
INSERT INTO District_Adjacencies 
		 (DistrictType, YieldChangeId) 
VALUES   ('DISTRICT_HARBOR', 				'AREX_Harbor_LumberMill_Production') ,
		 ('DISTRICT_COTHON', 				'AREX_Harbor_LumberMill_Production') ,
		 ('DISTRICT_ROYAL_NAVY_DOCKYARD', 	'AREX_Harbor_LumberMill_Production') ;
INSERT INTO Adjacency_YieldChanges 
		(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentFeature, AdjacentImprovement) 
VALUES  ('AREX_Harbor_LumberMill_Production', 'LOC_AREX_HARBOR_LUMBERMILL_ADJ_BONUS_DESCRIPTION', 'YIELD_PRODUCTION', 1 , 1 , NULL, 'IMPROVEMENT_LUMBER_MILL');


--forest adj bonus
INSERT INTO District_Adjacencies 
			(DistrictType, YieldChangeId) 
VALUES   	('DISTRICT_HARBOR', 				'AREX_Harbor_Forest_Production') ,
			('DISTRICT_COTHON', 				'AREX_Harbor_Forest_Production') ,
			('DISTRICT_ROYAL_NAVY_DOCKYARD', 	'AREX_Harbor_Forest_Production') ;
			
INSERT INTO Adjacency_YieldChanges 
		(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentTerrain, AdjacentFeature, AdjacentImprovement) 
VALUES  ('AREX_Harbor_Forest_Production', 	'LOC_AREX_HARBOR_FOREST_ADJ_BONUS_DESCRIPTION', 	'YIELD_PRODUCTION', 1 , 1 , NULL, 			'FEATURE_FOREST', NULL);

--Rainforest adj bonus
INSERT INTO District_Adjacencies 
		 (DistrictType, YieldChangeId) 
VALUES   ('DISTRICT_HARBOR', 				'AREX_Harbor_Rainforest_Production') ,
		 ('DISTRICT_COTHON', 				'AREX_Harbor_Rainforest_Production') ,
		 ('DISTRICT_ROYAL_NAVY_DOCKYARD', 	'AREX_Harbor_Rainforest_Production') ;
		 
INSERT INTO Adjacency_YieldChanges 
		(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentTerrain, AdjacentFeature, AdjacentImprovement) 
VALUES  ('AREX_Harbor_Rainforest_Production', 'LOC_AREX_HARBOR_RAINFOREST_ADJ_BONUS_DESCRIPTION', 'YIELD_PRODUCTION', 1 , 1 , NULL, 'FEATURE_JUNGLE', NULL);

------------------
--Harbor - Taiga forest bonus
------------------


INSERT INTO 	Modifiers 					(ModifierId , ModifierType , RunOnce, SubjectRequirementSetId) 		VALUES 		( 'AREX_HARBOR_TAIGA_FOREST_PRODUCTION_BONUS' , 	'MODIFIER_PLAYER_DISTRICT_ADJUST_BASE_YIELD_CHANGE' , 0, 'REQSET_ADJACENT_TAIGA_FOREST_AREX' );
INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 										VALUES 		( 'AREX_HARBOR_TAIGA_FOREST_PRODUCTION_BONUS' , 	'YieldType' , 'YIELD_PRODUCTION' ),
																															( 'AREX_HARBOR_TAIGA_FOREST_PRODUCTION_BONUS' , 	'Amount' , 1 );
																															

INSERT INTO DistrictModifiers (DistrictType , ModifierId) 														VALUES 		( 'DISTRICT_HARBOR' , 									'AREX_HARBOR_TAIGA_FOREST_PRODUCTION_BONUS' );
INSERT INTO DistrictModifiers (DistrictType , ModifierId) 														VALUES 		( 'DISTRICT_COTHON' , 									'AREX_HARBOR_TAIGA_FOREST_PRODUCTION_BONUS' );		
INSERT INTO DistrictModifiers (DistrictType , ModifierId) 														VALUES 		( 'DISTRICT_ROYAL_NAVY_DOCKYARD' , 						'AREX_HARBOR_TAIGA_FOREST_PRODUCTION_BONUS' );



------------------
--Harbor gives +1 gold to plots with Reefs, not adjacent to City center or Harbor
------------------
--INSERT INTO 	DistrictModifiers 			(DistrictType , ModifierId) 								VALUES 		( 'DISTRICT_HARBOR' , 				'HARBOR_REEF_GOLD' );
--INSERT INTO 	DistrictModifiers 			(DistrictType , ModifierId) 								VALUES 		( 'DISTRICT_COTHON' , 				'HARBOR_REEF_GOLD' );
--INSERT INTO 	DistrictModifiers 			(DistrictType , ModifierId) 								VALUES 		( 'DISTRICT_ROYAL_NAVY_DOCKYARD' , 	'HARBOR_REEF_GOLD' );
--		
--INSERT INTO 	Modifiers 					(ModifierId , ModifierType , SubjectRequirementSetId) 		VALUES 		( 'HARBOR_REEF_GOLD' , 			'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD' , 'REQSET_HARBOR_GOLD_BONUSES_TO_REEFS' ); --was coast in 2.6
--INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'HARBOR_REEF_GOLD' , 			'YieldType' , 'YIELD_GOLD');
--INSERT INTO 	ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'HARBOR_REEF_GOLD' , 			'Amount' , 1);

-------------------
-- BUILDINGS
-------------------

------------------
-- LIGHTHOUSE
------------------

--UPDATE Modifiers SET SubjectRequirementSetId=NULL WHERE ModifierId='LIGHTHOUSE_TRADE_ROUTE_CAPACITY' AND ModifierType='MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY'; --This should make it so that you can get both trade routes.

INSERT INTO Building_YieldChanges(BuildingType,YieldType,YieldChange) 			VALUES ('BUILDING_LIGHTHOUSE',		'YIELD_PRODUCTION',	1);
INSERT INTO Building_YieldChanges 	(BuildingType , YieldType , YieldChange) 	VALUES 	('BUILDING_LIGHTHOUSE' , 	'YIELD_GOLD' , 		2);

--See fishing boats and Fisheries for bonuses gained by them.

--No food for unimproved tiles (See fishing boats and fishery)
DELETE FROM BuildingModifiers 		WHERE 	BuildingType = 'BUILDING_LIGHTHOUSE' AND ModifierId = 'LIGHTHOUSE_COAST_FOOD';


------------------
-- SHIPYARD
------------------
INSERT INTO Building_GreatPersonPoints(BuildingType,GreatPersonClassType,PointsPerTurn) VALUES 	('BUILDING_SHIPYARD','GREAT_PERSON_CLASS_MERCHANT',1);
INSERT INTO BuildingModifiers		(BuildingType,ModifierId) 							VALUES 	('BUILDING_SHIPYARD','BARRACKS_ADJUST_RESOURCE_STOCKPILE_CAP'); 
INSERT INTO Building_YieldChanges	(BuildingType,YieldType,YieldChange) 				VALUES 	('BUILDING_SHIPYARD', 'YIELD_GOLD',	2);

--See fishing boats and Fisheries for bonuses gained by them.

--No prod bonus for only unimproved tiles
DELETE FROM BuildingModifiers WHERE ModifierId = 'SHIPYARD_UNIMPROVED_COAST_PRODUCTION';

-- All coast tiles get +1 prod
INSERT INTO BuildingModifiers 	(BuildingType , ModifierId) 						VALUES 	('BUILDING_SHIPYARD' , 			'SHIPYARD_COAST_PRODUCTION' );
INSERT INTO Modifiers 			(ModifierId, ModifierType, SubjectRequirementSetId)	VALUES	('SHIPYARD_COAST_PRODUCTION',	'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','REQSET_PLOT_IS_COAST');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 	('SHIPYARD_COAST_PRODUCTION',	'YieldType' , 'YIELD_PRODUCTION');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 	('SHIPYARD_COAST_PRODUCTION',	'Amount' , 1);

-----------------
-- SEAPORT
-----------------

INSERT INTO BuildingModifiers(BuildingType,ModifierId) 							VALUES 	('BUILDING_SEAPORT',		'ARMORY_ADJUST_RESOURCE_STOCKPILE_CAP');
INSERT INTO Building_YieldChanges	(BuildingType,YieldType,YieldChange) 		VALUES 	('BUILDING_SEAPORT',		'YIELD_PRODUCTION',	2);

UPDATE Building_YieldDistrictCopies SET BuildingType = 'BUILDING_SEAPORT' 		WHERE 	BuildingType = 'BUILDING_SHIPYARD'; 

--See fishing boats and Fisheries for bonuses gained by them.

-- No gold for coast tiles anymore
DELETE FROM BuildingModifiers WHERE ModifierId = 'SEAPORT_COAST_GOLD';

-- All ocean tiles gain +1 prod
INSERT INTO BuildingModifiers 	(BuildingType , ModifierId) 						VALUES 	('BUILDING_SEAPORT' , 'SEAPORT_OCEAN_PRODUCTION' );
INSERT INTO Modifiers 			(ModifierId, ModifierType, SubjectRequirementSetId)	VALUES	('SEAPORT_OCEAN_PRODUCTION','MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD','UBOAT_PLOT_IS_OCEAN_REQUIREMENTS');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 	('SEAPORT_OCEAN_PRODUCTION','YieldType' , 'YIELD_PRODUCTION');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 	('SEAPORT_OCEAN_PRODUCTION','Amount' , 1);


------------------------------------------------------------------------------------------------------------------	
-- HOLY SITE
------------------------------------------------------------------------------------------------------------------	

INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 		VALUES   	('DISTRICT_HOLY_SITE', 'BaseDistrict_Faith');
INSERT INTO Adjacency_YieldChanges 	(ID,Description,YieldType,YieldChange,Self) 		VALUES  	('BaseDistrict_Faith', 'LOC_DISTRICT_BASE_DISTRICT_FAITH', 	'YIELD_FAITH', 1 , 1);

UPDATE RequirementArguments SET Value=4 WHERE RequirementId='REQUIRES_HOLY_SITE_HAS_HIGH_ADJACENCY' AND Name='Amount';			--was 3

INSERT INTO Adjacency_YieldChanges (ID,Description,YieldType,YieldChange,TilesRequired,AdjacentFeature) VALUES ('Volcano_Faith','LOC_DISTRICT_VOLCANO_FAITH','YIELD_FAITH',1,1,'FEATURE_VOLCANO');

INSERT INTO District_Adjacencies 	(DistrictType,YieldChangeId) 		VALUES ('DISTRICT_HOLY_SITE',	'Volcano_Faith');
INSERT INTO District_Adjacencies 	(DistrictType,YieldChangeId) 		VALUES ('DISTRICT_LAVRA',		'Volcano_Faith');

-------------------
-- 
-------------------

-------------------------------------------------------------------------------------------------------------------
--INDUSTRIAL ZONE
-------------------------------------------------------------------------------------------------------------------

INSERT INTO District_Adjacencies 	(DistrictType , YieldChangeId) 													VALUES 		( 'DISTRICT_INDUSTRIAL_ZONE' , 'River_Production' );
INSERT INTO Adjacency_YieldChanges 	(ID , Description , YieldType , YieldChange , TilesRequired , AdjacentRiver) 	VALUES 		( 'River_Production' , 'LOC_DISTRICT_RIVER_BONUS_TO_PRODUCTION' , 'YIELD_PRODUCTION' , 1 , 1 , 1);

--WAREHOUSE REMOVED IN 2.8		INSERT INTO Types([Type],Kind) VALUES('BUILDING_WAREHOUSE','KIND_BUILDING');

-------------------
-- WORKSHOP
-------------------
UPDATE Buildings SET Description='LOC_BUILDING_WORKSHOP_DESCRIPTION' WHERE BuildingType='BUILDING_WORKSHOP';

-- +1 science after researching Alchemy?
INSERT INTO Modifiers (ModifierId,ModifierType,RunOnce,Permanent) VALUES ('ALCHEMY_WORKSHOP_SCIENCE','MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',1,1);
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('ALCHEMY_WORKSHOP_SCIENCE','BuildingType','BUILDING_WORKSHOP');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('ALCHEMY_WORKSHOP_SCIENCE','Amount',1);
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) VALUES ('ALCHEMY_WORKSHOP_SCIENCE','YieldType','YIELD_SCIENCE');

-------------------
-- FACTORY / ELECTRONICS FACTORY:
-------------------
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_FACTORY' AND YieldType='YIELD_PRODUCTION';
--UPDATE Building_YieldChanges SET YieldChange=2 WHERE BuildingType='BUILDING_ELECTRONICS_FACTORY' AND YieldType='YIELD_PRODUCTION';

UPDATE Buildings SET Maintenance = 4 	WHERE BuildingType = 'BUILDING_FACTORY';
UPDATE Buildings SET Entertainment = -1 WHERE BuildingType = 'BUILDING_FACTORY';

UPDATE Buildings SET Maintenance = 4 	WHERE BuildingType = 'BUILDING_ELECTRONICS_FACTORY';

-------------------
-- COAL POWER PLANT:
-------------------
UPDATE Buildings SET PrereqTech='TECH_ELECTRICITY' WHERE BuildingType='BUILDING_COAL_POWER_PLANT';
UPDATE Buildings SET Entertainment = -1 					WHERE BuildingType = 'BUILDING_COAL_POWER_PLANT';

-------------------
-- OIL POWER PLANT:
-------------------
UPDATE Buildings SET PrereqTech='TECH_COMBUSTION' 	WHERE BuildingType='BUILDING_FOSSIL_FUEL_POWER_PLANT';
UPDATE Buildings SET Entertainment = -1				WHERE BuildingType = 'BUILDING_FOSSIL_FUEL_POWER_PLANT';

-------------------
-- NUCLEAR POWER PLANT:
-------------------
UPDATE Buildings SET PrereqTech='TECH_NUCLEAR_FUSION' WHERE BuildingType='BUILDING_POWER_PLANT';
UPDATE Building_YieldChanges SET YieldChange=6 WHERE BuildingType='BUILDING_POWER_PLANT' AND YieldType='YIELD_PRODUCTION';
UPDATE Buildings SET Maintenance = 9						WHERE BuildingType = 'BUILDING_POWER_PLANT';

-------------------------------------------------------------------------------------------------------------------
--NEIGHBORHOOD AND MBANZA
-------------------------------------------------------------------------------------------------------------------
INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_NEIGHBORHOOD','Beach_Gold');
INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_NEIGHBORHOOD','Ski_Gold');
INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_MBANZA','Beach_Gold');
INSERT INTO District_Adjacencies (DistrictType,YieldChangeId) VALUES ('DISTRICT_MBANZA','Ski_Gold');

-------------------
-- BUILDINGS
-------------------

---------------------	
-- SPACEPORT
---------------------	

-------------------
-- BUILDINGS?
-------------------
------------------------------------------------------------------------------------------------------------------	
-- THEATER SQUARE
------------------------------------------------------------------------------------------------------------------	

INSERT INTO District_Adjacencies 	(DistrictType, YieldChangeId) 		VALUES   	('DISTRICT_THEATER', 'BaseDistrict_Culture');

UPDATE RequirementArguments SET Value=4 WHERE RequirementId='REQUIRES_THEATER_SQUARE_HAS_HIGH_ADJACENCY' AND Name='Amount';		--was 3 

INSERT INTO District_Adjacencies 
		 (DistrictType, YieldChangeId) 
VALUES   ('DISTRICT_THEATER', 'NaturalWonder_Culture') ,
		 ('DISTRICT_ACROPOLIS', 'NaturalWonder_Culture') ;
INSERT INTO Adjacency_YieldChanges 
		(ID, Description, YieldType, YieldChange, TilesRequired, AdjacentNaturalWonder) 
VALUES  ('NaturalWonder_Culture', 'LOC_AREX_NATURAL_WONDER_ADJ_BONUS_DESCRIPTION', 'YIELD_CULTURE', 1 , 1 , 1) ;

-------------------
-- BROADCAST CENTER / FILM STUDIO:
-------------------
UPDATE Buildings SET Description='LOC_BUILDING_BROADCAST_CENTER_DESCRIPTION' WHERE BuildingType='BUILDING_BROADCAST_CENTER';
UPDATE Building_YieldChanges SET YieldChange=0 WHERE BuildingType='BUILDING_BROADCAST_CENTER' 	AND YieldType='YIELD_CULTURE';
UPDATE Building_YieldChanges SET YieldChange=0 WHERE BuildingType='BUILDING_FILM_STUDIO' 		AND YieldType='YIELD_CULTURE';

UPDATE Building_YieldChangesBonusWithPower SET YieldChange=6 WHERE YieldType='YIELD_CULTURE' AND (	BuildingType='BUILDING_BROADCAST_CENTER' OR 
																									BuildingType='BUILDING_FILM_STUDIO');
																									
----------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------
-- END OF DISTRICTS
----------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------


--------------------------------------------------------------
--------------------------------------------------------------
-- WORLD WONDERS
--------------------------------------------------------------
--------------------------------------------------------------

-- RESOURCE COSTS:

INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES('BUILDING_EIFFEL_TOWER',					'RESOURCE_IRON',55	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES('BUILDING_GOLDEN_GATE_BRIDGE',				'RESOURCE_IRON',250	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES('BUILDING_BIG_BEN',						'RESOURCE_IRON',30	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES('BUILDING_BROADWAY',						'RESOURCE_IRON',20	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES('BUILDING_RUHR_VALLEY',					'RESOURCE_IRON',40	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES('BUILDING_SYDNEY_OPERA_HOUSE',				'RESOURCE_IRON',30	,0);
INSERT INTO Building_ResourceCosts (BuildingType,ResourceType,StartProductionCost,PerTurnMaintenanceCost) VALUES('BUILDING_AMUNDSEN_SCOTT_RESEARCH_STATION','RESOURCE_IRON',35	,0);


-- PETRA

--UPDATE ModifierArguments SET [Value]=1 WHERE Name='Amount' AND ModifierId='PETRA_DESERT_FOOD_MODIFIER';
--UPDATE ModifierArguments SET [Value]=1 WHERE Name='Amount' AND ModifierId='PETRA_DESERT_HILLS_FOOD_MODIFIER';
UPDATE ModifierArguments SET [Value]='1,2,2' WHERE Name='Amount' AND ModifierId='PETRA_YIELD_MODIFIER'; --was 2,2,1



--Give Machu picchu +science for campuses near mountains

INSERT INTO BuildingModifiers 			(BuildingType , ModifierId) 								VALUES 		( 'BUILDING_MACHU_PICCHU' ,	'MACHUPICCHU_CAMPUS_GRASSMOUNTAIN_SCIENCE');
INSERT INTO BuildingModifiers 			(BuildingType , ModifierId) 								VALUES 		( 'BUILDING_MACHU_PICCHU' ,	'MACHUPICCHU_CAMPUS_PLAINSMOUNTAIN_SCIENCE');
INSERT INTO BuildingModifiers 			(BuildingType , ModifierId) 								VALUES 		( 'BUILDING_MACHU_PICCHU' ,	'MACHUPICCHU_CAMPUS_TUNDRAMOUNTAIN_SCIENCE');
INSERT INTO BuildingModifiers 			(BuildingType , ModifierId) 								VALUES 		( 'BUILDING_MACHU_PICCHU' ,	'MACHUPICCHU_CAMPUS_SNOWMOUNTAIN_SCIENCE');
INSERT INTO BuildingModifiers 			(BuildingType , ModifierId) 								VALUES 		( 'BUILDING_MACHU_PICCHU' ,	'MACHUPICCHU_CAMPUS_DESERTMOUNTAIN_SCIENCE');

INSERT INTO Modifiers 					(ModifierId,ModifierType)	 								VALUES 		( 'MACHUPICCHU_CAMPUS_GRASSMOUNTAIN_SCIENCE' , 	'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY');
INSERT INTO Modifiers 					(ModifierId,ModifierType)	 								VALUES 		( 'MACHUPICCHU_CAMPUS_PLAINSMOUNTAIN_SCIENCE' , 'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY');
INSERT INTO Modifiers 					(ModifierId,ModifierType)	 								VALUES 		( 'MACHUPICCHU_CAMPUS_TUNDRAMOUNTAIN_SCIENCE' , 'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY');
INSERT INTO Modifiers 					(ModifierId,ModifierType)	 								VALUES 		( 'MACHUPICCHU_CAMPUS_SNOWMOUNTAIN_SCIENCE' , 	'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY');
INSERT INTO Modifiers 					(ModifierId,ModifierType)	 								VALUES 		( 'MACHUPICCHU_CAMPUS_DESERTMOUNTAIN_SCIENCE' , 'MODIFIER_PLAYER_CITIES_TERRAIN_ADJACENCY');

INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'MACHUPICCHU_CAMPUS_GRASSMOUNTAIN_SCIENCE' , 	'Amount' , 1 );
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'MACHUPICCHU_CAMPUS_GRASSMOUNTAIN_SCIENCE' , 	'Description' , 	'LOC_BUILDING_MACHU_PICCHU_SCIENCE' );
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'MACHUPICCHU_CAMPUS_GRASSMOUNTAIN_SCIENCE' , 	'DistrictType' , 	'DISTRICT_CAMPUS' );
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'MACHUPICCHU_CAMPUS_GRASSMOUNTAIN_SCIENCE' , 	'TerrainType' ,		'TERRAIN_GRASS_MOUNTAIN' );
INSERT INTO ModifierArguments 			(ModifierId , Name , [Value]) 								VALUES 		( 'MACHUPICCHU_CAMPUS_GRASSMOUNTAIN_SCIENCE' , 	'YieldType' ,		'YIELD_SCIENCE' );


--------------
-- TECHNOLOGY OR CIVIC PREREQS:
--------------

UPDATE Buildings SET PrereqTech= 'TECH_MASONRY' 					WHERE 		BuildingType= 'BUILDING_GREAT_BATH';
UPDATE Buildings SET PrereqTech= 'TECH_MASONRY' 					WHERE 		BuildingType= 'BUILDING_HANGING_GARDENS';
UPDATE Buildings SET PrereqTech= 'TECH_SHIPBUILDING' 				WHERE 		BuildingType= 'BUILDING_GREAT_LIGHTHOUSE';
UPDATE Buildings SET PrereqTech= 'TECH_CONSTRUCTION' 				WHERE 		BuildingType= 'BUILDING_TEMPLE_ARTEMIS';
UPDATE Buildings SET PrereqTech= 'TECH_STEAM_POWER' 				WHERE 		BuildingType= 'BUILDING_RUHR_VALLEY';
UPDATE Buildings SET PrereqTech= 'TECH_ELECTRICITY' 				WHERE 		BuildingType= 'BUILDING_PANAMA_CANAL';

UPDATE Buildings SET PrereqTech= 'TECH_THE_WHEEL' 					WHERE 		BuildingType= 'BUILDING_STABLE';
UPDATE Buildings SET PrereqTech= 'TECH_THE_WHEEL' 					WHERE 		BuildingType= 'BUILDING_ORDU';
UPDATE Buildings SET PrereqTech= 'TECH_ENGINEERING'   				WHERE 		BuildingType= 'BUILDING_WATER_MILL';
UPDATE Buildings SET PrereqTech= 'TECH_MEDICINE' 					WHERE 		BuildingType = 'BUILDING_RESEARCH_LAB';




--------------------------------------------------------------
--------------------------------------------------------------
-- END OF WONDERS
--------------------------------------------------------------
--------------------------------------------------------------


--------------------------------------------------------------
--------------------------------------------------------------
-- ROUTES / ROADS
--------------------------------------------------------------
--------------------------------------------------------------
INSERT INTO Technologies_XP2 (TechnologyType , RandomPrereqs , HiddenUntilPrereqComplete) VALUES ( 'TECH_ANIMAL_HUSBANDRY' ,0,0 );
INSERT INTO Technologies_XP2 (TechnologyType , RandomPrereqs , HiddenUntilPrereqComplete) VALUES ( 'TECH_CONSTRUCTION' ,0,0 );
INSERT INTO Technologies_XP2 (TechnologyType , RandomPrereqs , HiddenUntilPrereqComplete) VALUES ( 'TECH_ECONOMICS' ,0,0 );
INSERT INTO Technologies_XP2 (TechnologyType , RandomPrereqs , HiddenUntilPrereqComplete) VALUES ( 'TECH_COMBUSTION' ,0,0 );

UPDATE Routes_XP2 SET PrereqTech = 'TECH_ANIMAL_HUSBANDRY' 	WHERE RouteType = 'ROUTE_ANCIENT_ROAD';
UPDATE Routes_XP2 SET PrereqTech = 'TECH_CONSTRUCTION' 		WHERE RouteType = 'ROUTE_MEDIEVAL_ROAD';
UPDATE Routes_XP2 SET PrereqTech = 'TECH_ECONOMICS' 		WHERE RouteType = 'ROUTE_INDUSTRIAL_ROAD';
UPDATE Routes_XP2 SET PrereqTech = 'TECH_COMBUSTION' 		WHERE RouteType = 'ROUTE_MODERN_ROAD';

UPDATE Routes SET PlacementRequiresRoutePresent = 1 WHERE RouteType = 'ROUTE_MEDIEVAL_ROAD';
-- REMOVED IN 2.7		UPDATE Routes SET PrereqEra = 'ERA_MODERN' WHERE RouteType = 'ROUTE_INDUSTRIAL_ROAD';
-- REMOVED IN 2.7		UPDATE Routes SET PrereqEra = 'ERA_ATOMIC' WHERE RouteType = 'ROUTE_MODERN_ROAD';
--REMOVED IN 2.5		UPDATE Routes SET PlacementRequiresOwnedTile = 1 WHERE RouteType = 'ROUTE_RAILROAD';


-- Builders can now build roads
INSERT OR REPLACE INTO Route_ValidBuildUnits (RouteType , UnitType) VALUES ( 'ROUTE_ANCIENT_ROAD' , 	'UNIT_BUILDER');
INSERT OR REPLACE INTO Route_ValidBuildUnits (RouteType , UnitType) VALUES ( 'ROUTE_MEDIEVAL_ROAD' , 	'UNIT_BUILDER');
INSERT OR REPLACE INTO Route_ValidBuildUnits (RouteType , UnitType) VALUES ( 'ROUTE_INDUSTRIAL_ROAD' , 	'UNIT_BUILDER');
INSERT OR REPLACE INTO Route_ValidBuildUnits (RouteType , UnitType) VALUES ( 'ROUTE_MODERN_ROAD' , 		'UNIT_BUILDER');



--Build charges cost
UPDATE Routes_XP2 SET BuildWithUnitChargeCost = 0 WHERE RouteType = 'ROUTE_ANCIENT_ROAD';
UPDATE Routes_XP2 SET BuildWithUnitChargeCost = 1 WHERE RouteType = 'ROUTE_RAILROAD';
-- REMOVED IN 2.5		UPDATE Routes_XP2 SET BuildWithUnitChargeCost = 0 WHERE RouteType = 'ROUTE_MEDIEVAL_ROAD';

--New road costs (need to check whether this costs resources for traders to place
UPDATE Route_ResourceCosts SET BuildWithUnitCost = 4 WHERE ResourceType = 'RESOURCE_IRON' AND RouteType = 'ROUTE_RAILROAD';

--------------------------------------------------------------
--------------------------------------------------------------
-- END OF ROUTES / ROADS
--------------------------------------------------------------
--------------------------------------------------------------

--------------------------------------------------------------
--------------------------------------------------------------
-- MILITARY ENGINEERS
--------------------------------------------------------------
--------------------------------------------------------------


-------------------------------------------------------------------------------------------------------------------
-- Military engineers boosting buildings and districts
-------------------------------------------------------------------------------------------------------------------

--District boosts
UPDATE District_BuildChargeProductions SET PercentProductionPerCharge = 20 WHERE UnitType = 'UNIT_MILITARY_ENGINEER' AND DistrictType = 'DISTRICT_CANAL';
UPDATE District_BuildChargeProductions SET PercentProductionPerCharge = 20 WHERE UnitType = 'UNIT_MILITARY_ENGINEER' AND DistrictType = 'DISTRICT_DAM';
UPDATE District_BuildChargeProductions SET PercentProductionPerCharge = 20 WHERE UnitType = 'UNIT_MILITARY_ENGINEER' AND DistrictType = 'DISTRICT_AQUEDUCT';
UPDATE District_BuildChargeProductions SET PercentProductionPerCharge = 20 WHERE UnitType = 'UNIT_MILITARY_ENGINEER' AND DistrictType = 'DISTRICT_BATH';
INSERT INTO District_BuildChargeProductions (DistrictType,UnitType,PercentProductionPerCharge) VALUES ('DISTRICT_AERODROME','UNIT_MILITARY_ENGINEER',20);
INSERT INTO District_BuildChargeProductions (DistrictType,UnitType,PercentProductionPerCharge) VALUES ('DISTRICT_ENCAMPMENT','UNIT_MILITARY_ENGINEER',20); 			--was 5
INSERT INTO District_BuildChargeProductions (DistrictType,UnitType,PercentProductionPerCharge) VALUES ('DISTRICT_IKANDA','UNIT_MILITARY_ENGINEER',20); 				--was 5

--Building boosts

INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_WALLS','UNIT_MILITARY_ENGINEER',20);
INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_CASTLE','UNIT_MILITARY_ENGINEER',20);
INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_STAR_FORT','UNIT_MILITARY_ENGINEER',20);
INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_TSIKHE','UNIT_MILITARY_ENGINEER',20);

INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_BARRACKS','UNIT_MILITARY_ENGINEER',20); 			--was 5
INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_STABLE','UNIT_MILITARY_ENGINEER',20);				--was 5
INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_ARMORY','UNIT_MILITARY_ENGINEER',20);				--was 5
INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_MILITARY_ACADEMY','UNIT_MILITARY_ENGINEER',20);	--was 5
INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_ORDU','UNIT_MILITARY_ENGINEER',20);				--was 5
INSERT INTO Building_BuildChargeProductions (BuildingType,UnitType,PercentProductionPerCharge) VALUES ('BUILDING_HANGAR','UNIT_MILITARY_ENGINEER',20);				--was 5

UPDATE Building_BuildChargeProductions SET PercentProductionPerCharge = 20 WHERE BuildingType = 'BUILDING_FLOOD_BARRIER';											--was 5

--Military engineer boost prod of wonders (code doesn't work because wonders can't be boosted this way):



--------------------------------------------------------------
--------------------------------------------------------------
-- GOODY HUTS
--------------------------------------------------------------
--------------------------------------------------------------

--Reducing number of free tech and civic boosts by reducing the number of science and culture Tribal Villages that spawn:

UPDATE GoodyHuts SET Weight = 25 WHERE GoodyHutType = 'GOODYHUT_CULTURE' OR GoodyHutType = 'GOODYHUT_SCIENCE'; --was 100 in vanilla, and 50 in 2.6

--Can no longer spawn on Snow terrains
DELETE FROM Improvement_ValidTerrains WHERE ImprovementType ='IMPROVEMENT_GOODY_HUT' AND TerrainType LIKE 'TERRAIN_SNOW%';

--------------------------------------------------------------
--------------------------------------------------------------
-- END OF GOODY HUTS
--------------------------------------------------------------
--------------------------------------------------------------



UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AgrevExp_World';